from rf_info.data.rangekeydict import RangeKeyDict

ALLOCATIONS = RangeKeyDict({
    (0, 8301): (False, False, False, False, False, ['(Not Allocated)'], [], ['[5.53]: Administrations authorizing the use of frequencies below 8.3 kHz shall ensure that no harmful interference is caused to services to which the bands above 8.3 kHz are allocated. (WRC-12)', '[5.54]: Administrations conducting scientific research using frequencies below 8.3 kHz are urged to advise other administrations that may be concerned in order that such research may be afforded all practicable protection from harmful interference. (WRC-12)']),
    (8300, 9001): (False, False, False, False, False, ['Meteorological Aids [5.54A][5.54B][5.54C]'], [], ['[5.54A]: Use of the 8.3-11.3 kHz frequency band by stations in the meteorological aids service is limited to passive use only. In the band 9-11.3 kHz, meteorological aids stations shall not claim protection from stations of the radionavigation service submitted for notification to the Bureau prior to 1 January 2013. For sharing between stations of the meteorological aids service and stations in the radionavigation service submitted for notification after this date, the most recent version of Recommendation ITU-R RS.1881 should be applied. (WRC-12)', '[5.54B]: Additional allocation: in Algeria, Saudi Arabia, Bahrain, Egypt, the United Arab Emirates, the Russian Federation, Iran (Islamic Republic of), Iraq, Kuwait, Lebanon, Morocco, Qatar, the Syrian Arab Republic, Sudan and Tunisia, the frequency band 8.3-9 kHz is also allocated to the radionavigation, fixed and mobile services on a primary basis. (WRC-15)', '[5.54C]: Additional allocation: in China, the frequency band 8.3-9 kHz is also allocated to the maritime radionavigation and maritime mobile services on a primary basis. (WRC-12)']),
    (9000, 11301): (False, False, False, False, False, ['Meteorological Aids [5.54A]', 'Radionavigation'], [], ['[5.54A]: Use of the 8.3-11.3 kHz frequency band by stations in the meteorological aids service is limited to passive use only. In the band 9-11.3 kHz, meteorological aids stations shall not claim protection from stations of the radionavigation service submitted for notification to the Bureau prior to 1 January 2013. For sharing between stations of the meteorological aids service and stations in the radionavigation service submitted for notification after this date, the most recent version of Recommendation ITU-R RS.1881 should be applied. (WRC-12)']),
    (11300, 14001): (False, False, False, False, False, ['Radionavigation'], [], []),
    (14000, 19951): (False, True, True, False, False, ['Maritime Mobile [5.57]'], [], ['[5.57]: The use of the bands 14-19.95 kHz, 20.05-70 kHz and 70-90 kHz (72-84 kHz and 86-90 kHz in Region 1) by the maritime mobile service is limited to coast radiotelegraph stations (A1A and F1B only). Exceptionally, the use of class J2B or J7B emissions is authorized subject to the necessary bandwidth not exceeding that normally used for class A1A or F1B emissions in the band concerned.', '[5.55]: Additional allocation: in Armenia, the Russian Federation, Georgia, Kyrgyzstan, Tajikistan and Turkmenistan, the frequency band 14-17 kHz is also allocated to the radionavigation service on a primary basis. (WRC-15)', '[5.56]: The stations of services to which the bands 14-19.95 kHz and 20.05-70 kHz and in Region 1 also the bands 72-84 kHz and 86-90 kHz are allocated may transmit standard frequency and time signals. Such stations shall be afforded protection from harmful interference. In Armenia, Azerbaijan, Belarus, the Russian Federation, Georgia, Kazakhstan, Kyrgyzstan, Tajikistan and Turkmenistan, the frequencies 25 kHz and 50 kHz will be used for this purpose under the same conditions. (WRC-12)']),
    (19950, 20051): (False, False, False, False, False, ['Standard Frequency And Time Signal (20 Khz)'], [], []),
    (20050, 70001): (False, True, True, False, False, ['Maritime Mobile [5.57]'], [], ['[5.57]: The use of the bands 14-19.95 kHz, 20.05-70 kHz and 70-90 kHz (72-84 kHz and 86-90 kHz in Region 1) by the maritime mobile service is limited to coast radiotelegraph stations (A1A and F1B only). Exceptionally, the use of class J2B or J7B emissions is authorized subject to the necessary bandwidth not exceeding that normally used for class A1A or F1B emissions in the band concerned.', '[5.56]: The stations of services to which the bands 14-19.95 kHz and 20.05-70 kHz and in Region 1 also the bands 72-84 kHz and 86-90 kHz are allocated may transmit standard frequency and time signals. Such stations shall be afforded protection from harmful interference. In Armenia, Azerbaijan, Belarus, the Russian Federation, Georgia, Kazakhstan, Kyrgyzstan, Tajikistan and Turkmenistan, the frequencies 25 kHz and 50 kHz will be used for this purpose under the same conditions. (WRC-12)', '[5.58]: Additional allocation: in Armenia, Azerbaijan, the Russian Federation, Georgia, Kazakhstan, Kyrgyzstan, Tajikistan and Turkmenistan, the band 67-70 kHz is also allocated to the radionavigation service on a primary basis. (WRC-2000)']),
    (70000, 72001): (False, True, False, False, False, ['Radionavigation [5.60]'], ['Maritime Mobile [5.57]'], ['[5.60]: In the bands 70-90 kHz (70-86 kHz in Region 1) and 110-130 kHz (112-130 kHz in Region 1), pulsed radionavigation systems may be used on condition that they do not cause harmful interference to other services to which these bands are allocated.', '[5.57]: The use of the bands 14-19.95 kHz, 20.05-70 kHz and 70-90 kHz (72-84 kHz and 86-90 kHz in Region 1) by the maritime mobile service is limited to coast radiotelegraph stations (A1A and F1B only). Exceptionally, the use of class J2B or J7B emissions is authorized subject to the necessary bandwidth not exceeding that normally used for class A1A or F1B emissions in the band concerned.', '[5.59]: Different category of service: in Bangladesh and Pakistan, the allocation of the bands 70-72 kHz and 84-86 kHz to the fixed and maritime mobile services is on a primary basis (see No. 5.33). (WRC-2000)']),
    (72000, 84001): (False, True, True, False, False, ['Maritime Mobile [5.57]', 'Radionavigation [5.60]'], [], ['[5.57]: The use of the bands 14-19.95 kHz, 20.05-70 kHz and 70-90 kHz (72-84 kHz and 86-90 kHz in Region 1) by the maritime mobile service is limited to coast radiotelegraph stations (A1A and F1B only). Exceptionally, the use of class J2B or J7B emissions is authorized subject to the necessary bandwidth not exceeding that normally used for class A1A or F1B emissions in the band concerned.', '[5.60]: In the bands 70-90 kHz (70-86 kHz in Region 1) and 110-130 kHz (112-130 kHz in Region 1), pulsed radionavigation systems may be used on condition that they do not cause harmful interference to other services to which these bands are allocated.']),
    (84000, 86001): (False, True, False, False, False, ['Radionavigation [5.60]'], ['Maritime Mobile [5.57]'], ['[5.60]: In the bands 70-90 kHz (70-86 kHz in Region 1) and 110-130 kHz (112-130 kHz in Region 1), pulsed radionavigation systems may be used on condition that they do not cause harmful interference to other services to which these bands are allocated.', '[5.57]: The use of the bands 14-19.95 kHz, 20.05-70 kHz and 70-90 kHz (72-84 kHz and 86-90 kHz in Region 1) by the maritime mobile service is limited to coast radiotelegraph stations (A1A and F1B only). Exceptionally, the use of class J2B or J7B emissions is authorized subject to the necessary bandwidth not exceeding that normally used for class A1A or F1B emissions in the band concerned.', '[5.59]: Different category of service: in Bangladesh and Pakistan, the allocation of the bands 70-72 kHz and 84-86 kHz to the fixed and maritime mobile services is on a primary basis (see No. 5.33). (WRC-2000)']),
    (86000, 90001): (False, True, True, False, False, ['Maritime Mobile [5.57]', 'Radionavigation [5.60]'], [], ['[5.57]: The use of the bands 14-19.95 kHz, 20.05-70 kHz and 70-90 kHz (72-84 kHz and 86-90 kHz in Region 1) by the maritime mobile service is limited to coast radiotelegraph stations (A1A and F1B only). Exceptionally, the use of class J2B or J7B emissions is authorized subject to the necessary bandwidth not exceeding that normally used for class A1A or F1B emissions in the band concerned.', '[5.60]: In the bands 70-90 kHz (70-86 kHz in Region 1) and 110-130 kHz (112-130 kHz in Region 1), pulsed radionavigation systems may be used on condition that they do not cause harmful interference to other services to which these bands are allocated.']),
    (90000, 110001): (False, True, False, False, False, ['Radionavigation [5.62]'], [], ['[5.62]: Administrations which operate stations in the radionavigation service in the band 90-110 kHz are urged to coordinate technical and operating characteristics in such a way as to avoid harmful interference to the services provided by these stations.', '[5.64]: Only classes A1A or F1B, A2C, A3C, F1C or F3C emissions are authorized for stations of the fixed service in the bands allocated to this service between 90 kHz and 160 kHz (148.5 kHz in Region 1) and for stations of the maritime mobile service in the bands allocated to this service between 110 kHz and 160 kHz (148.5 kHz in Region 1). Exceptionally, class J2B or J7B emissions are also authorized in the bands between 110 kHz and 160 kHz (148.5 kHz in Region 1) for stations of the maritime mobile service.']),
    (110000, 112001): (False, True, True, False, False, ['Maritime Mobile', 'Radionavigation [5.60]'], [], ['[5.60]: In the bands 70-90 kHz (70-86 kHz in Region 1) and 110-130 kHz (112-130 kHz in Region 1), pulsed radionavigation systems may be used on condition that they do not cause harmful interference to other services to which these bands are allocated.', '[5.64]: Only classes A1A or F1B, A2C, A3C, F1C or F3C emissions are authorized for stations of the fixed service in the bands allocated to this service between 90 kHz and 160 kHz (148.5 kHz in Region 1) and for stations of the maritime mobile service in the bands allocated to this service between 110 kHz and 160 kHz (148.5 kHz in Region 1). Exceptionally, class J2B or J7B emissions are also authorized in the bands between 110 kHz and 160 kHz (148.5 kHz in Region 1) for stations of the maritime mobile service.']),
    (112000, 117601): (False, True, False, False, False, ['Radionavigation [5.60]'], ['Maritime Mobile'], ['[5.60]: In the bands 70-90 kHz (70-86 kHz in Region 1) and 110-130 kHz (112-130 kHz in Region 1), pulsed radionavigation systems may be used on condition that they do not cause harmful interference to other services to which these bands are allocated.', '[5.64]: Only classes A1A or F1B, A2C, A3C, F1C or F3C emissions are authorized for stations of the fixed service in the bands allocated to this service between 90 kHz and 160 kHz (148.5 kHz in Region 1) and for stations of the maritime mobile service in the bands allocated to this service between 110 kHz and 160 kHz (148.5 kHz in Region 1). Exceptionally, class J2B or J7B emissions are also authorized in the bands between 110 kHz and 160 kHz (148.5 kHz in Region 1) for stations of the maritime mobile service.', '[5.65]: Different category of service: in Bangladesh, the allocation of the bands 112-117.6 kHz and 126-129 kHz to the fixed and maritime mobile services is on a primary basis (see No. 5.33). (WRC-2000)']),
    (117600, 126001): (False, True, True, False, False, ['Maritime Mobile', 'Radionavigation [5.60]'], [], ['[5.60]: In the bands 70-90 kHz (70-86 kHz in Region 1) and 110-130 kHz (112-130 kHz in Region 1), pulsed radionavigation systems may be used on condition that they do not cause harmful interference to other services to which these bands are allocated.', '[5.64]: Only classes A1A or F1B, A2C, A3C, F1C or F3C emissions are authorized for stations of the fixed service in the bands allocated to this service between 90 kHz and 160 kHz (148.5 kHz in Region 1) and for stations of the maritime mobile service in the bands allocated to this service between 110 kHz and 160 kHz (148.5 kHz in Region 1). Exceptionally, class J2B or J7B emissions are also authorized in the bands between 110 kHz and 160 kHz (148.5 kHz in Region 1) for stations of the maritime mobile service.']),
    (126000, 129001): (False, True, False, False, False, ['Radionavigation [5.60]'], ['Maritime Mobile'], ['[5.60]: In the bands 70-90 kHz (70-86 kHz in Region 1) and 110-130 kHz (112-130 kHz in Region 1), pulsed radionavigation systems may be used on condition that they do not cause harmful interference to other services to which these bands are allocated.', '[5.64]: Only classes A1A or F1B, A2C, A3C, F1C or F3C emissions are authorized for stations of the fixed service in the bands allocated to this service between 90 kHz and 160 kHz (148.5 kHz in Region 1) and for stations of the maritime mobile service in the bands allocated to this service between 110 kHz and 160 kHz (148.5 kHz in Region 1). Exceptionally, class J2B or J7B emissions are also authorized in the bands between 110 kHz and 160 kHz (148.5 kHz in Region 1) for stations of the maritime mobile service.', '[5.65]: Different category of service: in Bangladesh, the allocation of the bands 112-117.6 kHz and 126-129 kHz to the fixed and maritime mobile services is on a primary basis (see No. 5.33). (WRC-2000)']),
    (129000, 130001): (False, True, True, False, False, ['Maritime Mobile', 'Radionavigation [5.60]'], [], ['[5.60]: In the bands 70-90 kHz (70-86 kHz in Region 1) and 110-130 kHz (112-130 kHz in Region 1), pulsed radionavigation systems may be used on condition that they do not cause harmful interference to other services to which these bands are allocated.', '[5.64]: Only classes A1A or F1B, A2C, A3C, F1C or F3C emissions are authorized for stations of the fixed service in the bands allocated to this service between 90 kHz and 160 kHz (148.5 kHz in Region 1) and for stations of the maritime mobile service in the bands allocated to this service between 110 kHz and 160 kHz (148.5 kHz in Region 1). Exceptionally, class J2B or J7B emissions are also authorized in the bands between 110 kHz and 160 kHz (148.5 kHz in Region 1) for stations of the maritime mobile service.']),
    (130000, 135701): (False, True, True, False, False, ['Maritime Mobile', 'Radionavigation'], [], ['[5.64]: Only classes A1A or F1B, A2C, A3C, F1C or F3C emissions are authorized for stations of the fixed service in the bands allocated to this service between 90 kHz and 160 kHz (148.5 kHz in Region 1) and for stations of the maritime mobile service in the bands allocated to this service between 110 kHz and 160 kHz (148.5 kHz in Region 1). Exceptionally, class J2B or J7B emissions are also authorized in the bands between 110 kHz and 160 kHz (148.5 kHz in Region 1) for stations of the maritime mobile service.']),
    (135700, 137801): (True, True, True, False, False, ['Maritime Mobile', 'Radionavigation'], ['Amateur [5.67A]'], ['[5.67A]: Stations in the amateur service using frequencies in the band 135.7-137.8 kHz shall not exceed a maximum radiated power of 1 W (e.i.r.p.) and shall not cause harmful interference to stations of the radionavigation service operating in countries listed in No. 5.67. (WRC-07)', '[5.64]: Only classes A1A or F1B, A2C, A3C, F1C or F3C emissions are authorized for stations of the fixed service in the bands allocated to this service between 90 kHz and 160 kHz (148.5 kHz in Region 1) and for stations of the maritime mobile service in the bands allocated to this service between 110 kHz and 160 kHz (148.5 kHz in Region 1). Exceptionally, class J2B or J7B emissions are also authorized in the bands between 110 kHz and 160 kHz (148.5 kHz in Region 1) for stations of the maritime mobile service.', '[5.67B]: The use of the band 135.7-137.8 kHz in Algeria, Egypt, Iran (Islamic Republic of), Iraq, Lebanon, Syrian Arab Republic, Sudan, South Sudan and Tunisia is limited to the fixed and maritime mobile services. The amateur service shall not be used in the above-mentioned countries in the band 135.7-137.8 kHz, and this should be taken into account by the countries authorizing such use. (WRC-12)']),
    (137800, 160001): (False, True, True, False, False, ['Maritime Mobile', 'Radionavigation'], [], ['[5.64]: Only classes A1A or F1B, A2C, A3C, F1C or F3C emissions are authorized for stations of the fixed service in the bands allocated to this service between 90 kHz and 160 kHz (148.5 kHz in Region 1) and for stations of the maritime mobile service in the bands allocated to this service between 110 kHz and 160 kHz (148.5 kHz in Region 1). Exceptionally, class J2B or J7B emissions are also authorized in the bands between 110 kHz and 160 kHz (148.5 kHz in Region 1) for stations of the maritime mobile service.']),
    (160000, 190001): (False, True, False, False, False, [], ['Aeronautical Radionavigation'], []),
    (190000, 200001): (False, False, False, False, False, ['Aeronautical Radionavigation'], [], []),
    (200000, 285001): (False, False, False, False, False, ['Aeronautical Radionavigation'], ['Aeronautical Mobile'], []),
    (285000, 315001): (False, False, False, False, False, ['Aeronautical Radionavigation', 'Maritime Radionavigation (Radiobeacons) [5.73]'], [], ['[5.73]: The band 285-325 kHz (283.5-325 kHz in Region 1) in the maritime radionavigation service may be used to transmit supplementary navigational information using narrow-band techniques, on condition that no harmful interference is caused to radiobeacon stations operating in the radionavigation service. (WRC-97)']),
    (315000, 325001): (False, False, False, False, False, ['Aeronautical Radionavigation', 'Maritime Radionavigation (Radiobeacons) [5.73]'], [], ['[5.73]: The band 285-325 kHz (283.5-325 kHz in Region 1) in the maritime radionavigation service may be used to transmit supplementary navigational information using narrow-band techniques, on condition that no harmful interference is caused to radiobeacon stations operating in the radionavigation service. (WRC-97)']),
    (325000, 405001): (False, False, False, False, False, ['Aeronautical Radionavigation'], ['Aeronautical Mobile'], []),
    (405000, 415001): (False, False, False, False, False, ['Radionavigation [5.76]'], ['Aeronautical Mobile'], ['[5.76]: The frequency 410 kHz is designated for radio direction-finding in the maritime radionavigation service. The other radionavigation services to which the band 405-415 kHz is allocated shall not cause harmful interference to radio direction-finding in the band 406.5-413.5 kHz.']),
    (415000, 472001): (False, False, True, False, False, ['Maritime Mobile [5.79]'], ['Aeronautical Radionavigation [5.77][5.80]'], ['[5.79]: The use of the bands 415-495 kHz and 505-526.5 kHz (505-510 kHz in Region 2) by the maritime mobile service is limited to radiotelegraphy.', '[5.77]: Different category of service: in Australia, China, the French overseas communities of Region 3, Korea (Rep. of), India, Iran (Islamic Republic of), Japan, Pakistan, Papua New Guinea and Sri Lanka, the allocation of the frequency band 415-495 kHz to the aeronautical radionavigation service is on a primary basis. In Armenia, Azerbaijan, Belarus, the Russian Federation, Kazakhstan, Latvia, Uzbekistan and Kyrgyzstan, the allocation of the frequency band 435-495 kHz to the aeronautical radionavigation service is on a primary basis. Administrations in all the aforementioned countries shall take all practical steps necessary to ensure that aeronautical radionavigation stations in the frequency band 435-495 kHz do not cause interference to reception by coast stations of transmissions from ship stations on frequencies designated for ship stations on a worldwide basis. (WRC-12)', '[5.80]: In Region 2, the use of the band 435-495 kHz by the aeronautical radionavigation service is limited to non-directional beacons not employing voice transmission.', '[5.78]: Different category of service: in Cuba, the United States of America and Mexico, the allocation of the band 415-435 kHz to the aeronautical radionavigation service is on a primary basis.', '[5.82]: In the maritime mobile service, the frequency 490 kHz is to be used exclusively for the transmission by coast stations of navigational and meteorological warnings and urgent information to ships, by means of narrow-band direct-printing telegraphy. The conditions for use of the frequency 490 kHz are prescribed in Articles 31 and 52. In using the frequency band 415-495 kHz for the aeronautical radionavigation service, administrations are requested to ensure that no harmful interference is caused to the frequency 490 kHz. In using the frequency band 472-479 kHz for the amateur service, administrations shall ensure that no harmful interference is caused to the frequency 490 kHz. (WRC-12)']),
    (472000, 479001): (True, False, True, False, False, ['Maritime Mobile [5.79]'], ['Amateur [5.80A]', 'Aeronautical Radionavigation [5.77][5.80]'], ['[5.79]: The use of the bands 415-495 kHz and 505-526.5 kHz (505-510 kHz in Region 2) by the maritime mobile service is limited to radiotelegraphy.', '[5.80A]: The maximum equivalent isotropically radiated power (e.i.r.p.) of stations in the amateur service using frequencies in the band 472-479 kHz shall not exceed 1 W. Administrations may increase this limit of e.i.r.p. to 5 W in portions of their territory which are at a distance of over 800 km from the borders of Algeria, Saudi Arabia, Azerbaijan, Bahrain, Belarus, China, Comoros, Djibouti, Egypt, United Arab Emirates, the Russian Federation, Iran (Islamic Republic of), Iraq, Jordan, Kazakhstan, Kuwait, Lebanon, Libya, Morocco, Mauritania, Oman, Uzbekistan, Qatar, Syrian Arab Republic, Kyrgyzstan, Somalia, Sudan, Tunisia, Ukraine and Yemen. In this frequency band, stations in the amateur service shall not cause harmful interference to, or claim protection from, stations of the aeronautical radionavigation service. (WRC-12)', '[5.77]: Different category of service: in Australia, China, the French overseas communities of Region 3, Korea (Rep. of), India, Iran (Islamic Republic of), Japan, Pakistan, Papua New Guinea and Sri Lanka, the allocation of the frequency band 415-495 kHz to the aeronautical radionavigation service is on a primary basis. In Armenia, Azerbaijan, Belarus, the Russian Federation, Kazakhstan, Latvia, Uzbekistan and Kyrgyzstan, the allocation of the frequency band 435-495 kHz to the aeronautical radionavigation service is on a primary basis. Administrations in all the aforementioned countries shall take all practical steps necessary to ensure that aeronautical radionavigation stations in the frequency band 435-495 kHz do not cause interference to reception by coast stations of transmissions from ship stations on frequencies designated for ship stations on a worldwide basis. (WRC-12)', '[5.80]: In Region 2, the use of the band 435-495 kHz by the aeronautical radionavigation service is limited to non-directional beacons not employing voice transmission.', '[5.80B]: The use of the frequency band 472-479 kHz in Algeria, Saudi Arabia, Azerbaijan, Bahrain, Belarus, China, Comoros, Djibouti, Egypt, United Arab Emirates, the Russian Federation, Iraq, Jordan, Kazakhstan, Kuwait, Lebanon, Libya, Mauritania, Oman, Uzbekistan, Qatar, Syrian Arab Republic, Kyrgyzstan, Somalia, Sudan, Tunisia and Yemen is limited to the maritime mobile and aeronautical radionavigation services. The amateur service shall not be used in the above-mentioned countries in this frequency band, and this should be taken into account by the countries authorizing such use. (WRC-12)', '[5.82]: In the maritime mobile service, the frequency 490 kHz is to be used exclusively for the transmission by coast stations of navigational and meteorological warnings and urgent information to ships, by means of narrow-band direct-printing telegraphy. The conditions for use of the frequency 490 kHz are prescribed in Articles 31 and 52. In using the frequency band 415-495 kHz for the aeronautical radionavigation service, administrations are requested to ensure that no harmful interference is caused to the frequency 490 kHz. In using the frequency band 472-479 kHz for the amateur service, administrations shall ensure that no harmful interference is caused to the frequency 490 kHz. (WRC-12)']),
    (479000, 495001): (False, False, True, False, False, ['Maritime Mobile [5.79][5.79A]'], ['Aeronautical Radionavigation [5.77][5.80]'], ['[5.79]: The use of the bands 415-495 kHz and 505-526.5 kHz (505-510 kHz in Region 2) by the maritime mobile service is limited to radiotelegraphy.', '[5.79A]: When establishing coast stations in the NAVTEX service on the frequencies 490 kHz, 518 kHz and 4 209.5 kHz, administrations are strongly recommended to coordinate the operating characteristics in accordance with the procedures of the International Maritime Organization (IMO) (see Resolution 339 (Rev.WRC-07)). (WRC-07)', '[5.77]: Different category of service: in Australia, China, the French overseas communities of Region 3, Korea (Rep. of), India, Iran (Islamic Republic of), Japan, Pakistan, Papua New Guinea and Sri Lanka, the allocation of the frequency band 415-495 kHz to the aeronautical radionavigation service is on a primary basis. In Armenia, Azerbaijan, Belarus, the Russian Federation, Kazakhstan, Latvia, Uzbekistan and Kyrgyzstan, the allocation of the frequency band 435-495 kHz to the aeronautical radionavigation service is on a primary basis. Administrations in all the aforementioned countries shall take all practical steps necessary to ensure that aeronautical radionavigation stations in the frequency band 435-495 kHz do not cause interference to reception by coast stations of transmissions from ship stations on frequencies designated for ship stations on a worldwide basis. (WRC-12)', '[5.80]: In Region 2, the use of the band 435-495 kHz by the aeronautical radionavigation service is limited to non-directional beacons not employing voice transmission.', '[5.82]: In the maritime mobile service, the frequency 490 kHz is to be used exclusively for the transmission by coast stations of navigational and meteorological warnings and urgent information to ships, by means of narrow-band direct-printing telegraphy. The conditions for use of the frequency 490 kHz are prescribed in Articles 31 and 52. In using the frequency band 415-495 kHz for the aeronautical radionavigation service, administrations are requested to ensure that no harmful interference is caused to the frequency 490 kHz. In using the frequency band 472-479 kHz for the amateur service, administrations shall ensure that no harmful interference is caused to the frequency 490 kHz. (WRC-12)']),
    (495000, 505001): (False, False, True, False, False, ['Maritime Mobile'], [], []),
    (505000, 526501): (False, False, True, False, False, ['Maritime Mobile [5.79][5.79A][5.84]', 'Aeronautical Radionavigation'], ['Aeronautical Mobile', 'Land Mobile'], ['[5.79]: The use of the bands 415-495 kHz and 505-526.5 kHz (505-510 kHz in Region 2) by the maritime mobile service is limited to radiotelegraphy.', '[5.79A]: When establishing coast stations in the NAVTEX service on the frequencies 490 kHz, 518 kHz and 4 209.5 kHz, administrations are strongly recommended to coordinate the operating characteristics in accordance with the procedures of the International Maritime Organization (IMO) (see Resolution 339 (Rev.WRC-07)). (WRC-07)', '[5.84]: The conditions for the use of the frequency 518 kHz by the maritime mobile service are prescribed in Articles 31 and 52. (WRC-07)']),
    (526500, 535001): (False, False, True, True, False, ['Broadcasting'], [], ['[5.88]: Additional allocation: in China, the band 526.5-535 kHz is also allocated to the aeronautical radionavigation service on a secondary basis.']),
    (535000, 1606501): (False, False, False, True, False, ['Broadcasting'], [], []),
    (1606500, 1800001): (False, True, True, False, False, ['Radiolocation', 'Radionavigation'], [], ['[5.91]: Additional allocation: in the Philippines and Sri Lanka, the band 1 606.5-1 705 kHz is also allocated to the broadcasting service on a secondary basis. (WRC-97)']),
    (1800000, 2000001): (True, True, True, False, False, ['Amateur', 'Mobile Except Aeronautical Mobile', 'Radionavigation'], ['Radiolocation'], ['[5.97]: In Region 3, the Loran system operates either on 1 850 kHz or 1 950 kHz, the bands occupied being 1 825-1 875 kHz and 1 925-1 975 kHz respectively. Other services to which the band 1 800-2 000 kHz is allocated may use any frequency therein on condition that no harmful interference is caused to the Loran system operating on 1 850 kHz or 1 950 kHz.']),
    (2000000, 2065001): (False, True, True, False, False, [], [], []),
    (2065000, 2107001): (False, False, True, False, False, ['Maritime Mobile [5.105]'], [], ['[5.105]: In Region 2, except in Greenland, coast stations and ship stations using radiotelephony in the band 2 065-2 107 kHz shall be limited to class J3E emissions and to a peak envelope power not exceeding 1 kW. Preferably, the following carrier frequencies should be used: 2 065.0 kHz, 2 079.0 kHz, 2 082.5 kHz, 2 086.0 kHz, 2 093.0 kHz, 2 096.5 kHz, 2 100.0 kHz and 2 103.5 kHz. In Argentina and Uruguay, the carrier frequencies 2 068.5 kHz and 2 075.5 kHz are also used for this purpose, while the frequencies within the band 2 072-2 075.5 kHz are used as provided in No. 52.165.', '[5.106]: In Regions 2 and 3, provided no harmful interference is caused to the maritime mobile service, the frequencies between 2 065 kHz and 2 107 kHz may be used by stations of the fixed service communicating only within national borders and whose mean power does not exceed 50 W. In notifying the frequencies, the attention of the Bureau should be drawn to these provisions.']),
    (2107000, 2170001): (False, True, True, False, False, [], [], []),
    (2170000, 2173501): (False, False, True, False, False, ['Maritime Mobile'], [], []),
    (2173500, 2190501): (False, False, True, False, False, ['Mobile (Distress And Calling)'], [], ['[5.108]: The carrier frequency 2 182 kHz is an international distress and calling frequency for radiotelephony. The conditions for the use of the band 2 173.5-2 190.5 kHz are prescribed in Articles 31 and 52. (WRC-07)', '[5.109]: The frequencies 2 187.5 kHz, 4 207.5 kHz, 6 312 kHz, 8 414.5 kHz, 12 577 kHz and 16 804.5 kHz are international distress frequencies for digital selective calling. The conditions for the use of these frequencies are prescribed in Article 31.', '[5.110]: The frequencies 2 174.5 kHz, 4 177.5 kHz, 6 268 kHz, 8 376.5 kHz, 12 520 kHz and 16 695 kHz are international distress frequencies for narrow-band direct-printing telegraphy. The conditions for the use of these frequencies are prescribed in Article 31.', '[5.111]: The carrier frequencies 2 182 kHz, 3 023 kHz, 5 680 kHz, 8 364 kHz and the frequencies 121.5 MHz, 156.525 MHz, 156.8 MHz and 243 MHz may also be used, in accordance with the procedures in force for terrestrial radiocommunication services, for search and rescue operations concerning manned space vehicles. The conditions for the use of the frequencies are prescribed in Article 31.The same applies to the frequencies 10 003 kHz, 14 993 kHz and 19 993 kHz, but in each of these cases emissions must be confined in a band of ± 3 kHz about the frequency. (WRC-07)']),
    (2190500, 2194001): (False, False, True, False, False, ['Maritime Mobile'], [], []),
    (2194000, 2300001): (False, True, True, False, False, [], [], ['[5.112]: Alternative allocation: in Denmark and Sri Lanka, the band 2 194-2 300 kHz is allocated to the fixed and mobile, except aeronautical mobile, services on a primary basis. (WRC-12)']),
    (2300000, 2495001): (False, True, True, True, False, ['Broadcasting [5.113]'], [], ['[5.113]: For the conditions for the use of the bands 2 300-2 495 kHz (2 498 kHz in Region 1), 3 200-3 400 kHz, 4 750-4 995 kHz and 5 005-5 060 kHz by the broadcasting service, see Nos. 5.16 to 5.20, 5.21 and 23.3 to 23.10.']),
    (2495000, 2501001): (False, False, False, False, False, ['Standard Frequency And Time Signal (2 500 Khz)'], [], []),
    (2501000, 2502001): (False, False, False, False, False, ['Standard Frequency And Time Signal'], ['Space Research'], []),
    (2502000, 2505001): (False, False, False, False, False, ['Standard Frequency And Time Signal'], [], []),
    (2505000, 2850001): (False, True, True, False, False, [], [], []),
    (2850000, 3025001): (False, False, True, False, False, ['Aeronautical Mobile (R)'], [], ['[5.111]: The carrier frequencies 2 182 kHz, 3 023 kHz, 5 680 kHz, 8 364 kHz and the frequencies 121.5 MHz, 156.525 MHz, 156.8 MHz and 243 MHz may also be used, in accordance with the procedures in force for terrestrial radiocommunication services, for search and rescue operations concerning manned space vehicles. The conditions for the use of the frequencies are prescribed in Article 31.The same applies to the frequencies 10 003 kHz, 14 993 kHz and 19 993 kHz, but in each of these cases emissions must be confined in a band of ± 3 kHz about the frequency. (WRC-07) ', '[5.115]: The carrier (reference) frequencies 3 023 kHz and 5 680 kHz may also be used, in accordance with Article 31, by stations of the maritime mobile service engaged in coordinated search and rescue operations. (WRC-07)']),
    (3025000, 3155001): (False, False, True, False, False, ['Aeronautical Mobile (Or)'], [], []),
    (3155000, 3200001): (False, True, True, False, False, ['Mobile Except Aeronautical Mobile (R)'], [], ['[5.116]: Administrations are urged to authorize the use of the band 3 155-3 195 kHz to provide a common worldwide channel for low power wireless hearing aids. Additional channels for these devices may be assigned by administrations in the bands between 3 155 kHz and 3 400 kHz to suit local needs.It should be noted that frequencies in the range 3 000 kHz to 4 000 kHz are suitable for hearing aid devices which are designed to operate over short distances within the induction field. ', "[5.117]: Alternative allocation: in Côte d'Ivoire, Denmark, Egypt, Liberia, Sri Lanka and Togo, the band 3 155-3 200 kHz is allocated to the fixed and mobile, except aeronautical mobile, services on a primary basis. (WRC-12)"]),
    (3200000, 3230001): (False, True, True, True, False, ['Mobile Except Aeronautical Mobile (R)', 'Broadcasting [5.113]'], [], ['[5.113]: For the conditions for the use of the bands 2 300-2 495 kHz (2 498 kHz in Region 1), 3 200-3 400 kHz, 4 750-4 995 kHz and 5 005-5 060 kHz by the broadcasting service, see Nos. 5.16 to 5.20, 5.21 and 23.3 to 23.10.', '[5.116]: Administrations are urged to authorize the use of the band 3 155-3 195 kHz to provide a common worldwide channel for low power wireless hearing aids. Additional channels for these devices may be assigned by administrations in the bands between 3 155 kHz and 3 400 kHz to suit local needs.It should be noted that frequencies in the range 3 000 kHz to 4 000 kHz are suitable for hearing aid devices which are designed to operate over short distances within the induction field.']),
    (3230000, 3400001): (False, True, True, True, False, ['Mobile Except Aeronautical Mobile', 'Broadcasting [5.113]'], [], ['[5.113]: For the conditions for the use of the bands 2 300-2 495 kHz (2 498 kHz in Region 1), 3 200-3 400 kHz, 4 750-4 995 kHz and 5 005-5 060 kHz by the broadcasting service, see Nos. 5.16 to 5.20, 5.21 and 23.3 to 23.10.', '[5.116]: Administrations are urged to authorize the use of the band 3 155-3 195 kHz to provide a common worldwide channel for low power wireless hearing aids. Additional channels for these devices may be assigned by administrations in the bands between 3 155 kHz and 3 400 kHz to suit local needs.It should be noted that frequencies in the range 3 000 kHz to 4 000 kHz are suitable for hearing aid devices which are designed to operate over short distances within the induction field. ', '[5.118]: Additional allocation: in the United States, Mexico, Peru and Uruguay, the band 3 230-3 400 kHz is also allocated to the radiolocation service on a secondary basis. (WRC-03)']),
    (3400000, 3500001): (False, False, True, False, False, ['Aeronautical Mobile (R)'], [], []),
    (3500000, 3900001): (True, True, True, False, False, ['Amateur'], [], []),
    (3900000, 3950001): (False, False, True, True, False, ['Aeronautical Mobile', 'Broadcasting'], [], []),
    (3950000, 4000001): (False, True, False, True, False, ['Broadcasting'], [], ['[5.126]: In Region 3, the stations of those services to which the band 3 995-4 005 kHz is allocated may transmit standard frequency and time signals.']),
    (4000000, 4063000): (False, True, True, False, False, ['Maritime Mobile [5.127]'], [], ['[5.127]: The use of the band 4 000-4 063 kHz by the maritime mobile service is limited to ship stations using radiotelephony (see No. 52.220 and Appendix 17).', '[5.126]: In Region 3, the stations of those services to which the band 3 995-4 005 kHz is allocated may transmit standard frequency and time signals.']),
    (4062999, 4438001): (False, False, True, False, False, ['Maritime Mobile [5.79A][5.109][5.110][5.130][5.131][5.132]'], [], ['[5.79A]: When establishing coast stations in the NAVTEX service on the frequencies 490 kHz, 518 kHz and 4 209.5 kHz, administrations are strongly recommended to coordinate the operating characteristics in accordance with the procedures of the International Maritime Organization (IMO) (see Resolution 339 (Rev.WRC-07)). (WRC-07)', '[5.109]: The frequencies 2 187.5 kHz, 4 207.5 kHz, 6 312 kHz, 8 414.5 kHz, 12 577 kHz and 16 804.5 kHz are international distress frequencies for digital selective calling. The conditions for the use of these frequencies are prescribed in Article 31.', '[5.110]: The frequencies 2 174.5 kHz, 4 177.5 kHz, 6 268 kHz, 8 376.5 kHz, 12 520 kHz and 16 695 kHz are international distress frequencies for narrow-band direct-printing telegraphy. The conditions for the use of these frequencies are prescribed in Article 31.', '[5.130]: The conditions for the use of the carrier frequencies 4 125 kHz and 6 215 kHz are prescribed in Articles 31 and 52. (WRC-07)', '[5.131]: The frequency 4 209.5 kHz is used exclusively for the transmission by coast stations of meteorological and navigational warnings and urgent information to ships by means of narrow-band direct-printing techniques. (WRC-97)', '[5.132]: The frequencies 4 210 kHz, 6 314 kHz, 8 416.5 kHz, 12 579 kHz, 16 806.5 kHz, 19 680.5 kHz, 22 376 kHz and 26 100.5 kHz are the international frequencies for the transmission of maritime safety information (MSI) (see Appendix 17).', '[5.128]: Frequencies in the bands 4 063-4 123 kHz and 4 130-4 438 kHz may be used exceptionally by stations in the fixed service, communicating only within the boundary of the country in which they are located, with a mean power not exceeding 50 W, on condition that harmful interference is not caused to the maritime mobile service. In addition, in Afghanistan, Argentina, Armenia, Azerbaijan, Belarus, Botswana, Burkina Faso, the Central African Rep., China, the Russian Federation, Georgia, India, Kazakhstan, Mali, Niger, Pakistan, Kyrgyzstan, Tajikistan, Chad, Turkmenistan and Ukraine, in the bands 4 063-4 123 kHz, 4 130-4 133 kHz and 4 408-4 438 kHz, stations in the fixed service, with a mean power not exceeding 1 kW, can be operated on condition that they are situated at least 600 km from the coast and that harmful interference is not caused to the maritime mobile service. (WRC-12)']),
    (4438000, 4488001): (False, True, True, False, False, ['Mobile Except Aeronautical Mobile'], ['Radiolocation [5.132A]'], ['[5.132A]: Stations in the radiolocation service shall not cause harmful interference to, or claim protection from, stations operating in the fixed or mobile services. Applications of the radiolocation service are limited to oceanographic radars operating in accordance with Resolution 612 (Rev.WRC-12). (WRC-12)']),
    (4488000, 4650001): (False, True, True, False, False, ['Mobile Except Aeronautical Mobile'], [], []),
    (4650000, 4700001): (False, False, True, False, False, ['Aeronautical Mobile (R)'], [], []),
    (4700000, 4750001): (False, False, True, False, False, ['Aeronautical Mobile (Or)'], [], []),
    (4750000, 4850001): (False, True, False, True, False, ['Broadcasting [5.113]'], ['Land Mobile'], ['[5.113]: For the conditions for the use of the bands 2 300-2 495 kHz (2 498 kHz in Region 1), 3 200-3 400 kHz, 4 750-4 995 kHz and 5 005-5 060 kHz by the broadcasting service, see Nos. 5.16 to 5.20, 5.21 and 23.3 to 23.10.']),
    (4850000, 4995001): (False, True, True, True, False, ['Land Mobile', 'Broadcasting [5.113]'], [], ['[5.113]: For the conditions for the use of the bands 2 300-2 495 kHz (2 498 kHz in Region 1), 3 200-3 400 kHz, 4 750-4 995 kHz and 5 005-5 060 kHz by the broadcasting service, see Nos. 5.16 to 5.20, 5.21 and 23.3 to 23.10.']),
    (4995000, 5003001): (False, False, False, False, False, ['Standard Frequency And Time Signal (5 000 Khz)'], [], []),
    (5003000, 5005001): (False, False, False, False, False, ['Standard Frequency And Time Signal'], ['Space Research'], []),
    (5005000, 5060001): (False, True, False, True, False, ['Broadcasting [5.113]'], [], ['[5.113]: For the conditions for the use of the bands 2 300-2 495 kHz (2 498 kHz in Region 1), 3 200-3 400 kHz, 4 750-4 995 kHz and 5 005-5 060 kHz by the broadcasting service, see Nos. 5.16 to 5.20, 5.21 and 23.3 to 23.10.']),
    (5060000, 5250001): (False, True, True, False, False, [], ['Mobile Except Aeronautical Mobile'], ['[5.133]: Different category of service: in Armenia, Azerbaijan, Belarus, the Russian Federation, Georgia, Kazakhstan, Latvia, Lithuania, Niger, Uzbekistan, Kyrgyzstan, Tajikistan, Turkmenistan and Ukraine, the allocation of the band 5 130-5 250 kHz to the mobile, except aeronautical mobile, service is on a primary basis (see No. 5.33). (WRC-12)']),
    (5250000, 5275001): (False, True, True, False, False, ['Mobile Except Aeronautical Mobile'], ['Radiolocation [5.132A]'], ['[5.132A]: Stations in the radiolocation service shall not cause harmful interference to, or claim protection from, stations operating in the fixed or mobile services. Applications of the radiolocation service are limited to oceanographic radars operating in accordance with Resolution 612 (Rev.WRC-12). (WRC-12)']),
    (5275000, 5351501): (False, True, True, False, False, ['Mobile Except Aeronautical Mobile'], [], []),
    (5351500, 5366501): (True, True, True, False, False, ['Mobile Except Aeronautical Mobile'], ['Amateur [5.133B]'], ['[5.133B]: Stations in the amateur service using the frequency band 5 351.5-5 366.5 kHz shall not exceed a maximum radiated power of 15 W (e.i.r.p.). However, in Region 2 in Mexico, stations in the amateur service using the frequency band 5 351.5-5 366.5 kHz shall not exceed a maximum radiated power of 20 W (e.i.r.p.). In the following Region 2 countries: Antigua and Barbuda, Argentina, Bahamas, Barbados, Belize, Bolivia, Brazil, Chile, Colombia, Costa Rica, Cuba, Dominican Republic, Dominica, El Salvador, Ecuador, Grenada, Guatemala, Guyana, Haiti, Honduras, Jamaica, Nicaragua, Panama, Paraguay, Peru, Saint Lucia, Saint Kitts and Nevis, Saint Vincent and the Grenadines, Suriname, Trinidad and Tobago, Uruguay, Venezuela, as well as the overseas territories of the Netherlands in Region 2, stations in the amateur service using the frequency band 5 351.5-5 366.5 kHz shall not exceed a maximum radiated power of 25 W (e.i.r.p.). (WRC-15)']),
    (5366500, 5450001): (False, True, True, False, False, ['Mobile Except Aeronautical Mobile'], [], []),
    (5450000, 5480001): (False, True, True, False, False, ['Aeronautical Mobile (Or)', 'Land Mobile'], [], []),
    (5480000, 5680001): (False, False, True, False, False, ['Aeronautical Mobile (R)'], [], ['[5.111]: The carrier frequencies 2 182 kHz, 3 023 kHz, 5 680 kHz, 8 364 kHz and the frequencies 121.5 MHz, 156.525 MHz, 156.8 MHz and 243 MHz may also be used, in accordance with the procedures in force for terrestrial radiocommunication services, for search and rescue operations concerning manned space vehicles. The conditions for the use of the frequencies are prescribed in Article 31.The same applies to the frequencies 10 003 kHz, 14 993 kHz and 19 993 kHz, but in each of these cases emissions must be confined in a band of ± 3 kHz about the frequency. (WRC-07) ', '[5.115]: The carrier (reference) frequencies 3 023 kHz and 5 680 kHz may also be used, in accordance with Article 31, by stations of the maritime mobile service engaged in coordinated search and rescue operations. (WRC-07)']),
    (5680000, 5730001): (False, False, True, False, False, ['Aeronautical Mobile (Or)'], [], ['[5.111]: The carrier frequencies 2 182 kHz, 3 023 kHz, 5 680 kHz, 8 364 kHz and the frequencies 121.5 MHz, 156.525 MHz, 156.8 MHz and 243 MHz may also be used, in accordance with the procedures in force for terrestrial radiocommunication services, for search and rescue operations concerning manned space vehicles. The conditions for the use of the frequencies are prescribed in Article 31.The same applies to the frequencies 10 003 kHz, 14 993 kHz and 19 993 kHz, but in each of these cases emissions must be confined in a band of ± 3 kHz about the frequency. (WRC-07) ', '[5.115]: The carrier (reference) frequencies 3 023 kHz and 5 680 kHz may also be used, in accordance with Article 31, by stations of the maritime mobile service engaged in coordinated search and rescue operations. (WRC-07)']),
    (5730000, 5900001): (False, True, True, False, False, [], ['Mobile Except Aeronautical Mobile (R)'], []),
    (5900000, 5950001): (False, False, False, True, False, ['Broadcasting [5.134]'], [], ['[5.134]: The use of the bands 5 900-5 950 kHz, 7 300-7 350 kHz, 9 400-9 500 kHz, 11 600-11 650 kHz, 12 050-12 100 kHz, 13 570-13 600 kHz, 13 800-13 870 kHz, 15 600-15 800 kHz, 17 480-17 550 kHz and 18 900-19 020 kHz by the broadcasting service is subject to the application of the procedure of Article 12. Administrations are encouraged to use these bands to facilitate the introduction of digitally modulated emissions in accordance with the provisions of Resolution 517 (Rev.WRC-07)*. (WRC-07)', '[5.136]: Additional allocation: frequencies in the band 5 900-5 950 kHz may be used by stations in the following services, communicating only within the boundary of the country in which they are located: fixed service (in all three Regions), land mobile service (in Region 1), mobile except aeronautical mobile (R) service (in Regions 2 and 3), on condition that harmful interference is not caused to the broadcasting service. When using frequencies for these services, administrations are urged to use the minimum power required and to take account of the seasonal use of frequencies by the broadcasting service published in accordance with the Radio Regulations. (WRC-07)']),
    (5950000, 6200001): (False, False, False, True, False, ['Broadcasting'], [], []),
    (6200000, 6525001): (False, False, True, False, False, ['Maritime Mobile [5.109][5.110][5.130][5.132]'], [], ['[5.109]: The frequencies 2 187.5 kHz, 4 207.5 kHz, 6 312 kHz, 8 414.5 kHz, 12 577 kHz and 16 804.5 kHz are international distress frequencies for digital selective calling. The conditions for the use of these frequencies are prescribed in Article 31.', '[5.110]: The frequencies 2 174.5 kHz, 4 177.5 kHz, 6 268 kHz, 8 376.5 kHz, 12 520 kHz and 16 695 kHz are international distress frequencies for narrow-band direct-printing telegraphy. The conditions for the use of these frequencies are prescribed in Article 31.', '[5.130]: The conditions for the use of the carrier frequencies 4 125 kHz and 6 215 kHz are prescribed in Articles 31 and 52. (WRC-07)', '[5.132]: The frequencies 4 210 kHz, 6 314 kHz, 8 416.5 kHz, 12 579 kHz, 16 806.5 kHz, 19 680.5 kHz, 22 376 kHz and 26 100.5 kHz are the international frequencies for the transmission of maritime safety information (MSI) (see Appendix 17).', '[5.137]: On condition that harmful interference is not caused to the maritime mobile service, the bands 6 200-6 213.5 kHz and 6 220.5-6 525 kHz may be used exceptionally by stations in the fixed service, communicating only within the boundary of the country in which they are located, with a mean power not exceeding 50 W. At the time of notification of these frequencies, the attention of the Bureau will be drawn to the above conditions.']),
    (6525000, 6685001): (False, False, True, False, False, ['Aeronautical Mobile (R)'], [], []),
    (6685000, 6765001): (False, False, True, False, False, ['Aeronautical Mobile (Or)'], [], []),
    (6765000, 7000001): (False, True, True, False, False, ['Mobile Except Aeronautical Mobile (R)'], [], ['[5.138]: The following bands:6 765-6 795 kHz (centre frequency 6 780 kHz), 433.05-434.79 MHz (centre frequency 433.92 MHz) in Region 1 except in the countries mentioned in No. 5.280, 61-61.5 GHz (centre frequency 61.25 GHz), 122-123 GHz (centre frequency 122.5 GHz), and 244-246 GHz (centre frequency 245 GHz) are designated for industrial, scientific and medical (ISM) applications. The use of these frequency bands for ISM applications shall be subject to special authorization by the administration concerned, in agreement with other administrations whose radiocommunication services might be affected. In applying this provision, administrations shall have due regard to the latest relevant ITU-R Recommendations.']),
    (7000000, 7100001): (True, False, False, False, False, ['Amateur', 'Amateur-Satellite'], [], ['[5.140]: Additional allocation: in Angola, Iraq, Somalia and Togo, the frequency band 7 000-7 050 kHz is also allocated to the fixed service on a primary basis. (WRC-15)', '[5.141]: Alternative allocation: in Egypt, Eritrea, Ethiopia, Guinea, Libya, Madagascar and Niger, the band 7 000-7 050 kHz is allocated to the fixed service on a primary basis. (WRC-12)', '[5.141A]: Additional allocation: in Uzbekistan and Kyrgyzstan, the bands 7 000-7 100 kHz and 7 100-7 200 kHz are also allocated to the fixed and land mobile services on a secondary basis. (WRC-03)']),
    (7100000, 7200001): (True, False, False, False, False, ['Amateur'], [], ['[5.141A]: Additional allocation: in Uzbekistan and Kyrgyzstan, the bands 7 000-7 100 kHz and 7 100-7 200 kHz are also allocated to the fixed and land mobile services on a secondary basis. (WRC-03)', '[5.141B]: Additional allocation: in Algeria, Saudi Arabia, Australia, Bahrain, Botswana, Brunei Darussalam, China, Comoros, Korea (Rep. of), Diego Garcia, Djibouti, Egypt, United Arab Emirates, Eritrea, Guinea, Indonesia, Iran (Islamic Republic of), Japan, Jordan, Kuwait, Libya, Mali, Morocco, Mauritania, Niger, New Zealand, Oman, Papua New Guinea, Qatar, the Syrian Arab Republic, Singapore, Sudan, South Sudan, Tunisia, Viet Nam and Yemen, the frequency band 7 100-7 200 kHz is also allocated to the fixed and the mobile, except aeronautical mobile (R), services on a primary basis. (WRC-15)']),
    (7200000, 7300001): (False, False, False, True, False, ['Broadcasting'], [], []),
    (7300000, 7400001): (False, False, False, True, False, ['Broadcasting [5.134]'], [], ['[5.134]: The use of the bands 5 900-5 950 kHz, 7 300-7 350 kHz, 9 400-9 500 kHz, 11 600-11 650 kHz, 12 050-12 100 kHz, 13 570-13 600 kHz, 13 800-13 870 kHz, 15 600-15 800 kHz, 17 480-17 550 kHz and 18 900-19 020 kHz by the broadcasting service is subject to the application of the procedure of Article 12. Administrations are encouraged to use these bands to facilitate the introduction of digitally modulated emissions in accordance with the provisions of Resolution 517 (Rev.WRC-07)*. (WRC-07)', '[5.143]: Additional allocation: frequencies in the band 7 300-7 350 kHz may be used by stations in the fixed service and in the land mobile service, communicating only within the boundary of the country in which they are located, on condition that harmful interference is not caused to the broadcasting service. When using frequencies for these services, administrations are urged to use the minimum power required and to take account of the seasonal use of frequencies by the broadcasting service published in accordance with the Radio Regulations. (WRC-07)', '[5.143A]: In Region 3, frequencies in the band 7 350-7 450 kHz may be used by stations in the fixed service on a primary basis and land mobile service on a secondary basis, communicating only within the boundary of the country in which they are located, on condition that harmful interference is not caused to the broadcasting service. When using frequencies for these services, administrations are urged to use the minimum power required and to take account of the seasonal use of frequencies by the broadcasting service published in accordance with the Radio Regulations. (WRC-12)', '[5.143B]: In Region 1, frequencies in the band 7 350-7 450 kHz may be used by stations in the fixed and land mobile services communicating only within the boundary of the country in which they are located on condition that harmful interference is not caused to the broadcasting service. The total radiated power of each station shall not exceed 24 dBW. (WRC-12)', '[5.143C]: Additional allocation: in Algeria, Saudi Arabia, Bahrain, Comoros, Djibouti, Egypt, United Arab Emirates, Iran (Islamic Republic of), Jordan, Kuwait, Libya, Morocco, Mauritania, Niger, Oman, Qatar, the Syrian Arab Republic, Sudan, South Sudan, Tunisia and Yemen, the bands 7 350-7 400 kHz and 7 400-7 450 kHz are also allocated to the fixed service on a primary basis. (WRC-12)', '[5.143D]: In Region 2, frequencies in the band 7 350-7 400 kHz may be used by stations in the fixed service and in the land mobile service, communicating only within the boundary of the country in which they are located, on condition that harmful interference is not caused to the broadcasting service. When using frequencies for these services, administrations are urged to use the minimum power required and to take account of the seasonal use of frequencies by the broadcasting service published in accordance with the Radio Regulations. (WRC-12)']),
    (7400000, 7450001): (False, False, False, True, False, ['Broadcasting'], [], ['[5.143A]: In Region 3, frequencies in the band 7 350-7 450 kHz may be used by stations in the fixed service on a primary basis and land mobile service on a secondary basis, communicating only within the boundary of the country in which they are located, on condition that harmful interference is not caused to the broadcasting service. When using frequencies for these services, administrations are urged to use the minimum power required and to take account of the seasonal use of frequencies by the broadcasting service published in accordance with the Radio Regulations. (WRC-12)', '[5.143C]: Additional allocation: in Algeria, Saudi Arabia, Bahrain, Comoros, Djibouti, Egypt, United Arab Emirates, Iran (Islamic Republic of), Jordan, Kuwait, Libya, Morocco, Mauritania, Niger, Oman, Qatar, the Syrian Arab Republic, Sudan, South Sudan, Tunisia and Yemen, the bands 7 350-7 400 kHz and 7 400-7 450 kHz are also allocated to the fixed service on a primary basis. (WRC-12)']),
    (7450000, 8100001): (False, True, True, False, False, ['Mobile Except Aeronautical Mobile (R)'], [], ['[5.144]: In Region 3, the stations of those services to which the band 7 995-8 005 kHz is allocated may transmit standard frequency and time signals.']),
    (8100000, 8195001): (False, True, True, False, False, ['Maritime Mobile'], [], []),
    (8195000, 8815001): (False, False, True, False, False, ['Maritime Mobile [5.109][5.110][5.132][5.145]'], [], ['[5.109]: The frequencies 2 187.5 kHz, 4 207.5 kHz, 6 312 kHz, 8 414.5 kHz, 12 577 kHz and 16 804.5 kHz are international distress frequencies for digital selective calling. The conditions for the use of these frequencies are prescribed in Article 31.', '[5.110]: The frequencies 2 174.5 kHz, 4 177.5 kHz, 6 268 kHz, 8 376.5 kHz, 12 520 kHz and 16 695 kHz are international distress frequencies for narrow-band direct-printing telegraphy. The conditions for the use of these frequencies are prescribed in Article 31.', '[5.132]: The frequencies 4 210 kHz, 6 314 kHz, 8 416.5 kHz, 12 579 kHz, 16 806.5 kHz, 19 680.5 kHz, 22 376 kHz and 26 100.5 kHz are the international frequencies for the transmission of maritime safety information (MSI) (see Appendix 17).', '[5.145]: The conditions for the use of the carrier frequencies 8 291 kHz, 12 290 kHz and 16 420 kHz are prescribed in Articles 31 and 52. (WRC-07)', '[5.111]: The carrier frequencies 2 182 kHz, 3 023 kHz, 5 680 kHz, 8 364 kHz and the frequencies 121.5 MHz, 156.525 MHz, 156.8 MHz and 243 MHz may also be used, in accordance with the procedures in force for terrestrial radiocommunication services, for search and rescue operations concerning manned space vehicles. The conditions for the use of the frequencies are prescribed in Article 31.The same applies to the frequencies 10 003 kHz, 14 993 kHz and 19 993 kHz, but in each of these cases emissions must be confined in a band of ± 3 kHz about the frequency. (WRC-07)']),
    (8815000, 8965001): (False, False, True, False, False, ['Aeronautical Mobile (R)'], [], []),
    (8965000, 9040001): (False, False, True, False, False, ['Aeronautical Mobile (Or)'], [], []),
    (9040000, 9305001): (False, True, False, False, False, [], [], []),
    (9305000, 9355001): (False, True, False, False, False, [], ['Radiolocation [5.145A]'], ['[5.145A]: Stations in the radiolocation service shall not cause harmful interference to, or claim protection from, stations operating in the fixed service. Applications of the radiolocation service are limited to oceanographic radars operating in accordance with Resolution 612 (Rev.WRC-12). (WRC-12)']),
    (9355000, 9400001): (False, True, False, False, False, [], [], []),
    (9400000, 9500001): (False, False, False, True, False, ['Broadcasting [5.134]'], [], ['[5.134]: The use of the bands 5 900-5 950 kHz, 7 300-7 350 kHz, 9 400-9 500 kHz, 11 600-11 650 kHz, 12 050-12 100 kHz, 13 570-13 600 kHz, 13 800-13 870 kHz, 15 600-15 800 kHz, 17 480-17 550 kHz and 18 900-19 020 kHz by the broadcasting service is subject to the application of the procedure of Article 12. Administrations are encouraged to use these bands to facilitate the introduction of digitally modulated emissions in accordance with the provisions of Resolution 517 (Rev.WRC-07)*. (WRC-07)', '[5.146]: Additional allocation: frequencies in the bands 9 400-9 500 kHz, 11 600-11 650 kHz, 12 050-12 100 kHz, 15 600-15 800 kHz, 17 480-17 550 kHz and 18 900-19 020 kHz may be used by stations in the fixed service, communicating only within the boundary of the country in which they are located, on condition that harmful interference is not caused to the broadcasting service. When using frequencies in the fixed service, administrations are urged to use the minimum power required and to take account of the seasonal use of frequencies by the broadcasting service published in accordance with the Radio Regulations. (WRC-07)']),
    (9500000, 9900001): (False, False, False, True, False, ['Broadcasting'], [], ['[5.147]: On condition that harmful interference is not caused to the broadcasting service, frequencies in the bands 9 775-9 900 kHz, 11 650-11 700 kHz and 11 975-12 050 kHz may be used by stations in the fixed service communicating only within the boundary of the country in which they are located, each station using a total radiated power not exceeding 24 dBW.']),
    (9900000, 9995001): (False, True, False, False, False, [], [], []),
    (9995000, 10003001): (False, False, False, False, False, ['Standard Frequency And Time Signal (10 000 Khz)'], [], ['[5.111]: The carrier frequencies 2 182 kHz, 3 023 kHz, 5 680 kHz, 8 364 kHz and the frequencies 121.5 MHz, 156.525 MHz, 156.8 MHz and 243 MHz may also be used, in accordance with the procedures in force for terrestrial radiocommunication services, for search and rescue operations concerning manned space vehicles. The conditions for the use of the frequencies are prescribed in Article 31.The same applies to the frequencies 10 003 kHz, 14 993 kHz and 19 993 kHz, but in each of these cases emissions must be confined in a band of ± 3 kHz about the frequency. (WRC-07)']),
    (10003000, 10005001): (False, False, False, False, False, ['Standard Frequency And Time Signal'], ['Space Research'], ['[5.111]: The carrier frequencies 2 182 kHz, 3 023 kHz, 5 680 kHz, 8 364 kHz and the frequencies 121.5 MHz, 156.525 MHz, 156.8 MHz and 243 MHz may also be used, in accordance with the procedures in force for terrestrial radiocommunication services, for search and rescue operations concerning manned space vehicles. The conditions for the use of the frequencies are prescribed in Article 31.The same applies to the frequencies 10 003 kHz, 14 993 kHz and 19 993 kHz, but in each of these cases emissions must be confined in a band of ± 3 kHz about the frequency. (WRC-07)']),
    (10005000, 10100001): (False, False, True, False, False, ['Aeronautical Mobile (R)'], [], ['[5.111]: The carrier frequencies 2 182 kHz, 3 023 kHz, 5 680 kHz, 8 364 kHz and the frequencies 121.5 MHz, 156.525 MHz, 156.8 MHz and 243 MHz may also be used, in accordance with the procedures in force for terrestrial radiocommunication services, for search and rescue operations concerning manned space vehicles. The conditions for the use of the frequencies are prescribed in Article 31.The same applies to the frequencies 10 003 kHz, 14 993 kHz and 19 993 kHz, but in each of these cases emissions must be confined in a band of ± 3 kHz about the frequency. (WRC-07)']),
    (10100000, 10150001): (True, True, False, False, False, [], ['Amateur'], []),
    (10150000, 11175001): (False, True, True, False, False, [], ['Mobile Except Aeronautical Mobile (R)'], []),
    (11175000, 11275001): (False, False, True, False, False, ['Aeronautical Mobile (Or)'], [], []),
    (11275000, 11400001): (False, False, True, False, False, ['Aeronautical Mobile (R)'], [], []),
    (11400000, 11600001): (False, True, False, False, False, [], [], []),
    (11600000, 11650001): (False, False, False, True, False, ['Broadcasting [5.134]'], [], ['[5.134]: The use of the bands 5 900-5 950 kHz, 7 300-7 350 kHz, 9 400-9 500 kHz, 11 600-11 650 kHz, 12 050-12 100 kHz, 13 570-13 600 kHz, 13 800-13 870 kHz, 15 600-15 800 kHz, 17 480-17 550 kHz and 18 900-19 020 kHz by the broadcasting service is subject to the application of the procedure of Article 12. Administrations are encouraged to use these bands to facilitate the introduction of digitally modulated emissions in accordance with the provisions of Resolution 517 (Rev.WRC-07)*. (WRC-07)', '[5.146]: Additional allocation: frequencies in the bands 9 400-9 500 kHz, 11 600-11 650 kHz, 12 050-12 100 kHz, 15 600-15 800 kHz, 17 480-17 550 kHz and 18 900-19 020 kHz may be used by stations in the fixed service, communicating only within the boundary of the country in which they are located, on condition that harmful interference is not caused to the broadcasting service. When using frequencies in the fixed service, administrations are urged to use the minimum power required and to take account of the seasonal use of frequencies by the broadcasting service published in accordance with the Radio Regulations. (WRC-07)']),
    (11650000, 12050001): (False, False, False, True, False, ['Broadcasting'], [], ['[5.147]: On condition that harmful interference is not caused to the broadcasting service, frequencies in the bands 9 775-9 900 kHz, 11 650-11 700 kHz and 11 975-12 050 kHz may be used by stations in the fixed service communicating only within the boundary of the country in which they are located, each station using a total radiated power not exceeding 24 dBW.']),
    (12050000, 12100001): (False, False, False, True, False, ['Broadcasting [5.134]'], [], ['[5.134]: The use of the bands 5 900-5 950 kHz, 7 300-7 350 kHz, 9 400-9 500 kHz, 11 600-11 650 kHz, 12 050-12 100 kHz, 13 570-13 600 kHz, 13 800-13 870 kHz, 15 600-15 800 kHz, 17 480-17 550 kHz and 18 900-19 020 kHz by the broadcasting service is subject to the application of the procedure of Article 12. Administrations are encouraged to use these bands to facilitate the introduction of digitally modulated emissions in accordance with the provisions of Resolution 517 (Rev.WRC-07)*. (WRC-07)', '[5.146]: Additional allocation: frequencies in the bands 9 400-9 500 kHz, 11 600-11 650 kHz, 12 050-12 100 kHz, 15 600-15 800 kHz, 17 480-17 550 kHz and 18 900-19 020 kHz may be used by stations in the fixed service, communicating only within the boundary of the country in which they are located, on condition that harmful interference is not caused to the broadcasting service. When using frequencies in the fixed service, administrations are urged to use the minimum power required and to take account of the seasonal use of frequencies by the broadcasting service published in accordance with the Radio Regulations. (WRC-07)']),
    (12100000, 12230001): (False, True, False, False, False, [], [], []),
    (12230000, 13200001): (False, False, True, False, False, ['Maritime Mobile [5.109][5.110][5.132][5.145]'], [], ['[5.109]: The frequencies 2 187.5 kHz, 4 207.5 kHz, 6 312 kHz, 8 414.5 kHz, 12 577 kHz and 16 804.5 kHz are international distress frequencies for digital selective calling. The conditions for the use of these frequencies are prescribed in Article 31.', '[5.110]: The frequencies 2 174.5 kHz, 4 177.5 kHz, 6 268 kHz, 8 376.5 kHz, 12 520 kHz and 16 695 kHz are international distress frequencies for narrow-band direct-printing telegraphy. The conditions for the use of these frequencies are prescribed in Article 31.', '[5.132]: The frequencies 4 210 kHz, 6 314 kHz, 8 416.5 kHz, 12 579 kHz, 16 806.5 kHz, 19 680.5 kHz, 22 376 kHz and 26 100.5 kHz are the international frequencies for the transmission of maritime safety information (MSI) (see Appendix 17).', '[5.145]: The conditions for the use of the carrier frequencies 8 291 kHz, 12 290 kHz and 16 420 kHz are prescribed in Articles 31 and 52. (WRC-07)']),
    (13200000, 13260001): (False, False, True, False, False, ['Aeronautical Mobile (Or)'], [], []),
    (13260000, 13360001): (False, False, True, False, False, ['Aeronautical Mobile (R)'], [], []),
    (13360000, 13410001): (False, True, False, False, False, ['Radio Astronomy'], [], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07)']),
    (13410000, 13450001): (False, True, True, False, False, [], ['Mobile Except Aeronautical Mobile (R)'], []),
    (13450000, 13550001): (False, True, True, False, False, [], ['Mobile Except Aeronautical Mobile (R)', 'Radiolocation [5.132A]'], ['[5.132A]: Stations in the radiolocation service shall not cause harmful interference to, or claim protection from, stations operating in the fixed or mobile services. Applications of the radiolocation service are limited to oceanographic radars operating in accordance with Resolution 612 (Rev.WRC-12). (WRC-12)']),
    (13550000, 13570001): (False, True, True, False, False, [], ['Mobile Except Aeronautical Mobile (R)'], ['[5.150]: The following bands:13 553-13 567 kHz (centre frequency 13 560 kHz), 26 957-27 283 kHz (centre frequency 27 120 kHz), 40.66-40.70 MHz (centre frequency 40.68 MHz), 902-928 MHz in Region 2 (centre frequency 915 MHz), 2 400-2 500 MHz (centre frequency 2 450 MHz), 5 725-5 875 MHz (centre frequency 5 800 MHz), and 24-24.25 GHz (centre frequency 24.125 GHz) are also designated for industrial, scientific and medical (ISM) applications. Radiocommunication services operating within these bands must accept harmful interference which may be caused by these applications. ISM equipment operating in these bands is subject to the provisions of No. 15.13.']),
    (13570000, 13600001): (False, False, False, True, False, ['Broadcasting [5.134]'], [], ['[5.134]: The use of the bands 5 900-5 950 kHz, 7 300-7 350 kHz, 9 400-9 500 kHz, 11 600-11 650 kHz, 12 050-12 100 kHz, 13 570-13 600 kHz, 13 800-13 870 kHz, 15 600-15 800 kHz, 17 480-17 550 kHz and 18 900-19 020 kHz by the broadcasting service is subject to the application of the procedure of Article 12. Administrations are encouraged to use these bands to facilitate the introduction of digitally modulated emissions in accordance with the provisions of Resolution 517 (Rev.WRC-07)*. (WRC-07)', '[5.151]: Additional allocation: frequencies in the bands 13 570-13 600 kHz and 13 800-13 870 kHz may be used by stations in the fixed service and in the mobile except aeronautical mobile (R) service, communicating only within the boundary of the country in which they are located, on the condition that harmful interference is not caused to the broadcasting service. When using frequencies in these services, administrations are urged to use the minimum power required and to take account of the seasonal use of frequencies by the broadcasting service published in accordance with the Radio Regulations. (WRC-07)']),
    (13600000, 13800001): (False, False, False, True, False, ['Broadcasting'], [], []),
    (13800000, 13870001): (False, False, False, True, False, ['Broadcasting [5.134]'], [], ['[5.134]: The use of the bands 5 900-5 950 kHz, 7 300-7 350 kHz, 9 400-9 500 kHz, 11 600-11 650 kHz, 12 050-12 100 kHz, 13 570-13 600 kHz, 13 800-13 870 kHz, 15 600-15 800 kHz, 17 480-17 550 kHz and 18 900-19 020 kHz by the broadcasting service is subject to the application of the procedure of Article 12. Administrations are encouraged to use these bands to facilitate the introduction of digitally modulated emissions in accordance with the provisions of Resolution 517 (Rev.WRC-07)*. (WRC-07)', '[5.151]: Additional allocation: frequencies in the bands 13 570-13 600 kHz and 13 800-13 870 kHz may be used by stations in the fixed service and in the mobile except aeronautical mobile (R) service, communicating only within the boundary of the country in which they are located, on the condition that harmful interference is not caused to the broadcasting service. When using frequencies in these services, administrations are urged to use the minimum power required and to take account of the seasonal use of frequencies by the broadcasting service published in accordance with the Radio Regulations. (WRC-07)']),
    (13870000, 14000001): (False, True, True, False, False, [], ['Mobile Except Aeronautical Mobile (R)'], []),
    (14000000, 14250001): (True, False, False, False, False, ['Amateur', 'Amateur-Satellite'], [], []),
    (14250000, 14350001): (True, False, False, False, False, ['Amateur'], [], ['[5.152]: Additional allocation: in Armenia, Azerbaijan, China, Côte d’Ivoire, the Russian Federation, Georgia, Iran (Islamic Republic of), Kazakhstan, Uzbekistan, Kyrgyzstan, Tajikistan, Turkmenistan and Ukraine, the band 14 250-14 350 kHz is also allocated to the fixed service on a primary basis. Stations of the fixed service shall not use a radiated power exceeding 24 dBW. (WRC-03)']),
    (14350000, 14990001): (False, True, True, False, False, [], ['Mobile Except Aeronautical Mobile (R)'], []),
    (14990000, 15005001): (False, False, False, False, False, ['Standard Frequency And Time Signal (15 000 Khz)'], [], ['[5.111]: The carrier frequencies 2 182 kHz, 3 023 kHz, 5 680 kHz, 8 364 kHz and the frequencies 121.5 MHz, 156.525 MHz, 156.8 MHz and 243 MHz may also be used, in accordance with the procedures in force for terrestrial radiocommunication services, for search and rescue operations concerning manned space vehicles. The conditions for the use of the frequencies are prescribed in Article 31.The same applies to the frequencies 10 003 kHz, 14 993 kHz and 19 993 kHz, but in each of these cases emissions must be confined in a band of ± 3 kHz about the frequency. (WRC-07)']),
    (15005000, 15010001): (False, False, False, False, False, ['Standard Frequency And Time Signal'], ['Space Research'], []),
    (15010000, 15100001): (False, False, True, False, False, ['Aeronautical Mobile (Or)'], [], []),
    (15100000, 15600001): (False, False, False, True, False, ['Broadcasting'], [], []),
    (15600000, 15800001): (False, False, False, True, False, ['Broadcasting [5.134]'], [], ['[5.134]: The use of the bands 5 900-5 950 kHz, 7 300-7 350 kHz, 9 400-9 500 kHz, 11 600-11 650 kHz, 12 050-12 100 kHz, 13 570-13 600 kHz, 13 800-13 870 kHz, 15 600-15 800 kHz, 17 480-17 550 kHz and 18 900-19 020 kHz by the broadcasting service is subject to the application of the procedure of Article 12. Administrations are encouraged to use these bands to facilitate the introduction of digitally modulated emissions in accordance with the provisions of Resolution 517 (Rev.WRC-07)*. (WRC-07)', '[5.146]: Additional allocation: frequencies in the bands 9 400-9 500 kHz, 11 600-11 650 kHz, 12 050-12 100 kHz, 15 600-15 800 kHz, 17 480-17 550 kHz and 18 900-19 020 kHz may be used by stations in the fixed service, communicating only within the boundary of the country in which they are located, on condition that harmful interference is not caused to the broadcasting service. When using frequencies in the fixed service, administrations are urged to use the minimum power required and to take account of the seasonal use of frequencies by the broadcasting service published in accordance with the Radio Regulations. (WRC-07)']),
    (15800000, 16100001): (False, True, False, False, False, [], [], ['[5.153]: In Region 3, the stations of those services to which the band 15 995-16 005 kHz is allocated may transmit standard frequency and time signals.']),
    (16100000, 16200001): (False, True, False, False, False, [], ['Radiolocation [5.145A]'], ['[5.145A]: Stations in the radiolocation service shall not cause harmful interference to, or claim protection from, stations operating in the fixed service. Applications of the radiolocation service are limited to oceanographic radars operating in accordance with Resolution 612 (Rev.WRC-12). (WRC-12)']),
    (16200000, 16360001): (False, True, False, False, False, [], [], []),
    (16360000, 17410001): (False, False, True, False, False, ['Maritime Mobile [5.109][5.110][5.132][5.145]'], [], ['[5.109]: The frequencies 2 187.5 kHz, 4 207.5 kHz, 6 312 kHz, 8 414.5 kHz, 12 577 kHz and 16 804.5 kHz are international distress frequencies for digital selective calling. The conditions for the use of these frequencies are prescribed in Article 31.', '[5.110]: The frequencies 2 174.5 kHz, 4 177.5 kHz, 6 268 kHz, 8 376.5 kHz, 12 520 kHz and 16 695 kHz are international distress frequencies for narrow-band direct-printing telegraphy. The conditions for the use of these frequencies are prescribed in Article 31.', '[5.132]: The frequencies 4 210 kHz, 6 314 kHz, 8 416.5 kHz, 12 579 kHz, 16 806.5 kHz, 19 680.5 kHz, 22 376 kHz and 26 100.5 kHz are the international frequencies for the transmission of maritime safety information (MSI) (see Appendix 17).', '[5.145]: The conditions for the use of the carrier frequencies 8 291 kHz, 12 290 kHz and 16 420 kHz are prescribed in Articles 31 and 52. (WRC-07)']),
    (17410000, 17480001): (False, True, False, False, False, [], [], []),
    (17480000, 17550001): (False, False, False, True, False, ['Broadcasting [5.134]'], [], ['[5.134]: The use of the bands 5 900-5 950 kHz, 7 300-7 350 kHz, 9 400-9 500 kHz, 11 600-11 650 kHz, 12 050-12 100 kHz, 13 570-13 600 kHz, 13 800-13 870 kHz, 15 600-15 800 kHz, 17 480-17 550 kHz and 18 900-19 020 kHz by the broadcasting service is subject to the application of the procedure of Article 12. Administrations are encouraged to use these bands to facilitate the introduction of digitally modulated emissions in accordance with the provisions of Resolution 517 (Rev.WRC-07)*. (WRC-07)', '[5.146]: Additional allocation: frequencies in the bands 9 400-9 500 kHz, 11 600-11 650 kHz, 12 050-12 100 kHz, 15 600-15 800 kHz, 17 480-17 550 kHz and 18 900-19 020 kHz may be used by stations in the fixed service, communicating only within the boundary of the country in which they are located, on condition that harmful interference is not caused to the broadcasting service. When using frequencies in the fixed service, administrations are urged to use the minimum power required and to take account of the seasonal use of frequencies by the broadcasting service published in accordance with the Radio Regulations. (WRC-07)']),
    (17550000, 17900001): (False, False, False, True, False, ['Broadcasting'], [], []),
    (17900000, 17970001): (False, False, True, False, False, ['Aeronautical Mobile (R)'], [], []),
    (17970000, 18030001): (False, False, True, False, False, ['Aeronautical Mobile (Or)'], [], []),
    (18030000, 18052001): (False, True, False, False, False, [], [], []),
    (18052000, 18068001): (False, True, False, False, False, [], ['Space Research'], []),
    (18068000, 18168001): (True, False, False, False, False, ['Amateur', 'Amateur-Satellite'], [], ['[5.154]: Additional allocation: in Armenia, Azerbaijan, the Russian Federation, Georgia, Kazakhstan, Kyrgyzstan, Tajikistan, Turkmenistan and Ukraine, the band 18 068-18 168 kHz is also allocated to the fixed service on a primary basis for use within their boundaries, with a peak envelope power not exceeding 1 kW. (WRC-03)']),
    (18168000, 18780001): (False, True, True, False, False, [], ['Mobile Except Aeronautical Mobile'], []),
    (18780000, 18900001): (False, False, True, False, False, ['Maritime Mobile'], [], []),
    (18900000, 19020001): (False, False, False, True, False, ['Broadcasting [5.134]'], [], ['[5.134]: The use of the bands 5 900-5 950 kHz, 7 300-7 350 kHz, 9 400-9 500 kHz, 11 600-11 650 kHz, 12 050-12 100 kHz, 13 570-13 600 kHz, 13 800-13 870 kHz, 15 600-15 800 kHz, 17 480-17 550 kHz and 18 900-19 020 kHz by the broadcasting service is subject to the application of the procedure of Article 12. Administrations are encouraged to use these bands to facilitate the introduction of digitally modulated emissions in accordance with the provisions of Resolution 517 (Rev.WRC-07)*. (WRC-07)', '[5.146]: Additional allocation: frequencies in the bands 9 400-9 500 kHz, 11 600-11 650 kHz, 12 050-12 100 kHz, 15 600-15 800 kHz, 17 480-17 550 kHz and 18 900-19 020 kHz may be used by stations in the fixed service, communicating only within the boundary of the country in which they are located, on condition that harmful interference is not caused to the broadcasting service. When using frequencies in the fixed service, administrations are urged to use the minimum power required and to take account of the seasonal use of frequencies by the broadcasting service published in accordance with the Radio Regulations. (WRC-07)']),
    (19020000, 19680001): (False, True, False, False, False, [], [], []),
    (19680000, 19800001): (False, False, True, False, False, ['Maritime Mobile [5.132]'], [], ['[5.132]: The frequencies 4 210 kHz, 6 314 kHz, 8 416.5 kHz, 12 579 kHz, 16 806.5 kHz, 19 680.5 kHz, 22 376 kHz and 26 100.5 kHz are the international frequencies for the transmission of maritime safety information (MSI) (see Appendix 17).']),
    (19800000, 19990001): (False, True, False, False, False, [], [], []),
    (19990000, 19995001): (False, False, False, False, False, ['Standard Frequency And Time Signal'], ['Space Research'], ['[5.111]: The carrier frequencies 2 182 kHz, 3 023 kHz, 5 680 kHz, 8 364 kHz and the frequencies 121.5 MHz, 156.525 MHz, 156.8 MHz and 243 MHz may also be used, in accordance with the procedures in force for terrestrial radiocommunication services, for search and rescue operations concerning manned space vehicles. The conditions for the use of the frequencies are prescribed in Article 31.The same applies to the frequencies 10 003 kHz, 14 993 kHz and 19 993 kHz, but in each of these cases emissions must be confined in a band of ± 3 kHz about the frequency. (WRC-07)']),
    (19995000, 20010001): (False, False, False, False, False, ['Standard Frequency And Time Signal (20 000 Khz)'], [], ['[5.111]: The carrier frequencies 2 182 kHz, 3 023 kHz, 5 680 kHz, 8 364 kHz and the frequencies 121.5 MHz, 156.525 MHz, 156.8 MHz and 243 MHz may also be used, in accordance with the procedures in force for terrestrial radiocommunication services, for search and rescue operations concerning manned space vehicles. The conditions for the use of the frequencies are prescribed in Article 31.The same applies to the frequencies 10 003 kHz, 14 993 kHz and 19 993 kHz, but in each of these cases emissions must be confined in a band of ± 3 kHz about the frequency. (WRC-07)']),
    (20010000, 21000001): (False, True, True, False, False, [], [], []),
    (21000000, 21450001): (True, False, False, False, False, ['Amateur', 'Amateur-Satellite'], [], []),
    (21450000, 21850001): (False, False, False, True, False, ['Broadcasting'], [], []),
    (21850000, 21870001): (False, True, False, False, False, ['Fixed [5.155A]'], [], ['[5.155A]: In Armenia, Azerbaijan, Belarus, the Russian Federation, Georgia, Kazakhstan, Moldova, Mongolia, Uzbekistan, Kyrgyzstan, Slovakia, Tajikistan, Turkmenistan and Ukraine, the use of the band 21 850-21 870 kHz by the fixed service is limited to provision of services related to aircraft flight safety. (WRC-07)', '[5.155]: Additional allocation: in Armenia, Azerbaijan, Belarus, the Russian Federation, Georgia, Kazakhstan, Moldova, Mongolia, Uzbekistan, Kyrgyzstan, Slovakia, Tajikistan, Turkmenistan and Ukraine, the band 21 850-21 870 kHz is also allocated to the aeronautical mobile (R) service on a primary basis. (WRC-07)']),
    (21870000, 21924001): (False, True, False, False, False, ['Fixed [5.155B]'], [], ['[5.155B]: The band 21 870-21 924 kHz is used by the fixed service for provision of services related to aircraft flight safety.']),
    (21924000, 22000001): (False, False, True, False, False, ['Aeronautical Mobile (R)'], [], []),
    (22000000, 22855001): (False, False, True, False, False, ['Maritime Mobile [5.132]'], [], ['[5.132]: The frequencies 4 210 kHz, 6 314 kHz, 8 416.5 kHz, 12 579 kHz, 16 806.5 kHz, 19 680.5 kHz, 22 376 kHz and 26 100.5 kHz are the international frequencies for the transmission of maritime safety information (MSI) (see Appendix 17).', '[5.156]: Additional allocation: in Nigeria, the band 22 720-23 200 kHz is also allocated to the meteorological aids service (radiosondes) on a primary basis.']),
    (22855000, 23000001): (False, True, False, False, False, [], [], ['[5.156]: Additional allocation: in Nigeria, the band 22 720-23 200 kHz is also allocated to the meteorological aids service (radiosondes) on a primary basis.']),
    (23000000, 23200001): (False, True, True, False, False, [], ['Mobile Except Aeronautical Mobile (R)'], ['[5.156]: Additional allocation: in Nigeria, the band 22 720-23 200 kHz is also allocated to the meteorological aids service (radiosondes) on a primary basis.']),
    (23200000, 23350001): (False, True, True, False, False, ['Fixed [5.156A]', 'Aeronautical Mobile (Or)'], [], ['[5.156A]: The use of the band 23 200-23 350 kHz by the fixed service is limited to provision of services related to aircraft flight safety.']),
    (23350000, 24000001): (False, True, True, False, False, ['Mobile Except Aeronautical Mobile [5.157]'], [], ['[5.157]: The use of the band 23 350-24 000 kHz by the maritime mobile service is limited to inter-ship radiotelegraphy.']),
    (24000000, 24450001): (False, True, True, False, False, ['Land Mobile'], [], []),
    (24450000, 24600001): (False, True, True, False, False, ['Land Mobile'], ['Radiolocation [5.132A]'], ['[5.132A]: Stations in the radiolocation service shall not cause harmful interference to, or claim protection from, stations operating in the fixed or mobile services. Applications of the radiolocation service are limited to oceanographic radars operating in accordance with Resolution 612 (Rev.WRC-12). (WRC-12)']),
    (24600000, 24890001): (False, True, True, False, False, ['Land Mobile'], [], []),
    (24890000, 24990001): (True, False, False, False, False, ['Amateur', 'Amateur-Satellite'], [], []),
    (24990000, 25005001): (False, False, False, False, False, ['Standard Frequency And Time Signal (25 000 Khz)'], [], []),
    (25005000, 25010001): (False, False, False, False, False, ['Standard Frequency And Time Signal'], ['Space Research'], []),
    (25010000, 25070001): (False, True, True, False, False, ['Mobile Except Aeronautical Mobile'], [], []),
    (25070000, 25210001): (False, False, True, False, False, ['Maritime Mobile'], [], []),
    (25210000, 25550001): (False, True, True, False, False, ['Mobile Except Aeronautical Mobile'], [], []),
    (25550000, 25670001): (False, False, False, False, False, ['Radio Astronomy'], [], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07)']),
    (25670000, 26100001): (False, False, False, True, False, ['Broadcasting'], [], []),
    (26100000, 26175001): (False, False, True, False, False, ['Maritime Mobile [5.132]'], [], ['[5.132]: The frequencies 4 210 kHz, 6 314 kHz, 8 416.5 kHz, 12 579 kHz, 16 806.5 kHz, 19 680.5 kHz, 22 376 kHz and 26 100.5 kHz are the international frequencies for the transmission of maritime safety information (MSI) (see Appendix 17).']),
    (26175000, 26200001): (False, True, True, False, False, ['Mobile Except Aeronautical Mobile'], [], []),
    (26200000, 26350001): (False, True, True, False, False, ['Mobile Except Aeronautical Mobile'], ['Radiolocation [5.132A]'], ['[5.132A]: Stations in the radiolocation service shall not cause harmful interference to, or claim protection from, stations operating in the fixed or mobile services. Applications of the radiolocation service are limited to oceanographic radars operating in accordance with Resolution 612 (Rev.WRC-12). (WRC-12)']),
    (26350000, 27500001): (False, True, True, False, False, ['Mobile Except Aeronautical Mobile'], [], ['[5.150]: The following bands:13 553-13 567 kHz (centre frequency 13 560 kHz), 26 957-27 283 kHz (centre frequency 27 120 kHz), 40.66-40.70 MHz (centre frequency 40.68 MHz), 902-928 MHz in Region 2 (centre frequency 915 MHz), 2 400-2 500 MHz (centre frequency 2 450 MHz), 5 725-5 875 MHz (centre frequency 5 800 MHz), and 24-24.25 GHz (centre frequency 24.125 GHz) are also designated for industrial, scientific and medical (ISM) applications. Radiocommunication services operating within these bands must accept harmful interference which may be caused by these applications. ISM equipment operating in these bands is subject to the provisions of No. 15.13.']),
    (27500000, 28000001): (False, True, True, False, False, ['Meteorological Aids'], [], []),
    (28000000, 29700001): (True, False, False, False, False, ['Amateur', 'Amateur-Satellite'], [], []),
    (29700000, 30005001): (False, True, True, False, False, [], [], []),
    (30005000, 30010001): (False, True, True, False, False, ['Space Operation (Satellite Identification)', 'Space Research'], [], []),
    (30010000, 37500001): (False, True, True, False, False, [], [], []),
    (37500000, 38250001): (False, True, True, False, False, [], ['Radio Astronomy'], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07)']),
    (38250000, 39500001): (False, True, True, False, False, [], [], []),
    (39500000, 39986001): (False, True, True, False, False, ['Radiolocation [5.132A]'], [], ['[5.132A]: Stations in the radiolocation service shall not cause harmful interference to, or claim protection from, stations operating in the fixed or mobile services. Applications of the radiolocation service are limited to oceanographic radars operating in accordance with Resolution 612 (Rev.WRC-12). (WRC-12)']),
    (39986000, 40000001): (False, True, True, False, False, ['Radiolocation [5.132A]'], ['Space Research'], ['[5.132A]: Stations in the radiolocation service shall not cause harmful interference to, or claim protection from, stations operating in the fixed or mobile services. Applications of the radiolocation service are limited to oceanographic radars operating in accordance with Resolution 612 (Rev.WRC-12). (WRC-12)']),
    (40000000, 40020001): (False, True, True, False, False, [], ['Space Research'], []),
    (40020000, 40980001): (False, True, True, False, False, [], [], ['[5.150]: The following bands:13 553-13 567 kHz (centre frequency 13 560 kHz), 26 957-27 283 kHz (centre frequency 27 120 kHz), 40.66-40.70 MHz (centre frequency 40.68 MHz), 902-928 MHz in Region 2 (centre frequency 915 MHz), 2 400-2 500 MHz (centre frequency 2 450 MHz), 5 725-5 875 MHz (centre frequency 5 800 MHz), and 24-24.25 GHz (centre frequency 24.125 GHz) are also designated for industrial, scientific and medical (ISM) applications. Radiocommunication services operating within these bands must accept harmful interference which may be caused by these applications. ISM equipment operating in these bands is subject to the provisions of No. 15.13.']),
    (40980000, 41015001): (False, True, True, False, False, [], ['Space Research'], ['[5.160]: Additional allocation: in Botswana, Burundi, Dem. Rep. of the Congo and Rwanda, the band 41-44 MHz is also allocated to the aeronautical radionavigation service on a primary basis. (WRC-12)', '[5.161]: Additional allocation: in Iran (Islamic Republic of) and Japan, the band 41-44 MHz is also allocated to the radiolocation service on a secondary basis.']),
    (41015000, 42000001): (False, True, True, False, False, [], [], ['[5.160]: Additional allocation: in Botswana, Burundi, Dem. Rep. of the Congo and Rwanda, the band 41-44 MHz is also allocated to the aeronautical radionavigation service on a primary basis. (WRC-12)', '[5.161]: Additional allocation: in Iran (Islamic Republic of) and Japan, the band 41-44 MHz is also allocated to the radiolocation service on a secondary basis.', '[5.161A]: Additional allocation: in Korea (Rep. of) and the United States, the frequency bands 41.015-41.665 MHz and 43.35-44 MHz are also allocated to the radiolocation service on a primary basis. Stations in the radiolocation service shall not cause harmful interference to, or claim protection from, stations operating in the fixed or mobile services. Applications of the radiolocation service are limited to oceanographic radars operating in accordance with Resolution 612 (Rev.WRC-12). (WRC-12)']),
    (42000000, 42500001): (False, True, True, False, False, [], [], ['[5.161]: Additional allocation: in Iran (Islamic Republic of) and Japan, the band 41-44 MHz is also allocated to the radiolocation service on a secondary basis.']),
    (42500000, 44000001): (False, True, True, False, False, [], [], ['[5.160]: Additional allocation: in Botswana, Burundi, Dem. Rep. of the Congo and Rwanda, the band 41-44 MHz is also allocated to the aeronautical radionavigation service on a primary basis. (WRC-12)', '[5.161]: Additional allocation: in Iran (Islamic Republic of) and Japan, the band 41-44 MHz is also allocated to the radiolocation service on a secondary basis.', '[5.161A]: Additional allocation: in Korea (Rep. of) and the United States, the frequency bands 41.015-41.665 MHz and 43.35-44 MHz are also allocated to the radiolocation service on a primary basis. Stations in the radiolocation service shall not cause harmful interference to, or claim protection from, stations operating in the fixed or mobile services. Applications of the radiolocation service are limited to oceanographic radars operating in accordance with Resolution 612 (Rev.WRC-12). (WRC-12)']),
    (44000000, 47000001): (False, True, True, False, False, [], [], ['[5.162]: Additional allocation: in Australia, the band 44-47 MHz is also allocated to the broadcasting service on a primary basis. (WRC-12)', '[5.162A]: Additional allocation: in Germany, Austria, Belgium, Bosnia and Herzegovina, China, Vatican, Denmark, Spain, Estonia, the Russian Federation, Finland, France, Ireland, Iceland, Italy, Latvia, The Former Yugoslav Republic of Macedonia, Liechtenstein, Lithuania, Luxembourg, Monaco, Montenegro, Norway, the Netherlands, Poland, Portugal, the Czech Rep., the United Kingdom, Serbia, Slovenia, Sweden and Switzerland the band 46-68 MHz is also allocated to the radiolocation service on a secondary basis. This use is limited to the operation of wind profiler radars in accordance with Resolution 217 (WRC-97). (WRC-12)']),
    (47000000, 50000001): (False, True, True, True, False, ['Broadcasting'], [], ['[5.162A]: Additional allocation: in Germany, Austria, Belgium, Bosnia and Herzegovina, China, Vatican, Denmark, Spain, Estonia, the Russian Federation, Finland, France, Ireland, Iceland, Italy, Latvia, The Former Yugoslav Republic of Macedonia, Liechtenstein, Lithuania, Luxembourg, Monaco, Montenegro, Norway, the Netherlands, Poland, Portugal, the Czech Rep., the United Kingdom, Serbia, Slovenia, Sweden and Switzerland the band 46-68 MHz is also allocated to the radiolocation service on a secondary basis. This use is limited to the operation of wind profiler radars in accordance with Resolution 217 (WRC-97). (WRC-12)']),
    (50000000, 54000001): (True, False, False, False, False, ['Amateur'], [], ['[5.162A]: Additional allocation: in Germany, Austria, Belgium, Bosnia and Herzegovina, China, Vatican, Denmark, Spain, Estonia, the Russian Federation, Finland, France, Ireland, Iceland, Italy, Latvia, The Former Yugoslav Republic of Macedonia, Liechtenstein, Lithuania, Luxembourg, Monaco, Montenegro, Norway, the Netherlands, Poland, Portugal, the Czech Rep., the United Kingdom, Serbia, Slovenia, Sweden and Switzerland the band 46-68 MHz is also allocated to the radiolocation service on a secondary basis. This use is limited to the operation of wind profiler radars in accordance with Resolution 217 (WRC-97). (WRC-12)', '[5.167]: Alternative allocation: in Bangladesh, Brunei Darussalam, India, Iran (Islamic Republic of), Pakistan and Singapore, the frequency band 50-54 MHz is allocated to the fixed, mobile and broadcasting services on a primary basis. (WRC-15)', '[5.167A]: Additional allocation: in Indonesia and Thailand, the frequency band 50-54 MHz is also allocated to the fixed, mobile and broadcasting services on a primary basis. (WRC-15)', '[5.168]: Additional allocation: in Australia, China and the Dem. People’s Rep. of Korea, the band 50-54 MHz is also allocated to the broadcasting service on a primary basis.', '[5.170]: Additional allocation: in New Zealand, the frequency band 51-54 MHz is also allocated to the fixed and mobile services on a primary basis. (WRC-15)']),
    (54000000, 68000001): (False, True, True, True, False, ['Broadcasting'], [], ['[5.162A]: Additional allocation: in Germany, Austria, Belgium, Bosnia and Herzegovina, China, Vatican, Denmark, Spain, Estonia, the Russian Federation, Finland, France, Ireland, Iceland, Italy, Latvia, The Former Yugoslav Republic of Macedonia, Liechtenstein, Lithuania, Luxembourg, Monaco, Montenegro, Norway, the Netherlands, Poland, Portugal, the Czech Rep., the United Kingdom, Serbia, Slovenia, Sweden and Switzerland the band 46-68 MHz is also allocated to the radiolocation service on a secondary basis. This use is limited to the operation of wind profiler radars in accordance with Resolution 217 (WRC-97). (WRC-12)']),
    (68000000, 74800001): (False, True, True, False, False, [], [], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.176]: Additional allocation: in Australia, China, Korea (Rep. of), the Philippines, the Dem. People’s Rep. of Korea and Samoa, the band 68-74 MHz is also allocated to the broadcasting service on a primary basis. (WRC-07)', '[5.179]: Additional allocation: in Armenia, Azerbaijan, Belarus, China, the Russian Federation, Georgia, Kazakhstan, Lithuania, Mongolia, Kyrgyzstan, Tajikistan, Turkmenistan and Ukraine, the bands 74.6-74.8 MHz and 75.2-75.4 MHz are also allocated to the aeronautical radionavigation service, on a primary basis, for ground-based transmitters only. (WRC-12)']),
    (74800000, 75200001): (False, False, False, False, False, ['Aeronautical Radionavigation'], [], ['[5.180]: The frequency 75 MHz is assigned to marker beacons. Administrations shall refrain from assigning frequencies close to the limits of the guardband to stations of other services which, because of their power or geographical position, might cause harmful interference or otherwise place a constraint on marker beacons.Every effort should be made to improve further the characteristics of airborne receivers and to limit the power of transmitting stations close to the limits 74.8 MHz and 75.2 MHz. ', '[5.181]: Additional allocation: in Egypt, Israel and the Syrian Arab Republic, the band 74.8-75.2 MHz is also allocated to the mobile service on a secondary basis, subject to agreement obtained under No. 9.21. In order to ensure that harmful interference is not caused to stations of the aeronautical radionavigation service, stations of the mobile service shall not be introduced in the band until it is no longer required for the aeronautical radionavigation service by any administration which may be identified in the application of the procedure invoked under No. 9.21. (WRC-03)']),
    (75200000, 75400001): (False, True, True, False, False, [], [], ['[5.179]: Additional allocation: in Armenia, Azerbaijan, Belarus, China, the Russian Federation, Georgia, Kazakhstan, Lithuania, Mongolia, Kyrgyzstan, Tajikistan, Turkmenistan and Ukraine, the bands 74.6-74.8 MHz and 75.2-75.4 MHz are also allocated to the aeronautical radionavigation service, on a primary basis, for ground-based transmitters only. (WRC-12)']),
    (75400000, 87000001): (False, True, True, False, False, [], [], ['[5.182]: Additional allocation: in Western Samoa, the band 75.4-87 MHz is also allocated to the broadcasting service on a primary basis.', '[5.183]: Additional allocation: in China, Korea (Rep. of), Japan, the Philippines and the Dem. People’s Rep. of Korea, the band 76-87 MHz is also allocated to the broadcasting service on a primary basis.', '[5.188]: Additional allocation: in Australia, the band 85-87 MHz is also allocated to the broadcasting service on a primary basis. The introduction of the broadcasting service in Australia is subject to special agreements between the administrations concerned.']),
    (87000000, 100000001): (False, True, True, True, False, ['Broadcasting'], [], []),
    (100000000, 108000001): (False, False, False, True, False, ['Broadcasting'], [], ['[5.192]: Additional allocation: in China and Korea (Rep. of), the band 100-108 MHz is also allocated to the fixed and mobile services on a primary basis. (WRC-97)', '[5.194]: Additional allocation: in Azerbaijan, Kyrgyzstan, Somalia and Turkmenistan, the band 104-108 MHz is also allocated to the mobile, except aeronautical mobile (R), service on a secondary basis. (WRC-07)']),
    (108000000, 117975001): (False, False, False, False, False, ['Aeronautical Radionavigation'], [], ['[5.197]: Additional allocation: in the Syrian Arab Republic, the band 108-111.975 MHz is also allocated to the mobile service on a secondary basis, subject to agreement obtained under No. 9.21. In order to ensure that harmful interference is not caused to stations of the aeronautical radionavigation service, stations of the mobile service shall not be introduced in the band until it is no longer required for the aeronautical radionavigation service by any administration which may be identified in the application of the procedures invoked under No. 9.21. (WRC-12)', '[5.197A]: Additional allocation: the band 108-117.975 MHz is also allocated on a primary basis to the aeronautical mobile (R) service, limited to systems operating in accordance with recognized international aeronautical standards. Such use shall be in accordance with Resolution 413 (Rev.WRC-07)*. The use of the band 108-112 MHz by the aeronautical mobile (R) service shall be limited to systems composed of ground-based transmitters and associated receivers that provide navigational information in support of air navigation functions in accordance with recognized international aeronautical standards. (WRC-07)']),
    (117975000, 137000001): (False, False, True, False, False, ['Aeronautical Mobile (R)'], [], ['[5.111]: The carrier frequencies 2 182 kHz, 3 023 kHz, 5 680 kHz, 8 364 kHz and the frequencies 121.5 MHz, 156.525 MHz, 156.8 MHz and 243 MHz may also be used, in accordance with the procedures in force for terrestrial radiocommunication services, for search and rescue operations concerning manned space vehicles. The conditions for the use of the frequencies are prescribed in Article 31.The same applies to the frequencies 10 003 kHz, 14 993 kHz and 19 993 kHz, but in each of these cases emissions must be confined in a band of ± 3 kHz about the frequency. (WRC-07) ', '[5.200]: In the band 117.975-137 MHz, the frequency 121.5 MHz is the aeronautical emergency frequency and, where required, the frequency 123.1 MHz is the aeronautical frequency auxiliary to 121.5 MHz. Mobile stations of the maritime mobile service may communicate on these frequencies under the conditions laid down in Article 31 for distress and safety purposes with stations of the aeronautical mobile service. (WRC-07)', '[5.201]: Additional allocation: in Armenia, Azerbaijan, Belarus, Bulgaria, Estonia, the Russian Federation, Georgia, Hungary, Iran (Islamic Republic of), Iraq (Republic of), Japan, Kazakhstan, Moldova, Mongolia, Mozambique, Uzbekistan, Papua New Guinea, Poland, Kyrgyzstan, Romania, Tajikistan, Turkmenistan and Ukraine, the frequency band 132-136 MHz is also allocated to the aeronautical mobile (OR) service on a primary basis. In assigning frequencies to stations of the aeronautical mobile (OR) service, the administration shall take account of the frequencies assigned to stations in the aeronautical mobile (R) service. (WRC-15)', '[5.202]: Additional allocation: in Saudi Arabia, Armenia, Azerbaijan, Belarus, Bulgaria, the United Arab Emirates, the Russian Federation, Georgia, Iran (Islamic Republic of), Jordan, Oman, Uzbekistan, Poland, the Syrian Arab Republic, Kyrgyzstan, Romania, Tajikistan, Turkmenistan and Ukraine, the frequency band 136-137 MHz is also allocated to the aeronautical mobile (OR) service on a primary basis. In assigning frequencies to stations of the aeronautical mobile (OR) service, the administration shall take account of the frequencies assigned to stations in the aeronautical mobile (R) service. (WRC-15)']),
    (137000000, 137025001): (False, True, True, False, False, ['Space Operation (Space-To-Earth)', 'Meteorological-Satellite (Space-To-Earth)', 'Mobile-Satellite (Space-To-Earth) [5.208A][5.208B][5.209]', 'Space Research (Space-To-Earth)'], ['Mobile Except Aeronautical Mobile (R)'], ['[5.208A]: In making assignments to space stations in the mobile-satellite service in the bands 137-138 MHz, 387-390 MHz and 400.15-401 MHz, administrations shall take all practicable steps to protect the radio astronomy service in the bands 150.05-153 MHz, 322-328.6 MHz, 406.1-410 MHz and 608-614 MHz from harmful interference from unwanted emissions. The threshold levels of interference detrimental to the radio astronomy service are shown in the relevant ITU-R Recommendation. (WRC-07)', '[5.208B]: * In the frequency bands:137-138 MHz, 387-390 MHz, 400.15-401 MHz, 1 452-1 492 MHz, 1 525-1 610 MHz, 1 613.8-1 626.5 MHz, 2 655-2 690 MHz, 21.4-22 GHz, Resolution 739 (Rev.WRC-15) applies. (WRC-15) ', '[5.209]: The use of the bands 137-138 MHz, 148-150.05 MHz, 399.9-400.05 MHz, 400.15-401 MHz, 454-456 MHz and 459-460 MHz by the mobile-satellite service is limited to non-geostationary-satellite systems. (WRC-97)', '[5.204]: Different category of service: in Afghanistan, Saudi Arabia, Bahrain, Bangladesh, Brunei Darussalam, China, Cuba, the United Arab Emirates, India, Indonesia, Iran (Islamic Republic of), Iraq, Kuwait, Montenegro, Oman, Pakistan, the Philippines, Qatar, Serbia, Singapore, Thailand and Yemen, the band 137-138 MHz is allocated to the fixed and mobile, except aeronautical mobile (R), services on a primary basis (see No. 5.33). (WRC-07)', '[5.205]: Different category of service: in Israel and Jordan, the allocation of the band 137-138 MHz to the fixed and mobile, except aeronautical mobile, services is on a primary basis (see No. 5.33).', '[5.206]: Different category of service: in Armenia, Azerbaijan, Belarus, Bulgaria, Egypt, the Russian Federation, Finland, France, Georgia, Greece, Kazakhstan, Lebanon, Moldova, Mongolia, Uzbekistan, Poland, Kyrgyzstan, the Syrian Arab Republic, Slovakia, the Czech Rep., Romania, Tajikistan, Turkmenistan and Ukraine, the allocation of the band 137-138 MHz to the aeronautical mobile (OR) service is on a primary basis (see No. 5.33). (WRC-2000)', '[5.207]: Additional allocation: in Australia, the band 137-144 MHz is also allocated to the broadcasting service on a primary basis until that service can be accommodated within regional broadcasting allocations.', '[5.208]: The use of the band 137-138 MHz by the mobile-satellite service is subject to coordination under No. 9.11A. (WRC-97)']),
    (137025000, 137175001): (False, True, True, False, False, ['Space Operation (Space-To-Earth)', 'Meteorological-Satellite (Space-To-Earth)', 'Space Research (Space-To-Earth)'], ['Mobile Except Aeronautical Mobile (R)', 'Mobile-Satellite (Space-To-Earth) [5.208A][5.208B][5.209]'], ['[5.208A]: In making assignments to space stations in the mobile-satellite service in the bands 137-138 MHz, 387-390 MHz and 400.15-401 MHz, administrations shall take all practicable steps to protect the radio astronomy service in the bands 150.05-153 MHz, 322-328.6 MHz, 406.1-410 MHz and 608-614 MHz from harmful interference from unwanted emissions. The threshold levels of interference detrimental to the radio astronomy service are shown in the relevant ITU-R Recommendation. (WRC-07)', '[5.208B]: * In the frequency bands:137-138 MHz, 387-390 MHz, 400.15-401 MHz, 1 452-1 492 MHz, 1 525-1 610 MHz, 1 613.8-1 626.5 MHz, 2 655-2 690 MHz, 21.4-22 GHz, Resolution 739 (Rev.WRC-15) applies. (WRC-15) ', '[5.209]: The use of the bands 137-138 MHz, 148-150.05 MHz, 399.9-400.05 MHz, 400.15-401 MHz, 454-456 MHz and 459-460 MHz by the mobile-satellite service is limited to non-geostationary-satellite systems. (WRC-97)', '[5.204]: Different category of service: in Afghanistan, Saudi Arabia, Bahrain, Bangladesh, Brunei Darussalam, China, Cuba, the United Arab Emirates, India, Indonesia, Iran (Islamic Republic of), Iraq, Kuwait, Montenegro, Oman, Pakistan, the Philippines, Qatar, Serbia, Singapore, Thailand and Yemen, the band 137-138 MHz is allocated to the fixed and mobile, except aeronautical mobile (R), services on a primary basis (see No. 5.33). (WRC-07)', '[5.205]: Different category of service: in Israel and Jordan, the allocation of the band 137-138 MHz to the fixed and mobile, except aeronautical mobile, services is on a primary basis (see No. 5.33).', '[5.206]: Different category of service: in Armenia, Azerbaijan, Belarus, Bulgaria, Egypt, the Russian Federation, Finland, France, Georgia, Greece, Kazakhstan, Lebanon, Moldova, Mongolia, Uzbekistan, Poland, Kyrgyzstan, the Syrian Arab Republic, Slovakia, the Czech Rep., Romania, Tajikistan, Turkmenistan and Ukraine, the allocation of the band 137-138 MHz to the aeronautical mobile (OR) service is on a primary basis (see No. 5.33). (WRC-2000)', '[5.207]: Additional allocation: in Australia, the band 137-144 MHz is also allocated to the broadcasting service on a primary basis until that service can be accommodated within regional broadcasting allocations.', '[5.208]: The use of the band 137-138 MHz by the mobile-satellite service is subject to coordination under No. 9.11A. (WRC-97)']),
    (137175000, 137825001): (False, True, True, False, False, ['Space Operation (Space-To-Earth)', 'Meteorological-Satellite (Space-To-Earth)', 'Mobile-Satellite (Space-To-Earth) [5.208A][5.208B][5.209]', 'Space Research (Space-To-Earth)'], ['Mobile Except Aeronautical Mobile (R)'], ['[5.208A]: In making assignments to space stations in the mobile-satellite service in the bands 137-138 MHz, 387-390 MHz and 400.15-401 MHz, administrations shall take all practicable steps to protect the radio astronomy service in the bands 150.05-153 MHz, 322-328.6 MHz, 406.1-410 MHz and 608-614 MHz from harmful interference from unwanted emissions. The threshold levels of interference detrimental to the radio astronomy service are shown in the relevant ITU-R Recommendation. (WRC-07)', '[5.208B]: * In the frequency bands:137-138 MHz, 387-390 MHz, 400.15-401 MHz, 1 452-1 492 MHz, 1 525-1 610 MHz, 1 613.8-1 626.5 MHz, 2 655-2 690 MHz, 21.4-22 GHz, Resolution 739 (Rev.WRC-15) applies. (WRC-15) ', '[5.209]: The use of the bands 137-138 MHz, 148-150.05 MHz, 399.9-400.05 MHz, 400.15-401 MHz, 454-456 MHz and 459-460 MHz by the mobile-satellite service is limited to non-geostationary-satellite systems. (WRC-97)', '[5.204]: Different category of service: in Afghanistan, Saudi Arabia, Bahrain, Bangladesh, Brunei Darussalam, China, Cuba, the United Arab Emirates, India, Indonesia, Iran (Islamic Republic of), Iraq, Kuwait, Montenegro, Oman, Pakistan, the Philippines, Qatar, Serbia, Singapore, Thailand and Yemen, the band 137-138 MHz is allocated to the fixed and mobile, except aeronautical mobile (R), services on a primary basis (see No. 5.33). (WRC-07)', '[5.205]: Different category of service: in Israel and Jordan, the allocation of the band 137-138 MHz to the fixed and mobile, except aeronautical mobile, services is on a primary basis (see No. 5.33).', '[5.206]: Different category of service: in Armenia, Azerbaijan, Belarus, Bulgaria, Egypt, the Russian Federation, Finland, France, Georgia, Greece, Kazakhstan, Lebanon, Moldova, Mongolia, Uzbekistan, Poland, Kyrgyzstan, the Syrian Arab Republic, Slovakia, the Czech Rep., Romania, Tajikistan, Turkmenistan and Ukraine, the allocation of the band 137-138 MHz to the aeronautical mobile (OR) service is on a primary basis (see No. 5.33). (WRC-2000)', '[5.207]: Additional allocation: in Australia, the band 137-144 MHz is also allocated to the broadcasting service on a primary basis until that service can be accommodated within regional broadcasting allocations.', '[5.208]: The use of the band 137-138 MHz by the mobile-satellite service is subject to coordination under No. 9.11A. (WRC-97)']),
    (137825000, 138000001): (False, True, True, False, False, ['Space Operation (Space-To-Earth)', 'Meteorological-Satellite (Space-To-Earth)', 'Space Research (Space-To-Earth)'], ['Mobile Except Aeronautical Mobile (R)', 'Mobile-Satellite (Space-To-Earth) [5.208A][5.208B][5.209]'], ['[5.208A]: In making assignments to space stations in the mobile-satellite service in the bands 137-138 MHz, 387-390 MHz and 400.15-401 MHz, administrations shall take all practicable steps to protect the radio astronomy service in the bands 150.05-153 MHz, 322-328.6 MHz, 406.1-410 MHz and 608-614 MHz from harmful interference from unwanted emissions. The threshold levels of interference detrimental to the radio astronomy service are shown in the relevant ITU-R Recommendation. (WRC-07)', '[5.208B]: * In the frequency bands:137-138 MHz, 387-390 MHz, 400.15-401 MHz, 1 452-1 492 MHz, 1 525-1 610 MHz, 1 613.8-1 626.5 MHz, 2 655-2 690 MHz, 21.4-22 GHz, Resolution 739 (Rev.WRC-15) applies. (WRC-15) ', '[5.209]: The use of the bands 137-138 MHz, 148-150.05 MHz, 399.9-400.05 MHz, 400.15-401 MHz, 454-456 MHz and 459-460 MHz by the mobile-satellite service is limited to non-geostationary-satellite systems. (WRC-97)', '[5.204]: Different category of service: in Afghanistan, Saudi Arabia, Bahrain, Bangladesh, Brunei Darussalam, China, Cuba, the United Arab Emirates, India, Indonesia, Iran (Islamic Republic of), Iraq, Kuwait, Montenegro, Oman, Pakistan, the Philippines, Qatar, Serbia, Singapore, Thailand and Yemen, the band 137-138 MHz is allocated to the fixed and mobile, except aeronautical mobile (R), services on a primary basis (see No. 5.33). (WRC-07)', '[5.205]: Different category of service: in Israel and Jordan, the allocation of the band 137-138 MHz to the fixed and mobile, except aeronautical mobile, services is on a primary basis (see No. 5.33).', '[5.206]: Different category of service: in Armenia, Azerbaijan, Belarus, Bulgaria, Egypt, the Russian Federation, Finland, France, Georgia, Greece, Kazakhstan, Lebanon, Moldova, Mongolia, Uzbekistan, Poland, Kyrgyzstan, the Syrian Arab Republic, Slovakia, the Czech Rep., Romania, Tajikistan, Turkmenistan and Ukraine, the allocation of the band 137-138 MHz to the aeronautical mobile (OR) service is on a primary basis (see No. 5.33). (WRC-2000)', '[5.207]: Additional allocation: in Australia, the band 137-144 MHz is also allocated to the broadcasting service on a primary basis until that service can be accommodated within regional broadcasting allocations.', '[5.208]: The use of the band 137-138 MHz by the mobile-satellite service is subject to coordination under No. 9.11A. (WRC-97)']),
    (138000000, 143600001): (False, True, True, False, False, [], ['Space Research (Space-To-Earth)'], ['[5.207]: Additional allocation: in Australia, the band 137-144 MHz is also allocated to the broadcasting service on a primary basis until that service can be accommodated within regional broadcasting allocations.', '[5.213]: Additional allocation: in China, the band 138-144 MHz is also allocated to the radiolocation service on a primary basis.']),
    (143600000, 143650001): (False, True, True, False, False, ['Space Research (Space-To-Earth)'], [], ['[5.207]: Additional allocation: in Australia, the band 137-144 MHz is also allocated to the broadcasting service on a primary basis until that service can be accommodated within regional broadcasting allocations.', '[5.213]: Additional allocation: in China, the band 138-144 MHz is also allocated to the radiolocation service on a primary basis.']),
    (143650000, 144000001): (False, True, True, False, False, [], ['Space Research (Space-To-Earth)'], ['[5.207]: Additional allocation: in Australia, the band 137-144 MHz is also allocated to the broadcasting service on a primary basis until that service can be accommodated within regional broadcasting allocations.', '[5.213]: Additional allocation: in China, the band 138-144 MHz is also allocated to the radiolocation service on a primary basis.']),
    (144000000, 146000001): (True, False, False, False, False, ['Amateur', 'Amateur-Satellite'], [], ['[5.216]: Additional allocation: in China, the band 144-146 MHz is also allocated to the aeronautical mobile (OR) service on a secondary basis.']),
    (146000000, 148000001): (True, True, True, False, False, ['Amateur'], [], ['[5.217]: Alternative allocation: in Afghanistan, Bangladesh, Cuba, Guyana and India, the band 146-148 MHz is allocated to the fixed and mobile services on a primary basis.']),
    (148000000, 149900001): (False, True, True, False, False, ['Mobile-Satellite (Earth-To-Space) [5.209]'], [], ['[5.209]: The use of the bands 137-138 MHz, 148-150.05 MHz, 399.9-400.05 MHz, 400.15-401 MHz, 454-456 MHz and 459-460 MHz by the mobile-satellite service is limited to non-geostationary-satellite systems. (WRC-97)', '[5.218]: Additional allocation: the band 148-149.9 MHz is also allocated to the space operation service (Earth-to-space) on a primary basis, subject to agreement obtained under No. 9.21. The bandwidth of any individual transmission shall not exceed ± 25 kHz.', '[5.219]: The use of the band 148-149.9 MHz by the mobile-satellite service is subject to coordination under No. 9.11A. The mobile-satellite service shall not constrain the development and use of the fixed, mobile and space operation services in the band 148-149.9 MHz.', "[5.221]: Stations of the mobile-satellite service in the frequency band 148-149.9 MHz shall not cause harmful interference to, or claim protection from, stations of the fixed or mobile services operating in accordance with the Table of Frequency Allocations in the following countries: Albania, Algeria, Germany, Saudi Arabia, Australia, Austria, Bahrain, Bangladesh, Barbados, Belarus, Belgium, Benin, Bosnia and Herzegovina, Botswana, Brunei Darussalam, Bulgaria, Cameroon, China, Cyprus, Congo (Rep. of the), Korea (Rep. of), Côte d'Ivoire, Croatia, Cuba, Denmark, Djibouti, Egypt, the United Arab Emirates, Eritrea, Spain, Estonia, Ethiopia, the Russian Federation, Finland, France, Gabon, Georgia, Ghana, Greece, Guinea, Guinea Bissau, Hungary, India, Iran (Islamic Republic of), Ireland, Iceland, Israel, Italy, Jamaica, Japan, Jordan, Kazakhstan, Kenya, Kuwait, The Former Yugoslav Republic of Macedonia, Lesotho, Latvia, Lebanon, Libya, Liechtenstein, Lithuania, Luxembourg, Malaysia, Mali, Malta, Mauritania, Moldova, Mongolia, Montenegro, Mozambique, Namibia, Norway, New Zealand, Oman, Uganda, Uzbekistan, Pakistan, Panama, Papua New Guinea, Paraguay, the Netherlands, the Philippines, Poland, Portugal, Qatar, the Syrian Arab Republic, Kyrgyzstan, Dem. People’s Rep. of Korea, Slovakia, Romania, the United Kingdom, Senegal, Serbia, Sierra Leone, Singapore, Slovenia, Sudan, Sri Lanka, South Africa, Sweden, Switzerland, Swaziland, Tanzania, Chad, Togo, Tonga, Trinidad and Tobago, Tunisia, Turkey, Ukraine, Viet Nam, Yemen, Zambia and Zimbabwe. (WRC-15)"]),
    (149900000, 150050001): (False, False, False, False, False, ['Mobile-Satellite (Earth-To-Space) [5.209][5.220]'], [], ['[5.209]: The use of the bands 137-138 MHz, 148-150.05 MHz, 399.9-400.05 MHz, 400.15-401 MHz, 454-456 MHz and 459-460 MHz by the mobile-satellite service is limited to non-geostationary-satellite systems. (WRC-97)', '[5.220]: The use of the frequency bands 149.9-150.05 MHz and 399.9-400.05 MHz by the mobile-satellite service is subject to coordination under No. 9.11A. (WRC-15)']),
    (150050000, 154000001): (False, True, True, False, False, [], [], ['[5.225]: Additional allocation: in Australia and India, the band 150.05-153 MHz is also allocated to the radio astronomy service on a primary basis.']),
    (154000000, 156488001): (False, True, True, False, False, [], [], ['[5.225A]: Additional allocation: in Algeria, Armenia, Azerbaijan, Belarus, China, the Russian Federation, France, Iran (Islamic Republic of), Kazakhstan, Uzbekistan, Kyrgyzstan, Tajikistan, Turkmenistan, Ukraine and Viet Nam, the frequency band 154-156 MHz is also allocated to the radiolocation service on a primary basis. The usage of the frequency band 154-156 MHz by the radiolocation service shall be limited to space-object detection systems operating from terrestrial locations. The operation of stations in the radiolocation service in the frequency band 154-156 MHz shall be subject to agreement obtained under No. 9.21. For the identification of potentially affected administrations in Region 1, the instantaneous field-strength value of 12 dB(μV/m) for 10% of the time produced at 10 m above ground level in the 25 kHz reference frequency band at the border of the territory of any other administration shall be used. For the identification of potentially affected administrations in Region 3, the interference-to-noise ratio (I/N) value of −6 dB (N = −161 dBW/4 kHz), or −10 dB for applications with greater protection requirements, such as public protection and disaster relief (PPDR (N = −161 dBW/4 kHz)), for 1% of the time produced at 60 m above ground level at the border of the territory of any other administration shall be used. In the frequency bands 156.7625-156.8375 MHz, 156.5125-156.5375 MHz, 161.9625-161.9875 MHz, 162.0125-162.0375 MHz, out-of-band e.i.r.p. of space surveillance radars shall not exceed −16 dBW. Frequency assignments to the radiolocation service under this allocation in Ukraine shall not be used without the agreement of Moldova. (WRC-12)', '[5.226]: The frequency 156.525 MHz is the international distress, safety and calling frequency for the maritime mobile VHF radiotelephone service using digital selective calling (DSC). The conditions for the use of this frequency and the band 156.4875-156.5625 MHz are contained in Articles 31 and 52, and in Appendix 18.The frequency 156.8 MHz is the international distress, safety and calling frequency for the maritime mobile VHF radiotelephone service. The conditions for the use of this frequency and the band 156.7625-156.8375 MHz are contained in Article 31 and Appendix 18. In the bands 156-156.4875 MHz, 156.5625-156.7625 MHz, 156.8375-157.45 MHz, 160.6-160.975 MHz and 161.475-162.05 MHz, each administration shall give priority to the maritime mobile service on only such frequencies as are assigned to stations of the maritime mobile service by the administration (see Articles 31 and 52, and Appendix 18). Any use of frequencies in these bands by stations of other services to which they are allocated should be avoided in areas where such use might cause harmful interference to the maritime mobile VHF radiocommunication service. However, the frequencies 156.8 MHz and 156.525 MHz and the frequency bands in which priority is given to the maritime mobile service may be used for radiocommunications on inland waterways subject to agreement between interested and affected administrations and taking into account current frequency usage and existing agreements. (WRC-07)']),
    (156488000, 156563001): (False, False, True, False, False, ['Maritime Mobile (Distress And Calling Via Dsc)'], [], ['[5.111]: The carrier frequencies 2 182 kHz, 3 023 kHz, 5 680 kHz, 8 364 kHz and the frequencies 121.5 MHz, 156.525 MHz, 156.8 MHz and 243 MHz may also be used, in accordance with the procedures in force for terrestrial radiocommunication services, for search and rescue operations concerning manned space vehicles. The conditions for the use of the frequencies are prescribed in Article 31.The same applies to the frequencies 10 003 kHz, 14 993 kHz and 19 993 kHz, but in each of these cases emissions must be confined in a band of ± 3 kHz about the frequency. (WRC-07) ', '[5.226]: The frequency 156.525 MHz is the international distress, safety and calling frequency for the maritime mobile VHF radiotelephone service using digital selective calling (DSC). The conditions for the use of this frequency and the band 156.4875-156.5625 MHz are contained in Articles 31 and 52, and in Appendix 18.The frequency 156.8 MHz is the international distress, safety and calling frequency for the maritime mobile VHF radiotelephone service. The conditions for the use of this frequency and the band 156.7625-156.8375 MHz are contained in Article 31 and Appendix 18. In the bands 156-156.4875 MHz, 156.5625-156.7625 MHz, 156.8375-157.45 MHz, 160.6-160.975 MHz and 161.475-162.05 MHz, each administration shall give priority to the maritime mobile service on only such frequencies as are assigned to stations of the maritime mobile service by the administration (see Articles 31 and 52, and Appendix 18). Any use of frequencies in these bands by stations of other services to which they are allocated should be avoided in areas where such use might cause harmful interference to the maritime mobile VHF radiocommunication service. However, the frequencies 156.8 MHz and 156.525 MHz and the frequency bands in which priority is given to the maritime mobile service may be used for radiocommunications on inland waterways subject to agreement between interested and affected administrations and taking into account current frequency usage and existing agreements. (WRC-07) ', '[5.227]: Additional allocation: the bands 156.4875-156.5125 MHz and 156.5375-156.5625 MHz are also allocated to the fixed and land mobile services on a primary basis. The use of these bands by the fixed and land mobile services shall not cause harmful interference to nor claim protection from the maritime mobile VHF radiocommunication service. (WRC-07)']),
    (156563000, 156763001): (False, True, True, False, False, [], [], ['[5.226]: The frequency 156.525 MHz is the international distress, safety and calling frequency for the maritime mobile VHF radiotelephone service using digital selective calling (DSC). The conditions for the use of this frequency and the band 156.4875-156.5625 MHz are contained in Articles 31 and 52, and in Appendix 18.The frequency 156.8 MHz is the international distress, safety and calling frequency for the maritime mobile VHF radiotelephone service. The conditions for the use of this frequency and the band 156.7625-156.8375 MHz are contained in Article 31 and Appendix 18. In the bands 156-156.4875 MHz, 156.5625-156.7625 MHz, 156.8375-157.45 MHz, 160.6-160.975 MHz and 161.475-162.05 MHz, each administration shall give priority to the maritime mobile service on only such frequencies as are assigned to stations of the maritime mobile service by the administration (see Articles 31 and 52, and Appendix 18). Any use of frequencies in these bands by stations of other services to which they are allocated should be avoided in areas where such use might cause harmful interference to the maritime mobile VHF radiocommunication service. However, the frequencies 156.8 MHz and 156.525 MHz and the frequency bands in which priority is given to the maritime mobile service may be used for radiocommunications on inland waterways subject to agreement between interested and affected administrations and taking into account current frequency usage and existing agreements. (WRC-07)']),
    (156763000, 156787001): (False, False, True, False, False, ['Maritime Mobile'], ['Mobile-Satellite (Earth-To-Space)'], ['[5.111]: The carrier frequencies 2 182 kHz, 3 023 kHz, 5 680 kHz, 8 364 kHz and the frequencies 121.5 MHz, 156.525 MHz, 156.8 MHz and 243 MHz may also be used, in accordance with the procedures in force for terrestrial radiocommunication services, for search and rescue operations concerning manned space vehicles. The conditions for the use of the frequencies are prescribed in Article 31.The same applies to the frequencies 10 003 kHz, 14 993 kHz and 19 993 kHz, but in each of these cases emissions must be confined in a band of ± 3 kHz about the frequency. (WRC-07) ', '[5.226]: The frequency 156.525 MHz is the international distress, safety and calling frequency for the maritime mobile VHF radiotelephone service using digital selective calling (DSC). The conditions for the use of this frequency and the band 156.4875-156.5625 MHz are contained in Articles 31 and 52, and in Appendix 18.The frequency 156.8 MHz is the international distress, safety and calling frequency for the maritime mobile VHF radiotelephone service. The conditions for the use of this frequency and the band 156.7625-156.8375 MHz are contained in Article 31 and Appendix 18. In the bands 156-156.4875 MHz, 156.5625-156.7625 MHz, 156.8375-157.45 MHz, 160.6-160.975 MHz and 161.475-162.05 MHz, each administration shall give priority to the maritime mobile service on only such frequencies as are assigned to stations of the maritime mobile service by the administration (see Articles 31 and 52, and Appendix 18). Any use of frequencies in these bands by stations of other services to which they are allocated should be avoided in areas where such use might cause harmful interference to the maritime mobile VHF radiocommunication service. However, the frequencies 156.8 MHz and 156.525 MHz and the frequency bands in which priority is given to the maritime mobile service may be used for radiocommunications on inland waterways subject to agreement between interested and affected administrations and taking into account current frequency usage and existing agreements. (WRC-07) ', '[5.228]: The use of the frequency bands 156.7625-156.7875 MHz and 156.8125-156.8375 MHz by the mobile-satellite service (Earth-to-space) is limited to the reception of automatic identification system (AIS) emissions of long-range AIS broadcast messages (Message 27, see the most recent version of Recommendation ITU-R M.1371). With the exception of AIS emissions, emissions in these frequency bands by systems operating in the maritime mobile service for communications shall not exceed 1 W. (WRC-12)']),
    (156787000, 156813001): (False, False, True, False, False, ['Maritime Mobile (Distress And Calling)'], [], ['[5.111]: The carrier frequencies 2 182 kHz, 3 023 kHz, 5 680 kHz, 8 364 kHz and the frequencies 121.5 MHz, 156.525 MHz, 156.8 MHz and 243 MHz may also be used, in accordance with the procedures in force for terrestrial radiocommunication services, for search and rescue operations concerning manned space vehicles. The conditions for the use of the frequencies are prescribed in Article 31.The same applies to the frequencies 10 003 kHz, 14 993 kHz and 19 993 kHz, but in each of these cases emissions must be confined in a band of ± 3 kHz about the frequency. (WRC-07) ', '[5.226]: The frequency 156.525 MHz is the international distress, safety and calling frequency for the maritime mobile VHF radiotelephone service using digital selective calling (DSC). The conditions for the use of this frequency and the band 156.4875-156.5625 MHz are contained in Articles 31 and 52, and in Appendix 18.The frequency 156.8 MHz is the international distress, safety and calling frequency for the maritime mobile VHF radiotelephone service. The conditions for the use of this frequency and the band 156.7625-156.8375 MHz are contained in Article 31 and Appendix 18. In the bands 156-156.4875 MHz, 156.5625-156.7625 MHz, 156.8375-157.45 MHz, 160.6-160.975 MHz and 161.475-162.05 MHz, each administration shall give priority to the maritime mobile service on only such frequencies as are assigned to stations of the maritime mobile service by the administration (see Articles 31 and 52, and Appendix 18). Any use of frequencies in these bands by stations of other services to which they are allocated should be avoided in areas where such use might cause harmful interference to the maritime mobile VHF radiocommunication service. However, the frequencies 156.8 MHz and 156.525 MHz and the frequency bands in which priority is given to the maritime mobile service may be used for radiocommunications on inland waterways subject to agreement between interested and affected administrations and taking into account current frequency usage and existing agreements. (WRC-07)']),
    (156813000, 156838001): (False, False, True, False, False, ['Maritime Mobile'], ['Mobile-Satellite (Earth-To-Space)'], ['[5.111]: The carrier frequencies 2 182 kHz, 3 023 kHz, 5 680 kHz, 8 364 kHz and the frequencies 121.5 MHz, 156.525 MHz, 156.8 MHz and 243 MHz may also be used, in accordance with the procedures in force for terrestrial radiocommunication services, for search and rescue operations concerning manned space vehicles. The conditions for the use of the frequencies are prescribed in Article 31.The same applies to the frequencies 10 003 kHz, 14 993 kHz and 19 993 kHz, but in each of these cases emissions must be confined in a band of ± 3 kHz about the frequency. (WRC-07) ', '[5.226]: The frequency 156.525 MHz is the international distress, safety and calling frequency for the maritime mobile VHF radiotelephone service using digital selective calling (DSC). The conditions for the use of this frequency and the band 156.4875-156.5625 MHz are contained in Articles 31 and 52, and in Appendix 18.The frequency 156.8 MHz is the international distress, safety and calling frequency for the maritime mobile VHF radiotelephone service. The conditions for the use of this frequency and the band 156.7625-156.8375 MHz are contained in Article 31 and Appendix 18. In the bands 156-156.4875 MHz, 156.5625-156.7625 MHz, 156.8375-157.45 MHz, 160.6-160.975 MHz and 161.475-162.05 MHz, each administration shall give priority to the maritime mobile service on only such frequencies as are assigned to stations of the maritime mobile service by the administration (see Articles 31 and 52, and Appendix 18). Any use of frequencies in these bands by stations of other services to which they are allocated should be avoided in areas where such use might cause harmful interference to the maritime mobile VHF radiocommunication service. However, the frequencies 156.8 MHz and 156.525 MHz and the frequency bands in which priority is given to the maritime mobile service may be used for radiocommunications on inland waterways subject to agreement between interested and affected administrations and taking into account current frequency usage and existing agreements. (WRC-07) ', '[5.228]: The use of the frequency bands 156.7625-156.7875 MHz and 156.8125-156.8375 MHz by the mobile-satellite service (Earth-to-space) is limited to the reception of automatic identification system (AIS) emissions of long-range AIS broadcast messages (Message 27, see the most recent version of Recommendation ITU-R M.1371). With the exception of AIS emissions, emissions in these frequency bands by systems operating in the maritime mobile service for communications shall not exceed 1 W. (WRC-12)']),
    (156838000, 161938001): (False, True, True, False, False, [], [], ['[5.226]: The frequency 156.525 MHz is the international distress, safety and calling frequency for the maritime mobile VHF radiotelephone service using digital selective calling (DSC). The conditions for the use of this frequency and the band 156.4875-156.5625 MHz are contained in Articles 31 and 52, and in Appendix 18.The frequency 156.8 MHz is the international distress, safety and calling frequency for the maritime mobile VHF radiotelephone service. The conditions for the use of this frequency and the band 156.7625-156.8375 MHz are contained in Article 31 and Appendix 18. In the bands 156-156.4875 MHz, 156.5625-156.7625 MHz, 156.8375-157.45 MHz, 160.6-160.975 MHz and 161.475-162.05 MHz, each administration shall give priority to the maritime mobile service on only such frequencies as are assigned to stations of the maritime mobile service by the administration (see Articles 31 and 52, and Appendix 18). Any use of frequencies in these bands by stations of other services to which they are allocated should be avoided in areas where such use might cause harmful interference to the maritime mobile VHF radiocommunication service. However, the frequencies 156.8 MHz and 156.525 MHz and the frequency bands in which priority is given to the maritime mobile service may be used for radiocommunications on inland waterways subject to agreement between interested and affected administrations and taking into account current frequency usage and existing agreements. (WRC-07)']),
    (161938000, 161963001): (False, True, True, False, False, [], ['Maritime Mobile-Satellite (Earth-To-Space) [5.228Aa]'], ['[5.228AA]: The use of the frequency bands 161.9375-161.9625 MHz and 161.9875-162.0125 MHz by the maritime mobile-satellite (Earth-to-space) service is limited to the systems which operate in accordance with Appendix 18. (WRC-15)', '[5.226]: The frequency 156.525 MHz is the international distress, safety and calling frequency for the maritime mobile VHF radiotelephone service using digital selective calling (DSC). The conditions for the use of this frequency and the band 156.4875-156.5625 MHz are contained in Articles 31 and 52, and in Appendix 18.The frequency 156.8 MHz is the international distress, safety and calling frequency for the maritime mobile VHF radiotelephone service. The conditions for the use of this frequency and the band 156.7625-156.8375 MHz are contained in Article 31 and Appendix 18. In the bands 156-156.4875 MHz, 156.5625-156.7625 MHz, 156.8375-157.45 MHz, 160.6-160.975 MHz and 161.475-162.05 MHz, each administration shall give priority to the maritime mobile service on only such frequencies as are assigned to stations of the maritime mobile service by the administration (see Articles 31 and 52, and Appendix 18). Any use of frequencies in these bands by stations of other services to which they are allocated should be avoided in areas where such use might cause harmful interference to the maritime mobile VHF radiocommunication service. However, the frequencies 156.8 MHz and 156.525 MHz and the frequency bands in which priority is given to the maritime mobile service may be used for radiocommunications on inland waterways subject to agreement between interested and affected administrations and taking into account current frequency usage and existing agreements. (WRC-07)']),
    (161963000, 161988001): (False, False, True, False, False, ['Maritime Mobile'], ['Aeronautical Mobile (Or) [5.228E]', 'Mobile-Satellite (Earth-To-Space) [5.228F]'], ['[5.228E]: The use of the automatic identification system in the frequency bands 161.9625-161.9875 MHz and 162.0125-162.0375 MHz by the aeronautical mobile (OR) service is limited to aircraft stations for the purpose of search and rescue operations and other safety-related communications. (WRC-12)', '[5.228F]: The use of the frequency bands 161.9625-161.9875 MHz and 162.0125-162.0375 MHz by the mobile-satellite service (Earth-to-space) is limited to the reception of automatic identification system emissions from stations operating in the maritime mobile service. (WRC-12)', '[5.226]: The frequency 156.525 MHz is the international distress, safety and calling frequency for the maritime mobile VHF radiotelephone service using digital selective calling (DSC). The conditions for the use of this frequency and the band 156.4875-156.5625 MHz are contained in Articles 31 and 52, and in Appendix 18.The frequency 156.8 MHz is the international distress, safety and calling frequency for the maritime mobile VHF radiotelephone service. The conditions for the use of this frequency and the band 156.7625-156.8375 MHz are contained in Article 31 and Appendix 18. In the bands 156-156.4875 MHz, 156.5625-156.7625 MHz, 156.8375-157.45 MHz, 160.6-160.975 MHz and 161.475-162.05 MHz, each administration shall give priority to the maritime mobile service on only such frequencies as are assigned to stations of the maritime mobile service by the administration (see Articles 31 and 52, and Appendix 18). Any use of frequencies in these bands by stations of other services to which they are allocated should be avoided in areas where such use might cause harmful interference to the maritime mobile VHF radiocommunication service. However, the frequencies 156.8 MHz and 156.525 MHz and the frequency bands in which priority is given to the maritime mobile service may be used for radiocommunications on inland waterways subject to agreement between interested and affected administrations and taking into account current frequency usage and existing agreements. (WRC-07)']),
    (161988000, 162013001): (False, True, True, False, False, [], ['Maritime Mobile-Satellite (Earth-To-Space) [5.228Aa]'], ['[5.228AA]: The use of the frequency bands 161.9375-161.9625 MHz and 161.9875-162.0125 MHz by the maritime mobile-satellite (Earth-to-space) service is limited to the systems which operate in accordance with Appendix 18. (WRC-15)', '[5.226]: The frequency 156.525 MHz is the international distress, safety and calling frequency for the maritime mobile VHF radiotelephone service using digital selective calling (DSC). The conditions for the use of this frequency and the band 156.4875-156.5625 MHz are contained in Articles 31 and 52, and in Appendix 18.The frequency 156.8 MHz is the international distress, safety and calling frequency for the maritime mobile VHF radiotelephone service. The conditions for the use of this frequency and the band 156.7625-156.8375 MHz are contained in Article 31 and Appendix 18. In the bands 156-156.4875 MHz, 156.5625-156.7625 MHz, 156.8375-157.45 MHz, 160.6-160.975 MHz and 161.475-162.05 MHz, each administration shall give priority to the maritime mobile service on only such frequencies as are assigned to stations of the maritime mobile service by the administration (see Articles 31 and 52, and Appendix 18). Any use of frequencies in these bands by stations of other services to which they are allocated should be avoided in areas where such use might cause harmful interference to the maritime mobile VHF radiocommunication service. However, the frequencies 156.8 MHz and 156.525 MHz and the frequency bands in which priority is given to the maritime mobile service may be used for radiocommunications on inland waterways subject to agreement between interested and affected administrations and taking into account current frequency usage and existing agreements. (WRC-07)']),
    (162013000, 162037001): (False, False, True, False, False, ['Maritime Mobile'], ['Aeronautical Mobile (Or) [5.228E]', 'Mobile-Satellite (Earth-To-Space) [5.228F]'], ['[5.228E]: The use of the automatic identification system in the frequency bands 161.9625-161.9875 MHz and 162.0125-162.0375 MHz by the aeronautical mobile (OR) service is limited to aircraft stations for the purpose of search and rescue operations and other safety-related communications. (WRC-12)', '[5.228F]: The use of the frequency bands 161.9625-161.9875 MHz and 162.0125-162.0375 MHz by the mobile-satellite service (Earth-to-space) is limited to the reception of automatic identification system emissions from stations operating in the maritime mobile service. (WRC-12)', '[5.226]: The frequency 156.525 MHz is the international distress, safety and calling frequency for the maritime mobile VHF radiotelephone service using digital selective calling (DSC). The conditions for the use of this frequency and the band 156.4875-156.5625 MHz are contained in Articles 31 and 52, and in Appendix 18.The frequency 156.8 MHz is the international distress, safety and calling frequency for the maritime mobile VHF radiotelephone service. The conditions for the use of this frequency and the band 156.7625-156.8375 MHz are contained in Article 31 and Appendix 18. In the bands 156-156.4875 MHz, 156.5625-156.7625 MHz, 156.8375-157.45 MHz, 160.6-160.975 MHz and 161.475-162.05 MHz, each administration shall give priority to the maritime mobile service on only such frequencies as are assigned to stations of the maritime mobile service by the administration (see Articles 31 and 52, and Appendix 18). Any use of frequencies in these bands by stations of other services to which they are allocated should be avoided in areas where such use might cause harmful interference to the maritime mobile VHF radiocommunication service. However, the frequencies 156.8 MHz and 156.525 MHz and the frequency bands in which priority is given to the maritime mobile service may be used for radiocommunications on inland waterways subject to agreement between interested and affected administrations and taking into account current frequency usage and existing agreements. (WRC-07)']),
    (162037000, 174000001): (False, True, True, False, False, [], [], ['[5.226]: The frequency 156.525 MHz is the international distress, safety and calling frequency for the maritime mobile VHF radiotelephone service using digital selective calling (DSC). The conditions for the use of this frequency and the band 156.4875-156.5625 MHz are contained in Articles 31 and 52, and in Appendix 18.The frequency 156.8 MHz is the international distress, safety and calling frequency for the maritime mobile VHF radiotelephone service. The conditions for the use of this frequency and the band 156.7625-156.8375 MHz are contained in Article 31 and Appendix 18. In the bands 156-156.4875 MHz, 156.5625-156.7625 MHz, 156.8375-157.45 MHz, 160.6-160.975 MHz and 161.475-162.05 MHz, each administration shall give priority to the maritime mobile service on only such frequencies as are assigned to stations of the maritime mobile service by the administration (see Articles 31 and 52, and Appendix 18). Any use of frequencies in these bands by stations of other services to which they are allocated should be avoided in areas where such use might cause harmful interference to the maritime mobile VHF radiocommunication service. However, the frequencies 156.8 MHz and 156.525 MHz and the frequency bands in which priority is given to the maritime mobile service may be used for radiocommunications on inland waterways subject to agreement between interested and affected administrations and taking into account current frequency usage and existing agreements. (WRC-07) ', '[5.230]: Additional allocation: in China, the band 163-167 MHz is also allocated to the space operation service (space-to-Earth) on a primary basis, subject to agreement obtained under No. 9.21.', '[5.231]: Additional allocation: in Afghanistan and China, the band 167-174 MHz is also allocated to the broadcasting service on a primary basis. The introduction of the broadcasting service into this band shall be subject to agreement with the neighbouring countries in Region 3 whose services are likely to be affected. (WRC-12)']),
    (174000000, 223000001): (False, True, True, True, False, ['Broadcasting'], [], ['[5.233]: Additional allocation: in China, the band 174-184 MHz is also allocated to the space research (space-to-Earth) and the space operation (space-to-Earth) services on a primary basis, subject to agreement obtained under No. 9.21. These services shall not cause harmful interference to, or claim protection from, existing or planned broadcasting stations.', '[5.238]: Additional allocation: in Bangladesh, India, Pakistan and the Philippines, the band 200-216 MHz is also allocated to the aeronautical radionavigation service on a primary basis.', '[5.240]: Additional allocation: in China and India, the band 216-223 MHz is also allocated to the aeronautical radionavigation service on a primary basis and to the radiolocation service on a secondary basis.', '[5.245]: Additional allocation: in Japan, the band 222-223 MHz is also allocated to the aeronautical radionavigation service on a primary basis and to the radiolocation service on a secondary basis.']),
    (223000000, 230000001): (False, True, True, True, False, ['Broadcasting', 'Aeronautical Radionavigation'], ['Radiolocation'], ['[5.250]: Additional allocation: in China, the band 225-235 MHz is also allocated to the radio astronomy service on a secondary basis.']),
    (230000000, 235000001): (False, True, True, False, False, ['Aeronautical Radionavigation'], [], ['[5.250]: Additional allocation: in China, the band 225-235 MHz is also allocated to the radio astronomy service on a secondary basis.']),
    (235000000, 267000001): (False, True, True, False, False, [], [], ['[5.111]: The carrier frequencies 2 182 kHz, 3 023 kHz, 5 680 kHz, 8 364 kHz and the frequencies 121.5 MHz, 156.525 MHz, 156.8 MHz and 243 MHz may also be used, in accordance with the procedures in force for terrestrial radiocommunication services, for search and rescue operations concerning manned space vehicles. The conditions for the use of the frequencies are prescribed in Article 31.The same applies to the frequencies 10 003 kHz, 14 993 kHz and 19 993 kHz, but in each of these cases emissions must be confined in a band of ± 3 kHz about the frequency. (WRC-07) ', '[5.252]: Alternative allocation: in Botswana, Lesotho, Malawi, Mozambique, Namibia, South Africa, Swaziland, Zambia and Zimbabwe, the bands 230-238 MHz and 246-254 MHz are allocated to the broadcasting service on a primary basis, subject to agreement obtained under No. 9.21.', '[5.254]: The bands 235-322 MHz and 335.4-399.9 MHz may be used by the mobile-satellite service, subject to agreement obtained under No. 9.21, on condition that stations in this service do not cause harmful interference to those of other services operating or planned to be operated in accordance with the Table of Frequency Allocations except for the additional allocation made in footnote No. 5.256A. (WRC-03)', '[5.256]: The frequency 243 MHz is the frequency in this band for use by survival craft stations and equipment used for survival purposes. (WRC-07)', '[5.256A]: Additional allocation: in China, the Russian Federation and Kazakhstan, the frequency band 258-261 MHz is also allocated to the space research service (Earth-to-space) and space operation service (Earth-to-space) on a primary basis. Stations in the space research service (Earth-to-space) and space operation service (Earth-to-space) shall not cause harmful interference to, or claim protection from, or constrain the use and development of, the mobile service systems and mobile-satellite service systems operating in the frequency band. Stations in space research service (Earth-to-space) and space operation service (Earth-to-space) shall not constrain the future development of fixed service systems of other countries. (WRC-15)']),
    (267000000, 272000001): (False, True, True, False, False, [], ['Space Operation (Space-To-Earth)'], ['[5.254]: The bands 235-322 MHz and 335.4-399.9 MHz may be used by the mobile-satellite service, subject to agreement obtained under No. 9.21, on condition that stations in this service do not cause harmful interference to those of other services operating or planned to be operated in accordance with the Table of Frequency Allocations except for the additional allocation made in footnote No. 5.256A. (WRC-03)', '[5.257]: The band 267-272 MHz may be used by administrations for space telemetry in their countries on a primary basis, subject to agreement obtained under No. 9.21.']),
    (272000000, 273000001): (False, True, True, False, False, ['Space Operation (Space-To-Earth)'], [], ['[5.254]: The bands 235-322 MHz and 335.4-399.9 MHz may be used by the mobile-satellite service, subject to agreement obtained under No. 9.21, on condition that stations in this service do not cause harmful interference to those of other services operating or planned to be operated in accordance with the Table of Frequency Allocations except for the additional allocation made in footnote No. 5.256A. (WRC-03)']),
    (273000000, 312000001): (False, True, True, False, False, [], [], ['[5.254]: The bands 235-322 MHz and 335.4-399.9 MHz may be used by the mobile-satellite service, subject to agreement obtained under No. 9.21, on condition that stations in this service do not cause harmful interference to those of other services operating or planned to be operated in accordance with the Table of Frequency Allocations except for the additional allocation made in footnote No. 5.256A. (WRC-03)']),
    (312000000, 315000001): (False, True, True, False, False, [], ['Mobile-Satellite (Earth-To-Space) [5.254][5.255]'], ['[5.254]: The bands 235-322 MHz and 335.4-399.9 MHz may be used by the mobile-satellite service, subject to agreement obtained under No. 9.21, on condition that stations in this service do not cause harmful interference to those of other services operating or planned to be operated in accordance with the Table of Frequency Allocations except for the additional allocation made in footnote No. 5.256A. (WRC-03)', '[5.255]: The bands 312-315 MHz (Earth-to-space) and 387-390 MHz (space-to-Earth) in the mobile-satellite service may also be used by non-geostationary-satellite systems. Such use is subject to coordination under No. 9.11A.']),
    (315000000, 322000001): (False, True, True, False, False, [], [], ['[5.254]: The bands 235-322 MHz and 335.4-399.9 MHz may be used by the mobile-satellite service, subject to agreement obtained under No. 9.21, on condition that stations in this service do not cause harmful interference to those of other services operating or planned to be operated in accordance with the Table of Frequency Allocations except for the additional allocation made in footnote No. 5.256A. (WRC-03)']),
    (322000000, 328600001): (False, True, True, False, False, ['Radio Astronomy'], [], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07)']),
    (328600000, 335400001): (False, False, False, False, False, ['Aeronautical Radionavigation [5.258]'], [], ['[5.258]: The use of the band 328.6-335.4 MHz by the aeronautical radionavigation service is limited to Instrument Landing Systems (glide path).', '[5.259]: Additional allocation: in Egypt and the Syrian Arab Republic, the band 328.6-335.4 MHz is also allocated to the mobile service on a secondary basis, subject to agreement obtained under No. 9.21. In order to ensure that harmful interference is not caused to stations of the aeronautical radionavigation service, stations of the mobile service shall not be introduced in the band until it is no longer required for the aeronautical radionavigation service by any administration which may be identified in the application of the procedure invoked under No. 9.21. (WRC-12)']),
    (335400000, 387000001): (False, True, True, False, False, [], [], ['[5.254]: The bands 235-322 MHz and 335.4-399.9 MHz may be used by the mobile-satellite service, subject to agreement obtained under No. 9.21, on condition that stations in this service do not cause harmful interference to those of other services operating or planned to be operated in accordance with the Table of Frequency Allocations except for the additional allocation made in footnote No. 5.256A. (WRC-03)']),
    (387000000, 390000001): (False, True, True, False, False, [], ['Mobile-Satellite (Space-To-Earth) [5.208A][5.208B][5.254][5.255]'], ['[5.208A]: In making assignments to space stations in the mobile-satellite service in the bands 137-138 MHz, 387-390 MHz and 400.15-401 MHz, administrations shall take all practicable steps to protect the radio astronomy service in the bands 150.05-153 MHz, 322-328.6 MHz, 406.1-410 MHz and 608-614 MHz from harmful interference from unwanted emissions. The threshold levels of interference detrimental to the radio astronomy service are shown in the relevant ITU-R Recommendation. (WRC-07)', '[5.208B]: * In the frequency bands:137-138 MHz, 387-390 MHz, 400.15-401 MHz, 1 452-1 492 MHz, 1 525-1 610 MHz, 1 613.8-1 626.5 MHz, 2 655-2 690 MHz, 21.4-22 GHz, Resolution 739 (Rev.WRC-15) applies. (WRC-15) ', '[5.254]: The bands 235-322 MHz and 335.4-399.9 MHz may be used by the mobile-satellite service, subject to agreement obtained under No. 9.21, on condition that stations in this service do not cause harmful interference to those of other services operating or planned to be operated in accordance with the Table of Frequency Allocations except for the additional allocation made in footnote No. 5.256A. (WRC-03)', '[5.255]: The bands 312-315 MHz (Earth-to-space) and 387-390 MHz (space-to-Earth) in the mobile-satellite service may also be used by non-geostationary-satellite systems. Such use is subject to coordination under No. 9.11A.']),
    (390000000, 399900001): (False, True, True, False, False, [], [], ['[5.254]: The bands 235-322 MHz and 335.4-399.9 MHz may be used by the mobile-satellite service, subject to agreement obtained under No. 9.21, on condition that stations in this service do not cause harmful interference to those of other services operating or planned to be operated in accordance with the Table of Frequency Allocations except for the additional allocation made in footnote No. 5.256A. (WRC-03)']),
    (399900000, 400050001): (False, False, False, False, False, ['Mobile-Satellite (Earth-To-Space) [5.209][5.220]'], [], ['[5.209]: The use of the bands 137-138 MHz, 148-150.05 MHz, 399.9-400.05 MHz, 400.15-401 MHz, 454-456 MHz and 459-460 MHz by the mobile-satellite service is limited to non-geostationary-satellite systems. (WRC-97)', '[5.220]: The use of the frequency bands 149.9-150.05 MHz and 399.9-400.05 MHz by the mobile-satellite service is subject to coordination under No. 9.11A. (WRC-15)']),
    (400050000, 400150001): (False, False, False, False, True, ['Standard Frequency And Time Signal- Satellite (400.1 Mhz)'], [], ['[5.261]: Emissions shall be confined in a band of ± 25 kHz about the standard frequency 400.1 MHz.', '[5.262]: Additional allocation: in Saudi Arabia, Armenia, Azerbaijan, Bahrain, Belarus, Botswana, Colombia, Cuba, Egypt, the United Arab Emirates, Ecuador, the Russian Federation, Georgia, Hungary, Iran (Islamic Republic of), Iraq, Israel, Jordan, Kazakhstan, Kuwait, Liberia, Malaysia, Moldova, Oman, Uzbekistan, Pakistan, the Philippines, Qatar, the Syrian Arab Republic, Kyrgyzstan, Singapore, Somalia, Tajikistan, Chad, Turkmenistan and Ukraine, the band 400.05-401 MHz is also allocated to the fixed and mobile services on a primary basis. (WRC-12)']),
    (400150000, 401000001): (False, False, False, False, False, ['Meteorological Aids', 'Meteorological-Satellite (Space-To-Earth)', 'Mobile-Satellite (Space-To-Earth) [5.208A][5.208B][5.209]', 'Space Research (Space-To-Earth) [5.263]'], ['Space Operation (Space-To-Earth)'], ['[5.208A]: In making assignments to space stations in the mobile-satellite service in the bands 137-138 MHz, 387-390 MHz and 400.15-401 MHz, administrations shall take all practicable steps to protect the radio astronomy service in the bands 150.05-153 MHz, 322-328.6 MHz, 406.1-410 MHz and 608-614 MHz from harmful interference from unwanted emissions. The threshold levels of interference detrimental to the radio astronomy service are shown in the relevant ITU-R Recommendation. (WRC-07)', '[5.208B]: * In the frequency bands:137-138 MHz, 387-390 MHz, 400.15-401 MHz, 1 452-1 492 MHz, 1 525-1 610 MHz, 1 613.8-1 626.5 MHz, 2 655-2 690 MHz, 21.4-22 GHz, Resolution 739 (Rev.WRC-15) applies. (WRC-15) ', '[5.209]: The use of the bands 137-138 MHz, 148-150.05 MHz, 399.9-400.05 MHz, 400.15-401 MHz, 454-456 MHz and 459-460 MHz by the mobile-satellite service is limited to non-geostationary-satellite systems. (WRC-97)', '[5.263]: The band 400.15-401 MHz is also allocated to the space research service in the space-to-space direction for communications with manned space vehicles. In this application, the space research service will not be regarded as a safety service.', '[5.262]: Additional allocation: in Saudi Arabia, Armenia, Azerbaijan, Bahrain, Belarus, Botswana, Colombia, Cuba, Egypt, the United Arab Emirates, Ecuador, the Russian Federation, Georgia, Hungary, Iran (Islamic Republic of), Iraq, Israel, Jordan, Kazakhstan, Kuwait, Liberia, Malaysia, Moldova, Oman, Uzbekistan, Pakistan, the Philippines, Qatar, the Syrian Arab Republic, Kyrgyzstan, Singapore, Somalia, Tajikistan, Chad, Turkmenistan and Ukraine, the band 400.05-401 MHz is also allocated to the fixed and mobile services on a primary basis. (WRC-12)', '[5.264]: The use of the band 400.15-401 MHz by the mobile-satellite service is subject to coordination under No. 9.11A. The power flux-density limit indicated in Annex 1 of Appendix 5 shall apply until such time as a competent world radiocommunication conference revises it.']),
    (401000000, 402000001): (False, True, True, False, False, ['Meteorological Aids', 'Space Operation (Space-To-Earth)', 'Earth Exploration-Satellite (Earth-To-Space)', 'Meteorological-Satellite (Earth-To-Space)'], ['Mobile Except Aeronautical Mobile'], []),
    (402000000, 403000001): (False, True, True, False, False, ['Meteorological Aids', 'Earth Exploration-Satellite (Earth-To-Space)', 'Meteorological-Satellite (Earth-To-Space)'], ['Mobile Except Aeronautical Mobile'], []),
    (403000000, 406000001): (False, True, True, False, False, ['Meteorological Aids'], ['Mobile Except Aeronautical Mobile'], ['[5.265]: In the frequency band 403-410 MHz, Resolution 205 (Rev.WRC-15) applies. (WRC-15)']),
    (406000000, 406100001): (False, False, False, False, False, ['Mobile-Satellite (Earth-To-Space)'], [], ['[5.265]: In the frequency band 403-410 MHz, Resolution 205 (Rev.WRC-15) applies. (WRC-15)', '[5.266]: The use of the band 406-406.1 MHz by the mobile-satellite service is limited to low power satellite emergency position-indicating radiobeacons (see also Article 31). (WRC-07)', '[5.267]: Any emission capable of causing harmful interference to the authorized uses of the band 406-406.1 MHz is prohibited.']),
    (406100000, 410000001): (False, True, True, False, False, ['Mobile Except Aeronautical Mobile', 'Radio Astronomy'], [], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.265]: In the frequency band 403-410 MHz, Resolution 205 (Rev.WRC-15) applies. (WRC-15)']),
    (410000000, 420000001): (False, True, True, False, False, ['Mobile Except Aeronautical Mobile', 'Space Research (Space-To-Space) [5.268]'], [], ['[5.268]: Use of the frequency band 410-420 MHz by the space research service is limited to space-to-space communication links with an orbiting, manned space vehicle. The power flux-density at the surface of the Earth produced by emissions from transmitting stations of the space research service (space-to-space) in the frequency band 410-420 MHz shall not exceed −153 dB(W/m2) for 0° £ d £ 5°, −153 + 0.077 (d − 5) dB(W/m2) for 5° £ d £ 70° and −148 dB(W/m2) for 70° £ d £ 90°, where d is the angle of arrival of the radio-frequency wave and the reference bandwidth is 4 kHz. In this frequency band, stations of the space research service (space-to-space) shall not claim protection from, nor constrain the use and development of, stations of the fixed and mobile services. No. 4.10 does not apply. (WRC-15)']),
    (420000000, 430000001): (False, True, True, False, False, ['Mobile Except Aeronautical Mobile'], ['Radiolocation'], ['[5.269]: Different category of service: in Australia, the United States, India, Japan and the United Kingdom, the allocation of the bands 420-430 MHz and 440-450 MHz to the radiolocation service is on a primary basis (see No. 5.33).', '[5.270]: Additional allocation: in Australia, the United States, Jamaica and the Philippines, the bands 420-430 MHz and 440-450 MHz are also allocated to the amateur service on a secondary basis.', '[5.271]: Additional allocation: in Belarus, China, India, Kyrgyzstan and Turkmenistan, the band 420-460 MHz is also allocated to the aeronautical radionavigation service (radio altimeters) on a secondary basis. (WRC-07)']),
    (430000000, 432000001): (True, False, False, False, False, ['Radiolocation'], ['Amateur'], ['[5.271]: Additional allocation: in Belarus, China, India, Kyrgyzstan and Turkmenistan, the band 420-460 MHz is also allocated to the aeronautical radionavigation service (radio altimeters) on a secondary basis. (WRC-07)', '[5.276]: Additional allocation: in Afghanistan, Algeria, Saudi Arabia, Bahrain, Bangladesh, Brunei Darussalam, Burkina Faso, Djibouti, Egypt, the United Arab Emirates, Ecuador, Eritrea, Ethiopia, Greece, Guinea, India, Indonesia, Iran (Islamic Republic of), Iraq, Israel, Italy, Jordan, Kenya, Kuwait, Libya, Malaysia, Niger, Nigeria, Oman, Pakistan, the Philippines, Qatar, the Syrian Arab Republic, the Dem. People’s Rep. of Korea, Singapore, Somalia, Sudan, Switzerland, Thailand, Togo, Turkey and Yemen, the frequency band 430-440 MHz is also allocated to the fixed service on a primary basis and the frequency bands 430-435 MHz and 438-440 MHz are also allocated, except in Ecuador, to the mobile, except aeronautical mobile, service on a primary basis. (WRC-15)', '[5.278]: Different category of service: in Argentina, Colombia, Costa Rica, Cuba, Guyana, Honduras, Panama and Venezuela, the allocation of the band 430-440 MHz to the amateur service is on a primary basis (see No. 5.33).', '[5.279]: Additional allocation: in Mexico, the bands 430-435 MHz and 438-440 MHz are also allocated on a primary basis to the land mobile service, subject to agreement obtained under No. 9.21.']),
    (432000000, 438000001): (True, False, False, False, False, ['Radiolocation'], ['Amateur', 'Earth Exploration-Satellite (Active) [5.279A]'], ['[5.279A]: The use of the frequency band 432-438 MHz by sensors in the Earth exploration-satellite service (active) shall be in accordance with Recommendation ITU-R RS.1260-1. Additionally, the Earth exploration-satellite service (active) in the frequency band 432-438 MHz shall not cause harmful interference to the aeronautical radionavigation service in China. The provisions of this footnote in no way diminish the obligation of the Earth exploration-satellite service (active) to operate as a secondary service in accordance with Nos. 5.29 and 5.30. (WRC-15)', '[5.271]: Additional allocation: in Belarus, China, India, Kyrgyzstan and Turkmenistan, the band 420-460 MHz is also allocated to the aeronautical radionavigation service (radio altimeters) on a secondary basis. (WRC-07)', '[5.276]: Additional allocation: in Afghanistan, Algeria, Saudi Arabia, Bahrain, Bangladesh, Brunei Darussalam, Burkina Faso, Djibouti, Egypt, the United Arab Emirates, Ecuador, Eritrea, Ethiopia, Greece, Guinea, India, Indonesia, Iran (Islamic Republic of), Iraq, Israel, Italy, Jordan, Kenya, Kuwait, Libya, Malaysia, Niger, Nigeria, Oman, Pakistan, the Philippines, Qatar, the Syrian Arab Republic, the Dem. People’s Rep. of Korea, Singapore, Somalia, Sudan, Switzerland, Thailand, Togo, Turkey and Yemen, the frequency band 430-440 MHz is also allocated to the fixed service on a primary basis and the frequency bands 430-435 MHz and 438-440 MHz are also allocated, except in Ecuador, to the mobile, except aeronautical mobile, service on a primary basis. (WRC-15)', '[5.278]: Different category of service: in Argentina, Colombia, Costa Rica, Cuba, Guyana, Honduras, Panama and Venezuela, the allocation of the band 430-440 MHz to the amateur service is on a primary basis (see No. 5.33).', '[5.279]: Additional allocation: in Mexico, the bands 430-435 MHz and 438-440 MHz are also allocated on a primary basis to the land mobile service, subject to agreement obtained under No. 9.21.', '[5.281]: Additional allocation: in the French overseas departments and communities in Region 2 and India, the band 433.75-434.25 MHz is also allocated to the space operation service (Earth-to-space) on a primary basis. In France and in Brazil, the band is allocated to the same service on a secondary basis.', '[5.282]: In the bands 435-438 MHz, 1 260-1 270 MHz, 2 400-2 450 MHz, 3 400-3 410 MHz (in Regions 2 and 3 only) and 5 650-5 670 MHz, the amateur-satellite service may operate subject to not causing harmful interference to other services operating in accordance with the Table (see No. 5.43). Administrations authorizing such use shall ensure that any harmful interference caused by emissions from a station in the amateur-satellite service is immediately eliminated in accordance with the provisions of No. 25.11. The use of the bands 1 260-1 270 MHz and 5 650-5 670 MHz by the amateur-satellite service is limited to the Earth-to-space direction.']),
    (438000000, 440000001): (True, False, False, False, False, ['Radiolocation'], ['Amateur'], ['[5.271]: Additional allocation: in Belarus, China, India, Kyrgyzstan and Turkmenistan, the band 420-460 MHz is also allocated to the aeronautical radionavigation service (radio altimeters) on a secondary basis. (WRC-07)', '[5.276]: Additional allocation: in Afghanistan, Algeria, Saudi Arabia, Bahrain, Bangladesh, Brunei Darussalam, Burkina Faso, Djibouti, Egypt, the United Arab Emirates, Ecuador, Eritrea, Ethiopia, Greece, Guinea, India, Indonesia, Iran (Islamic Republic of), Iraq, Israel, Italy, Jordan, Kenya, Kuwait, Libya, Malaysia, Niger, Nigeria, Oman, Pakistan, the Philippines, Qatar, the Syrian Arab Republic, the Dem. People’s Rep. of Korea, Singapore, Somalia, Sudan, Switzerland, Thailand, Togo, Turkey and Yemen, the frequency band 430-440 MHz is also allocated to the fixed service on a primary basis and the frequency bands 430-435 MHz and 438-440 MHz are also allocated, except in Ecuador, to the mobile, except aeronautical mobile, service on a primary basis. (WRC-15)', '[5.278]: Different category of service: in Argentina, Colombia, Costa Rica, Cuba, Guyana, Honduras, Panama and Venezuela, the allocation of the band 430-440 MHz to the amateur service is on a primary basis (see No. 5.33).', '[5.279]: Additional allocation: in Mexico, the bands 430-435 MHz and 438-440 MHz are also allocated on a primary basis to the land mobile service, subject to agreement obtained under No. 9.21.']),
    (440000000, 450000001): (False, True, True, False, False, ['Mobile Except Aeronautical Mobile'], ['Radiolocation'], ['[5.269]: Different category of service: in Australia, the United States, India, Japan and the United Kingdom, the allocation of the bands 420-430 MHz and 440-450 MHz to the radiolocation service is on a primary basis (see No. 5.33).', '[5.270]: Additional allocation: in Australia, the United States, Jamaica and the Philippines, the bands 420-430 MHz and 440-450 MHz are also allocated to the amateur service on a secondary basis.', '[5.271]: Additional allocation: in Belarus, China, India, Kyrgyzstan and Turkmenistan, the band 420-460 MHz is also allocated to the aeronautical radionavigation service (radio altimeters) on a secondary basis. (WRC-07)', '[5.284]: Additional allocation: in Canada, the band 440-450 MHz is also allocated to the amateur service on a secondary basis.', '[5.285]: Different category of service: in Canada, the allocation of the band 440-450 MHz to the radiolocation service is on a primary basis (see No. 5.33).', '[5.286]: The band 449.75-450.25 MHz may be used for the space operation service (Earth-to-space) and the space research service (Earth-to-space), subject to agreement obtained under No. 9.21.']),
    (450000000, 455000001): (False, True, True, False, False, ['Mobile [5.286Aa]'], [], ['[5.286AA]: The frequency band 450-470 MHz is identified for use by administrations wishing to implement International Mobile Telecommunications (IMT). See Resolution 224 (Rev.WRC-15). This identification does not preclude the use of this frequency band by any application of the services to which it is allocated and does not establish priority in the Radio Regulations. (WRC-15)', '[5.209]: The use of the bands 137-138 MHz, 148-150.05 MHz, 399.9-400.05 MHz, 400.15-401 MHz, 454-456 MHz and 459-460 MHz by the mobile-satellite service is limited to non-geostationary-satellite systems. (WRC-97)', '[5.271]: Additional allocation: in Belarus, China, India, Kyrgyzstan and Turkmenistan, the band 420-460 MHz is also allocated to the aeronautical radionavigation service (radio altimeters) on a secondary basis. (WRC-07)', '[5.286]: The band 449.75-450.25 MHz may be used for the space operation service (Earth-to-space) and the space research service (Earth-to-space), subject to agreement obtained under No. 9.21.', '[5.286A]: The use of the bands 454-456 MHz and 459-460 MHz by the mobile-satellite service is subject to coordination under No. 9.11A. (WRC-97)', '[5.286B]: The use of the band 454-455 MHz in the countries listed in No. 5.286D, 455-456 MHz and 459-460 MHz in Region 2, and 454-456 MHz and 459-460 MHz in the countries listed in No. 5.286E, by stations in the mobile-satellite service, shall not cause harmful interference to, or claim protection from, stations of the fixed or mobile services operating in accordance with the Table of Frequency Allocations. (WRC-97)', '[5.286C]: The use of the band 454-455 MHz in the countries listed in No. 5.286D, 455-456 MHz and 459-460 MHz in Region 2, and 454-456 MHz and 459-460 MHz in the countries listed in No. 5.286E, by stations in the mobile-satellite service, shall not constrain the development and use of the fixed and mobile services operating in accordance with the Table of Frequency Allocations. (WRC-97)', '[5.286D]: Additional allocation: in Canada, the United States and Panama, the band 454-455 MHz is also allocated to the mobile-satellite service (Earth-to-space) on a primary basis. (WRC-07)', '[5.286E]: Additional allocation: in Cape Verde, Nepal and Nigeria, the bands 454-456 MHz and 459-460 MHz are also allocated to the mobile-satellite (Earth-to-space) service on a primary basis. (WRC-07)']),
    (455000000, 456000001): (False, True, True, False, False, ['Mobile [5.286Aa]'], [], ['[5.286AA]: The frequency band 450-470 MHz is identified for use by administrations wishing to implement International Mobile Telecommunications (IMT). See Resolution 224 (Rev.WRC-15). This identification does not preclude the use of this frequency band by any application of the services to which it is allocated and does not establish priority in the Radio Regulations. (WRC-15)', '[5.209]: The use of the bands 137-138 MHz, 148-150.05 MHz, 399.9-400.05 MHz, 400.15-401 MHz, 454-456 MHz and 459-460 MHz by the mobile-satellite service is limited to non-geostationary-satellite systems. (WRC-97)', '[5.271]: Additional allocation: in Belarus, China, India, Kyrgyzstan and Turkmenistan, the band 420-460 MHz is also allocated to the aeronautical radionavigation service (radio altimeters) on a secondary basis. (WRC-07)', '[5.286A]: The use of the bands 454-456 MHz and 459-460 MHz by the mobile-satellite service is subject to coordination under No. 9.11A. (WRC-97)', '[5.286B]: The use of the band 454-455 MHz in the countries listed in No. 5.286D, 455-456 MHz and 459-460 MHz in Region 2, and 454-456 MHz and 459-460 MHz in the countries listed in No. 5.286E, by stations in the mobile-satellite service, shall not cause harmful interference to, or claim protection from, stations of the fixed or mobile services operating in accordance with the Table of Frequency Allocations. (WRC-97)', '[5.286C]: The use of the band 454-455 MHz in the countries listed in No. 5.286D, 455-456 MHz and 459-460 MHz in Region 2, and 454-456 MHz and 459-460 MHz in the countries listed in No. 5.286E, by stations in the mobile-satellite service, shall not constrain the development and use of the fixed and mobile services operating in accordance with the Table of Frequency Allocations. (WRC-97)', '[5.286E]: Additional allocation: in Cape Verde, Nepal and Nigeria, the bands 454-456 MHz and 459-460 MHz are also allocated to the mobile-satellite (Earth-to-space) service on a primary basis. (WRC-07)']),
    (456000000, 459000001): (False, True, True, False, False, ['Mobile [5.286Aa]'], [], ['[5.286AA]: The frequency band 450-470 MHz is identified for use by administrations wishing to implement International Mobile Telecommunications (IMT). See Resolution 224 (Rev.WRC-15). This identification does not preclude the use of this frequency band by any application of the services to which it is allocated and does not establish priority in the Radio Regulations. (WRC-15)', '[5.271]: Additional allocation: in Belarus, China, India, Kyrgyzstan and Turkmenistan, the band 420-460 MHz is also allocated to the aeronautical radionavigation service (radio altimeters) on a secondary basis. (WRC-07)', '[5.287]: Use of the frequency bands 457.5125-457.5875 MHz and 467.5125-467.5875 MHz by the maritime mobile service is limited to on-board communication stations. The characteristics of the equipment and the channelling arrangement shall be in accordance with Recommendation ITU-R M.1174-3. The use of these frequency bands in territorial waters is subject to the national regulations of the administration concerned. (WRC-15)', '[5.288]: In the territorial waters of the United States and the Philippines, the preferred frequencies for use by on-board communication stations shall be 457.525 MHz, 457.550 MHz, 457.575 MHz and 457.600 MHz paired, respectively, with 467.750 MHz, 467.775 MHz, 467.800 MHz and 467.825 MHz. The characteristics of the equipment used shall conform to those specified in Recommendation ITU-R M.1174-3. (WRC-15)']),
    (459000000, 460000001): (False, True, True, False, False, ['Mobile [5.286Aa]'], [], ['[5.286AA]: The frequency band 450-470 MHz is identified for use by administrations wishing to implement International Mobile Telecommunications (IMT). See Resolution 224 (Rev.WRC-15). This identification does not preclude the use of this frequency band by any application of the services to which it is allocated and does not establish priority in the Radio Regulations. (WRC-15)', '[5.209]: The use of the bands 137-138 MHz, 148-150.05 MHz, 399.9-400.05 MHz, 400.15-401 MHz, 454-456 MHz and 459-460 MHz by the mobile-satellite service is limited to non-geostationary-satellite systems. (WRC-97)', '[5.271]: Additional allocation: in Belarus, China, India, Kyrgyzstan and Turkmenistan, the band 420-460 MHz is also allocated to the aeronautical radionavigation service (radio altimeters) on a secondary basis. (WRC-07)', '[5.286A]: The use of the bands 454-456 MHz and 459-460 MHz by the mobile-satellite service is subject to coordination under No. 9.11A. (WRC-97)', '[5.286B]: The use of the band 454-455 MHz in the countries listed in No. 5.286D, 455-456 MHz and 459-460 MHz in Region 2, and 454-456 MHz and 459-460 MHz in the countries listed in No. 5.286E, by stations in the mobile-satellite service, shall not cause harmful interference to, or claim protection from, stations of the fixed or mobile services operating in accordance with the Table of Frequency Allocations. (WRC-97)', '[5.286C]: The use of the band 454-455 MHz in the countries listed in No. 5.286D, 455-456 MHz and 459-460 MHz in Region 2, and 454-456 MHz and 459-460 MHz in the countries listed in No. 5.286E, by stations in the mobile-satellite service, shall not constrain the development and use of the fixed and mobile services operating in accordance with the Table of Frequency Allocations. (WRC-97)', '[5.286E]: Additional allocation: in Cape Verde, Nepal and Nigeria, the bands 454-456 MHz and 459-460 MHz are also allocated to the mobile-satellite (Earth-to-space) service on a primary basis. (WRC-07)']),
    (460000000, 470000001): (False, True, True, False, False, ['Mobile [5.286Aa]'], ['Meteorological-Satellite (Space-To-Earth)'], ['[5.286AA]: The frequency band 450-470 MHz is identified for use by administrations wishing to implement International Mobile Telecommunications (IMT). See Resolution 224 (Rev.WRC-15). This identification does not preclude the use of this frequency band by any application of the services to which it is allocated and does not establish priority in the Radio Regulations. (WRC-15)', '[5.287]: Use of the frequency bands 457.5125-457.5875 MHz and 467.5125-467.5875 MHz by the maritime mobile service is limited to on-board communication stations. The characteristics of the equipment and the channelling arrangement shall be in accordance with Recommendation ITU-R M.1174-3. The use of these frequency bands in territorial waters is subject to the national regulations of the administration concerned. (WRC-15)', '[5.288]: In the territorial waters of the United States and the Philippines, the preferred frequencies for use by on-board communication stations shall be 457.525 MHz, 457.550 MHz, 457.575 MHz and 457.600 MHz paired, respectively, with 467.750 MHz, 467.775 MHz, 467.800 MHz and 467.825 MHz. The characteristics of the equipment used shall conform to those specified in Recommendation ITU-R M.1174-3. (WRC-15)', '[5.289]: Earth exploration-satellite service applications, other than the meteorological-satellite service, may also be used in the bands 460-470 MHz and 1 690-1 710 MHz for space-to-Earth transmissions subject to not causing harmful interference to stations operating in accordance with the Table.', '[5.290]: Different category of service: in Afghanistan, Azerbaijan, Belarus, China, the Russian Federation, Japan, Kyrgyzstan, Tajikistan and Turkmenistan, the allocation of the band 460-470 MHz to the meteorological-satellite service (space-to-Earth) is on a primary basis (see No. 5.33), subject to agreement obtained under No. 9.21. (WRC-12)']),
    (470000000, 585000001): (False, True, True, True, False, ['Mobile [5.296A]', 'Broadcasting'], [], ['[5.296A]: In Micronesia, the Solomon Islands, Tuvalu and Vanuatu, the frequency band 470-698 MHz, or portions thereof, and in Bangladesh, Maldives and New Zealand, the frequency band 610-698 MHz, or portions thereof, are identified for use by these administrations wishing to implement International Mobile Telecommunications (IMT) – see Resolution 224 (Rev.WRC-15). This identification does not preclude the use of these frequency bands by any application of the services to which they are allocated and does not establish priority in the Radio Regulations. The mobile allocation in this frequency band shall not be used for IMT systems unless subject to agreement obtained under No. 9.21 and shall not cause harmful interference to, or claim protection from, the broadcasting service of neighbouring countries. Nos. 5.43 and 5.43A apply. (WRC-15)', '[5.291]: Additional allocation: in China, the band 470-485 MHz is also allocated to the space research (space-to-Earth) and the space operation (space-to-Earth) services on a primary basis subject to agreement obtained under No. 9.21 and subject to not causing harmful interference to existing and planned broadcasting stations.', '[5.298]: Additional allocation: in India, the band 549.75-550.25 MHz is also allocated to the space operation service (space-to-Earth) on a secondary basis.']),
    (585000000, 610000001): (False, True, True, True, False, ['Mobile [5.296A]', 'Broadcasting', 'Radionavigation'], [], ['[5.296A]: In Micronesia, the Solomon Islands, Tuvalu and Vanuatu, the frequency band 470-698 MHz, or portions thereof, and in Bangladesh, Maldives and New Zealand, the frequency band 610-698 MHz, or portions thereof, are identified for use by these administrations wishing to implement International Mobile Telecommunications (IMT) – see Resolution 224 (Rev.WRC-15). This identification does not preclude the use of these frequency bands by any application of the services to which they are allocated and does not establish priority in the Radio Regulations. The mobile allocation in this frequency band shall not be used for IMT systems unless subject to agreement obtained under No. 9.21 and shall not cause harmful interference to, or claim protection from, the broadcasting service of neighbouring countries. Nos. 5.43 and 5.43A apply. (WRC-15)', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.305]: Additional allocation: in China, the band 606-614 MHz is also allocated to the radio astronomy service on a primary basis.', '[5.306]: Additional allocation: in Region 1, except in the African Broadcasting Area (see Nos. 5.10 to 5.13), and in Region 3, the band 608-614 MHz is also allocated to the radio astronomy service on a secondary basis.', '[5.307]: Additional allocation: in India, the band 608-614 MHz is also allocated to the radio astronomy service on a primary basis.']),
    (610000000, 890000001): (False, True, True, True, False, ['Mobile [5.296A][5.313A][5.317A]', 'Broadcasting'], [], ['[5.296A]: In Micronesia, the Solomon Islands, Tuvalu and Vanuatu, the frequency band 470-698 MHz, or portions thereof, and in Bangladesh, Maldives and New Zealand, the frequency band 610-698 MHz, or portions thereof, are identified for use by these administrations wishing to implement International Mobile Telecommunications (IMT) – see Resolution 224 (Rev.WRC-15). This identification does not preclude the use of these frequency bands by any application of the services to which they are allocated and does not establish priority in the Radio Regulations. The mobile allocation in this frequency band shall not be used for IMT systems unless subject to agreement obtained under No. 9.21 and shall not cause harmful interference to, or claim protection from, the broadcasting service of neighbouring countries. Nos. 5.43 and 5.43A apply. (WRC-15)', '[5.313A]: The frequency band, or portions of the frequency band 698-790 MHz, in Australia, Bangladesh, Brunei Darussalam, Cambodia, China, Korea (Rep. of), Fiji, India, Indonesia, Japan, Kiribati, Lao P.D.R., Malaysia, Myanmar (Union of), New Zealand, Pakistan, Papua New Guinea, the Philippines, Solomon Islands, Samoa, Singapore, Thailand, Tonga, Tuvalu, Vanuatu and Viet Nam, are identified for use by these administrations wishing to implement International Mobile Telecommunications (IMT). This identification does not preclude the use of these frequency bands by any application of the services to which they are allocated and does not establish priority in the Radio Regulations. In China, the use of IMT in this frequency band will not start until 2015. (WRC-15)', '[5.317A]: The parts of the frequency band 698-960 MHz in Region 2 and the frequency bands 694-790 MHz in Region 1 and 790-960 MHz in Regions 1 and 3 which are allocated to the mobile service on a primary basis are identified for use by administrations wishing to implement International Mobile Telecommunications (IMT) – see Resolutions 224 (Rev.WRC-15), 760 (WRC-15) and 749 (Rev.WRC-15), where applicable. This identification does not preclude the use of these frequency bands by any application of the services to which they are allocated and does not establish priority in the Radio Regulations. (WRC-15)', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.305]: Additional allocation: in China, the band 606-614 MHz is also allocated to the radio astronomy service on a primary basis.', '[5.306]: Additional allocation: in Region 1, except in the African Broadcasting Area (see Nos. 5.10 to 5.13), and in Region 3, the band 608-614 MHz is also allocated to the radio astronomy service on a secondary basis.', '[5.307]: Additional allocation: in India, the band 608-614 MHz is also allocated to the radio astronomy service on a primary basis.', '[5.311A]: For the frequency band 620-790 MHz, see also Resolution 549 (WRC-07). (WRC-07)', '[5.320]: Additional allocation: in Region 3, the bands 806-890 MHz and 942-960 MHz are also allocated to the mobile-satellite, except aeronautical mobile-satellite (R), service on a primary basis, subject to agreement obtained under No. 9.21. The use of this service is limited to operation within national boundaries. In seeking such agreement, appropriate protection shall be afforded to services operating in accordance with the Table, to ensure that no harmful interference is caused to such services.']),
    (890000000, 942000001): (False, True, True, True, False, ['Mobile [5.317A]', 'Broadcasting'], ['Radiolocation'], ['[5.317A]: The parts of the frequency band 698-960 MHz in Region 2 and the frequency bands 694-790 MHz in Region 1 and 790-960 MHz in Regions 1 and 3 which are allocated to the mobile service on a primary basis are identified for use by administrations wishing to implement International Mobile Telecommunications (IMT) – see Resolutions 224 (Rev.WRC-15), 760 (WRC-15) and 749 (Rev.WRC-15), where applicable. This identification does not preclude the use of these frequency bands by any application of the services to which they are allocated and does not establish priority in the Radio Regulations. (WRC-15)', '[5.327]: Different category of service: in Australia, the allocation of the band 915-928 MHz to the radiolocation service is on a primary basis (see No. 5.33).']),
    (942000000, 960000001): (False, True, True, True, False, ['Mobile [5.317A]', 'Broadcasting'], [], ['[5.317A]: The parts of the frequency band 698-960 MHz in Region 2 and the frequency bands 694-790 MHz in Region 1 and 790-960 MHz in Regions 1 and 3 which are allocated to the mobile service on a primary basis are identified for use by administrations wishing to implement International Mobile Telecommunications (IMT) – see Resolutions 224 (Rev.WRC-15), 760 (WRC-15) and 749 (Rev.WRC-15), where applicable. This identification does not preclude the use of these frequency bands by any application of the services to which they are allocated and does not establish priority in the Radio Regulations. (WRC-15)', '[5.320]: Additional allocation: in Region 3, the bands 806-890 MHz and 942-960 MHz are also allocated to the mobile-satellite, except aeronautical mobile-satellite (R), service on a primary basis, subject to agreement obtained under No. 9.21. The use of this service is limited to operation within national boundaries. In seeking such agreement, appropriate protection shall be afforded to services operating in accordance with the Table, to ensure that no harmful interference is caused to such services.']),
    (960000000, 1164000001): (False, False, True, False, False, ['Aeronautical Mobile (R) [5.327A]', 'Aeronautical Radionavigation [5.328]'], [], ['[5.327A]: The use of the frequency band 960-1 164 MHz by the aeronautical mobile (R) service is limited to systems that operate in accordance with recognized international aeronautical standards. Such use shall be in accordance with Resolution 417 (Rev.WRC-15). (WRC-15)', '[5.328]: The use of the band 960-1 215 MHz by the aeronautical radionavigation service is reserved on a worldwide basis for the operation and development of airborne electronic aids to air navigation and any directly associated ground-based facilities. (WRC-2000)', '[5.328AA]: The frequency band 1 087.7-1 092.3 MHz is also allocated to the aeronautical mobile-satellite (R) service (Earth-to-space) on a primary basis, limited to the space station reception of Automatic Dependent Surveillance-Broadcast (ADS-B) emissions from aircraft transmitters that operate in accordance with recognized international aeronautical standards. Stations operating in the aeronautical mobile-satellite (R) service shall not claim protection from stations operating in the aeronautical radionavigation service. Resolution 425 (WRC-15) shall apply. (WRC-15)']),
    (1164000000, 1215000001): (False, False, False, False, False, ['Aeronautical Radionavigation [5.328]', 'Radionavigation-Satellite (Space-To-Earth) [5.328B]', 'Radionavigation-Satellite (Space-To-Space) [5.328B]'], [], ['[5.328]: The use of the band 960-1 215 MHz by the aeronautical radionavigation service is reserved on a worldwide basis for the operation and development of airborne electronic aids to air navigation and any directly associated ground-based facilities. (WRC-2000)', '[5.328B]: The use of the bands 1 164-1 300 MHz, 1 559-1 610 MHz and 5 010-5 030 MHz by systems and networks in the radionavigation-satellite service for which complete coordination or notification information, as appropriate, is received by the Radiocommunication Bureau after 1 January 2005 is subject to the application of the provisions of Nos. 9.12, 9.12A and 9.13. Resolution 610 (WRC-03) shall also apply; however, in the case of radionavigation-satellite service (space-to-space) networks and systems, Resolution 610 (WRC-03) shall only apply to transmitting space stations. In accordance with No. 5.329A, for systems and networks in the radionavigation-satellite service (space-to-space) in the bands 1 215-1 300 MHz and 1 559-1 610 MHz, the provisions of Nos. 9.7, 9.12, 9.12A and 9.13 shall only apply with respect to other systems and networks in the radionavigation-satellite service (space-to-space). (WRC-07)', '[5.328A]: Stations in the radionavigation-satellite service in the band 1 164-1 215 MHz shall operate in accordance with the provisions of Resolution 609 (Rev.WRC-07) and shall not claim protection from stations in the aeronautical radionavigation service in the band 960-1 215 MHz. No. 5.43A does not apply. The provisions of No. 21.18 shall apply. (WRC-07)']),
    (1215000000, 1240000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Active)', 'Radiolocation', 'Radionavigation-Satellite (Space-To-Earth) [5.328B][5.329][5.329A]', 'Radionavigation-Satellite (Space-To-Space) [5.328B][5.329][5.329A]', 'Space Research (Active)'], [], ['[5.328B]: The use of the bands 1 164-1 300 MHz, 1 559-1 610 MHz and 5 010-5 030 MHz by systems and networks in the radionavigation-satellite service for which complete coordination or notification information, as appropriate, is received by the Radiocommunication Bureau after 1 January 2005 is subject to the application of the provisions of Nos. 9.12, 9.12A and 9.13. Resolution 610 (WRC-03) shall also apply; however, in the case of radionavigation-satellite service (space-to-space) networks and systems, Resolution 610 (WRC-03) shall only apply to transmitting space stations. In accordance with No. 5.329A, for systems and networks in the radionavigation-satellite service (space-to-space) in the bands 1 215-1 300 MHz and 1 559-1 610 MHz, the provisions of Nos. 9.7, 9.12, 9.12A and 9.13 shall only apply with respect to other systems and networks in the radionavigation-satellite service (space-to-space). (WRC-07)', '[5.329]: Use of the radionavigation-satellite service in the band 1 215-1 300 MHz shall be subject to the condition that no harmful interference is caused to, and no protection is claimed from, the radionavigation service authorized under No. 5.331. Furthermore, the use of the radionavigation-satellite service in the band 1 215-1 300 MHz shall be subject to the condition that no harmful interference is caused to the radiolocation service. No. 5.43 shall not apply in respect of the radiolocation service. Resolution 608 (WRC-03)* shall apply. (WRC-03)', '[5.329A]: Use of systems in the radionavigation-satellite service (space-to-space) operating in the bands 1 215-1 300 MHz and 1 559-1 610 MHz is not intended to provide safety service applications, and shall not impose any additional constraints on radionavigation-satellite service (space-to-Earth) systems or on other services operating in accordance with the Table of Frequency Allocations. (WRC-07)', '[5.330]: Additional allocation: in Angola, Saudi Arabia, Bahrain, Bangladesh, Cameroon, China, Djibouti, Egypt, the United Arab Emirates, Eritrea, Ethiopia, Guyana, India, Indonesia, Iran (Islamic Republic of), Iraq, Israel, Japan, Jordan, Kuwait, Nepal, Oman, Pakistan, the Philippines, Qatar, the Syrian Arab Republic, Somalia, Sudan, South Sudan, Chad, Togo and Yemen, the band 1 215-1 300 MHz is also allocated to the fixed and mobile services on a primary basis. (WRC-12)', '[5.331]: Additional allocation: in Algeria, Germany, Saudi Arabia, Australia, Austria, Bahrain, Belarus, Belgium, Benin, Bosnia and Herzegovina, Brazil, Burkina Faso, Burundi, Cameroon, China, Korea (Rep. of), Croatia, Denmark, Egypt, the United Arab Emirates, Estonia, the Russian Federation, Finland, France, Ghana, Greece, Guinea, Equatorial Guinea, Hungary, India, Indonesia, Iran (Islamic Republic of), Iraq, Ireland, Israel, Jordan, Kenya, Kuwait, The Former Yugoslav Republic of Macedonia, Lesotho, Latvia, Lebanon, Liechtenstein, Lithuania, Luxembourg, Madagascar, Mali, Mauritania, Montenegro, Nigeria, Norway, Oman, Pakistan, the Netherlands, Poland, Portugal, Qatar, the Syrian Arab Republic, Dem. People’s Rep. of Korea, Slovakia, the United Kingdom, Serbia, Slovenia, Somalia, Sudan, South Sudan, Sri Lanka, South Africa, Sweden, Switzerland, Thailand, Togo, Turkey, Venezuela and Viet Nam, the band 1 215-1 300 MHz is also allocated to the radionavigation service on a primary basis. In Canada and the United States, the band 1 240-1 300 MHz is also allocated to the radionavigation service, and use of the radionavigation service shall be limited to the aeronautical radionavigation service. (WRC-12)', '[5.332]: In the band 1 215-1 260 MHz, active spaceborne sensors in the Earth exploration-satellite and space research services shall not cause harmful interference to, claim protection from, or otherwise impose constraints on operation or development of the radiolocation service, the radionavigation-satellite service and other services allocated on a primary basis. (WRC-2000)']),
    (1240000000, 1300000001): (True, False, False, False, False, ['Earth Exploration-Satellite (Active)', 'Radiolocation', 'Radionavigation-Satellite (Space-To-Earth) [5.328B][5.329][5.329A]', 'Radionavigation-Satellite (Space-To-Space) [5.328B][5.329][5.329A]', 'Space Research (Active)'], ['Amateur'], ['[5.328B]: The use of the bands 1 164-1 300 MHz, 1 559-1 610 MHz and 5 010-5 030 MHz by systems and networks in the radionavigation-satellite service for which complete coordination or notification information, as appropriate, is received by the Radiocommunication Bureau after 1 January 2005 is subject to the application of the provisions of Nos. 9.12, 9.12A and 9.13. Resolution 610 (WRC-03) shall also apply; however, in the case of radionavigation-satellite service (space-to-space) networks and systems, Resolution 610 (WRC-03) shall only apply to transmitting space stations. In accordance with No. 5.329A, for systems and networks in the radionavigation-satellite service (space-to-space) in the bands 1 215-1 300 MHz and 1 559-1 610 MHz, the provisions of Nos. 9.7, 9.12, 9.12A and 9.13 shall only apply with respect to other systems and networks in the radionavigation-satellite service (space-to-space). (WRC-07)', '[5.329]: Use of the radionavigation-satellite service in the band 1 215-1 300 MHz shall be subject to the condition that no harmful interference is caused to, and no protection is claimed from, the radionavigation service authorized under No. 5.331. Furthermore, the use of the radionavigation-satellite service in the band 1 215-1 300 MHz shall be subject to the condition that no harmful interference is caused to the radiolocation service. No. 5.43 shall not apply in respect of the radiolocation service. Resolution 608 (WRC-03)* shall apply. (WRC-03)', '[5.329A]: Use of systems in the radionavigation-satellite service (space-to-space) operating in the bands 1 215-1 300 MHz and 1 559-1 610 MHz is not intended to provide safety service applications, and shall not impose any additional constraints on radionavigation-satellite service (space-to-Earth) systems or on other services operating in accordance with the Table of Frequency Allocations. (WRC-07)', '[5.282]: In the bands 435-438 MHz, 1 260-1 270 MHz, 2 400-2 450 MHz, 3 400-3 410 MHz (in Regions 2 and 3 only) and 5 650-5 670 MHz, the amateur-satellite service may operate subject to not causing harmful interference to other services operating in accordance with the Table (see No. 5.43). Administrations authorizing such use shall ensure that any harmful interference caused by emissions from a station in the amateur-satellite service is immediately eliminated in accordance with the provisions of No. 25.11. The use of the bands 1 260-1 270 MHz and 5 650-5 670 MHz by the amateur-satellite service is limited to the Earth-to-space direction.', '[5.330]: Additional allocation: in Angola, Saudi Arabia, Bahrain, Bangladesh, Cameroon, China, Djibouti, Egypt, the United Arab Emirates, Eritrea, Ethiopia, Guyana, India, Indonesia, Iran (Islamic Republic of), Iraq, Israel, Japan, Jordan, Kuwait, Nepal, Oman, Pakistan, the Philippines, Qatar, the Syrian Arab Republic, Somalia, Sudan, South Sudan, Chad, Togo and Yemen, the band 1 215-1 300 MHz is also allocated to the fixed and mobile services on a primary basis. (WRC-12)', '[5.331]: Additional allocation: in Algeria, Germany, Saudi Arabia, Australia, Austria, Bahrain, Belarus, Belgium, Benin, Bosnia and Herzegovina, Brazil, Burkina Faso, Burundi, Cameroon, China, Korea (Rep. of), Croatia, Denmark, Egypt, the United Arab Emirates, Estonia, the Russian Federation, Finland, France, Ghana, Greece, Guinea, Equatorial Guinea, Hungary, India, Indonesia, Iran (Islamic Republic of), Iraq, Ireland, Israel, Jordan, Kenya, Kuwait, The Former Yugoslav Republic of Macedonia, Lesotho, Latvia, Lebanon, Liechtenstein, Lithuania, Luxembourg, Madagascar, Mali, Mauritania, Montenegro, Nigeria, Norway, Oman, Pakistan, the Netherlands, Poland, Portugal, Qatar, the Syrian Arab Republic, Dem. People’s Rep. of Korea, Slovakia, the United Kingdom, Serbia, Slovenia, Somalia, Sudan, South Sudan, Sri Lanka, South Africa, Sweden, Switzerland, Thailand, Togo, Turkey, Venezuela and Viet Nam, the band 1 215-1 300 MHz is also allocated to the radionavigation service on a primary basis. In Canada and the United States, the band 1 240-1 300 MHz is also allocated to the radionavigation service, and use of the radionavigation service shall be limited to the aeronautical radionavigation service. (WRC-12)', '[5.332]: In the band 1 215-1 260 MHz, active spaceborne sensors in the Earth exploration-satellite and space research services shall not cause harmful interference to, claim protection from, or otherwise impose constraints on operation or development of the radiolocation service, the radionavigation-satellite service and other services allocated on a primary basis. (WRC-2000)', '[5.335]: In Canada and the United States in the band 1 240-1 300 MHz, active spaceborne sensors in the Earth exploration-satellite and space research services shall not cause interference to, claim protection from, or otherwise impose constraints on operation or development of the aeronautical radionavigation service. (WRC-97)', '[5.335A]: In the band 1 260-1 300 MHz, active spaceborne sensors in the Earth exploration-satellite and space research services shall not cause harmful interference to, claim protection from, or otherwise impose constraints on operation or development of the radiolocation service and other services allocated by footnotes on a primary basis. (WRC-2000)']),
    (1300000000, 1350000001): (False, False, False, False, False, ['Radiolocation', 'Aeronautical Radionavigation [5.337]', 'Radionavigation-Satellite (Earth-To-Space)'], [], ['[5.337]: The use of the bands 1 300-1 350 MHz, 2 700-2 900 MHz and 9 000-9 200 MHz by the aeronautical radionavigation service is restricted to ground-based radars and to associated airborne transponders which transmit only on frequencies in these bands and only when actuated by radars operating in the same band.', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.337A]: The use of the band 1 300-1 350 MHz by earth stations in the radionavigation-satellite service and by stations in the radiolocation service shall not cause harmful interference to, nor constrain the operation and development of, the aeronautical-radionavigation service. (WRC-2000)']),
    (1350000000, 1400000001): (False, False, False, False, False, ['Radiolocation [5.338A]'], [], ['[5.338A]: In the frequency bands 1 350-1 400 MHz, 1 427-1 452 MHz, 22.55-23.55 GHz, 30-31.3 GHz, 49.7-50.2 GHz, 50.4-50.9 GHz, 51.4-52.6 GHz, 81-86 GHz and 92-94 GHz, Resolution 750 (Rev.WRC-15) applies. (WRC-15)', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.334]: Additional allocation: in Canada and the United States, the band 1 350-1 370 MHz is also allocated to the aeronautical radionavigation service on a primary basis. (WRC-03)', '[5.339]: The bands 1 370-1 400 MHz, 2 640-2 655 MHz, 4 950-4 990 MHz and 15.20-15.35 GHz are also allocated to the space research (passive) and Earth exploration-satellite (passive) services on a secondary basis.']),
    (1400000000, 1427000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Passive)', 'Radio Astronomy', 'Space Research (Passive)'], [], ['[5.340]: All emissions are prohibited in the following bands:1 400-1 427 MHz, 2 690-2 700 MHz, except those provided for by No. 5.422, 10.68-10.7 GHz, except those provided for by No. 5.483, 15.35-15.4 GHz, except those provided for by No. 5.511, 23.6-24 GHz, 31.3-31.5 GHz, 31.5-31.8 GHz, in Region 2, 48.94-49.04 GHz, from airborne stations 50.2-50.4 GHz2, 52.6-54.25 GHz, 86-92 GHz, 100-102 GHz, 109.5-111.8 GHz, 114.25-116 GHz, 148.5-151.5 GHz, 164-167 GHz, 182-185 GHz, 190-191.8 GHz, 200-209 GHz, 226-231.5 GHz, 250-252 GHz. (WRC-03) ', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.']),
    (1427000000, 1429000001): (False, True, True, False, False, ['Space Operation (Earth-To-Space)', 'Mobile Except Aeronautical Mobile [5.341A][5.341B][5.341C]'], [], ['[5.341A]: In Region 1, the frequency bands 1 427-1 452 MHz and 1 492-1 518 MHz are identified for use by administrations wishing to implement International Mobile Telecommunications (IMT) in accordance with Resolution 223 (Rev.WRC-15). This identification does not preclude the use of these frequency bands by any other application of the services to which it is allocated and does not establish priority in the Radio Regulations. The use of IMT stations is subject to agreement obtained under No. 9.21 with respect to the aeronautical mobile service used for aeronautical telemetry in accordance with No. 5.342. (WRC-15)', '[5.341B]: In Region 2, the frequency band 1 427-1 518 MHz is identified for use by administrations wishing to implement International Mobile Telecommunications (IMT) in accordance with Resolution 223 (Rev.WRC-15). This identification does not preclude the use of this frequency band by any application of the services to which they are allocated and does not establish priority in the Radio Regulations. (WRC-15)', '[5.341C]: The frequency bands 1 427-1 452 MHz and 1 492-1 518 MHz are identified for use by administrations in Region 3 wishing to implement International Mobile Telecommunications (IMT) in accordance with Resolution 223 (Rev.WRC-15). The use of these frequency bands by the above administrations for the implementation of IMT in the frequency bands 1 429-1 452 MHz and 1 492-1 518 MHz is subject to agreement obtained under No. 9.21 from countries using stations of the aeronautical mobile service. This identification does not preclude the use of these frequency bands by any application of the services to which it is allocated and does not establish priority in the Radio Regulations. (WRC-15)', '[5.338A]: In the frequency bands 1 350-1 400 MHz, 1 427-1 452 MHz, 22.55-23.55 GHz, 30-31.3 GHz, 49.7-50.2 GHz, 50.4-50.9 GHz, 51.4-52.6 GHz, 81-86 GHz and 92-94 GHz, Resolution 750 (Rev.WRC-15) applies. (WRC-15)', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.']),
    (1429000000, 1452000001): (False, True, True, False, False, ['Mobile [5.341B][5.341C][5.343]'], [], ['[5.341B]: In Region 2, the frequency band 1 427-1 518 MHz is identified for use by administrations wishing to implement International Mobile Telecommunications (IMT) in accordance with Resolution 223 (Rev.WRC-15). This identification does not preclude the use of this frequency band by any application of the services to which they are allocated and does not establish priority in the Radio Regulations. (WRC-15)', '[5.341C]: The frequency bands 1 427-1 452 MHz and 1 492-1 518 MHz are identified for use by administrations in Region 3 wishing to implement International Mobile Telecommunications (IMT) in accordance with Resolution 223 (Rev.WRC-15). The use of these frequency bands by the above administrations for the implementation of IMT in the frequency bands 1 429-1 452 MHz and 1 492-1 518 MHz is subject to agreement obtained under No. 9.21 from countries using stations of the aeronautical mobile service. This identification does not preclude the use of these frequency bands by any application of the services to which it is allocated and does not establish priority in the Radio Regulations. (WRC-15)', '[5.343]: In Region 2, the use of the band 1 435-1 535 MHz by the aeronautical mobile service for telemetry has priority over other uses by the mobile service.', '[5.338A]: In the frequency bands 1 350-1 400 MHz, 1 427-1 452 MHz, 22.55-23.55 GHz, 30-31.3 GHz, 49.7-50.2 GHz, 50.4-50.9 GHz, 51.4-52.6 GHz, 81-86 GHz and 92-94 GHz, Resolution 750 (Rev.WRC-15) applies. (WRC-15)', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.']),
    (1452000000, 1492000001): (False, True, True, True, False, ['Mobile [5.341B][5.343][5.346A]', 'Broadcasting', 'Broadcasting-Satellite [5.208B]'], [], ['[5.341B]: In Region 2, the frequency band 1 427-1 518 MHz is identified for use by administrations wishing to implement International Mobile Telecommunications (IMT) in accordance with Resolution 223 (Rev.WRC-15). This identification does not preclude the use of this frequency band by any application of the services to which they are allocated and does not establish priority in the Radio Regulations. (WRC-15)', '[5.343]: In Region 2, the use of the band 1 435-1 535 MHz by the aeronautical mobile service for telemetry has priority over other uses by the mobile service.', '[5.346A]: The frequency band 1 452-1 492 MHz is identified for use by administrations in Region 3 wishing to implement International Mobile Telecommunications (IMT) in accordance with Resolution 223 (Rev.WRC-15) and Resolution 761 (WRC-15). The use of this frequency band by the above administrations for the implementation of IMT is subject to agreement obtained under No. 9.21 from countries using stations of the aeronautical mobile service. This identification does not preclude the use of this frequency band by any application of the services to which it is allocated and does not establish priority in the Radio Regulations. (WRC-15)', '[5.208B]: * In the frequency bands:137-138 MHz, 387-390 MHz, 400.15-401 MHz, 1 452-1 492 MHz, 1 525-1 610 MHz, 1 613.8-1 626.5 MHz, 2 655-2 690 MHz, 21.4-22 GHz, Resolution 739 (Rev.WRC-15) applies. (WRC-15) ', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.', '[5.344]: Alternative allocation: in the United States, the band 1 452-1 525 MHz is allocated to the fixed and mobile services on a primary basis (see also No. 5.343).', '[5.345]: Use of the band 1 452-1 492 MHz by the broadcasting-satellite service, and by the broadcasting service, is limited to digital audio broadcasting and is subject to the provisions of Resolution 528 (WARC-92)*.']),
    (1492000000, 1518000001): (False, True, True, False, False, ['Mobile [5.341C]'], [], ['[5.341C]: The frequency bands 1 427-1 452 MHz and 1 492-1 518 MHz are identified for use by administrations in Region 3 wishing to implement International Mobile Telecommunications (IMT) in accordance with Resolution 223 (Rev.WRC-15). The use of these frequency bands by the above administrations for the implementation of IMT in the frequency bands 1 429-1 452 MHz and 1 492-1 518 MHz is subject to agreement obtained under No. 9.21 from countries using stations of the aeronautical mobile service. This identification does not preclude the use of these frequency bands by any application of the services to which it is allocated and does not establish priority in the Radio Regulations. (WRC-15)', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.']),
    (1518000000, 1525000001): (False, True, True, False, False, ['Mobile-Satellite (Space-To-Earth) [5.348][5.348A][5.348B][5.351A]'], [], ['[5.348]: The use of the band 1 518-1 525 MHz by the mobile-satellite service is subject to coordination under No. 9.11A. In the band 1 518-1 525 MHz stations in the mobile-satellite service shall not claim protection from the stations in the fixed service. No. 5.43A does not apply. (WRC-03)', '[5.348A]: In the band 1 518-1 525 MHz, the coordination threshold in terms of the power flux-density levels at the surface of the Earth in application of No. 9.11A for space stations in the mobile-satellite (space-to-Earth) service, with respect to the land mobile service use for specialized mobile radios or used in conjunction with public switched telecommunication networks (PSTN) operating within the territory of Japan, shall be –150 dB(W/m2) in any 4 kHz band for all angles of arrival, instead of those given in Table 5-2 of Appendix 5. In the band 1 518-1 525 MHz stations in the mobile-satellite service shall not claim protection from stations in the mobile service in the territory of Japan. No. 5.43A does not apply. (WRC-03)', '[5.348B]: In the band 1 518-1 525 MHz, stations in the mobile-satellite service shall not claim protection from aeronautical mobile telemetry stations in the mobile service in the territory of the United States (see Nos. 5.343 and 5.344) and in the countries listed in No. 5.342. No. 5.43A does not apply. (WRC-03)', '[5.351A]: For the use of the bands 1 518-1 544 MHz, 1 545-1 559 MHz, 1 610-1 645.5 MHz, 1 646.5-1 660.5 MHz, 1 668-1 675 MHz, 1 980-2 010 MHz, 2 170-2 200 MHz, 2 483.5-2 520 MHz and 2 670-2 690 MHz by the mobile-satellite service, see Resolutions 212 (Rev.WRC-07)* and 225 (Rev.WRC-07)**. (WRC-07)', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.']),
    (1525000000, 1530000001): (False, True, True, False, False, ['Space Operation (Space-To-Earth)', 'Mobile-Satellite (Space-To-Earth) [5.208B][5.351A]'], ['Earth Exploration-Satellite', 'Mobile [5.349]'], ['[5.208B]: * In the frequency bands:137-138 MHz, 387-390 MHz, 400.15-401 MHz, 1 452-1 492 MHz, 1 525-1 610 MHz, 1 613.8-1 626.5 MHz, 2 655-2 690 MHz, 21.4-22 GHz, Resolution 739 (Rev.WRC-15) applies. (WRC-15) ', '[5.351A]: For the use of the bands 1 518-1 544 MHz, 1 545-1 559 MHz, 1 610-1 645.5 MHz, 1 646.5-1 660.5 MHz, 1 668-1 675 MHz, 1 980-2 010 MHz, 2 170-2 200 MHz, 2 483.5-2 520 MHz and 2 670-2 690 MHz by the mobile-satellite service, see Resolutions 212 (Rev.WRC-07)* and 225 (Rev.WRC-07)**. (WRC-07)', '[5.349]: Different category of service: in Saudi Arabia, Azerbaijan, Bahrain, Cameroon, Egypt, France, Iran (Islamic Republic of), Iraq, Israel, Kazakhstan, Kuwait, The Former Yugoslav Republic of Macedonia, Lebanon, Morocco, Qatar, Syrian Arab Republic, Kyrgyzstan, Turkmenistan and Yemen, the allocation of the band 1 525-1 530 MHz to the mobile, except aeronautical mobile, service is on a primary basis (see No. 5.33). (WRC-07)', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.', '[5.351]: The bands 1 525-1 544 MHz, 1 545-1 559 MHz, 1 626.5-1 645.5 MHz and 1 646.5-1 660.5 MHz shall not be used for feeder links of any service. In exceptional circumstances, however, an earth station at a specified fixed point in any of the mobile-satellite services may be authorized by an administration to communicate via space stations using these bands.', '[5.352A]: In the frequency band 1 525-1 530 MHz, stations in the mobile-satellite service, except stations in the maritime mobile-satellite service, shall not cause harmful interference to, or claim protection from, stations of the fixed service in Algeria, Saudi Arabia, Egypt, France and French overseas communities of Region 3, Guinea, India, Israel, Italy, Jordan, Kuwait, Mali, Morocco, Mauritania, Nigeria, Oman, Pakistan, the Philippines, Qatar, Syrian Arab Republic, Viet Nam and Yemen notified prior to 1 April 1998. (WRC-15)', '[5.354]: The use of the bands 1 525-1 559 MHz and 1 626.5-1 660.5 MHz by the mobile-satellite services is subject to coordination under No. 9.11A.']),
    (1530000000, 1535000001): (False, True, True, False, False, ['Space Operation (Space-To-Earth)', 'Mobile-Satellite (Space-To-Earth) [5.208B][5.351A][5.353A]'], ['Earth Exploration-Satellite', 'Mobile [5.343]'], ['[5.208B]: * In the frequency bands:137-138 MHz, 387-390 MHz, 400.15-401 MHz, 1 452-1 492 MHz, 1 525-1 610 MHz, 1 613.8-1 626.5 MHz, 2 655-2 690 MHz, 21.4-22 GHz, Resolution 739 (Rev.WRC-15) applies. (WRC-15) ', '[5.351A]: For the use of the bands 1 518-1 544 MHz, 1 545-1 559 MHz, 1 610-1 645.5 MHz, 1 646.5-1 660.5 MHz, 1 668-1 675 MHz, 1 980-2 010 MHz, 2 170-2 200 MHz, 2 483.5-2 520 MHz and 2 670-2 690 MHz by the mobile-satellite service, see Resolutions 212 (Rev.WRC-07)* and 225 (Rev.WRC-07)**. (WRC-07)', '[5.353A]: In applying the procedures of Section II of Article 9 to the mobile-satellite service in the bands 1 530-1 544 MHz and 1 626.5-1 645.5 MHz, priority shall be given to accommodating the spectrum requirements for distress, urgency and safety communications of the Global Maritime Distress and Safety System (GMDSS). Maritime mobile-satellite distress, urgency and safety communications shall have priority access and immediate availability over all other mobile satellite communications operating within a network. Mobile-satellite systems shall not cause unacceptable interference to, or claim protection from, distress, urgency and safety communications of the GMDSS. Account shall be taken of the priority of safety-related communications in the other mobile-satellite services. (The provisions of Resolution 222 (WRC-2000)* shall apply.) (WRC-2000)', '[5.343]: In Region 2, the use of the band 1 435-1 535 MHz by the aeronautical mobile service for telemetry has priority over other uses by the mobile service.', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.', '[5.351]: The bands 1 525-1 544 MHz, 1 545-1 559 MHz, 1 626.5-1 645.5 MHz and 1 646.5-1 660.5 MHz shall not be used for feeder links of any service. In exceptional circumstances, however, an earth station at a specified fixed point in any of the mobile-satellite services may be authorized by an administration to communicate via space stations using these bands.', '[5.354]: The use of the bands 1 525-1 559 MHz and 1 626.5-1 660.5 MHz by the mobile-satellite services is subject to coordination under No. 9.11A.']),
    (1535000000, 1559000001): (False, False, False, False, False, ['Mobile-Satellite (Space-To-Earth) [5.208B][5.351A]'], [], ['[5.208B]: * In the frequency bands:137-138 MHz, 387-390 MHz, 400.15-401 MHz, 1 452-1 492 MHz, 1 525-1 610 MHz, 1 613.8-1 626.5 MHz, 2 655-2 690 MHz, 21.4-22 GHz, Resolution 739 (Rev.WRC-15) applies. (WRC-15) ', '[5.351A]: For the use of the bands 1 518-1 544 MHz, 1 545-1 559 MHz, 1 610-1 645.5 MHz, 1 646.5-1 660.5 MHz, 1 668-1 675 MHz, 1 980-2 010 MHz, 2 170-2 200 MHz, 2 483.5-2 520 MHz and 2 670-2 690 MHz by the mobile-satellite service, see Resolutions 212 (Rev.WRC-07)* and 225 (Rev.WRC-07)**. (WRC-07)', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.', '[5.351]: The bands 1 525-1 544 MHz, 1 545-1 559 MHz, 1 626.5-1 645.5 MHz and 1 646.5-1 660.5 MHz shall not be used for feeder links of any service. In exceptional circumstances, however, an earth station at a specified fixed point in any of the mobile-satellite services may be authorized by an administration to communicate via space stations using these bands.', '[5.353A]: In applying the procedures of Section II of Article 9 to the mobile-satellite service in the bands 1 530-1 544 MHz and 1 626.5-1 645.5 MHz, priority shall be given to accommodating the spectrum requirements for distress, urgency and safety communications of the Global Maritime Distress and Safety System (GMDSS). Maritime mobile-satellite distress, urgency and safety communications shall have priority access and immediate availability over all other mobile satellite communications operating within a network. Mobile-satellite systems shall not cause unacceptable interference to, or claim protection from, distress, urgency and safety communications of the GMDSS. Account shall be taken of the priority of safety-related communications in the other mobile-satellite services. (The provisions of Resolution 222 (WRC-2000)* shall apply.) (WRC-2000)', '[5.354]: The use of the bands 1 525-1 559 MHz and 1 626.5-1 660.5 MHz by the mobile-satellite services is subject to coordination under No. 9.11A.', '[5.355]: Additional allocation: in Bahrain, Bangladesh, Congo (Rep. of the), Djibouti, Egypt, Eritrea, Iraq, Israel, Kuwait, Qatar, Syrian Arab Republic, Somalia, Sudan, South Sudan, Chad, Togo and Yemen, the bands 1 540-1 559 MHz, 1 610-1 645.5 MHz and 1 646.5-1 660 MHz are also allocated to the fixed service on a secondary basis. (WRC-12)', '[5.356]: The use of the band 1 544-1 545 MHz by the mobile-satellite service (space-to-Earth) is limited to distress and safety communications (see Article 31).', '[5.357]: Transmissions in the band 1 545-1 555 MHz from terrestrial aeronautical stations directly to aircraft stations, or between aircraft stations, in the aeronautical mobile (R) service are also authorized when such transmissions are used to extend or supplement the satellite-to-aircraft links.', '[5.357A]: In applying the procedures of Section II of Article 9 to the mobile-satellite service in the frequency bands 1 545-1 555 MHz and 1 646.5-1 656.5 MHz, priority shall be given to accommodating the spectrum requirements of the aeronautical mobile-satellite (R) service providing transmission of messages with priority 1 to 6 in Article 44. Aeronautical mobile-satellite (R) service communications with priority 1 to 6 in Article 44 shall have priority access and immediate availability, by pre-emption if necessary, over all other mobile-satellite communications operating within a network. Mobile-satellite systems shall not cause unacceptable interference to, or claim protection from, aeronautical mobile-satellite (R) service communications with priority 1 to 6 in Article 44. Account shall be taken of the priority of safety-related communications in the other mobile-satellite services. (The provisions of Resolution 222 (Rev.WRC-12)* shall apply.) (WRC-12)', '[5.359]: Additional allocation: in Germany, Saudi Arabia, Armenia, Azerbaijan, Belarus, Benin, Cameroon, the Russian Federation, France, Georgia, Guinea, Guinea-Bissau, Jordan, Kazakhstan, Kuwait, Lithuania, Mauritania, Uganda, Uzbekistan, Pakistan, Poland, the Syrian Arab Republic, Kyrgyzstan, the Dem. People’s Rep. of Korea, Romania, Tajikistan, Tunisia, Turkmenistan and Ukraine, the frequency bands 1 550-1 559 MHz, 1 610-1 645.5 MHz and 1 646.5-1 660 MHz are also allocated to the fixed service on a primary basis. Administrations are urged to make all practicable efforts to avoid the implementation of new fixed-service stations in these frequency bands. (WRC-15)', '[5.362A]: In the United States, in the bands 1 555-1 559 MHz and 1 656.5-1 660.5 MHz, the aeronautical mobile-satellite (R) service shall have priority access and immediate availability, by pre-emption if necessary, over all other mobile-satellite communications operating within a network. Mobile-satellite systems shall not cause unacceptable interference to, or claim protection from, aeronautical mobile-satellite (R) service communications with priority 1 to 6 in Article 44. Account shall be taken of the priority of safety-related communications in the other mobile-satellite services. (WRC-97)']),
    (1559000000, 1610000001): (False, False, False, False, False, ['Aeronautical Radionavigation', 'Radionavigation-Satellite (Space-To-Earth) [5.208B][5.328B][5.329A]', 'Radionavigation-Satellite (Space-To-Space) [5.208B][5.328B][5.329A]'], [], ['[5.208B]: * In the frequency bands:137-138 MHz, 387-390 MHz, 400.15-401 MHz, 1 452-1 492 MHz, 1 525-1 610 MHz, 1 613.8-1 626.5 MHz, 2 655-2 690 MHz, 21.4-22 GHz, Resolution 739 (Rev.WRC-15) applies. (WRC-15) ', '[5.328B]: The use of the bands 1 164-1 300 MHz, 1 559-1 610 MHz and 5 010-5 030 MHz by systems and networks in the radionavigation-satellite service for which complete coordination or notification information, as appropriate, is received by the Radiocommunication Bureau after 1 January 2005 is subject to the application of the provisions of Nos. 9.12, 9.12A and 9.13. Resolution 610 (WRC-03) shall also apply; however, in the case of radionavigation-satellite service (space-to-space) networks and systems, Resolution 610 (WRC-03) shall only apply to transmitting space stations. In accordance with No. 5.329A, for systems and networks in the radionavigation-satellite service (space-to-space) in the bands 1 215-1 300 MHz and 1 559-1 610 MHz, the provisions of Nos. 9.7, 9.12, 9.12A and 9.13 shall only apply with respect to other systems and networks in the radionavigation-satellite service (space-to-space). (WRC-07)', '[5.329A]: Use of systems in the radionavigation-satellite service (space-to-space) operating in the bands 1 215-1 300 MHz and 1 559-1 610 MHz is not intended to provide safety service applications, and shall not impose any additional constraints on radionavigation-satellite service (space-to-Earth) systems or on other services operating in accordance with the Table of Frequency Allocations. (WRC-07)', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.']),
    (1610000000, 1610600001): (False, False, False, False, False, ['Mobile-Satellite (Earth-To-Space) [5.351A]', 'Aeronautical Radionavigation'], ['Radiodetermination-Satellite (Earth-To-Space)'], ['[5.351A]: For the use of the bands 1 518-1 544 MHz, 1 545-1 559 MHz, 1 610-1 645.5 MHz, 1 646.5-1 660.5 MHz, 1 668-1 675 MHz, 1 980-2 010 MHz, 2 170-2 200 MHz, 2 483.5-2 520 MHz and 2 670-2 690 MHz by the mobile-satellite service, see Resolutions 212 (Rev.WRC-07)* and 225 (Rev.WRC-07)**. (WRC-07)', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.', '[5.355]: Additional allocation: in Bahrain, Bangladesh, Congo (Rep. of the), Djibouti, Egypt, Eritrea, Iraq, Israel, Kuwait, Qatar, Syrian Arab Republic, Somalia, Sudan, South Sudan, Chad, Togo and Yemen, the bands 1 540-1 559 MHz, 1 610-1 645.5 MHz and 1 646.5-1 660 MHz are also allocated to the fixed service on a secondary basis. (WRC-12)', '[5.359]: Additional allocation: in Germany, Saudi Arabia, Armenia, Azerbaijan, Belarus, Benin, Cameroon, the Russian Federation, France, Georgia, Guinea, Guinea-Bissau, Jordan, Kazakhstan, Kuwait, Lithuania, Mauritania, Uganda, Uzbekistan, Pakistan, Poland, the Syrian Arab Republic, Kyrgyzstan, the Dem. People’s Rep. of Korea, Romania, Tajikistan, Tunisia, Turkmenistan and Ukraine, the frequency bands 1 550-1 559 MHz, 1 610-1 645.5 MHz and 1 646.5-1 660 MHz are also allocated to the fixed service on a primary basis. Administrations are urged to make all practicable efforts to avoid the implementation of new fixed-service stations in these frequency bands. (WRC-15)', '[5.364]: The use of the band 1 610-1 626.5 MHz by the mobile-satellite service (Earth-to-space) and by the radiodetermination-satellite service (Earth-to-space) is subject to coordination under No. 9.11A. A mobile earth station operating in either of the services in this band shall not produce a peak e.i.r.p. density in excess of -15 dB(W/4 kHz) in the part of the band used by systems operating in accordance with the provisions of No. 5.366 (to which No. 4.10 applies), unless otherwise agreed by the affected administrations. In the part of the band where such systems are not operating, the mean e.i.r.p. density of a mobile earth station shall not exceed –3 dB(W/4 kHz). Stations of the mobile-satellite service shall not claim protection from stations in the aeronautical radionavigation service, stations operating in accordance with the provisions of No. 5.366 and stations in the fixed service operating in accordance with the provisions of No. 5.359. Administrations responsible for the coordination of mobile-satellite networks shall make all practicable efforts to ensure protection of stations operating in accordance with the provisions of No. 5.366.', '[5.366]: The band 1 610-1 626.5 MHz is reserved on a worldwide basis for the use and development of airborne electronic aids to air navigation and any directly associated ground-based or satellite-borne facilities. Such satellite use is subject to agreement obtained under No. 9.21.', '[5.367]: Additional allocation: The frequency band 1 610-1 626.5 MHz is also allocated to the aeronautical mobile-satellite (R) service on a primary basis, subject to agreement obtained under No. 9.21. (WRC-12)', '[5.368]: With respect to the radiodetermination-satellite and mobile-satellite services the provisions of No. 4.10 do not apply in the band 1 610-1 626.5 MHz, with the exception of the aeronautical radionavigation-satellite service.', '[5.369]: Different category of service: in Angola, Australia, China, Eritrea, Ethiopia, India, Iran (Islamic Republic of), Israel, Lebanon, Liberia, Madagascar, Mali, Pakistan, Papua New Guinea, Syrian Arab Republic, the Dem. Rep. of the Congo, Sudan, South Sudan, Togo and Zambia, the allocation of the band 1 610-1 626.5 MHz to the radiodetermination-satellite service (Earth-to-space) is on a primary basis (see No. 5.33), subject to agreement obtained under No. 9.21 from countries not listed in this provision. (WRC-12)', '[5.372]: Harmful interference shall not be caused to stations of the radio astronomy service using the band 1 610.6-1 613.8 MHz by stations of the radiodetermination-satellite and mobile-satellite services (No. 29.13 applies).']),
    (1610600000, 1613800001): (False, False, False, False, False, ['Mobile-Satellite (Earth-To-Space) [5.351A]', 'Radio Astronomy', 'Aeronautical Radionavigation'], ['Radiodetermination-Satellite (Earth-To-Space)'], ['[5.351A]: For the use of the bands 1 518-1 544 MHz, 1 545-1 559 MHz, 1 610-1 645.5 MHz, 1 646.5-1 660.5 MHz, 1 668-1 675 MHz, 1 980-2 010 MHz, 2 170-2 200 MHz, 2 483.5-2 520 MHz and 2 670-2 690 MHz by the mobile-satellite service, see Resolutions 212 (Rev.WRC-07)* and 225 (Rev.WRC-07)**. (WRC-07)', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.', '[5.355]: Additional allocation: in Bahrain, Bangladesh, Congo (Rep. of the), Djibouti, Egypt, Eritrea, Iraq, Israel, Kuwait, Qatar, Syrian Arab Republic, Somalia, Sudan, South Sudan, Chad, Togo and Yemen, the bands 1 540-1 559 MHz, 1 610-1 645.5 MHz and 1 646.5-1 660 MHz are also allocated to the fixed service on a secondary basis. (WRC-12)', '[5.359]: Additional allocation: in Germany, Saudi Arabia, Armenia, Azerbaijan, Belarus, Benin, Cameroon, the Russian Federation, France, Georgia, Guinea, Guinea-Bissau, Jordan, Kazakhstan, Kuwait, Lithuania, Mauritania, Uganda, Uzbekistan, Pakistan, Poland, the Syrian Arab Republic, Kyrgyzstan, the Dem. People’s Rep. of Korea, Romania, Tajikistan, Tunisia, Turkmenistan and Ukraine, the frequency bands 1 550-1 559 MHz, 1 610-1 645.5 MHz and 1 646.5-1 660 MHz are also allocated to the fixed service on a primary basis. Administrations are urged to make all practicable efforts to avoid the implementation of new fixed-service stations in these frequency bands. (WRC-15)', '[5.364]: The use of the band 1 610-1 626.5 MHz by the mobile-satellite service (Earth-to-space) and by the radiodetermination-satellite service (Earth-to-space) is subject to coordination under No. 9.11A. A mobile earth station operating in either of the services in this band shall not produce a peak e.i.r.p. density in excess of -15 dB(W/4 kHz) in the part of the band used by systems operating in accordance with the provisions of No. 5.366 (to which No. 4.10 applies), unless otherwise agreed by the affected administrations. In the part of the band where such systems are not operating, the mean e.i.r.p. density of a mobile earth station shall not exceed –3 dB(W/4 kHz). Stations of the mobile-satellite service shall not claim protection from stations in the aeronautical radionavigation service, stations operating in accordance with the provisions of No. 5.366 and stations in the fixed service operating in accordance with the provisions of No. 5.359. Administrations responsible for the coordination of mobile-satellite networks shall make all practicable efforts to ensure protection of stations operating in accordance with the provisions of No. 5.366.', '[5.366]: The band 1 610-1 626.5 MHz is reserved on a worldwide basis for the use and development of airborne electronic aids to air navigation and any directly associated ground-based or satellite-borne facilities. Such satellite use is subject to agreement obtained under No. 9.21.', '[5.367]: Additional allocation: The frequency band 1 610-1 626.5 MHz is also allocated to the aeronautical mobile-satellite (R) service on a primary basis, subject to agreement obtained under No. 9.21. (WRC-12)', '[5.368]: With respect to the radiodetermination-satellite and mobile-satellite services the provisions of No. 4.10 do not apply in the band 1 610-1 626.5 MHz, with the exception of the aeronautical radionavigation-satellite service.', '[5.369]: Different category of service: in Angola, Australia, China, Eritrea, Ethiopia, India, Iran (Islamic Republic of), Israel, Lebanon, Liberia, Madagascar, Mali, Pakistan, Papua New Guinea, Syrian Arab Republic, the Dem. Rep. of the Congo, Sudan, South Sudan, Togo and Zambia, the allocation of the band 1 610-1 626.5 MHz to the radiodetermination-satellite service (Earth-to-space) is on a primary basis (see No. 5.33), subject to agreement obtained under No. 9.21 from countries not listed in this provision. (WRC-12)', '[5.372]: Harmful interference shall not be caused to stations of the radio astronomy service using the band 1 610.6-1 613.8 MHz by stations of the radiodetermination-satellite and mobile-satellite services (No. 29.13 applies).']),
    (1613800000, 1626500001): (False, False, False, False, False, ['Mobile-Satellite (Earth-To-Space) [5.351A]', 'Aeronautical Radionavigation'], ['Mobile-Satellite (Space-To-Earth) [5.208B]', 'Radiodetermination-Satellite (Earth-To-Space)'], ['[5.351A]: For the use of the bands 1 518-1 544 MHz, 1 545-1 559 MHz, 1 610-1 645.5 MHz, 1 646.5-1 660.5 MHz, 1 668-1 675 MHz, 1 980-2 010 MHz, 2 170-2 200 MHz, 2 483.5-2 520 MHz and 2 670-2 690 MHz by the mobile-satellite service, see Resolutions 212 (Rev.WRC-07)* and 225 (Rev.WRC-07)**. (WRC-07)', '[5.208B]: * In the frequency bands:137-138 MHz, 387-390 MHz, 400.15-401 MHz, 1 452-1 492 MHz, 1 525-1 610 MHz, 1 613.8-1 626.5 MHz, 2 655-2 690 MHz, 21.4-22 GHz, Resolution 739 (Rev.WRC-15) applies. (WRC-15) ', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.', '[5.355]: Additional allocation: in Bahrain, Bangladesh, Congo (Rep. of the), Djibouti, Egypt, Eritrea, Iraq, Israel, Kuwait, Qatar, Syrian Arab Republic, Somalia, Sudan, South Sudan, Chad, Togo and Yemen, the bands 1 540-1 559 MHz, 1 610-1 645.5 MHz and 1 646.5-1 660 MHz are also allocated to the fixed service on a secondary basis. (WRC-12)', '[5.359]: Additional allocation: in Germany, Saudi Arabia, Armenia, Azerbaijan, Belarus, Benin, Cameroon, the Russian Federation, France, Georgia, Guinea, Guinea-Bissau, Jordan, Kazakhstan, Kuwait, Lithuania, Mauritania, Uganda, Uzbekistan, Pakistan, Poland, the Syrian Arab Republic, Kyrgyzstan, the Dem. People’s Rep. of Korea, Romania, Tajikistan, Tunisia, Turkmenistan and Ukraine, the frequency bands 1 550-1 559 MHz, 1 610-1 645.5 MHz and 1 646.5-1 660 MHz are also allocated to the fixed service on a primary basis. Administrations are urged to make all practicable efforts to avoid the implementation of new fixed-service stations in these frequency bands. (WRC-15)', '[5.364]: The use of the band 1 610-1 626.5 MHz by the mobile-satellite service (Earth-to-space) and by the radiodetermination-satellite service (Earth-to-space) is subject to coordination under No. 9.11A. A mobile earth station operating in either of the services in this band shall not produce a peak e.i.r.p. density in excess of -15 dB(W/4 kHz) in the part of the band used by systems operating in accordance with the provisions of No. 5.366 (to which No. 4.10 applies), unless otherwise agreed by the affected administrations. In the part of the band where such systems are not operating, the mean e.i.r.p. density of a mobile earth station shall not exceed –3 dB(W/4 kHz). Stations of the mobile-satellite service shall not claim protection from stations in the aeronautical radionavigation service, stations operating in accordance with the provisions of No. 5.366 and stations in the fixed service operating in accordance with the provisions of No. 5.359. Administrations responsible for the coordination of mobile-satellite networks shall make all practicable efforts to ensure protection of stations operating in accordance with the provisions of No. 5.366.', '[5.365]: The use of the band 1 613.8-1 626.5 MHz by the mobile-satellite service (space-to-Earth) is subject to coordination under No. 9.11A.', '[5.366]: The band 1 610-1 626.5 MHz is reserved on a worldwide basis for the use and development of airborne electronic aids to air navigation and any directly associated ground-based or satellite-borne facilities. Such satellite use is subject to agreement obtained under No. 9.21.', '[5.367]: Additional allocation: The frequency band 1 610-1 626.5 MHz is also allocated to the aeronautical mobile-satellite (R) service on a primary basis, subject to agreement obtained under No. 9.21. (WRC-12)', '[5.368]: With respect to the radiodetermination-satellite and mobile-satellite services the provisions of No. 4.10 do not apply in the band 1 610-1 626.5 MHz, with the exception of the aeronautical radionavigation-satellite service.', '[5.369]: Different category of service: in Angola, Australia, China, Eritrea, Ethiopia, India, Iran (Islamic Republic of), Israel, Lebanon, Liberia, Madagascar, Mali, Pakistan, Papua New Guinea, Syrian Arab Republic, the Dem. Rep. of the Congo, Sudan, South Sudan, Togo and Zambia, the allocation of the band 1 610-1 626.5 MHz to the radiodetermination-satellite service (Earth-to-space) is on a primary basis (see No. 5.33), subject to agreement obtained under No. 9.21 from countries not listed in this provision. (WRC-12)', '[5.372]: Harmful interference shall not be caused to stations of the radio astronomy service using the band 1 610.6-1 613.8 MHz by stations of the radiodetermination-satellite and mobile-satellite services (No. 29.13 applies).']),
    (1626500000, 1660000001): (False, False, False, False, False, ['Mobile-Satellite (Earth-To-Space) [5.351A]'], [], ['[5.351A]: For the use of the bands 1 518-1 544 MHz, 1 545-1 559 MHz, 1 610-1 645.5 MHz, 1 646.5-1 660.5 MHz, 1 668-1 675 MHz, 1 980-2 010 MHz, 2 170-2 200 MHz, 2 483.5-2 520 MHz and 2 670-2 690 MHz by the mobile-satellite service, see Resolutions 212 (Rev.WRC-07)* and 225 (Rev.WRC-07)**. (WRC-07)', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.', '[5.351]: The bands 1 525-1 544 MHz, 1 545-1 559 MHz, 1 626.5-1 645.5 MHz and 1 646.5-1 660.5 MHz shall not be used for feeder links of any service. In exceptional circumstances, however, an earth station at a specified fixed point in any of the mobile-satellite services may be authorized by an administration to communicate via space stations using these bands.', '[5.353A]: In applying the procedures of Section II of Article 9 to the mobile-satellite service in the bands 1 530-1 544 MHz and 1 626.5-1 645.5 MHz, priority shall be given to accommodating the spectrum requirements for distress, urgency and safety communications of the Global Maritime Distress and Safety System (GMDSS). Maritime mobile-satellite distress, urgency and safety communications shall have priority access and immediate availability over all other mobile satellite communications operating within a network. Mobile-satellite systems shall not cause unacceptable interference to, or claim protection from, distress, urgency and safety communications of the GMDSS. Account shall be taken of the priority of safety-related communications in the other mobile-satellite services. (The provisions of Resolution 222 (WRC-2000)* shall apply.) (WRC-2000)', '[5.354]: The use of the bands 1 525-1 559 MHz and 1 626.5-1 660.5 MHz by the mobile-satellite services is subject to coordination under No. 9.11A.', '[5.355]: Additional allocation: in Bahrain, Bangladesh, Congo (Rep. of the), Djibouti, Egypt, Eritrea, Iraq, Israel, Kuwait, Qatar, Syrian Arab Republic, Somalia, Sudan, South Sudan, Chad, Togo and Yemen, the bands 1 540-1 559 MHz, 1 610-1 645.5 MHz and 1 646.5-1 660 MHz are also allocated to the fixed service on a secondary basis. (WRC-12)', '[5.357A]: In applying the procedures of Section II of Article 9 to the mobile-satellite service in the frequency bands 1 545-1 555 MHz and 1 646.5-1 656.5 MHz, priority shall be given to accommodating the spectrum requirements of the aeronautical mobile-satellite (R) service providing transmission of messages with priority 1 to 6 in Article 44. Aeronautical mobile-satellite (R) service communications with priority 1 to 6 in Article 44 shall have priority access and immediate availability, by pre-emption if necessary, over all other mobile-satellite communications operating within a network. Mobile-satellite systems shall not cause unacceptable interference to, or claim protection from, aeronautical mobile-satellite (R) service communications with priority 1 to 6 in Article 44. Account shall be taken of the priority of safety-related communications in the other mobile-satellite services. (The provisions of Resolution 222 (Rev.WRC-12)* shall apply.) (WRC-12)', '[5.359]: Additional allocation: in Germany, Saudi Arabia, Armenia, Azerbaijan, Belarus, Benin, Cameroon, the Russian Federation, France, Georgia, Guinea, Guinea-Bissau, Jordan, Kazakhstan, Kuwait, Lithuania, Mauritania, Uganda, Uzbekistan, Pakistan, Poland, the Syrian Arab Republic, Kyrgyzstan, the Dem. People’s Rep. of Korea, Romania, Tajikistan, Tunisia, Turkmenistan and Ukraine, the frequency bands 1 550-1 559 MHz, 1 610-1 645.5 MHz and 1 646.5-1 660 MHz are also allocated to the fixed service on a primary basis. Administrations are urged to make all practicable efforts to avoid the implementation of new fixed-service stations in these frequency bands. (WRC-15)', '[5.362A]: In the United States, in the bands 1 555-1 559 MHz and 1 656.5-1 660.5 MHz, the aeronautical mobile-satellite (R) service shall have priority access and immediate availability, by pre-emption if necessary, over all other mobile-satellite communications operating within a network. Mobile-satellite systems shall not cause unacceptable interference to, or claim protection from, aeronautical mobile-satellite (R) service communications with priority 1 to 6 in Article 44. Account shall be taken of the priority of safety-related communications in the other mobile-satellite services. (WRC-97)', '[5.374]: Mobile earth stations in the mobile-satellite service operating in the bands 1 631.5-1 634.5 MHz and 1 656.5-1 660 MHz shall not cause harmful interference to stations in the fixed service operating in the countries listed in No. 5.359. (WRC-97)', '[5.375]: The use of the band 1 645.5-1 646.5 MHz by the mobile-satellite service (Earth-to-space) and for inter-satellite links is limited to distress and safety communications (see Article 31).', '[5.376]: Transmissions in the band 1 646.5-1 656.5 MHz from aircraft stations in the aeronautical mobile (R) service directly to terrestrial aeronautical stations, or between aircraft stations, are also authorized when such transmissions are used to extend or supplement the aircraft-to-satellite links.']),
    (1660000000, 1660500001): (False, False, False, False, False, ['Mobile-Satellite (Earth-To-Space) [5.351A]', 'Radio Astronomy'], [], ['[5.351A]: For the use of the bands 1 518-1 544 MHz, 1 545-1 559 MHz, 1 610-1 645.5 MHz, 1 646.5-1 660.5 MHz, 1 668-1 675 MHz, 1 980-2 010 MHz, 2 170-2 200 MHz, 2 483.5-2 520 MHz and 2 670-2 690 MHz by the mobile-satellite service, see Resolutions 212 (Rev.WRC-07)* and 225 (Rev.WRC-07)**. (WRC-07)', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.', '[5.351]: The bands 1 525-1 544 MHz, 1 545-1 559 MHz, 1 626.5-1 645.5 MHz and 1 646.5-1 660.5 MHz shall not be used for feeder links of any service. In exceptional circumstances, however, an earth station at a specified fixed point in any of the mobile-satellite services may be authorized by an administration to communicate via space stations using these bands.', '[5.354]: The use of the bands 1 525-1 559 MHz and 1 626.5-1 660.5 MHz by the mobile-satellite services is subject to coordination under No. 9.11A.', '[5.362A]: In the United States, in the bands 1 555-1 559 MHz and 1 656.5-1 660.5 MHz, the aeronautical mobile-satellite (R) service shall have priority access and immediate availability, by pre-emption if necessary, over all other mobile-satellite communications operating within a network. Mobile-satellite systems shall not cause unacceptable interference to, or claim protection from, aeronautical mobile-satellite (R) service communications with priority 1 to 6 in Article 44. Account shall be taken of the priority of safety-related communications in the other mobile-satellite services. (WRC-97)', '[5.376A]: Mobile earth stations operating in the band 1 660-1 660.5 MHz shall not cause harmful interference to stations in the radio astronomy service. (WRC-97)']),
    (1660500000, 1668000001): (False, True, True, False, False, ['Radio Astronomy', 'Space Research (Passive)'], ['Mobile Except Aeronautical Mobile'], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.', '[5.379]: Additional allocation: in Bangladesh, India, Indonesia, Nigeria and Pakistan, the band 1 660.5-1 668.4 MHz is also allocated to the meteorological aids service on a secondary basis.', '[5.379A]: Administrations are urged to give all practicable protection in the band 1 660.5-1 668.4 MHz for future research in radio astronomy, particularly by eliminating air-to-ground transmissions in the meteorological aids service in the band 1 664.4-1 668.4 MHz as soon as practicable.']),
    (1668000000, 1668400001): (False, True, True, False, False, ['Mobile-Satellite (Earth-To-Space) [5.351A][5.379B][5.379C]', 'Radio Astronomy', 'Space Research (Passive)'], ['Mobile Except Aeronautical Mobile'], ['[5.351A]: For the use of the bands 1 518-1 544 MHz, 1 545-1 559 MHz, 1 610-1 645.5 MHz, 1 646.5-1 660.5 MHz, 1 668-1 675 MHz, 1 980-2 010 MHz, 2 170-2 200 MHz, 2 483.5-2 520 MHz and 2 670-2 690 MHz by the mobile-satellite service, see Resolutions 212 (Rev.WRC-07)* and 225 (Rev.WRC-07)**. (WRC-07)', '[5.379B]: The use of the band 1 668-1 675 MHz by the mobile-satellite service is subject to coordination under No. 9.11A. In the band 1 668-1 668.4 MHz, Resolution 904 (WRC-07) shall apply. (WRC-07)', '[5.379C]: In order to protect the radio astronomy service in the band 1 668-1 670 MHz, the aggregate power flux-density values produced by mobile earth stations in a network of the mobile-satellite service operating in this band shall not exceed –181 dB(W/m2) in 10 MHz and -194 dB(W/m2) in any 20 kHz at any radio astronomy station recorded in the Master International Frequency Register, for more than 2% of integration periods of 2 000 s. (WRC-03)', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.', '[5.379]: Additional allocation: in Bangladesh, India, Indonesia, Nigeria and Pakistan, the band 1 660.5-1 668.4 MHz is also allocated to the meteorological aids service on a secondary basis.', '[5.379A]: Administrations are urged to give all practicable protection in the band 1 660.5-1 668.4 MHz for future research in radio astronomy, particularly by eliminating air-to-ground transmissions in the meteorological aids service in the band 1 664.4-1 668.4 MHz as soon as practicable.']),
    (1668400000, 1670000001): (False, True, True, False, False, ['Meteorological Aids', 'Mobile Except Aeronautical Mobile', 'Mobile-Satellite (Earth-To-Space) [5.351A][5.379B][5.379C]', 'Radio Astronomy'], [], ['[5.351A]: For the use of the bands 1 518-1 544 MHz, 1 545-1 559 MHz, 1 610-1 645.5 MHz, 1 646.5-1 660.5 MHz, 1 668-1 675 MHz, 1 980-2 010 MHz, 2 170-2 200 MHz, 2 483.5-2 520 MHz and 2 670-2 690 MHz by the mobile-satellite service, see Resolutions 212 (Rev.WRC-07)* and 225 (Rev.WRC-07)**. (WRC-07)', '[5.379B]: The use of the band 1 668-1 675 MHz by the mobile-satellite service is subject to coordination under No. 9.11A. In the band 1 668-1 668.4 MHz, Resolution 904 (WRC-07) shall apply. (WRC-07)', '[5.379C]: In order to protect the radio astronomy service in the band 1 668-1 670 MHz, the aggregate power flux-density values produced by mobile earth stations in a network of the mobile-satellite service operating in this band shall not exceed –181 dB(W/m2) in 10 MHz and -194 dB(W/m2) in any 20 kHz at any radio astronomy station recorded in the Master International Frequency Register, for more than 2% of integration periods of 2 000 s. (WRC-03)', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.', '[5.379D]: For sharing of the band 1 668.4-1 675 MHz between the mobile-satellite service and the fixed and mobile services, Resolution 744 (Rev.WRC-07) shall apply. (WRC-07)', '[5.379E]: In the band 1 668.4-1 675 MHz, stations in the mobile-satellite service shall not cause harmful interference to stations in the meteorological aids service in China, Iran (Islamic Republic of), Japan and Uzbekistan. In the band 1 668.4-1 675 MHz, administrations are urged not to implement new systems in the meteorological aids service and are encouraged to migrate existing meteorological aids service operations to other bands as soon as practicable. (WRC-03)']),
    (1670000000, 1675000001): (False, True, True, False, False, ['Meteorological Aids', 'Meteorological-Satellite (Space-To-Earth)', 'Mobile-Satellite (Earth-To-Space) [5.351A][5.379B]'], [], ['[5.351A]: For the use of the bands 1 518-1 544 MHz, 1 545-1 559 MHz, 1 610-1 645.5 MHz, 1 646.5-1 660.5 MHz, 1 668-1 675 MHz, 1 980-2 010 MHz, 2 170-2 200 MHz, 2 483.5-2 520 MHz and 2 670-2 690 MHz by the mobile-satellite service, see Resolutions 212 (Rev.WRC-07)* and 225 (Rev.WRC-07)**. (WRC-07)', '[5.379B]: The use of the band 1 668-1 675 MHz by the mobile-satellite service is subject to coordination under No. 9.11A. In the band 1 668-1 668.4 MHz, Resolution 904 (WRC-07) shall apply. (WRC-07)', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.', '[5.379D]: For sharing of the band 1 668.4-1 675 MHz between the mobile-satellite service and the fixed and mobile services, Resolution 744 (Rev.WRC-07) shall apply. (WRC-07)', '[5.379E]: In the band 1 668.4-1 675 MHz, stations in the mobile-satellite service shall not cause harmful interference to stations in the meteorological aids service in China, Iran (Islamic Republic of), Japan and Uzbekistan. In the band 1 668.4-1 675 MHz, administrations are urged not to implement new systems in the meteorological aids service and are encouraged to migrate existing meteorological aids service operations to other bands as soon as practicable. (WRC-03)', '[5.380A]: In the band 1 670-1 675 MHz, stations in the mobile-satellite service shall not cause harmful interference to, nor constrain the development of, existing earth stations in the meteorological-satellite service notified before 1 January 2004. Any new assignment to these earth stations in this band shall also be protected from harmful interference from stations in the mobile-satellite service. (WRC-07)']),
    (1675000000, 1690000001): (False, True, True, False, False, ['Meteorological Aids', 'Meteorological-Satellite (Space-To-Earth)', 'Mobile Except Aeronautical Mobile'], [], ['[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.']),
    (1690000000, 1700000001): (False, False, False, False, False, ['Meteorological Aids', 'Meteorological-Satellite (Space-To-Earth)'], [], ['[5.289]: Earth exploration-satellite service applications, other than the meteorological-satellite service, may also be used in the bands 460-470 MHz and 1 690-1 710 MHz for space-to-Earth transmissions subject to not causing harmful interference to stations operating in accordance with the Table.', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.', '[5.381]: Additional allocation: in Afghanistan, Cuba, India, Iran (Islamic Republic of) and Pakistan, the band 1 690-1 700 MHz is also allocated to the fixed and mobile, except aeronautical mobile, services on a primary basis. (WRC-12)']),
    (1700000000, 1710000001): (False, True, True, False, False, ['Meteorological-Satellite (Space-To-Earth)', 'Mobile Except Aeronautical Mobile'], [], ['[5.289]: Earth exploration-satellite service applications, other than the meteorological-satellite service, may also be used in the bands 460-470 MHz and 1 690-1 710 MHz for space-to-Earth transmissions subject to not causing harmful interference to stations operating in accordance with the Table.', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.', '[5.384]: Additional allocation: in India, Indonesia and Japan, the band 1 700-1 710 MHz is also allocated to the space research service (space-to-Earth) on a primary basis. (WRC-97)']),
    (1710000000, 1930000001): (False, True, True, False, False, ['Mobile [5.384A][5.388A][5.388B]'], [], ['[5.384A]: The frequency bands 1 710-1 885 MHz, 2 300-2 400 MHz and 2 500-2 690 MHz, or portions thereof, are identified for use by administrations wishing to implement International Mobile Telecommunications (IMT) in accordance with Resolution 223 (Rev.WRC-15). This identification does not preclude the use of these frequency bands by any application of the services to which they are allocated and does not establish priority in the Radio Regulations. (WRC-15)', '[5.388A]: In Regions 1 and 3, the bands 1 885-1 980 MHz, 2 010-2 025 MHz and 2 110-2 170 MHz and, in Region 2, the bands 1 885-1 980 MHz and 2 110-2 160 MHz may be used by high altitude platform stations as base stations to provide International Mobile Telecommunications (IMT), in accordance with Resolution 221 (Rev.WRC-07). Their use by IMT applications using high altitude platform stations as base stations does not preclude the use of these bands by any station in the services to which they are allocated and does not establish priority in the Radio Regulations. (WRC-12)', '[5.388B]: In Algeria, Saudi Arabia, Bahrain, Benin, Burkina Faso, Cameroon, Comoros, Côte d’Ivoire, China, Cuba, Djibouti, Egypt, United Arab Emirates, Eritrea, Ethiopia, Gabon, Ghana, India, Iran (Islamic Republic of), Israel, Jordan, Kenya, Kuwait, Libya, Mali, Morocco, Mauritania, Nigeria, Oman, Uganda, Pakistan, Qatar, the Syrian Arab Republic, Senegal, Singapore, Sudan, South Sudan, Tanzania, Chad, Togo, Tunisia, Yemen, Zambia and Zimbabwe, for the purpose of protecting fixed and mobile services, including IMT mobile stations, in their territories from co-channel interference, a high altitude platform station (HAPS) operating as an IMT base station in neighbouring countries, in the bands referred to in No. 5.388A, shall not exceed a co-channel power flux-density of −127 dB(W/(m2 · MHz)) at the Earth’s surface outside a country’s borders unless explicit agreement of the affected administration is provided at the time of the notification of HAPS. (WRC-12)', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.', '[5.385]: Additional allocation: the band 1 718.8-1 722.2 MHz is also allocated to the radio astronomy service on a secondary basis for spectral line observations. (WRC-2000)', '[5.386]: Additional allocation: the frequency band 1 750-1 850 MHz is also allocated to the space operation (Earth-to-space) and space research (Earth-to-space) services in Region 2 (except in Mexico), in Australia, Guam, India, Indonesia and Japan on a primary basis, subject to agreement obtained under No. 9.21, having particular regard to troposcatter systems. (WRC-15)', '[5.387]: Additional allocation: in Belarus, Georgia, Kazakhstan, Kyrgyzstan, Romania, Tajikistan and Turkmenistan, the band 1 770-1 790 MHz is also allocated to the meteorological-satellite service on a primary basis, subject to agreement obtained under No. 9.21. (WRC-12)', '[5.388]: The frequency bands 1 885-2 025 MHz and 2 110-2 200 MHz are intended for use, on a worldwide basis, by administrations wishing to implement International Mobile Telecommunications (IMT). Such use does not preclude the use of these frequency bands by other services to which they are allocated. The frequency bands should be made available for IMT in accordance with Resolution 212 (Rev.WRC-15) (see also Resolution 223 (Rev.WRC-15)). (WRC-15)']),
    (1930000000, 1970000001): (False, True, True, False, False, ['Mobile [5.388A][5.388B]'], [], ['[5.388A]: In Regions 1 and 3, the bands 1 885-1 980 MHz, 2 010-2 025 MHz and 2 110-2 170 MHz and, in Region 2, the bands 1 885-1 980 MHz and 2 110-2 160 MHz may be used by high altitude platform stations as base stations to provide International Mobile Telecommunications (IMT), in accordance with Resolution 221 (Rev.WRC-07). Their use by IMT applications using high altitude platform stations as base stations does not preclude the use of these bands by any station in the services to which they are allocated and does not establish priority in the Radio Regulations. (WRC-12)', '[5.388B]: In Algeria, Saudi Arabia, Bahrain, Benin, Burkina Faso, Cameroon, Comoros, Côte d’Ivoire, China, Cuba, Djibouti, Egypt, United Arab Emirates, Eritrea, Ethiopia, Gabon, Ghana, India, Iran (Islamic Republic of), Israel, Jordan, Kenya, Kuwait, Libya, Mali, Morocco, Mauritania, Nigeria, Oman, Uganda, Pakistan, Qatar, the Syrian Arab Republic, Senegal, Singapore, Sudan, South Sudan, Tanzania, Chad, Togo, Tunisia, Yemen, Zambia and Zimbabwe, for the purpose of protecting fixed and mobile services, including IMT mobile stations, in their territories from co-channel interference, a high altitude platform station (HAPS) operating as an IMT base station in neighbouring countries, in the bands referred to in No. 5.388A, shall not exceed a co-channel power flux-density of −127 dB(W/(m2 · MHz)) at the Earth’s surface outside a country’s borders unless explicit agreement of the affected administration is provided at the time of the notification of HAPS. (WRC-12)', '[5.388]: The frequency bands 1 885-2 025 MHz and 2 110-2 200 MHz are intended for use, on a worldwide basis, by administrations wishing to implement International Mobile Telecommunications (IMT). Such use does not preclude the use of these frequency bands by other services to which they are allocated. The frequency bands should be made available for IMT in accordance with Resolution 212 (Rev.WRC-15) (see also Resolution 223 (Rev.WRC-15)). (WRC-15)']),
    (1970000000, 1980000001): (False, True, True, False, False, ['Mobile [5.388A][5.388B]'], [], ['[5.388A]: In Regions 1 and 3, the bands 1 885-1 980 MHz, 2 010-2 025 MHz and 2 110-2 170 MHz and, in Region 2, the bands 1 885-1 980 MHz and 2 110-2 160 MHz may be used by high altitude platform stations as base stations to provide International Mobile Telecommunications (IMT), in accordance with Resolution 221 (Rev.WRC-07). Their use by IMT applications using high altitude platform stations as base stations does not preclude the use of these bands by any station in the services to which they are allocated and does not establish priority in the Radio Regulations. (WRC-12)', '[5.388B]: In Algeria, Saudi Arabia, Bahrain, Benin, Burkina Faso, Cameroon, Comoros, Côte d’Ivoire, China, Cuba, Djibouti, Egypt, United Arab Emirates, Eritrea, Ethiopia, Gabon, Ghana, India, Iran (Islamic Republic of), Israel, Jordan, Kenya, Kuwait, Libya, Mali, Morocco, Mauritania, Nigeria, Oman, Uganda, Pakistan, Qatar, the Syrian Arab Republic, Senegal, Singapore, Sudan, South Sudan, Tanzania, Chad, Togo, Tunisia, Yemen, Zambia and Zimbabwe, for the purpose of protecting fixed and mobile services, including IMT mobile stations, in their territories from co-channel interference, a high altitude platform station (HAPS) operating as an IMT base station in neighbouring countries, in the bands referred to in No. 5.388A, shall not exceed a co-channel power flux-density of −127 dB(W/(m2 · MHz)) at the Earth’s surface outside a country’s borders unless explicit agreement of the affected administration is provided at the time of the notification of HAPS. (WRC-12)', '[5.388]: The frequency bands 1 885-2 025 MHz and 2 110-2 200 MHz are intended for use, on a worldwide basis, by administrations wishing to implement International Mobile Telecommunications (IMT). Such use does not preclude the use of these frequency bands by other services to which they are allocated. The frequency bands should be made available for IMT in accordance with Resolution 212 (Rev.WRC-15) (see also Resolution 223 (Rev.WRC-15)). (WRC-15)']),
    (1980000000, 2010000001): (False, True, True, False, False, ['Mobile-Satellite (Earth-To-Space) [5.351A]'], [], ['[5.351A]: For the use of the bands 1 518-1 544 MHz, 1 545-1 559 MHz, 1 610-1 645.5 MHz, 1 646.5-1 660.5 MHz, 1 668-1 675 MHz, 1 980-2 010 MHz, 2 170-2 200 MHz, 2 483.5-2 520 MHz and 2 670-2 690 MHz by the mobile-satellite service, see Resolutions 212 (Rev.WRC-07)* and 225 (Rev.WRC-07)**. (WRC-07)', '[5.388]: The frequency bands 1 885-2 025 MHz and 2 110-2 200 MHz are intended for use, on a worldwide basis, by administrations wishing to implement International Mobile Telecommunications (IMT). Such use does not preclude the use of these frequency bands by other services to which they are allocated. The frequency bands should be made available for IMT in accordance with Resolution 212 (Rev.WRC-15) (see also Resolution 223 (Rev.WRC-15)). (WRC-15)', '[5.389A]: The use of the bands 1 980-2 010 MHz and 2 170-2 200 MHz by the mobile-satellite service is subject to coordination under No. 9.11A and to the provisions of Resolution 716 (Rev.WRC-2000)*. (WRC-07)', '[5.389B]: The use of the band 1 980-1 990 MHz by the mobile-satellite service shall not cause harmful interference to or constrain the development of the fixed and mobile services in Argentina, Brazil, Canada, Chile, Ecuador, the United States, Honduras, Jamaica, Mexico, Peru, Suriname, Trinidad and Tobago, Uruguay and Venezuela.', '[5.389F]: In Algeria, Benin, Cape Verde, Egypt, Iran (Islamic Republic of), Mali, Syrian Arab Republic and Tunisia, the use of the bands 1 980-2 010 MHz and 2 170-2 200 MHz by the mobile-satellite service shall neither cause harmful interference to the fixed and mobile services, nor hamper the development of those services prior to 1 January 2005, nor shall the former service request protection from the latter services. (WRC-2000)']),
    (2010000000, 2025000001): (False, True, True, False, False, ['Mobile [5.388A][5.388B]'], [], ['[5.388A]: In Regions 1 and 3, the bands 1 885-1 980 MHz, 2 010-2 025 MHz and 2 110-2 170 MHz and, in Region 2, the bands 1 885-1 980 MHz and 2 110-2 160 MHz may be used by high altitude platform stations as base stations to provide International Mobile Telecommunications (IMT), in accordance with Resolution 221 (Rev.WRC-07). Their use by IMT applications using high altitude platform stations as base stations does not preclude the use of these bands by any station in the services to which they are allocated and does not establish priority in the Radio Regulations. (WRC-12)', '[5.388B]: In Algeria, Saudi Arabia, Bahrain, Benin, Burkina Faso, Cameroon, Comoros, Côte d’Ivoire, China, Cuba, Djibouti, Egypt, United Arab Emirates, Eritrea, Ethiopia, Gabon, Ghana, India, Iran (Islamic Republic of), Israel, Jordan, Kenya, Kuwait, Libya, Mali, Morocco, Mauritania, Nigeria, Oman, Uganda, Pakistan, Qatar, the Syrian Arab Republic, Senegal, Singapore, Sudan, South Sudan, Tanzania, Chad, Togo, Tunisia, Yemen, Zambia and Zimbabwe, for the purpose of protecting fixed and mobile services, including IMT mobile stations, in their territories from co-channel interference, a high altitude platform station (HAPS) operating as an IMT base station in neighbouring countries, in the bands referred to in No. 5.388A, shall not exceed a co-channel power flux-density of −127 dB(W/(m2 · MHz)) at the Earth’s surface outside a country’s borders unless explicit agreement of the affected administration is provided at the time of the notification of HAPS. (WRC-12)', '[5.388]: The frequency bands 1 885-2 025 MHz and 2 110-2 200 MHz are intended for use, on a worldwide basis, by administrations wishing to implement International Mobile Telecommunications (IMT). Such use does not preclude the use of these frequency bands by other services to which they are allocated. The frequency bands should be made available for IMT in accordance with Resolution 212 (Rev.WRC-15) (see also Resolution 223 (Rev.WRC-15)). (WRC-15)']),
    (2025000000, 2110000001): (False, True, True, False, False, ['Space Operation (Earth-To-Space)', 'Space Operation (Space-To-Space)', 'Earth Exploration-Satellite (Earth-To-Space)', 'Earth Exploration-Satellite (Space-To-Space)', 'Mobile [5.391]', 'Space Research (Earth-To-Space)', 'Space Research (Space-To-Space)'], [], ['[5.391]: In making assignments to the mobile service in the frequency bands 2 025-2 110 MHz and 2 200-2 290 MHz, administrations shall not introduce high-density mobile systems, as described in Recommendation ITU-R SA.1154-0, and shall take that Recommendation into account for the introduction of any other type of mobile system. (WRC-15)', '[5.392]: Administrations are urged to take all practicable measures to ensure that space-to-space transmissions between two or more non-geostationary satellites, in the space research, space operations and Earth exploration-satellite services in the bands 2 025-2 110 MHz and 2 200-2 290 MHz, shall not impose any constraints on Earth-to-space, space-to-Earth and other space-to-space transmissions of those services and in those bands between geostationary and non-geostationary satellites.']),
    (2110000000, 2120000001): (False, True, True, False, False, ['Mobile [5.388A][5.388B]', 'Space Research (Deep Space)', 'Space Research (Earth-To-Space)'], [], ['[5.388A]: In Regions 1 and 3, the bands 1 885-1 980 MHz, 2 010-2 025 MHz and 2 110-2 170 MHz and, in Region 2, the bands 1 885-1 980 MHz and 2 110-2 160 MHz may be used by high altitude platform stations as base stations to provide International Mobile Telecommunications (IMT), in accordance with Resolution 221 (Rev.WRC-07). Their use by IMT applications using high altitude platform stations as base stations does not preclude the use of these bands by any station in the services to which they are allocated and does not establish priority in the Radio Regulations. (WRC-12)', '[5.388B]: In Algeria, Saudi Arabia, Bahrain, Benin, Burkina Faso, Cameroon, Comoros, Côte d’Ivoire, China, Cuba, Djibouti, Egypt, United Arab Emirates, Eritrea, Ethiopia, Gabon, Ghana, India, Iran (Islamic Republic of), Israel, Jordan, Kenya, Kuwait, Libya, Mali, Morocco, Mauritania, Nigeria, Oman, Uganda, Pakistan, Qatar, the Syrian Arab Republic, Senegal, Singapore, Sudan, South Sudan, Tanzania, Chad, Togo, Tunisia, Yemen, Zambia and Zimbabwe, for the purpose of protecting fixed and mobile services, including IMT mobile stations, in their territories from co-channel interference, a high altitude platform station (HAPS) operating as an IMT base station in neighbouring countries, in the bands referred to in No. 5.388A, shall not exceed a co-channel power flux-density of −127 dB(W/(m2 · MHz)) at the Earth’s surface outside a country’s borders unless explicit agreement of the affected administration is provided at the time of the notification of HAPS. (WRC-12)', '[5.388]: The frequency bands 1 885-2 025 MHz and 2 110-2 200 MHz are intended for use, on a worldwide basis, by administrations wishing to implement International Mobile Telecommunications (IMT). Such use does not preclude the use of these frequency bands by other services to which they are allocated. The frequency bands should be made available for IMT in accordance with Resolution 212 (Rev.WRC-15) (see also Resolution 223 (Rev.WRC-15)). (WRC-15)']),
    (2120000000, 2160000001): (False, True, True, False, False, ['Mobile [5.388A][5.388B]'], [], ['[5.388A]: In Regions 1 and 3, the bands 1 885-1 980 MHz, 2 010-2 025 MHz and 2 110-2 170 MHz and, in Region 2, the bands 1 885-1 980 MHz and 2 110-2 160 MHz may be used by high altitude platform stations as base stations to provide International Mobile Telecommunications (IMT), in accordance with Resolution 221 (Rev.WRC-07). Their use by IMT applications using high altitude platform stations as base stations does not preclude the use of these bands by any station in the services to which they are allocated and does not establish priority in the Radio Regulations. (WRC-12)', '[5.388B]: In Algeria, Saudi Arabia, Bahrain, Benin, Burkina Faso, Cameroon, Comoros, Côte d’Ivoire, China, Cuba, Djibouti, Egypt, United Arab Emirates, Eritrea, Ethiopia, Gabon, Ghana, India, Iran (Islamic Republic of), Israel, Jordan, Kenya, Kuwait, Libya, Mali, Morocco, Mauritania, Nigeria, Oman, Uganda, Pakistan, Qatar, the Syrian Arab Republic, Senegal, Singapore, Sudan, South Sudan, Tanzania, Chad, Togo, Tunisia, Yemen, Zambia and Zimbabwe, for the purpose of protecting fixed and mobile services, including IMT mobile stations, in their territories from co-channel interference, a high altitude platform station (HAPS) operating as an IMT base station in neighbouring countries, in the bands referred to in No. 5.388A, shall not exceed a co-channel power flux-density of −127 dB(W/(m2 · MHz)) at the Earth’s surface outside a country’s borders unless explicit agreement of the affected administration is provided at the time of the notification of HAPS. (WRC-12)', '[5.388]: The frequency bands 1 885-2 025 MHz and 2 110-2 200 MHz are intended for use, on a worldwide basis, by administrations wishing to implement International Mobile Telecommunications (IMT). Such use does not preclude the use of these frequency bands by other services to which they are allocated. The frequency bands should be made available for IMT in accordance with Resolution 212 (Rev.WRC-15) (see also Resolution 223 (Rev.WRC-15)). (WRC-15)']),
    (2160000000, 2170000001): (False, True, True, False, False, ['Mobile [5.388A][5.388B]'], [], ['[5.388A]: In Regions 1 and 3, the bands 1 885-1 980 MHz, 2 010-2 025 MHz and 2 110-2 170 MHz and, in Region 2, the bands 1 885-1 980 MHz and 2 110-2 160 MHz may be used by high altitude platform stations as base stations to provide International Mobile Telecommunications (IMT), in accordance with Resolution 221 (Rev.WRC-07). Their use by IMT applications using high altitude platform stations as base stations does not preclude the use of these bands by any station in the services to which they are allocated and does not establish priority in the Radio Regulations. (WRC-12)', '[5.388B]: In Algeria, Saudi Arabia, Bahrain, Benin, Burkina Faso, Cameroon, Comoros, Côte d’Ivoire, China, Cuba, Djibouti, Egypt, United Arab Emirates, Eritrea, Ethiopia, Gabon, Ghana, India, Iran (Islamic Republic of), Israel, Jordan, Kenya, Kuwait, Libya, Mali, Morocco, Mauritania, Nigeria, Oman, Uganda, Pakistan, Qatar, the Syrian Arab Republic, Senegal, Singapore, Sudan, South Sudan, Tanzania, Chad, Togo, Tunisia, Yemen, Zambia and Zimbabwe, for the purpose of protecting fixed and mobile services, including IMT mobile stations, in their territories from co-channel interference, a high altitude platform station (HAPS) operating as an IMT base station in neighbouring countries, in the bands referred to in No. 5.388A, shall not exceed a co-channel power flux-density of −127 dB(W/(m2 · MHz)) at the Earth’s surface outside a country’s borders unless explicit agreement of the affected administration is provided at the time of the notification of HAPS. (WRC-12)', '[5.388]: The frequency bands 1 885-2 025 MHz and 2 110-2 200 MHz are intended for use, on a worldwide basis, by administrations wishing to implement International Mobile Telecommunications (IMT). Such use does not preclude the use of these frequency bands by other services to which they are allocated. The frequency bands should be made available for IMT in accordance with Resolution 212 (Rev.WRC-15) (see also Resolution 223 (Rev.WRC-15)). (WRC-15)']),
    (2170000000, 2200000001): (False, True, True, False, False, ['Mobile-Satellite (Space-To-Earth) [5.351A]'], [], ['[5.351A]: For the use of the bands 1 518-1 544 MHz, 1 545-1 559 MHz, 1 610-1 645.5 MHz, 1 646.5-1 660.5 MHz, 1 668-1 675 MHz, 1 980-2 010 MHz, 2 170-2 200 MHz, 2 483.5-2 520 MHz and 2 670-2 690 MHz by the mobile-satellite service, see Resolutions 212 (Rev.WRC-07)* and 225 (Rev.WRC-07)**. (WRC-07)', '[5.388]: The frequency bands 1 885-2 025 MHz and 2 110-2 200 MHz are intended for use, on a worldwide basis, by administrations wishing to implement International Mobile Telecommunications (IMT). Such use does not preclude the use of these frequency bands by other services to which they are allocated. The frequency bands should be made available for IMT in accordance with Resolution 212 (Rev.WRC-15) (see also Resolution 223 (Rev.WRC-15)). (WRC-15)', '[5.389A]: The use of the bands 1 980-2 010 MHz and 2 170-2 200 MHz by the mobile-satellite service is subject to coordination under No. 9.11A and to the provisions of Resolution 716 (Rev.WRC-2000)*. (WRC-07)', '[5.389F]: In Algeria, Benin, Cape Verde, Egypt, Iran (Islamic Republic of), Mali, Syrian Arab Republic and Tunisia, the use of the bands 1 980-2 010 MHz and 2 170-2 200 MHz by the mobile-satellite service shall neither cause harmful interference to the fixed and mobile services, nor hamper the development of those services prior to 1 January 2005, nor shall the former service request protection from the latter services. (WRC-2000)']),
    (2200000000, 2290000001): (False, True, True, False, False, ['Space Operation (Space-To-Earth)', 'Space Operation (Space-To-Space)', 'Earth Exploration-Satellite (Space-To-Earth)', 'Earth Exploration-Satellite (Space-To-Space)', 'Mobile [5.391]', 'Space Research (Space-To-Earth)', 'Space Research (Space-To-Space)'], [], ['[5.391]: In making assignments to the mobile service in the frequency bands 2 025-2 110 MHz and 2 200-2 290 MHz, administrations shall not introduce high-density mobile systems, as described in Recommendation ITU-R SA.1154-0, and shall take that Recommendation into account for the introduction of any other type of mobile system. (WRC-15)', '[5.392]: Administrations are urged to take all practicable measures to ensure that space-to-space transmissions between two or more non-geostationary satellites, in the space research, space operations and Earth exploration-satellite services in the bands 2 025-2 110 MHz and 2 200-2 290 MHz, shall not impose any constraints on Earth-to-space, space-to-Earth and other space-to-space transmissions of those services and in those bands between geostationary and non-geostationary satellites.']),
    (2290000000, 2300000001): (False, True, True, False, False, ['Mobile Except Aeronautical Mobile', 'Space Research (Deep Space)', 'Space Research (Space-To-Earth)'], [], []),
    (2300000000, 2450000001): (True, True, True, False, False, ['Mobile [5.384A]', 'Radiolocation'], ['Amateur'], ['[5.384A]: The frequency bands 1 710-1 885 MHz, 2 300-2 400 MHz and 2 500-2 690 MHz, or portions thereof, are identified for use by administrations wishing to implement International Mobile Telecommunications (IMT) in accordance with Resolution 223 (Rev.WRC-15). This identification does not preclude the use of these frequency bands by any application of the services to which they are allocated and does not establish priority in the Radio Regulations. (WRC-15)', '[5.150]: The following bands:13 553-13 567 kHz (centre frequency 13 560 kHz), 26 957-27 283 kHz (centre frequency 27 120 kHz), 40.66-40.70 MHz (centre frequency 40.68 MHz), 902-928 MHz in Region 2 (centre frequency 915 MHz), 2 400-2 500 MHz (centre frequency 2 450 MHz), 5 725-5 875 MHz (centre frequency 5 800 MHz), and 24-24.25 GHz (centre frequency 24.125 GHz) are also designated for industrial, scientific and medical (ISM) applications. Radiocommunication services operating within these bands must accept harmful interference which may be caused by these applications. ISM equipment operating in these bands is subject to the provisions of No. 15.13. ', '[5.282]: In the bands 435-438 MHz, 1 260-1 270 MHz, 2 400-2 450 MHz, 3 400-3 410 MHz (in Regions 2 and 3 only) and 5 650-5 670 MHz, the amateur-satellite service may operate subject to not causing harmful interference to other services operating in accordance with the Table (see No. 5.43). Administrations authorizing such use shall ensure that any harmful interference caused by emissions from a station in the amateur-satellite service is immediately eliminated in accordance with the provisions of No. 25.11. The use of the bands 1 260-1 270 MHz and 5 650-5 670 MHz by the amateur-satellite service is limited to the Earth-to-space direction.', '[5.393]: Additional allocation: in Canada, the United States and India, the frequency band 2 310-2 360 MHz is also allocated to the broadcasting-satellite service (sound) and complementary terrestrial sound broadcasting service on a primary basis. Such use is limited to digital audio broadcasting and is subject to the provisions of Resolution 528 (Rev.WRC-15), with the exception of resolves 3 in regard to the limitation on broadcasting-satellite systems in the upper 25 MHz. (WRC-15)', '[5.394]: In the United States, the use of the band 2 300-2 390 MHz by the aeronautical mobile service for telemetry has priority over other uses by the mobile services. In Canada, the use of the band 2 360-2 400 MHz by the aeronautical mobile service for telemetry has priority over other uses by the mobile services. (WRC-07)', '[5.396]: Space stations of the broadcasting-satellite service in the band 2 310-2 360 MHz operating in accordance with No. 5.393 that may affect the services to which this band is allocated in other countries shall be coordinated and notified in accordance with Resolution 33 (Rev.WRC-97)*. Complementary terrestrial broadcasting stations shall be subject to bilateral coordination with neighbouring countries prior to their bringing into use.']),
    (2450000000, 2483500001): (False, True, True, False, False, ['Radiolocation'], [], ['[5.150]: The following bands:13 553-13 567 kHz (centre frequency 13 560 kHz), 26 957-27 283 kHz (centre frequency 27 120 kHz), 40.66-40.70 MHz (centre frequency 40.68 MHz), 902-928 MHz in Region 2 (centre frequency 915 MHz), 2 400-2 500 MHz (centre frequency 2 450 MHz), 5 725-5 875 MHz (centre frequency 5 800 MHz), and 24-24.25 GHz (centre frequency 24.125 GHz) are also designated for industrial, scientific and medical (ISM) applications. Radiocommunication services operating within these bands must accept harmful interference which may be caused by these applications. ISM equipment operating in these bands is subject to the provisions of No. 15.13.']),
    (2483500000, 2500000001): (False, True, True, False, True, ['Mobile-Satellite (Space-To-Earth) [5.351A]', 'Radiolocation', 'Radiodetermination- Satellite (Space-To-Earth) [5.398]'], [], ['[5.351A]: For the use of the bands 1 518-1 544 MHz, 1 545-1 559 MHz, 1 610-1 645.5 MHz, 1 646.5-1 660.5 MHz, 1 668-1 675 MHz, 1 980-2 010 MHz, 2 170-2 200 MHz, 2 483.5-2 520 MHz and 2 670-2 690 MHz by the mobile-satellite service, see Resolutions 212 (Rev.WRC-07)* and 225 (Rev.WRC-07)**. (WRC-07)', '[5.398]: In respect of the radiodetermination-satellite service in the band 2 483.5-2 500 MHz, the provisions of No. 4.10 do not apply.', '[5.150]: The following bands:13 553-13 567 kHz (centre frequency 13 560 kHz), 26 957-27 283 kHz (centre frequency 27 120 kHz), 40.66-40.70 MHz (centre frequency 40.68 MHz), 902-928 MHz in Region 2 (centre frequency 915 MHz), 2 400-2 500 MHz (centre frequency 2 450 MHz), 5 725-5 875 MHz (centre frequency 5 800 MHz), and 24-24.25 GHz (centre frequency 24.125 GHz) are also designated for industrial, scientific and medical (ISM) applications. Radiocommunication services operating within these bands must accept harmful interference which may be caused by these applications. ISM equipment operating in these bands is subject to the provisions of No. 15.13. ', '[5.401]: In Angola, Australia, Bangladesh, China, Eritrea, Ethiopia, India, Iran (Islamic Republic of), Lebanon, Liberia, Libya, Madagascar, Mali, Pakistan, Papua New Guinea, Syrian Arab Republic, Dem. Rep. of the Congo, Sudan, Swaziland, Togo and Zambia, the frequency band 2 483.5-2 500 MHz was already allocated on a primary basis to the radiodetermination-satellite service before WRC-12, subject to agreement obtained under No. 9.21 from countries not listed in this provision. Systems in the radiodetermination-satellite service for which complete coordination information has been received by the Radiocommunication Bureau before 18 February 2012 will retain their regulatory status, as of the date of receipt of the coordination request information. (WRC-15)', '[5.402]: The use of the band 2 483.5-2 500 MHz by the mobile-satellite and the radiodetermination-satellite services is subject to the coordination under No. 9.11A. Administrations are urged to take all practicable steps to prevent harmful interference to the radio astronomy service from emissions in the 2 483.5-2 500 MHz band, especially those caused by second-harmonic radiation that would fall into the 4 990-5 000 MHz band allocated to the radio astronomy service worldwide.']),
    (2500000000, 2520000001): (False, True, True, False, False, ['Fixed [5.410]', 'Fixed-Satellite (Space-To-Earth) [5.415]', 'Mobile Except Aeronautical Mobile [5.384A]', '(,5.351A,5.407,5.414,5.414A)'], [], ['[5.410]: The band 2 500-2 690 MHz may be used for tropospheric scatter systems in Region 1, subject to agreement obtained under No. 9.21. No. 9.21 does not apply to tropospheric scatter links situated entirely outside Region 1. Administrations shall make all practicable efforts to avoid developing new tropospheric scatter systems in this band. When planning new tropospheric scatter radio-relay links in this band, all possible measures shall be taken to avoid directing the antennas of these links towards the geostationary-satellite orbit. (WRC-12)', '[5.415]: The use of the bands 2 500-2 690 MHz in Region 2 and 2 500-2 535 MHz and 2 655-2 690 MHz in Region 3 by the fixed-satellite service is limited to national and regional systems, subject to agreement obtained under No. 9.21, giving particular attention to the broadcasting-satellite service in Region 1. (WRC-07)', '[5.384A]: The frequency bands 1 710-1 885 MHz, 2 300-2 400 MHz and 2 500-2 690 MHz, or portions thereof, are identified for use by administrations wishing to implement International Mobile Telecommunications (IMT) in accordance with Resolution 223 (Rev.WRC-15). This identification does not preclude the use of these frequency bands by any application of the services to which they are allocated and does not establish priority in the Radio Regulations. (WRC-15)', '[5.351A]: For the use of the bands 1 518-1 544 MHz, 1 545-1 559 MHz, 1 610-1 645.5 MHz, 1 646.5-1 660.5 MHz, 1 668-1 675 MHz, 1 980-2 010 MHz, 2 170-2 200 MHz, 2 483.5-2 520 MHz and 2 670-2 690 MHz by the mobile-satellite service, see Resolutions 212 (Rev.WRC-07)* and 225 (Rev.WRC-07)**. (WRC-07)', '[5.407]: In the band 2 500-2 520 MHz, the power flux-density at the surface of the Earth from space stations operating in the mobile-satellite (space-to-Earth) service shall not exceed –152 dB(W/(m2 × 4 kHz)) in Argentina, unless otherwise agreed by the administrations concerned.', '[5.414]: The allocation of the frequency band 2 500-2 520 MHz to the mobile-satellite service (space-to-Earth) is subject to coordination under No. 9.11A. (WRC-07)', '[5.414A]: In Japan and India, the use of the bands 2 500-2 520 MHz and 2 520-2 535 MHz, under No. 5.403, by a satellite network in the mobile-satellite service (space-to-Earth) is limited to operation within national boundaries and subject to the application of No. 9.11A. The following pfd values shall be used as a threshold for coordination under No. 9.11A, for all conditions and for all methods of modulation, in an area of 1 000 km around the territory of the administration notifying the mobile-satellite service network:where q is the angle of arrival of the incident wave above the horizontal plane, in degrees. Outside this area Table 21-4 of Article 21 shall apply. Furthermore, the coordination thresholds in Table 5-2 of Annex 1 to Appendix 5 of the Radio Regulations (Edition of 2004), in conjunction with the applicable provisions of Articles 9 and 11 associated with No. 9.11A, shall apply to systems for which complete notification information has been received by the Radicommunication Bureau by 14 November 2007 and that have been brought into use by that date. (WRC-07) ', '[5.404]: Additional allocation: in India and Iran (Islamic Republic of), the band 2 500-2 516.5 MHz may also be used for the radiodetermination-satellite service (space-to-Earth) for operation limited to within national boundaries, subject to agreement obtained under No. 9.21.', '[5.415A]: Additional allocation: in India and Japan, subject to agreement obtained under No. 9.21, the band 2 515-2 535 MHz may also be used for the aeronautical mobile-satellite service (space-to-Earth) for operation limited to within their national boundaries. (WRC-2000)']),
    (2520000000, 2535000001): (False, True, True, False, False, ['Fixed [5.410]', 'Fixed-Satellite (Space-To-Earth) [5.415]', 'Mobile Except Aeronautical Mobile [5.384A]', 'Broadcasting-Satellite [5.413][5.416]'], [], ['[5.410]: The band 2 500-2 690 MHz may be used for tropospheric scatter systems in Region 1, subject to agreement obtained under No. 9.21. No. 9.21 does not apply to tropospheric scatter links situated entirely outside Region 1. Administrations shall make all practicable efforts to avoid developing new tropospheric scatter systems in this band. When planning new tropospheric scatter radio-relay links in this band, all possible measures shall be taken to avoid directing the antennas of these links towards the geostationary-satellite orbit. (WRC-12)', '[5.415]: The use of the bands 2 500-2 690 MHz in Region 2 and 2 500-2 535 MHz and 2 655-2 690 MHz in Region 3 by the fixed-satellite service is limited to national and regional systems, subject to agreement obtained under No. 9.21, giving particular attention to the broadcasting-satellite service in Region 1. (WRC-07)', '[5.384A]: The frequency bands 1 710-1 885 MHz, 2 300-2 400 MHz and 2 500-2 690 MHz, or portions thereof, are identified for use by administrations wishing to implement International Mobile Telecommunications (IMT) in accordance with Resolution 223 (Rev.WRC-15). This identification does not preclude the use of these frequency bands by any application of the services to which they are allocated and does not establish priority in the Radio Regulations. (WRC-15)', '[5.413]: In the design of systems in the broadcasting-satellite service in the bands between 2 500 MHz and 2 690 MHz, administrations are urged to take all necessary steps to protect the radio astronomy service in the band 2 690-2 700 MHz.', '[5.416]: The use of the band 2 520-2 670 MHz by the broadcasting-satellite service is limited to national and regional systems for community reception, subject to agreement obtained under No. 9.21. The provisions of No. 9.19 shall be applied by administrations in this band in their bilateral and multilateral negotiations. (WRC-07)', '[5.403]: Subject to agreement obtained under No. 9.21, the band 2 520-2 535 MHz may also be used for the mobile-satellite (space-to-Earth), except aeronautical mobile-satellite, service for operation limited to within national boundaries. The provisions of No. 9.11A apply. (WRC-07)', '[5.414A]: In Japan and India, the use of the bands 2 500-2 520 MHz and 2 520-2 535 MHz, under No. 5.403, by a satellite network in the mobile-satellite service (space-to-Earth) is limited to operation within national boundaries and subject to the application of No. 9.11A. The following pfd values shall be used as a threshold for coordination under No. 9.11A, for all conditions and for all methods of modulation, in an area of 1 000 km around the territory of the administration notifying the mobile-satellite service network:where q is the angle of arrival of the incident wave above the horizontal plane, in degrees. Outside this area Table 21-4 of Article 21 shall apply. Furthermore, the coordination thresholds in Table 5-2 of Annex 1 to Appendix 5 of the Radio Regulations (Edition of 2004), in conjunction with the applicable provisions of Articles 9 and 11 associated with No. 9.11A, shall apply to systems for which complete notification information has been received by the Radicommunication Bureau by 14 November 2007 and that have been brought into use by that date. (WRC-07) ', '[5.415A]: Additional allocation: in India and Japan, subject to agreement obtained under No. 9.21, the band 2 515-2 535 MHz may also be used for the aeronautical mobile-satellite service (space-to-Earth) for operation limited to within their national boundaries. (WRC-2000)']),
    (2535000000, 2655000001): (False, True, True, False, False, ['Fixed [5.410]', 'Mobile Except Aeronautical Mobile [5.384A]', 'Broadcasting-Satellite [5.413][5.416]'], [], ['[5.410]: The band 2 500-2 690 MHz may be used for tropospheric scatter systems in Region 1, subject to agreement obtained under No. 9.21. No. 9.21 does not apply to tropospheric scatter links situated entirely outside Region 1. Administrations shall make all practicable efforts to avoid developing new tropospheric scatter systems in this band. When planning new tropospheric scatter radio-relay links in this band, all possible measures shall be taken to avoid directing the antennas of these links towards the geostationary-satellite orbit. (WRC-12)', '[5.384A]: The frequency bands 1 710-1 885 MHz, 2 300-2 400 MHz and 2 500-2 690 MHz, or portions thereof, are identified for use by administrations wishing to implement International Mobile Telecommunications (IMT) in accordance with Resolution 223 (Rev.WRC-15). This identification does not preclude the use of these frequency bands by any application of the services to which they are allocated and does not establish priority in the Radio Regulations. (WRC-15)', '[5.413]: In the design of systems in the broadcasting-satellite service in the bands between 2 500 MHz and 2 690 MHz, administrations are urged to take all necessary steps to protect the radio astronomy service in the band 2 690-2 700 MHz.', '[5.416]: The use of the band 2 520-2 670 MHz by the broadcasting-satellite service is limited to national and regional systems for community reception, subject to agreement obtained under No. 9.21. The provisions of No. 9.19 shall be applied by administrations in this band in their bilateral and multilateral negotiations. (WRC-07)', '[5.339]: The bands 1 370-1 400 MHz, 2 640-2 655 MHz, 4 950-4 990 MHz and 15.20-15.35 GHz are also allocated to the space research (passive) and Earth exploration-satellite (passive) services on a secondary basis.', '[5.418]: Additional allocation: in India, the frequency band 2 535-2 655 MHz is also allocated to the broadcasting-satellite service (sound) and complementary terrestrial broadcasting service on a primary basis. Such use is limited to digital audio broadcasting and is subject to the provisions of Resolution 528 (Rev.WRC-15). The provisions of No. 5.416 and Table 21-4 of Article 21, do not apply to this additional allocation. Use of non-geostationary-satellite systems in the broadcasting-satellite service (sound) is subject to Resolution 539 (Rev.WRC-15). Geostationary broadcasting-satellite service (sound) systems for which complete Appendix 4 coordination information has been received after 1 June 2005 are limited to systems intended for national coverage. The power flux-density at the Earth’s surface produced by emissions from a geostationary broadcasting satellite service (sound) space station operating in the frequency band 2 630-2 655 MHz, and for which complete Appendix 4 coordination information has been received after 1 June 2005, shall not exceed the following limits, for all conditions and for all methods of modulation:where q is the angle of arrival of the incident wave above the horizontal plane, in degrees. These limits may be exceeded on the territory of any country whose administration has so agreed. As an exception to the limits above, the pfd value of −122 dB(W/(m2 · MHz)) shall be used as a threshold for coordination under No. 9.11 in an area of 1 500 km around the territory of the administration notifying the broadcasting-satellite service (sound) system. In addition, an administration listed in this provision shall not have simultaneously two overlapping frequency assignments, one under this provision and the other under No. 5.416 for systems for which complete Appendix 4 coordination information has been received after 1 June 2005. (WRC-15) ', '[5.418A]: In certain Region 3 countries listed in No. 5.418, use of the band 2 630-2 655 MHz by non-geostationary-satellite systems in the broadcasting-satellite service (sound) for which complete Appendix 4 coordination information, or notification information, has been received after 2 June 2000, is subject to the application of the provisions of No. 9.12A, in respect of geostationary-satellite networks for which complete Appendix 4 coordination information, or notification information, is considered to have been received after 2 June 2000, and No. 22.2 does not apply. No. 22.2 shall continue to apply with respect to geostationary-satellite networks for which complete Appendix 4 coordination information, or notification information, is considered to have been received before 3 June 2000. (WRC-03)', '[5.418B]: Use of the band 2 630-2 655 MHz by non-geostationary-satellite systems in the broadcasting-satellite service (sound), pursuant to No. 5.418, for which complete Appendix 4 coordination information, or notification information, has been received after 2 June 2000, is subject to the application of the provisions of No. 9.12. (WRC-03)', '[5.418C]: Use of the band 2 630-2 655 MHz by geostationary-satellite networks for which complete Appendix 4 coordination information, or notification information, has been received after 2 June 2000 is subject to the application of the provisions of No. 9.13 with respect to non-geostationary-satellite systems in the broadcasting-satellite service (sound), pursuant to No. 5.418 and No. 22.2 does not apply. (WRC-03)']),
    (2655000000, 2670000001): (False, True, True, False, False, ['Fixed [5.410]', 'Fixed-Satellite (Earth-To-Space) [5.415]', 'Mobile Except Aeronautical Mobile [5.384A]', 'Broadcasting-Satellite [5.208B][5.413][5.416]'], ['Earth Exploration-Satellite (Passive)', 'Radio Astronomy', 'Space Research (Passive)'], ['[5.410]: The band 2 500-2 690 MHz may be used for tropospheric scatter systems in Region 1, subject to agreement obtained under No. 9.21. No. 9.21 does not apply to tropospheric scatter links situated entirely outside Region 1. Administrations shall make all practicable efforts to avoid developing new tropospheric scatter systems in this band. When planning new tropospheric scatter radio-relay links in this band, all possible measures shall be taken to avoid directing the antennas of these links towards the geostationary-satellite orbit. (WRC-12)', '[5.415]: The use of the bands 2 500-2 690 MHz in Region 2 and 2 500-2 535 MHz and 2 655-2 690 MHz in Region 3 by the fixed-satellite service is limited to national and regional systems, subject to agreement obtained under No. 9.21, giving particular attention to the broadcasting-satellite service in Region 1. (WRC-07)', '[5.384A]: The frequency bands 1 710-1 885 MHz, 2 300-2 400 MHz and 2 500-2 690 MHz, or portions thereof, are identified for use by administrations wishing to implement International Mobile Telecommunications (IMT) in accordance with Resolution 223 (Rev.WRC-15). This identification does not preclude the use of these frequency bands by any application of the services to which they are allocated and does not establish priority in the Radio Regulations. (WRC-15)', '[5.208B]: * In the frequency bands:137-138 MHz, 387-390 MHz, 400.15-401 MHz, 1 452-1 492 MHz, 1 525-1 610 MHz, 1 613.8-1 626.5 MHz, 2 655-2 690 MHz, 21.4-22 GHz, Resolution 739 (Rev.WRC-15) applies. (WRC-15) ', '[5.413]: In the design of systems in the broadcasting-satellite service in the bands between 2 500 MHz and 2 690 MHz, administrations are urged to take all necessary steps to protect the radio astronomy service in the band 2 690-2 700 MHz.', '[5.416]: The use of the band 2 520-2 670 MHz by the broadcasting-satellite service is limited to national and regional systems for community reception, subject to agreement obtained under No. 9.21. The provisions of No. 9.19 shall be applied by administrations in this band in their bilateral and multilateral negotiations. (WRC-07)', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.420]: The band 2 655-2 670 MHz may also be used for the mobile-satellite (Earth-to-space), except aeronautical mobile-satellite, service for operation limited to within national boundaries, subject to agreement obtained under No. 9.21. The coordination under No. 9.11A applies. (WRC-07)']),
    (2670000000, 2690000001): (False, True, True, False, False, ['Fixed [5.410]', 'Fixed-Satellite (Earth-To-Space) [5.415]', 'Mobile Except Aeronautical Mobile [5.384A]', 'Mobile-Satellite (Earth-To-Space) [5.351A][5.419]'], ['Earth Exploration-Satellite (Passive)', 'Radio Astronomy', 'Space Research (Passive)'], ['[5.410]: The band 2 500-2 690 MHz may be used for tropospheric scatter systems in Region 1, subject to agreement obtained under No. 9.21. No. 9.21 does not apply to tropospheric scatter links situated entirely outside Region 1. Administrations shall make all practicable efforts to avoid developing new tropospheric scatter systems in this band. When planning new tropospheric scatter radio-relay links in this band, all possible measures shall be taken to avoid directing the antennas of these links towards the geostationary-satellite orbit. (WRC-12)', '[5.415]: The use of the bands 2 500-2 690 MHz in Region 2 and 2 500-2 535 MHz and 2 655-2 690 MHz in Region 3 by the fixed-satellite service is limited to national and regional systems, subject to agreement obtained under No. 9.21, giving particular attention to the broadcasting-satellite service in Region 1. (WRC-07)', '[5.384A]: The frequency bands 1 710-1 885 MHz, 2 300-2 400 MHz and 2 500-2 690 MHz, or portions thereof, are identified for use by administrations wishing to implement International Mobile Telecommunications (IMT) in accordance with Resolution 223 (Rev.WRC-15). This identification does not preclude the use of these frequency bands by any application of the services to which they are allocated and does not establish priority in the Radio Regulations. (WRC-15)', '[5.351A]: For the use of the bands 1 518-1 544 MHz, 1 545-1 559 MHz, 1 610-1 645.5 MHz, 1 646.5-1 660.5 MHz, 1 668-1 675 MHz, 1 980-2 010 MHz, 2 170-2 200 MHz, 2 483.5-2 520 MHz and 2 670-2 690 MHz by the mobile-satellite service, see Resolutions 212 (Rev.WRC-07)* and 225 (Rev.WRC-07)**. (WRC-07)', '[5.419]: When introducing systems of the mobile-satellite service in the band 2 670-2 690 MHz, administrations shall take all necessary steps to protect the satellite systems operating in this band prior to 3 March 1992. The coordination of mobile-satellite systems in the band shall be in accordance with No. 9.11A. (WRC-07)', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07)']),
    (2690000000, 2700000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Passive)', 'Radio Astronomy', 'Space Research (Passive)'], [], ['[5.340]: All emissions are prohibited in the following bands:1 400-1 427 MHz, 2 690-2 700 MHz, except those provided for by No. 5.422, 10.68-10.7 GHz, except those provided for by No. 5.483, 15.35-15.4 GHz, except those provided for by No. 5.511, 23.6-24 GHz, 31.3-31.5 GHz, 31.5-31.8 GHz, in Region 2, 48.94-49.04 GHz, from airborne stations 50.2-50.4 GHz2, 52.6-54.25 GHz, 86-92 GHz, 100-102 GHz, 109.5-111.8 GHz, 114.25-116 GHz, 148.5-151.5 GHz, 164-167 GHz, 182-185 GHz, 190-191.8 GHz, 200-209 GHz, 226-231.5 GHz, 250-252 GHz. (WRC-03) ', "[5.422]: Additional allocation: in Saudi Arabia, Armenia, Azerbaijan, Bahrain, Belarus, Brunei Darussalam, Congo (Rep. of the), Côte d'Ivoire, Cuba, Djibouti, Egypt, the United Arab Emirates, Eritrea, Ethiopia, Gabon, Georgia, Guinea, Guinea-Bissau, Iran (Islamic Republic of), Iraq, Israel, Jordan, Kuwait, Lebanon, Mauritania, Mongolia, Montenegro, Nigeria, Oman, Pakistan, the Philippines, Qatar, Syrian Arab Republic, Kyrgyzstan, the Dem. Rep. of the Congo, Romania, Somalia, Tajikistan, Tunisia, Turkmenistan, Ukraine and Yemen, the band 2 690-2 700 MHz is also allocated to the fixed and mobile, except aeronautical mobile, services on a primary basis. Such use is limited to equipment in operation by 1 January 1985. (WRC-12)"]),
    (2700000000, 2900000001): (False, False, False, False, False, ['Aeronautical Radionavigation [5.337]'], ['Radiolocation'], ['[5.337]: The use of the bands 1 300-1 350 MHz, 2 700-2 900 MHz and 9 000-9 200 MHz by the aeronautical radionavigation service is restricted to ground-based radars and to associated airborne transponders which transmit only on frequencies in these bands and only when actuated by radars operating in the same band.', '[5.423]: In the band 2 700-2 900 MHz, ground-based radars used for meteorological purposes are authorized to operate on a basis of equality with stations of the aeronautical radionavigation service.', '[5.424]: Additional allocation: in Canada, the band 2 850-2 900 MHz is also allocated to the maritime radionavigation service, on a primary basis, for use by shore-based radars.']),
    (2900000000, 3100000001): (False, False, False, False, False, ['Radiolocation [5.424A]', 'Radionavigation [5.426]'], [], ['[5.424A]: In the band 2 900-3 100 MHz, stations in the radiolocation service shall not cause harmful interference to, nor claim protection from, radar systems in the radionavigation service. (WRC-03)', '[5.426]: The use of the band 2 900-3 100 MHz by the aeronautical radionavigation service is limited to ground-based radars.', '[5.425]: In the band 2 900-3 100 MHz, the use of the shipborne interrogator-transponder (SIT) system shall be confined to the sub-band 2 930 -2 950 MHz.', '[5.427]: In the bands 2 900-3 100 MHz and 9 300-9 500 MHz, the response from radar transponders shall not be capable of being confused with the response from radar beacons (racons) and shall not cause interference to ship or aeronautical radars in the radionavigation service, having regard, however, to No. 4.9.']),
    (3100000000, 3300000001): (False, False, False, False, False, ['Radiolocation'], ['Earth Exploration-Satellite (Active)', 'Space Research (Active)'], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.428]: Additional allocation: in Azerbaijan, Kyrgyzstan and Turkmenistan, the frequency band 3 100-3 300 MHz is also allocated to the radionavigation service on a primary basis. (WRC-15)']),
    (3300000000, 3400000001): (True, False, False, False, False, ['Radiolocation'], ['Amateur'], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', "[5.429]: Additional allocation: in Saudi Arabia, Bahrain, Bangladesh, Benin, Brunei Darussalam, Cambodia, Cameroon, China, Congo (Rep. of the), Korea (Rep. of), Côte d'Ivoire, Egypt, the United Arab Emirates, India, Indonesia, Iran (Islamic Republic of), Iraq, Israel, Japan, Jordan, Kenya, Kuwait, Lebanon, Libya, Malaysia, Oman, Uganda, Pakistan, Qatar, the Syrian Arab Republic, the Dem. Rep. of the Congo, the Dem. People’s Rep. of Korea, Sudan and Yemen, the frequency band 3 300-3 400 MHz is also allocated to the fixed and mobile services on a primary basis. The countries bordering the Mediterranean shall not claim protection for their fixed and mobile services from the radiolocation service. (WRC-15)", '[5.429E]: Additional allocation: in Papua New Guinea, the frequency band 3 300-3 400 MHz is allocated to the mobile, except aeronautical mobile, service on a primary basis. Stations in the mobile service operating in the frequency band 3 300-3 400 MHz shall not cause harmful interference to, or claim protection from, stations operating in the radiolocation service. (WRC-15)', '[5.429F]: In the following countries in Region 3: Cambodia, India, Lao P.D.R., Pakistan, the Philippines and Viet Nam, the use of the frequency band 3 300-3 400 MHz is identified for the implementation of International Mobile Telecommunications (IMT). Such use shall be in accordance with Resolution 223 (Rev.WRC-15). The use of the frequency band 3 300-3 400 MHz by IMT stations in the mobile service shall not cause harmful interference to, or claim protection from, systems in the radiolocation service. Before an administration brings into use a base or mobile station of an IMT system in this frequency band, it shall seek agreement under No. 9.21 with neighbouring countries to protect the radiolocation service. This identification does not preclude the use of this frequency band by any application of the services to which it is allocated and does not establish priority in the Radio Regulations. (WRC-15)']),
    (3400000000, 3500000001): (True, True, True, False, False, ['Fixed-Satellite (Space-To-Earth)'], ['Amateur', 'Mobile [5.432][5.432B]', 'Radiolocation [5.433]'], ['[5.432]: Different category of service: in Korea (Rep. of), Japan and Pakistan, the allocation of the band 3 400-3 500 MHz to the mobile, except aeronautical mobile, service is on a primary basis (see No. 5.33). (WRC-2000)', '[5.432B]: Different category of service: in Australia, Bangladesh, China, French overseas communities of Region 3, India, Iran (Islamic Republic of), New Zealand, the Philippines and Singapore, the frequency band 3 400-3 500 MHz is allocated to the mobile, except aeronautical mobile, service on a primary basis, subject to agreement obtained under No. 9.21 with other administrations and is identified for International Mobile Telecommunications (IMT). This identification does not preclude the use of this frequency band by any application of the services to which it is allocated and does not establish priority in the Radio Regulations. At the stage of coordination the provisions of Nos. 9.17 and 9.18 also apply. Before an administration brings into use a (base or mobile) station of the mobile service in this frequency band it shall ensure that the power flux-density (pfd) produced at 3 m above ground does not exceed −154.5 dB(W/(m2 × 4 kHz)) for more than 20% of time at the border of the territory of any other administration. This limit may be exceeded on the territory of any country whose administration has so agreed. In order to ensure that the pfd limit at the border of the territory of any other administration is met, the calculations and verification shall be made, taking into account all relevant information, with the mutual agreement of both administrations (the administration responsible for the terrestrial station and the administration responsible for the earth station), with the assistance of the Bureau if so requested. In case of disagreement, the calculation and verification of the pfd shall be made by the Bureau, taking into account the information referred to above. Stations of the mobile service in the frequency band 3 400-3 500 MHz shall not claim more protection from space stations than that provided in Table 21-4 of the Radio Regulations (Edition of 2004). (WRC-15)', '[5.433]: In Regions 2 and 3, in the band 3 400-3 600 MHz the radiolocation service is allocated on a primary basis. However, all administrations operating radiolocation systems in this band are urged to cease operations by 1985. Thereafter, administrations shall take all practicable steps to protect the fixed-satellite service and coordination requirements shall not be imposed on the fixed-satellite service.', '[5.282]: In the bands 435-438 MHz, 1 260-1 270 MHz, 2 400-2 450 MHz, 3 400-3 410 MHz (in Regions 2 and 3 only) and 5 650-5 670 MHz, the amateur-satellite service may operate subject to not causing harmful interference to other services operating in accordance with the Table (see No. 5.43). Administrations authorizing such use shall ensure that any harmful interference caused by emissions from a station in the amateur-satellite service is immediately eliminated in accordance with the provisions of No. 25.11. The use of the bands 1 260-1 270 MHz and 5 650-5 670 MHz by the amateur-satellite service is limited to the Earth-to-space direction.', '[5.432A]: In Korea (Rep. of), Japan and Pakistan, the band 3 400-3 500 MHz is identified for International Mobile Telecommunications (IMT). This identification does not preclude the use of this band by any application of the services to which it is allocated and does not establish priority in the Radio Regulations. At the stage of coordination the provisions of Nos. 9.17 and 9.18 also apply. Before an administration brings into use a (base or mobile) station of the mobile service in this band it shall ensure that the power flux-density (pfd) produced at 3 m above ground does not exceed −154.5 dB(W/(m2 × 4 kHz)) for more than 20% of time at the border of the territory of any other administration. This limit may be exceeded on the territory of any country whose administration has so agreed. In order to ensure that the pfd limit at the border of the territory of any other administration is met, the calculations and verification shall be made, taking into account all relevant information, with the mutual agreement of both administrations (the administration responsible for the terrestrial station and the administration responsible for the earth station), with the assistance of the Bureau if so requested. In case of disagreement, the calculation and verification of the pfd shall be made by the Bureau, taking into account the information referred to above. Stations of the mobile service in the band 3 400-3 500 MHz shall not claim more protection from space stations than that provided in Table 21-4 of the Radio Regulations (Edition of 2004). (WRC-07)']),
    (3500000000, 3600000001): (False, True, True, False, False, ['Fixed-Satellite (Space-To-Earth)', 'Mobile Except Aeronautical Mobile [5.433A]'], ['Radiolocation [5.433]'], ['[5.433A]: In Australia, Bangladesh, China, French overseas communities of Region 3, Korea (Rep. of), India, Iran (Islamic Republic of), Japan, New Zealand, Pakistan and the Philippines, the frequency band 3 500-3 600 MHz is identified for International Mobile Telecommunications (IMT). This identification does not preclude the use of this frequency band by any application of the services to which it is allocated and does not establish priority in the Radio Regulations. At the stage of coordination the provisions of Nos. 9.17 and 9.18 also apply. Before an administration brings into use a (base or mobile) station of the mobile service in this frequency band it shall ensure that the power flux-density (pfd) produced at 3 m above ground does not exceed −154.5 dB(W/(m2 × 4 kHz)) for more than 20% of time at the border of the territory of any other administration. This limit may be exceeded on the territory of any country whose administration has so agreed. In order to ensure that the pfd limit at the border of the territory of any other administration is met, the calculations and verification shall be made, taking into account all relevant information, with the mutual agreement of both administrations (the administration responsible for the terrestrial station and the administration responsible for the earth station), with the assistance of the Bureau if so requested. In case of disagreement, the calculation and verification of the pfd shall be made by the Bureau, taking into account the information referred to above. Stations of the mobile service in the frequency band 3 500-3 600 MHz shall not claim more protection from space stations than that provided in Table 21-4 of the Radio Regulations (Edition of 2004). (WRC-15)', '[5.433]: In Regions 2 and 3, in the band 3 400-3 600 MHz the radiolocation service is allocated on a primary basis. However, all administrations operating radiolocation systems in this band are urged to cease operations by 1985. Thereafter, administrations shall take all practicable steps to protect the fixed-satellite service and coordination requirements shall not be imposed on the fixed-satellite service.']),
    (3600000000, 3700000001): (False, True, True, False, False, ['Fixed-Satellite (Space-To-Earth)', 'Mobile Except Aeronautical Mobile'], ['Radiolocation'], ['[5.435]: In Japan, in the band 3 620-3 700 MHz, the radiolocation service is excluded.']),
    (3700000000, 4200000001): (False, True, True, False, False, ['Fixed-Satellite (Space-To-Earth)', 'Mobile Except Aeronautical Mobile'], [], []),
    (4200000000, 4400000001): (False, False, True, False, False, ['Aeronautical Mobile (R) [5.436]', 'Aeronautical Radionavigation [5.438]'], [], ['[5.436]: Use of the frequency band 4 200-4 400 MHz by stations in the aeronautical mobile (R) service is reserved exclusively for wireless avionics intra-communication systems that operate in accordance with recognized international aeronautical standards. Such use shall be in accordance with Resolution 424 (WRC-15). (WRC-15)', '[5.438]: Use of the frequency band 4 200-4 400 MHz by the aeronautical radionavigation service is reserved exclusively for radio altimeters installed on board aircraft and for the associated transponders on the ground. (WRC-15)', '[5.437]: Passive sensing in the Earth exploration-satellite and space research services may be authorized in the frequency band 4 200-4 400 MHz on a secondary basis. (WRC-15)', '[5.439]: Additional allocation: in Iran (Islamic Republic of), the band 4 200-4 400 MHz is also allocated to the fixed service on a secondary basis. (WRC-12)', '[5.440]: The standard frequency and time signal-satellite service may be authorized to use the frequency 4 202 MHz for space-to-Earth transmissions and the frequency 6 427 MHz for Earth-to-space transmissions. Such transmissions shall be confined within the limits of ± 2 MHz of these frequencies, subject to agreement obtained under No. 9.21.']),
    (4400000000, 4500000001): (False, True, True, False, False, ['Mobile [5.440A]'], [], ['[5.440A]: In Region 2 (except Brazil, Cuba, French overseas departments and communities, Guatemala, Paraguay, Uruguay and Venezuela), and in Australia, the band 4 400-4 940 MHz may be used for aeronautical mobile telemetry for flight testing by aircraft stations (see No. 1.83). Such use shall be in accordance with Resolution 416 (WRC-07) and shall not cause harmful interference to, nor claim protection from, the fixed-satellite and fixed services. Any such use does not preclude the use of this band by other mobile service applications or by other services to which this band is allocated on a co-primary basis and does not establish priority in the Radio Regulations. (WRC-07)']),
    (4500000000, 4800000001): (False, True, True, False, False, ['Fixed-Satellite (Space-To-Earth) [5.441]', 'Mobile [5.440A]'], [], ['[5.441]: The use of the bands 4 500-4 800 MHz (space-to-Earth), 6 725-7 025 MHz (Earth-to-space) by the fixed-satellite service shall be in accordance with the provisions of Appendix 30B. The use of the bands 10.7-10.95 GHz (space-to-Earth), 11.2-11.45 GHz (space-to-Earth) and 12.75-13.25 GHz (Earth-to-space) by geostationary-satellite systems in the fixed-satellite service shall be in accordance with the provisions of Appendix 30B. The use of the bands 10.7-10.95 GHz (space-to-Earth), 11.2-11.45 GHz (space-to-Earth) and 12.75-13.25 GHz (Earth-to-space) by a non-geostationary-satellite system in the fixed-satellite service is subject to application of the provisions of No. 9.12 for coordination with other non-geostationary-satellite systems in the fixed-satellite service. Non-geostationary-satellite systems in the fixed-satellite service shall not claim protection from geostationary-satellite networks in the fixed-satellite service operating in accordance with the Radio Regulations, irrespective of the dates of receipt by the Bureau of the complete coordination or notification information, as appropriate, for the non-geostationary-satellite systems in the fixed-satellite service and of the complete coordination or notification information, as appropriate, for the geostationary-satellite networks, and No. 5.43A does not apply. Non-geostationary-satellite systems in the fixed-satellite service in the above bands shall be operated in such a way that any unacceptable interference that may occur during their operation shall be rapidly eliminated. (WRC-2000)', '[5.440A]: In Region 2 (except Brazil, Cuba, French overseas departments and communities, Guatemala, Paraguay, Uruguay and Venezuela), and in Australia, the band 4 400-4 940 MHz may be used for aeronautical mobile telemetry for flight testing by aircraft stations (see No. 1.83). Such use shall be in accordance with Resolution 416 (WRC-07) and shall not cause harmful interference to, nor claim protection from, the fixed-satellite and fixed services. Any such use does not preclude the use of this band by other mobile service applications or by other services to which this band is allocated on a co-primary basis and does not establish priority in the Radio Regulations. (WRC-07)']),
    (4800000000, 4990000001): (False, True, True, False, False, ['Mobile [5.440A][5.441A][5.441B][5.442]'], ['Radio Astronomy'], ['[5.440A]: In Region 2 (except Brazil, Cuba, French overseas departments and communities, Guatemala, Paraguay, Uruguay and Venezuela), and in Australia, the band 4 400-4 940 MHz may be used for aeronautical mobile telemetry for flight testing by aircraft stations (see No. 1.83). Such use shall be in accordance with Resolution 416 (WRC-07) and shall not cause harmful interference to, nor claim protection from, the fixed-satellite and fixed services. Any such use does not preclude the use of this band by other mobile service applications or by other services to which this band is allocated on a co-primary basis and does not establish priority in the Radio Regulations. (WRC-07)', '[5.441A]: In Uruguay, the frequency band 4 800-4 900 MHz, or portions thereof, is identified for the implementation of International Mobile Telecommunications (IMT). This identification does not preclude the use of this frequency band by any application of the services to which it is allocated and does not establish priority in the Radio Regulations. The use of this frequency band for the implementation of IMT is subject to agreement obtained with neighbouring countries, and IMT stations shall not claim protection from stations of other applications of the mobile service. Such use shall be in accordance with Resolution 223 (Rev.WRC-15). (WRC-15)', '[5.441B]: In Cambodia, Lao P.D.R. and Viet Nam, the frequency band 4 800-4 990 MHz, or portions thereof, is identified for use by administrations wishing to implement International Mobile Telecommunications (IMT). This identification does not preclude the use of this frequency band by any application of the services to which it is allocated and does not establish priority in the Radio Regulations. The use of this frequency band for the implementation of IMT is subject to agreement obtained under No. 9.21 with concerned administrations, and IMT stations shall not claim protection from stations of other applications of the mobile service. In addition, before an administration brings into use an IMT station in the mobile service, it shall ensure that the power flux-density produced by this station does not exceed −155 dB(W/(m2 · 1 MHz)) produced up to 19 km above sea level at 20 km from the coast, defined as the low-water mark, as officially recognized by the coastal State. This criterion is subject to review at WRC-19. See Resolution 223 (Rev.WRC-15). This identification shall be effective after WRC-19. (WRC-15)', '[5.442]: In the frequency bands 4 825-4 835 MHz and 4 950-4 990 MHz, the allocation to the mobile service is restricted to the mobile, except aeronautical mobile, service. In Region 2 (except Brazil, Cuba, Guatemala, Mexico, Paraguay, Uruguay and Venezuela), and in Australia, the frequency band 4 825-4 835 MHz is also allocated to the aeronautical mobile service, limited to aeronautical mobile telemetry for flight testing by aircraft stations. Such use shall be in accordance with Resolution 416 (WRC-07) and shall not cause harmful interference to the fixed service. (WRC-15)', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.339]: The bands 1 370-1 400 MHz, 2 640-2 655 MHz, 4 950-4 990 MHz and 15.20-15.35 GHz are also allocated to the space research (passive) and Earth exploration-satellite (passive) services on a secondary basis.', '[5.443]: Different category of service: in Argentina, Australia and Canada, the allocation of the bands 4 825-4 835 MHz and 4 950-4 990 MHz to the radio astronomy service is on a primary basis (see No. 5.33).']),
    (4990000000, 5000000001): (False, True, True, False, False, ['Mobile Except Aeronautical Mobile', 'Radio Astronomy'], ['Space Research (Passive)'], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07)']),
    (5000000000, 5010000001): (False, False, False, False, False, ['Aeronautical Mobile-Satellite (R) [5.443Aa]', 'Aeronautical Radionavigation', 'Radionavigation-Satellite (Earth-To-Space)'], [], ['[5.443AA]: In the frequency bands 5 000-5 030 MHz and 5 091-5 150 MHz, the aeronautical mobile-satellite (R) service is subject to agreement obtained under No. 9.21. The use of these bands by the aeronautical mobile-satellite (R) service is limited to internationally standardized aeronautical systems. (WRC-12)']),
    (5010000000, 5030000001): (False, False, False, False, False, ['Aeronautical Mobile-Satellite (R) [5.443Aa]', 'Aeronautical Radionavigation', 'Radionavigation-Satellite (Space-To-Earth)', 'Radionavigation-Satellite (Space-To-Space)'], [], ['[5.443AA]: In the frequency bands 5 000-5 030 MHz and 5 091-5 150 MHz, the aeronautical mobile-satellite (R) service is subject to agreement obtained under No. 9.21. The use of these bands by the aeronautical mobile-satellite (R) service is limited to internationally standardized aeronautical systems. (WRC-12)', '[5.328B]: The use of the bands 1 164-1 300 MHz, 1 559-1 610 MHz and 5 010-5 030 MHz by systems and networks in the radionavigation-satellite service for which complete coordination or notification information, as appropriate, is received by the Radiocommunication Bureau after 1 January 2005 is subject to the application of the provisions of Nos. 9.12, 9.12A and 9.13. Resolution 610 (WRC-03) shall also apply; however, in the case of radionavigation-satellite service (space-to-space) networks and systems, Resolution 610 (WRC-03) shall only apply to transmitting space stations. In accordance with No. 5.329A, for systems and networks in the radionavigation-satellite service (space-to-space) in the bands 1 215-1 300 MHz and 1 559-1 610 MHz, the provisions of Nos. 9.7, 9.12, 9.12A and 9.13 shall only apply with respect to other systems and networks in the radionavigation-satellite service (space-to-space). (WRC-07)', '[5.443B]: In order not to cause harmful interference to the microwave landing system operating above 5 030 MHz, the aggregate power flux-density produced at the Earth’s surface in the frequency band 5 030-5 150 MHz by all the space stations within any radionavigation-satellite service system (space-to-Earth) operating in the frequency band 5 010-5 030 MHz shall not exceed −124.5 dB(W/m2) in a 150 kHz band. In order not to cause harmful interference to the radio astronomy service in the frequency band 4 990-5 000 MHz, radionavigation-satellite service systems operating in the frequency band 5 010-5 030 MHz shall comply with the limits in the frequency band 4 990-5 000 MHz defined in Resolution 741 (Rev.WRC-15). (WRC-15)']),
    (5030000000, 5091000001): (False, False, True, False, False, ['Aeronautical Mobile (R) [5.443C]', 'Aeronautical Mobile-Satellite (R) [5.443D]', 'Aeronautical Radionavigation'], [], ['[5.443C]: The use of the frequency band 5 030-5 091 MHz by the aeronautical mobile (R) service is limited to internationally standardized aeronautical systems. Unwanted emissions from the aeronautical mobile (R) service in the frequency band 5 030-5 091 MHz shall be limited to protect RNSS system downlinks in the adjacent 5 010-5 030 MHz band. Until such time that an appropriate value is established in a relevant ITU-R Recommendation, the e.i.r.p. density limit of −75 dBW/MHz in the frequency band 5 010-5 030 MHz for any AM(R)S station unwanted emission should be used. (WRC-12)', '[5.443D]: In the frequency band 5 030-5 091 MHz, the aeronautical mobile-satellite (R) service is subject to coordination under No. 9.11A. The use of this frequency band by the aeronautical mobile-satellite (R) service is limited to internationally standardized aeronautical systems. (WRC-12)', '[5.444]: The frequency band 5 030-5 150 MHz is to be used for the operation of the international standard system (microwave landing system) for precision approach and landing. In the frequency band 5 030-5 091 MHz, the requirements of this system shall have priority over other uses of this frequency band. For the use of the frequency band 5 091-5 150 MHz, No. 5.444A and Resolution 114 (Rev.WRC-15) apply. (WRC-15)']),
    (5091000000, 5150000001): (False, False, True, False, False, ['Fixed-Satellite (Earth-To-Space) [5.444A]', 'Aeronautical Mobile [5.444B]', 'Aeronautical Mobile-Satellite (R) [5.443Aa]', 'Aeronautical Radionavigation'], [], ['[5.444A]: The use of the allocation to the fixed-satellite service (Earth-to-space) in the frequency band 5 091-5 150 MHz is limited to feeder links of non-geostationary satellite systems in the mobile-satellite service and is subject to coordination under No. 9.11A. The use of the frequency band 5 091-5 150 MHz by feeder links of non-geostationary satellite systems in the mobile-satellite service shall be subject to application of Resolution 114 (Rev.WRC-15). Moreover, to ensure that the aeronautical radionavigation service is protected from harmful interference, coordination is required for feeder-link earth stations of the non-geostationary satellite systems in the mobile-satellite service which are separated by less than 450 km from the territory of an administration operating ground stations in the aeronautical radionavigation service. (WRC-15)', '[5.444B]: The use of the frequency band 5 091-5 150 MHz by the aeronautical mobile service is limited to:– systems operating in the aeronautical mobile (R) service and in accordance with international aeronautical standards, limited to surface applications at airports. Such use shall be in accordance with Resolution 748 (Rev.WRC-15); – aeronautical telemetry transmissions from aircraft stations (see No. 1.83) in accordance with Resolution 418 (Rev.WRC-15). (WRC-15) ', '[5.443AA]: In the frequency bands 5 000-5 030 MHz and 5 091-5 150 MHz, the aeronautical mobile-satellite (R) service is subject to agreement obtained under No. 9.21. The use of these bands by the aeronautical mobile-satellite (R) service is limited to internationally standardized aeronautical systems. (WRC-12)', '[5.444]: The frequency band 5 030-5 150 MHz is to be used for the operation of the international standard system (microwave landing system) for precision approach and landing. In the frequency band 5 030-5 091 MHz, the requirements of this system shall have priority over other uses of this frequency band. For the use of the frequency band 5 091-5 150 MHz, No. 5.444A and Resolution 114 (Rev.WRC-15) apply. (WRC-15)']),
    (5150000000, 5250000001): (False, False, False, False, False, ['Fixed-Satellite (Earth-To-Space) [5.447A]', '(,5.446A,5.446B)', 'Aeronautical Radionavigation'], [], ['[5.447A]: The allocation to the fixed-satellite service (Earth-to-space) in the band 5 150-5 250 MHz is limited to feeder links of non-geostationary-satellite systems in the mobile-satellite service and is subject to coordination under No. 9.11A.', '[5.446A]: The use of the bands 5 150-5 350 MHz and 5 470-5 725 MHz by the stations in the mobile, except aeronautical mobile, service shall be in accordance with Resolution 229 (Rev.WRC-12). (WRC-12)', '[5.446B]: In the band 5 150-5 250 MHz, stations in the mobile service shall not claim protection from earth stations in the fixed-satellite service. No. 5.43A does not apply to the mobile service with respect to fixed-satellite service earth stations. (WRC-03)', '[5.446]: Additional allocation: in the countries listed in No. 5.369, the frequency band 5 150-5 216 MHz is also allocated to the radiodetermination-satellite service (space-to-Earth) on a primary basis, subject to agreement obtained under No. 9.21. In Region 2 (except in Mexico), the frequency band is also allocated to the radiodetermination-satellite service (space-to-Earth) on a primary basis. In Regions 1 and 3, except those countries listed in No. 5.369 and Bangladesh, the frequency band is also allocated to the radiodetermination-satellite service (space-to-Earth) on a secondary basis. The use by the radiodetermination-satellite service is limited to feeder links in conjunction with the radiodetermination-satellite service operating in the frequency bands 1 610-1 626.5 MHz and/or 2 483.5-2 500 MHz. The total power flux-density at the Earth’s surface shall in no case exceed −159 dB(W/m2) in any 4 kHz band for all angles of arrival. (WRC-15)', '[5.446C]: Additional allocation: in Region 1 (except in Algeria, Saudi Arabia, Bahrain, Egypt, United Arab Emirates, Jordan, Kuwait, Lebanon, Morocco, Oman, Qatar, Syrian Arab Republic, Sudan, South Sudan and Tunisia) and in Brazil, the band 5 150-5 250 MHz is also allocated to the aeronautical mobile service on a primary basis, limited to aeronautical telemetry transmissions from aircraft stations (see No. 1.83), in accordance with Resolution 418 (Rev.WRC-12)*. These stations shall not claim protection from other stations operating in accordance with Article 5. No. 5.43A does not apply. (WRC-12)', "[5.447]: Additional allocation: in Côte d'Ivoire, Egypt, Israel, Lebanon, the Syrian Arab Republic and Tunisia, the band 5 150-5 250 MHz is also allocated to the mobile service, on a primary basis, subject to agreement obtained under No. 9.21. In this case, the provisions of Resolution 229 (Rev.WRC-12) do not apply. (WRC-12)", '[5.447B]: Additional allocation: the band 5 150-5 216 MHz is also allocated to the fixed-satellite service (space-to-Earth) on a primary basis. This allocation is limited to feeder links of non-geostationary-satellite systems in the mobile-satellite service and is subject to provisions of No. 9.11A. The power flux-density at the Earth’s surface produced by space stations of the fixed-satellite service operating in the space-to-Earth direction in the band 5 150-5 216 MHz shall in no case exceed –164 dB(W/m2) in any 4 kHz band for all angles of arrival.', '[5.447C]: Administrations responsible for fixed-satellite service networks in the band 5 150-5 250 MHz operated under Nos. 5.447A and 5.447B shall coordinate on an equal basis in accordance with No. 9.11A with administrations responsible for non-geostationary-satellite networks operated under No. 5.446 and brought into use prior to 17 November 1995. Satellite networks operated under No. 5.446 brought into use after 17 November 1995 shall not claim protection from, and shall not cause harmful interference to, stations of the fixed-satellite service operated under Nos. 5.447A and 5.447B.']),
    (5250000000, 5255000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Active)', '(,5.446A,5.447F)', 'Radiolocation', 'Space Research [5.447D]'], [], ['[5.446A]: The use of the bands 5 150-5 350 MHz and 5 470-5 725 MHz by the stations in the mobile, except aeronautical mobile, service shall be in accordance with Resolution 229 (Rev.WRC-12). (WRC-12)', '[5.447F]: In the frequency band 5 250-5 350 MHz, stations in the mobile service shall not claim protection from the radiolocation service, the Earth exploration-satellite service (active) and the space research service (active). These services shall not impose on the mobile service more stringent protection criteria, based on system characteristics and interference criteria, than those stated in Recommendations ITU-R M.1638-0 and ITU-R RS.1632-0. (WRC-15)', '[5.447D]: The allocation of the band 5 250-5 255 MHz to the space research service on a primary basis is limited to active spaceborne sensors. Other uses of the band by the space research service are on a secondary basis. (WRC-97)', '[5.447E]: Additional allocation: The frequency band 5 250-5 350 MHz is also allocated to the fixed service on a primary basis in the following countries in Region 3: Australia, Korea (Rep. of), India, Indonesia, Iran (Islamic Republic of), Japan, Malaysia, Papua New Guinea, the Philippines, Dem. People’s Rep. of Korea, Sri Lanka, Thailand and Viet Nam. The use of this frequency band by the fixed service is intended for the implementation of fixed wireless access systems and shall comply with Recommendation ITU-R F.1613-0. In addition, the fixed service shall not claim protection from the radiodetermination, Earth exploration-satellite (active) and space research (active) services, but the provisions of No. 5.43A do not apply to the fixed service with respect to the Earth exploration-satellite (active) and space research (active) services. After implementation of fixed wireless access systems in the fixed service with protection for the existing radiodetermination systems, no more stringent constraints should be imposed on the fixed wireless access systems by future radiodetermination implementations. (WRC-15)', '[5.448]: Additional allocation: in Azerbaijan, Kyrgyzstan, Romania and Turkmenistan, the band 5 250-5 350 MHz is also allocated to the radionavigation service on a primary basis. (WRC-12)', '[5.448A]: The Earth exploration-satellite (active) and space research (active) services in the frequency band 5 250-5 350 MHz shall not claim protection from the radiolocation service. No. 5.43A does not apply. (WRC-03)']),
    (5255000000, 5350000001): (False, False, True, False, False, ['Earth Exploration-Satellite (Active)', 'Mobile Except Aeronautical Mobile [5.446A][5.447F]', 'Radiolocation', 'Space Research (Active)'], [], ['[5.446A]: The use of the bands 5 150-5 350 MHz and 5 470-5 725 MHz by the stations in the mobile, except aeronautical mobile, service shall be in accordance with Resolution 229 (Rev.WRC-12). (WRC-12)', '[5.447F]: In the frequency band 5 250-5 350 MHz, stations in the mobile service shall not claim protection from the radiolocation service, the Earth exploration-satellite service (active) and the space research service (active). These services shall not impose on the mobile service more stringent protection criteria, based on system characteristics and interference criteria, than those stated in Recommendations ITU-R M.1638-0 and ITU-R RS.1632-0. (WRC-15)', '[5.447E]: Additional allocation: The frequency band 5 250-5 350 MHz is also allocated to the fixed service on a primary basis in the following countries in Region 3: Australia, Korea (Rep. of), India, Indonesia, Iran (Islamic Republic of), Japan, Malaysia, Papua New Guinea, the Philippines, Dem. People’s Rep. of Korea, Sri Lanka, Thailand and Viet Nam. The use of this frequency band by the fixed service is intended for the implementation of fixed wireless access systems and shall comply with Recommendation ITU-R F.1613-0. In addition, the fixed service shall not claim protection from the radiodetermination, Earth exploration-satellite (active) and space research (active) services, but the provisions of No. 5.43A do not apply to the fixed service with respect to the Earth exploration-satellite (active) and space research (active) services. After implementation of fixed wireless access systems in the fixed service with protection for the existing radiodetermination systems, no more stringent constraints should be imposed on the fixed wireless access systems by future radiodetermination implementations. (WRC-15)', '[5.448]: Additional allocation: in Azerbaijan, Kyrgyzstan, Romania and Turkmenistan, the band 5 250-5 350 MHz is also allocated to the radionavigation service on a primary basis. (WRC-12)', '[5.448A]: The Earth exploration-satellite (active) and space research (active) services in the frequency band 5 250-5 350 MHz shall not claim protection from the radiolocation service. No. 5.43A does not apply. (WRC-03)']),
    (5350000000, 5460000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Active) [5.448B]', 'Radiolocation [5.448D]', 'Aeronautical Radionavigation [5.449]', '(,5.448C)'], [], ['[5.448B]: The Earth exploration-satellite service (active) operating in the band 5 350-5 570 MHz and space research service (active) operating in the band 5 460-5 570 MHz shall not cause harmful interference to the aeronautical radionavigation service in the band 5 350-5 460 MHz, the radionavigation service in the band 5 460-5 470 MHz and the maritime radionavigation service in the band 5 470-5 570 MHz. (WRC-03)', '[5.448D]: In the frequency band 5 350-5 470 MHz, stations in the radiolocation service shall not cause harmful interference to, nor claim protection from, radar systems in the aeronautical radionavigation service operating in accordance with No. 5.449. (WRC-03)', '[5.449]: The use of the band 5 350-5 470 MHz by the aeronautical radionavigation service is limited to airborne radars and associated airborne beacons.', '[5.448C]: The space research service (active) operating in the band 5 350-5 460 MHz shall not cause harmful interference to nor claim protection from other services to which this band is allocated. (WRC-03)']),
    (5460000000, 5470000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Active)', 'Radiolocation [5.448D]', 'Radionavigation [5.449]', 'Space Research (Active)'], [], ['[5.448D]: In the frequency band 5 350-5 470 MHz, stations in the radiolocation service shall not cause harmful interference to, nor claim protection from, radar systems in the aeronautical radionavigation service operating in accordance with No. 5.449. (WRC-03)', '[5.449]: The use of the band 5 350-5 470 MHz by the aeronautical radionavigation service is limited to airborne radars and associated airborne beacons.', '[5.448B]: The Earth exploration-satellite service (active) operating in the band 5 350-5 570 MHz and space research service (active) operating in the band 5 460-5 570 MHz shall not cause harmful interference to the aeronautical radionavigation service in the band 5 350-5 460 MHz, the radionavigation service in the band 5 460-5 470 MHz and the maritime radionavigation service in the band 5 470-5 570 MHz. (WRC-03)']),
    (5470000000, 5570000001): (False, False, True, False, False, ['Earth Exploration-Satellite (Active)', 'Mobile Except Aeronautical Mobile [5.446A][5.450A]', 'Radiolocation [5.450B]', 'Maritime Radionavigation', ''], [], ['[5.446A]: The use of the bands 5 150-5 350 MHz and 5 470-5 725 MHz by the stations in the mobile, except aeronautical mobile, service shall be in accordance with Resolution 229 (Rev.WRC-12). (WRC-12)', '[5.450A]: In the frequency band 5 470-5 725 MHz, stations in the mobile service shall not claim protection from radiodetermination services. Radiodetermination services shall not impose on the mobile service more stringent protection criteria, based on system characteristics and interference criteria, than those stated in Recommendation ITU-R M.1638-0. (WRC-15)', '[5.450B]: In the frequency band 5 470-5 650 MHz, stations in the radiolocation service, except ground-based radars used for meteorological purposes in the band 5 600-5 650 MHz, shall not cause harmful interference to, nor claim protection from, radar systems in the maritime radionavigation service. (WRC-03)', '[5.448B]: The Earth exploration-satellite service (active) operating in the band 5 350-5 570 MHz and space research service (active) operating in the band 5 460-5 570 MHz shall not cause harmful interference to the aeronautical radionavigation service in the band 5 350-5 460 MHz, the radionavigation service in the band 5 460-5 470 MHz and the maritime radionavigation service in the band 5 470-5 570 MHz. (WRC-03)', '[5.450]: Additional allocation: in Austria, Azerbaijan, Iran (Islamic Republic of), Kyrgyzstan, Romania, Turkmenistan and Ukraine, the band 5 470-5 650 MHz is also allocated to the aeronautical radionavigation service on a primary basis. (WRC-12)', '[5.451]: Additional allocation: in the United Kingdom, the band 5 470-5 850 MHz is also allocated to the land mobile service on a secondary basis. The power limits specified in Nos. 21.2, 21.3, 21.4 and 21.5 shall apply in the band 5 725-5 850 MHz.']),
    (5570000000, 5650000001): (False, False, True, False, False, ['Mobile Except Aeronautical Mobile [5.446A][5.450A]', '(,5.450B)', 'Maritime Radionavigation'], [], ['[5.446A]: The use of the bands 5 150-5 350 MHz and 5 470-5 725 MHz by the stations in the mobile, except aeronautical mobile, service shall be in accordance with Resolution 229 (Rev.WRC-12). (WRC-12)', '[5.450A]: In the frequency band 5 470-5 725 MHz, stations in the mobile service shall not claim protection from radiodetermination services. Radiodetermination services shall not impose on the mobile service more stringent protection criteria, based on system characteristics and interference criteria, than those stated in Recommendation ITU-R M.1638-0. (WRC-15)', '[5.450B]: In the frequency band 5 470-5 650 MHz, stations in the radiolocation service, except ground-based radars used for meteorological purposes in the band 5 600-5 650 MHz, shall not cause harmful interference to, nor claim protection from, radar systems in the maritime radionavigation service. (WRC-03)', '[5.450]: Additional allocation: in Austria, Azerbaijan, Iran (Islamic Republic of), Kyrgyzstan, Romania, Turkmenistan and Ukraine, the band 5 470-5 650 MHz is also allocated to the aeronautical radionavigation service on a primary basis. (WRC-12)', '[5.451]: Additional allocation: in the United Kingdom, the band 5 470-5 850 MHz is also allocated to the land mobile service on a secondary basis. The power limits specified in Nos. 21.2, 21.3, 21.4 and 21.5 shall apply in the band 5 725-5 850 MHz.', '[5.452]: Between 5 600 MHz and 5 650 MHz, ground-based radars used for meteorological purposes are authorized to operate on a basis of equality with stations of the maritime radionavigation service.']),
    (5650000000, 5725000001): (True, False, True, False, False, ['Mobile Except Aeronautical Mobile [5.446A][5.450A]', 'Radiolocation'], ['Amateur', 'Space Research (Deep Space)'], ['[5.446A]: The use of the bands 5 150-5 350 MHz and 5 470-5 725 MHz by the stations in the mobile, except aeronautical mobile, service shall be in accordance with Resolution 229 (Rev.WRC-12). (WRC-12)', '[5.450A]: In the frequency band 5 470-5 725 MHz, stations in the mobile service shall not claim protection from radiodetermination services. Radiodetermination services shall not impose on the mobile service more stringent protection criteria, based on system characteristics and interference criteria, than those stated in Recommendation ITU-R M.1638-0. (WRC-15)', '[5.282]: In the bands 435-438 MHz, 1 260-1 270 MHz, 2 400-2 450 MHz, 3 400-3 410 MHz (in Regions 2 and 3 only) and 5 650-5 670 MHz, the amateur-satellite service may operate subject to not causing harmful interference to other services operating in accordance with the Table (see No. 5.43). Administrations authorizing such use shall ensure that any harmful interference caused by emissions from a station in the amateur-satellite service is immediately eliminated in accordance with the provisions of No. 25.11. The use of the bands 1 260-1 270 MHz and 5 650-5 670 MHz by the amateur-satellite service is limited to the Earth-to-space direction.', '[5.451]: Additional allocation: in the United Kingdom, the band 5 470-5 850 MHz is also allocated to the land mobile service on a secondary basis. The power limits specified in Nos. 21.2, 21.3, 21.4 and 21.5 shall apply in the band 5 725-5 850 MHz.', '[5.453]: Additional allocation: in Saudi Arabia, Bahrain, Bangladesh, Brunei Darussalam, Cameroon, China, Congo (Rep. of the), Korea (Rep. of), Côte d’Ivoire, Djibouti, Egypt, the United Arab Emirates, Gabon, Guinea, Equatorial Guinea, India, Indonesia, Iran (Islamic Republic of), Iraq, Israel, Japan, Jordan, Kenya, Kuwait, Lebanon, Libya, Madagascar, Malaysia, Niger, Nigeria, Oman, Uganda, Pakistan, the Philippines, Qatar, the Syrian Arab Republic, the Dem. People’s Rep. of Korea, Singapore, Sri Lanka, Swaziland, Tanzania, Chad, Thailand, Togo, Viet Nam and Yemen, the band 5 650-5 850 MHz is also allocated to the fixed and mobile services on a primary basis. In this case, the provisions of Resolution 229 (Rev.WRC-12) do not apply. (WRC-12)', '[5.454]: Different category of service: in Azerbaijan, the Russian Federation, Georgia, Kyrgyzstan, Tajikistan and Turkmenistan, the allocation of the band 5 670-5 725 MHz to the space research service is on a primary basis (see No. 5.33). (WRC-12)', '[5.455]: Additional allocation: in Armenia, Azerbaijan, Belarus, Cuba, the Russian Federation, Georgia, Hungary, Kazakhstan, Moldova, Mongolia, Uzbekistan, Kyrgyzstan, Tajikistan, Turkmenistan and Ukraine, the band 5 670-5 850 MHz is also allocated to the fixed service on a primary basis. (WRC-07)']),
    (5725000000, 5830000001): (True, False, False, False, False, ['Radiolocation'], ['Amateur'], ['[5.150]: The following bands:13 553-13 567 kHz (centre frequency 13 560 kHz), 26 957-27 283 kHz (centre frequency 27 120 kHz), 40.66-40.70 MHz (centre frequency 40.68 MHz), 902-928 MHz in Region 2 (centre frequency 915 MHz), 2 400-2 500 MHz (centre frequency 2 450 MHz), 5 725-5 875 MHz (centre frequency 5 800 MHz), and 24-24.25 GHz (centre frequency 24.125 GHz) are also designated for industrial, scientific and medical (ISM) applications. Radiocommunication services operating within these bands must accept harmful interference which may be caused by these applications. ISM equipment operating in these bands is subject to the provisions of No. 15.13. ', '[5.453]: Additional allocation: in Saudi Arabia, Bahrain, Bangladesh, Brunei Darussalam, Cameroon, China, Congo (Rep. of the), Korea (Rep. of), Côte d’Ivoire, Djibouti, Egypt, the United Arab Emirates, Gabon, Guinea, Equatorial Guinea, India, Indonesia, Iran (Islamic Republic of), Iraq, Israel, Japan, Jordan, Kenya, Kuwait, Lebanon, Libya, Madagascar, Malaysia, Niger, Nigeria, Oman, Uganda, Pakistan, the Philippines, Qatar, the Syrian Arab Republic, the Dem. People’s Rep. of Korea, Singapore, Sri Lanka, Swaziland, Tanzania, Chad, Thailand, Togo, Viet Nam and Yemen, the band 5 650-5 850 MHz is also allocated to the fixed and mobile services on a primary basis. In this case, the provisions of Resolution 229 (Rev.WRC-12) do not apply. (WRC-12)', '[5.455]: Additional allocation: in Armenia, Azerbaijan, Belarus, Cuba, the Russian Federation, Georgia, Hungary, Kazakhstan, Moldova, Mongolia, Uzbekistan, Kyrgyzstan, Tajikistan, Turkmenistan and Ukraine, the band 5 670-5 850 MHz is also allocated to the fixed service on a primary basis. (WRC-07)']),
    (5830000000, 5850000001): (True, False, False, False, False, ['Radiolocation'], ['Amateur', 'Amateur-Satellite (Space-To-Earth)'], ['[5.150]: The following bands:13 553-13 567 kHz (centre frequency 13 560 kHz), 26 957-27 283 kHz (centre frequency 27 120 kHz), 40.66-40.70 MHz (centre frequency 40.68 MHz), 902-928 MHz in Region 2 (centre frequency 915 MHz), 2 400-2 500 MHz (centre frequency 2 450 MHz), 5 725-5 875 MHz (centre frequency 5 800 MHz), and 24-24.25 GHz (centre frequency 24.125 GHz) are also designated for industrial, scientific and medical (ISM) applications. Radiocommunication services operating within these bands must accept harmful interference which may be caused by these applications. ISM equipment operating in these bands is subject to the provisions of No. 15.13. ', '[5.453]: Additional allocation: in Saudi Arabia, Bahrain, Bangladesh, Brunei Darussalam, Cameroon, China, Congo (Rep. of the), Korea (Rep. of), Côte d’Ivoire, Djibouti, Egypt, the United Arab Emirates, Gabon, Guinea, Equatorial Guinea, India, Indonesia, Iran (Islamic Republic of), Iraq, Israel, Japan, Jordan, Kenya, Kuwait, Lebanon, Libya, Madagascar, Malaysia, Niger, Nigeria, Oman, Uganda, Pakistan, the Philippines, Qatar, the Syrian Arab Republic, the Dem. People’s Rep. of Korea, Singapore, Sri Lanka, Swaziland, Tanzania, Chad, Thailand, Togo, Viet Nam and Yemen, the band 5 650-5 850 MHz is also allocated to the fixed and mobile services on a primary basis. In this case, the provisions of Resolution 229 (Rev.WRC-12) do not apply. (WRC-12)', '[5.455]: Additional allocation: in Armenia, Azerbaijan, Belarus, Cuba, the Russian Federation, Georgia, Hungary, Kazakhstan, Moldova, Mongolia, Uzbekistan, Kyrgyzstan, Tajikistan, Turkmenistan and Ukraine, the band 5 670-5 850 MHz is also allocated to the fixed service on a primary basis. (WRC-07)']),
    (5850000000, 5925000001): (False, True, True, False, False, ['Fixed-Satellite (Earth-To-Space)'], ['Radiolocation'], ['[5.150]: The following bands:13 553-13 567 kHz (centre frequency 13 560 kHz), 26 957-27 283 kHz (centre frequency 27 120 kHz), 40.66-40.70 MHz (centre frequency 40.68 MHz), 902-928 MHz in Region 2 (centre frequency 915 MHz), 2 400-2 500 MHz (centre frequency 2 450 MHz), 5 725-5 875 MHz (centre frequency 5 800 MHz), and 24-24.25 GHz (centre frequency 24.125 GHz) are also designated for industrial, scientific and medical (ISM) applications. Radiocommunication services operating within these bands must accept harmful interference which may be caused by these applications. ISM equipment operating in these bands is subject to the provisions of No. 15.13.']),
    (5925000000, 6700000001): (False, True, True, False, False, ['Fixed [5.457]', 'Fixed-Satellite (Earth-To-Space) [5.457A][5.457B]', 'Mobile [5.457C]'], [], ["[5.457]: In Australia, Burkina Faso, Cote d'Ivoire, Mali and Nigeria, the allocation to the fixed service in the bands 6 440-6 520 MHz (HAPS-to-ground direction) and 6 560-6 640 MHz (ground-to-HAPS direction) may also be used by gateway links for high-altitude platform stations (HAPS) within the territory of these countries. Such use is limited to operation in HAPS gateway links and shall not cause harmful interference to, and shall not claim protection from, existing services, and shall be in compliance with Resolution 150 (WRC-12). Existing services shall not be constrained in future development by HAPS gateway links. The use of HAPS gateway links in these bands requires explicit agreement with other administrations whose territories are located within 1 000 kilometres from the border of an administration intending to use the HAPS gateway links. (WRC-12)", '[5.457A]: In the frequency bands 5 925-6 425 MHz and 14-14.5 GHz, earth stations located on board vessels may communicate with space stations of the fixed-satellite service. Such use shall be in accordance with Resolution 902 (WRC-03). In the frequency band 5 925-6 425 MHz, earth stations located on board vessels and communicating with space stations of the fixed-satellite service may employ transmit antennas with minimum diameter of 1.2 m and operate without prior agreement of any administration if located at least 330 km away from the low-water mark as officially recognized by the coastal State. All other provisions of Resolution 902 (WRC-03) shall apply. (WRC-15)', '[5.457B]: In the frequency bands 5 925-6 425 MHz and 14-14.5 GHz, earth stations located on board vessels may operate with the characteristics and under the conditions contained in Resolution 902 (WRC-03) in Algeria, Saudi Arabia, Bahrain, Comoros, Djibouti, Egypt, United Arab Emirates, Jordan, Kuwait, Libya, Morocco, Mauritania, Oman, Qatar, the Syrian Arab Republic, Sudan, Tunisia and Yemen, in the maritime mobile-satellite service on a secondary basis. Such use shall be in accordance with Resolution 902 (WRC-03). (WRC-15)', '[5.457C]: In Region 2 (except Brazil, Cuba, French overseas departments and communities, Guatemala, Mexico, Paraguay, Uruguay and Venezuela), the frequency band 5 925-6 700 MHz may be used for aeronautical mobile telemetry for flight testing by aircraft stations (see No. 1.83). Such use shall be in accordance with Resolution 416 (WRC-07) and shall not cause harmful interference to, or claim protection from, the fixed-satellite and fixed services. Any such use does not preclude the use of this frequency band by other mobile service applications or by other services to which this frequency band is allocated on a co-primary basis and does not establish priority in the Radio Regulations. (WRC-15)', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.440]: The standard frequency and time signal-satellite service may be authorized to use the frequency 4 202 MHz for space-to-Earth transmissions and the frequency 6 427 MHz for Earth-to-space transmissions. Such transmissions shall be confined within the limits of ± 2 MHz of these frequencies, subject to agreement obtained under No. 9.21.', '[5.458]: In the band 6 425-7 075 MHz, passive microwave sensor measurements are carried out over the oceans. In the band 7 075-7 250 MHz, passive microwave sensor measurements are carried out. Administrations should bear in mind the needs of the Earth exploration-satellite (passive) and space research (passive) services in their future planning of the bands 6 425-7 075 MHz and 7 075-7 250 MHz.']),
    (6700000000, 7075000001): (False, True, True, False, False, ['Fixed-Satellite (Earth-To-Space) [5.441]', 'Fixed-Satellite (Space-To-Earth) [5.441]'], [], ['[5.441]: The use of the bands 4 500-4 800 MHz (space-to-Earth), 6 725-7 025 MHz (Earth-to-space) by the fixed-satellite service shall be in accordance with the provisions of Appendix 30B. The use of the bands 10.7-10.95 GHz (space-to-Earth), 11.2-11.45 GHz (space-to-Earth) and 12.75-13.25 GHz (Earth-to-space) by geostationary-satellite systems in the fixed-satellite service shall be in accordance with the provisions of Appendix 30B. The use of the bands 10.7-10.95 GHz (space-to-Earth), 11.2-11.45 GHz (space-to-Earth) and 12.75-13.25 GHz (Earth-to-space) by a non-geostationary-satellite system in the fixed-satellite service is subject to application of the provisions of No. 9.12 for coordination with other non-geostationary-satellite systems in the fixed-satellite service. Non-geostationary-satellite systems in the fixed-satellite service shall not claim protection from geostationary-satellite networks in the fixed-satellite service operating in accordance with the Radio Regulations, irrespective of the dates of receipt by the Bureau of the complete coordination or notification information, as appropriate, for the non-geostationary-satellite systems in the fixed-satellite service and of the complete coordination or notification information, as appropriate, for the geostationary-satellite networks, and No. 5.43A does not apply. Non-geostationary-satellite systems in the fixed-satellite service in the above bands shall be operated in such a way that any unacceptable interference that may occur during their operation shall be rapidly eliminated. (WRC-2000)', '[5.458]: In the band 6 425-7 075 MHz, passive microwave sensor measurements are carried out over the oceans. In the band 7 075-7 250 MHz, passive microwave sensor measurements are carried out. Administrations should bear in mind the needs of the Earth exploration-satellite (passive) and space research (passive) services in their future planning of the bands 6 425-7 075 MHz and 7 075-7 250 MHz.', '[5.458A]: In making assignments in the band 6 700-7 075 MHz to space stations of the fixed-satellite service, administrations are urged to take all practicable steps to protect spectral line observations of the radio astronomy service in the band 6 650-6 675.2 MHz from harmful interference from unwanted emissions.', '[5.458B]: The space-to-Earth allocation to the fixed-satellite service in the band 6 700-7 075 MHz is limited to feeder links for non-geostationary satellite systems of the mobile-satellite service and is subject to coordination under No. 9.11A. The use of the band 6 700-7 075 MHz (space-to-Earth) by feeder links for non-geostationary satellite systems in the mobile-satellite service is not subject to No. 22.2.']),
    (7075000000, 7145000001): (False, True, True, False, False, [], [], ['[5.458]: In the band 6 425-7 075 MHz, passive microwave sensor measurements are carried out over the oceans. In the band 7 075-7 250 MHz, passive microwave sensor measurements are carried out. Administrations should bear in mind the needs of the Earth exploration-satellite (passive) and space research (passive) services in their future planning of the bands 6 425-7 075 MHz and 7 075-7 250 MHz.', '[5.459]: Additional allocation: in the Russian Federation, the frequency bands 7 100-7 155 MHz and 7 190-7 235 MHz are also allocated to the space operation service (Earth-to-space) on a primary basis, subject to agreement obtained under No. 9.21. In the frequency band 7 190-7 235 MHz, with respect to the Earth exploration-satellite service (Earth-to-space), No. 9.21 does not apply. (WRC-15)']),
    (7145000000, 7190000001): (False, True, True, False, False, ['Space Research (Deep Space)', 'Space Research (Earth-To-Space)'], [], ['[5.458]: In the band 6 425-7 075 MHz, passive microwave sensor measurements are carried out over the oceans. In the band 7 075-7 250 MHz, passive microwave sensor measurements are carried out. Administrations should bear in mind the needs of the Earth exploration-satellite (passive) and space research (passive) services in their future planning of the bands 6 425-7 075 MHz and 7 075-7 250 MHz.', '[5.459]: Additional allocation: in the Russian Federation, the frequency bands 7 100-7 155 MHz and 7 190-7 235 MHz are also allocated to the space operation service (Earth-to-space) on a primary basis, subject to agreement obtained under No. 9.21. In the frequency band 7 190-7 235 MHz, with respect to the Earth exploration-satellite service (Earth-to-space), No. 9.21 does not apply. (WRC-15)']),
    (7190000000, 7235000001): (False, True, True, False, False, ['Earth Exploration-Satellite (Earth-To-Space) [5.460A][5.460B]', 'Space Research (Earth-To-Space) [5.460]'], [], ['[5.460A]: The use of the frequency band 7 190-7 250 MHz (Earth-to-space) by the Earth exploration-satellite service shall be limited to tracking, telemetry and command for the operation of spacecraft. Space stations operating in the Earth exploration-satellite service (Earth-to-space) in the frequency band 7 190-7 250 MHz shall not claim protection from existing and future stations in the fixed and mobile services, and No. 5.43A does not apply. No. 9.17 applies. Additionally, to ensure protection of the existing and future deployment of fixed and mobile services, the location of earth stations supporting spacecraft in the Earth exploration-satellite service in non-geostationary orbits or geostationary orbit shall maintain a separation distance of at least 10 km and 50 km, respectively, from the respective border(s) of neighbouring countries, unless a shorter distance is otherwise agreed between the corresponding administrations. (WRC-15)', '[5.460B]: Space stations on the geostationary orbit operating in the Earth exploration-satellite service (Earth-to-space) in the frequency band 7 190-7 235 MHz shall not claim protection from existing and future stations of the space research service, and No. 5.43A does not apply. (WRC-15)', '[5.460]: No emissions from space research service (Earth-to-space) systems intended for deep space shall be effected in the frequency band 7 190-7 235 MHz. Geostationary satellites in the space research service operating in the frequency band 7 190-7 235 MHz shall not claim protection from existing and future stations of the fixed and mobile services and No. 5.43A does not apply. (WRC-15)', '[5.458]: In the band 6 425-7 075 MHz, passive microwave sensor measurements are carried out over the oceans. In the band 7 075-7 250 MHz, passive microwave sensor measurements are carried out. Administrations should bear in mind the needs of the Earth exploration-satellite (passive) and space research (passive) services in their future planning of the bands 6 425-7 075 MHz and 7 075-7 250 MHz.', '[5.459]: Additional allocation: in the Russian Federation, the frequency bands 7 100-7 155 MHz and 7 190-7 235 MHz are also allocated to the space operation service (Earth-to-space) on a primary basis, subject to agreement obtained under No. 9.21. In the frequency band 7 190-7 235 MHz, with respect to the Earth exploration-satellite service (Earth-to-space), No. 9.21 does not apply. (WRC-15)']),
    (7235000000, 7250000001): (False, True, True, False, False, ['Earth Exploration-Satellite (Earth-To-Space) [5.460A]'], [], ['[5.460A]: The use of the frequency band 7 190-7 250 MHz (Earth-to-space) by the Earth exploration-satellite service shall be limited to tracking, telemetry and command for the operation of spacecraft. Space stations operating in the Earth exploration-satellite service (Earth-to-space) in the frequency band 7 190-7 250 MHz shall not claim protection from existing and future stations in the fixed and mobile services, and No. 5.43A does not apply. No. 9.17 applies. Additionally, to ensure protection of the existing and future deployment of fixed and mobile services, the location of earth stations supporting spacecraft in the Earth exploration-satellite service in non-geostationary orbits or geostationary orbit shall maintain a separation distance of at least 10 km and 50 km, respectively, from the respective border(s) of neighbouring countries, unless a shorter distance is otherwise agreed between the corresponding administrations. (WRC-15)', '[5.458]: In the band 6 425-7 075 MHz, passive microwave sensor measurements are carried out over the oceans. In the band 7 075-7 250 MHz, passive microwave sensor measurements are carried out. Administrations should bear in mind the needs of the Earth exploration-satellite (passive) and space research (passive) services in their future planning of the bands 6 425-7 075 MHz and 7 075-7 250 MHz.']),
    (7250000000, 7300000001): (False, True, True, False, False, ['Fixed-Satellite (Space-To-Earth)'], [], ['[5.461]: Additional allocation: the bands 7 250-7 375 MHz (space-to-Earth) and 7 900-8 025 MHz (Earth-to-space) are also allocated to the mobile-satellite service on a primary basis, subject to agreement obtained under No. 9.21.']),
    (7300000000, 7375000001): (False, True, True, False, False, ['Fixed-Satellite (Space-To-Earth)', 'Mobile Except Aeronautical Mobile'], [], ['[5.461]: Additional allocation: the bands 7 250-7 375 MHz (space-to-Earth) and 7 900-8 025 MHz (Earth-to-space) are also allocated to the mobile-satellite service on a primary basis, subject to agreement obtained under No. 9.21.']),
    (7375000000, 7450000001): (False, True, True, False, False, ['Fixed-Satellite (Space-To-Earth)', 'Mobile Except Aeronautical Mobile', 'Maritime Mobile-Satellite (Space-To-Earth) [5.461Aa][5.461Ab]'], [], ['[5.461AA]: The use of the frequency band 7 375-7 750 MHz by the maritime mobile-satellite service is limited to geostationary-satellite networks. (WRC-15)', '[5.461AB]: In the frequency band 7 375-7 750 MHz, earth stations in the maritime mobile-satellite service shall not claim protection from, nor constrain the use and development of, stations in the fixed and mobile, except aeronautical mobile, services. No. 5.43A does not apply. (WRC-15)']),
    (7450000000, 7550000001): (False, True, True, False, False, ['Fixed-Satellite (Space-To-Earth)', 'Meteorological-Satellite (Space-To-Earth)', 'Mobile Except Aeronautical Mobile', 'Maritime Mobile-Satellite (Space-To-Earth) [5.461Aa][5.461Ab]'], [], ['[5.461AA]: The use of the frequency band 7 375-7 750 MHz by the maritime mobile-satellite service is limited to geostationary-satellite networks. (WRC-15)', '[5.461AB]: In the frequency band 7 375-7 750 MHz, earth stations in the maritime mobile-satellite service shall not claim protection from, nor constrain the use and development of, stations in the fixed and mobile, except aeronautical mobile, services. No. 5.43A does not apply. (WRC-15)', '[5.461A]: The use of the band 7 450-7 550 MHz by the meteorological-satellite service (space-to-Earth) is limited to geostationary-satellite systems. Non-geostationary meteorological-satellite systems in this band notified before 30 November 1997 may continue to operate on a primary basis until the end of their lifetime. (WRC-97)']),
    (7550000000, 7750000001): (False, True, True, False, False, ['Fixed-Satellite (Space-To-Earth)', 'Mobile Except Aeronautical Mobile', 'Maritime Mobile-Satellite (Space-To-Earth) [5.461Aa][5.461Ab]'], [], ['[5.461AA]: The use of the frequency band 7 375-7 750 MHz by the maritime mobile-satellite service is limited to geostationary-satellite networks. (WRC-15)', '[5.461AB]: In the frequency band 7 375-7 750 MHz, earth stations in the maritime mobile-satellite service shall not claim protection from, nor constrain the use and development of, stations in the fixed and mobile, except aeronautical mobile, services. No. 5.43A does not apply. (WRC-15)']),
    (7750000000, 7900000001): (False, True, True, False, False, ['Meteorological-Satellite (Space-To-Earth) [5.461B]', 'Mobile Except Aeronautical Mobile'], [], ['[5.461B]: The use of the band 7 750-7 900 MHz by the meteorological-satellite service (space-to-Earth) is limited to non-geostationary satellite systems. (WRC-12)']),
    (7900000000, 8025000001): (False, True, True, False, False, ['Fixed-Satellite (Earth-To-Space)'], [], ['[5.461]: Additional allocation: the bands 7 250-7 375 MHz (space-to-Earth) and 7 900-8 025 MHz (Earth-to-space) are also allocated to the mobile-satellite service on a primary basis, subject to agreement obtained under No. 9.21.']),
    (8025000000, 8175000001): (False, True, True, False, False, ['Earth Exploration-Satellite (Space-To-Earth)', 'Fixed-Satellite (Earth-To-Space)', 'Mobile [5.463]'], [], ['[5.463]: Aircraft stations are not permitted to transmit in the band 8 025-8 400 MHz. (WRC-97)', '[5.462A]: In Regions 1 and 3 (except for Japan), in the band 8 025-8 400 MHz, the Earth exploration-satellite service using geostationary satellites shall not produce a power flux-density in excess of the following values for angles of arrival (q), without the consent of the affected administration:']),
    (8175000000, 8215000001): (False, True, True, False, False, ['Earth Exploration-Satellite (Space-To-Earth)', 'Fixed-Satellite (Earth-To-Space)', 'Meteorological-Satellite (Earth-To-Space)', 'Mobile [5.463]'], [], ['[5.463]: Aircraft stations are not permitted to transmit in the band 8 025-8 400 MHz. (WRC-97)', '[5.462A]: In Regions 1 and 3 (except for Japan), in the band 8 025-8 400 MHz, the Earth exploration-satellite service using geostationary satellites shall not produce a power flux-density in excess of the following values for angles of arrival (q), without the consent of the affected administration:']),
    (8215000000, 8400000001): (False, True, True, False, False, ['Earth Exploration-Satellite (Space-To-Earth)', 'Fixed-Satellite (Earth-To-Space)', 'Mobile [5.463]'], [], ['[5.463]: Aircraft stations are not permitted to transmit in the band 8 025-8 400 MHz. (WRC-97)', '[5.462A]: In Regions 1 and 3 (except for Japan), in the band 8 025-8 400 MHz, the Earth exploration-satellite service using geostationary satellites shall not produce a power flux-density in excess of the following values for angles of arrival (q), without the consent of the affected administration:']),
    (8400000000, 8500000001): (False, True, True, False, False, ['Mobile Except Aeronautical Mobile', 'Space Research (Space-To-Earth) [5.465][5.466]'], [], ['[5.465]: In the space research service, the use of the band 8 400-8 450 MHz is limited to deep space.', '[5.466]: Different category of service: in Singapore and Sri Lanka, the allocation of the band 8 400-8 500 MHz to the space research service is on a secondary basis (see No. 5.32). (WRC-12)']),
    (8500000000, 8550000001): (False, False, False, False, False, ['Radiolocation'], [], ['[5.468]: Additional allocation: in Saudi Arabia, Bahrain, Bangladesh, Brunei Darussalam, Burundi, Cameroon, China, Congo (Rep. of the), Djibouti, Egypt, the United Arab Emirates, Gabon, Guyana, Indonesia, Iran (Islamic Republic of), Iraq, Jamaica, Jordan, Kenya, Kuwait, Lebanon, Libya, Malaysia, Mali, Morocco, Mauritania, Nepal, Nigeria, Oman, Uganda, Pakistan, Qatar, Syrian Arab Republic, the Dem. People’s Rep. of Korea, Senegal, Singapore, Somalia, Sudan, Swaziland, Chad, Togo, Tunisia and Yemen, the frequency band 8 500-8 750 MHz is also allocated to the fixed and mobile services on a primary basis. (WRC-15)', '[5.469]: Additional allocation: in Armenia, Azerbaijan, Belarus, the Russian Federation, Georgia, Hungary, Lithuania, Mongolia, Uzbekistan, Poland, Kyrgyzstan, the Czech Rep., Romania, Tajikistan, Turkmenistan and Ukraine, the band 8 500-8 750 MHz is also allocated to the land mobile and radionavigation services on a primary basis. (WRC-12)']),
    (8550000000, 8650000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Active)', 'Radiolocation', 'Space Research (Active)'], [], ['[5.468]: Additional allocation: in Saudi Arabia, Bahrain, Bangladesh, Brunei Darussalam, Burundi, Cameroon, China, Congo (Rep. of the), Djibouti, Egypt, the United Arab Emirates, Gabon, Guyana, Indonesia, Iran (Islamic Republic of), Iraq, Jamaica, Jordan, Kenya, Kuwait, Lebanon, Libya, Malaysia, Mali, Morocco, Mauritania, Nepal, Nigeria, Oman, Uganda, Pakistan, Qatar, Syrian Arab Republic, the Dem. People’s Rep. of Korea, Senegal, Singapore, Somalia, Sudan, Swaziland, Chad, Togo, Tunisia and Yemen, the frequency band 8 500-8 750 MHz is also allocated to the fixed and mobile services on a primary basis. (WRC-15)', '[5.469]: Additional allocation: in Armenia, Azerbaijan, Belarus, the Russian Federation, Georgia, Hungary, Lithuania, Mongolia, Uzbekistan, Poland, Kyrgyzstan, the Czech Rep., Romania, Tajikistan, Turkmenistan and Ukraine, the band 8 500-8 750 MHz is also allocated to the land mobile and radionavigation services on a primary basis. (WRC-12)', '[5.469A]: In the band 8 550-8 650 MHz, stations in the Earth exploration-satellite service (active) and space research service (active) shall not cause harmful interference to, or constrain the use and development of, stations of the radiolocation service. (WRC-97)']),
    (8650000000, 8750000001): (False, False, False, False, False, ['Radiolocation'], [], ['[5.468]: Additional allocation: in Saudi Arabia, Bahrain, Bangladesh, Brunei Darussalam, Burundi, Cameroon, China, Congo (Rep. of the), Djibouti, Egypt, the United Arab Emirates, Gabon, Guyana, Indonesia, Iran (Islamic Republic of), Iraq, Jamaica, Jordan, Kenya, Kuwait, Lebanon, Libya, Malaysia, Mali, Morocco, Mauritania, Nepal, Nigeria, Oman, Uganda, Pakistan, Qatar, Syrian Arab Republic, the Dem. People’s Rep. of Korea, Senegal, Singapore, Somalia, Sudan, Swaziland, Chad, Togo, Tunisia and Yemen, the frequency band 8 500-8 750 MHz is also allocated to the fixed and mobile services on a primary basis. (WRC-15)', '[5.469]: Additional allocation: in Armenia, Azerbaijan, Belarus, the Russian Federation, Georgia, Hungary, Lithuania, Mongolia, Uzbekistan, Poland, Kyrgyzstan, the Czech Rep., Romania, Tajikistan, Turkmenistan and Ukraine, the band 8 500-8 750 MHz is also allocated to the land mobile and radionavigation services on a primary basis. (WRC-12)']),
    (8750000000, 8850000001): (False, False, False, False, False, ['Radiolocation', 'Aeronautical Radionavigation [5.470]'], [], ['[5.470]: The use of the band 8 750-8 850 MHz by the aeronautical radionavigation service is limited to airborne Doppler navigation aids on a centre frequency of 8 800 MHz.', '[5.471]: Additional allocation: in Algeria, Germany, Bahrain, Belgium, China, Egypt, the United Arab Emirates, France, Greece, Indonesia, Iran (Islamic Republic of), Libya, the Netherlands, Qatar and Sudan, the frequency bands 8 825-8 850 MHz and 9 000-9 200 MHz are also allocated to the maritime radionavigation service, on a primary basis, for use by shore-based radars only. (WRC-15)']),
    (8850000000, 9000000001): (False, False, False, False, False, ['Radiolocation', 'Maritime Radionavigation [5.472]'], [], ['[5.472]: In the bands 8 850-9 000 MHz and 9 200-9 225 MHz, the maritime radionavigation service is limited to shore-based radars.', '[5.473]: Additional allocation: in Armenia, Austria, Azerbaijan, Belarus, Cuba, the Russian Federation, Georgia, Hungary, Mongolia, Uzbekistan, Poland, Kyrgyzstan, Romania, Tajikistan, Turkmenistan and Ukraine, the bands 8 850-9 000 MHz and 9 200-9 300 MHz are also allocated to the radionavigation service on a primary basis. (WRC-07)']),
    (9000000000, 9200000001): (False, False, False, False, False, ['Radiolocation', 'Aeronautical Radionavigation [5.337]'], [], ['[5.337]: The use of the bands 1 300-1 350 MHz, 2 700-2 900 MHz and 9 000-9 200 MHz by the aeronautical radionavigation service is restricted to ground-based radars and to associated airborne transponders which transmit only on frequencies in these bands and only when actuated by radars operating in the same band.', '[5.471]: Additional allocation: in Algeria, Germany, Bahrain, Belgium, China, Egypt, the United Arab Emirates, France, Greece, Indonesia, Iran (Islamic Republic of), Libya, the Netherlands, Qatar and Sudan, the frequency bands 8 825-8 850 MHz and 9 000-9 200 MHz are also allocated to the maritime radionavigation service, on a primary basis, for use by shore-based radars only. (WRC-15)', '[5.473A]: In the band 9 000-9 200 MHz, stations operating in the radiolocation service shall not cause harmful interference to, nor claim protection from, systems identified in No. 5.337 operating in the aeronautical radionavigation service, or radar systems in the maritime radionavigation service operating in this band on a primary basis in the countries listed in No. 5.471. (WRC-07)']),
    (9200000000, 9300000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Active) [5.474A][5.474B][5.474C]', 'Radiolocation', 'Maritime Radionavigation [5.472]'], [], ['[5.474A]: The use of the frequency bands 9 200-9 300 MHz and 9 900-10 400 MHz by the Earth exploration-satellite service (active) is limited to systems requiring necessary bandwidth greater than 600 MHz that cannot be fully accommodated within the frequency band 9 300-9 900 MHz. Such use is subject to agreement to be obtained under No. 9.21 from Algeria, Saudi Arabia, Bahrain, Egypt, Indonesia, Iran (Islamic Republic of), Lebanon and Tunisia. An administration that has not replied under No. 9.52 is considered as not having agreed to the coordination request. In this case, the notifying administration of the satellite system operating in the Earth exploration-satellite service (active) may request the assistance of the Bureau under Sub-Section IID of Article 9. (WRC-15)', '[5.474B]: Stations operating in the Earth exploration-satellite (active) service shall comply with Recommendation ITU-R RS.2066-0. (WRC-15)', '[5.474C]: Stations operating in the Earth exploration-satellite (active) service shall comply with Recommendation ITU-R RS.2065-0. (WRC-15)', '[5.472]: In the bands 8 850-9 000 MHz and 9 200-9 225 MHz, the maritime radionavigation service is limited to shore-based radars.', '[5.473]: Additional allocation: in Armenia, Austria, Azerbaijan, Belarus, Cuba, the Russian Federation, Georgia, Hungary, Mongolia, Uzbekistan, Poland, Kyrgyzstan, Romania, Tajikistan, Turkmenistan and Ukraine, the bands 8 850-9 000 MHz and 9 200-9 300 MHz are also allocated to the radionavigation service on a primary basis. (WRC-07)', '[5.474]: In the band 9 200-9 500 MHz, search and rescue transponders (SART) may be used, having due regard to the appropriate ITU-R Recommendation (see also Article 31).', '[5.474D]: Stations in the Earth exploration-satellite service (active) shall not cause harmful interference to, or claim protection from, stations of the maritime radionavigation and radiolocation services in the frequency band 9 200-9 300 MHz, the radionavigation and radiolocation services in the frequency band 9 900-10 000 MHz and the radiolocation service in the frequency band 10.0-10.4 GHz. (WRC-15)']),
    (9300000000, 9500000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Active)', 'Radiolocation', 'Radionavigation', 'Space Research (Active)'], [], ['[5.427]: In the bands 2 900-3 100 MHz and 9 300-9 500 MHz, the response from radar transponders shall not be capable of being confused with the response from radar beacons (racons) and shall not cause interference to ship or aeronautical radars in the radionavigation service, having regard, however, to No. 4.9.', '[5.474]: In the band 9 200-9 500 MHz, search and rescue transponders (SART) may be used, having due regard to the appropriate ITU-R Recommendation (see also Article 31).', '[5.475]: The use of the band 9 300-9 500 MHz by the aeronautical radionavigation service is limited to airborne weather radars and ground-based radars. In addition, ground-based radar beacons in the aeronautical radionavigation service are permitted in the band 9 300-9 320 MHz on condition that harmful interference is not caused to the maritime radionavigation service. (WRC-07)', '[5.475A]: The use of the band 9 300-9 500 MHz by the Earth exploration-satellite service (active) and the space research service (active) is limited to systems requiring necessary bandwidth greater than 300 MHz that cannot be fully accommodated within the 9 500-9 800 MHz band. (WRC-07)', '[5.475B]: In the band 9 300-9 500 MHz, stations operating in the radiolocation service shall not cause harmful interference to, nor claim protection from, radars operating in the radionavigation service in conformity with the Radio Regulations. Ground-based radars used for meteorological purposes have priority over other radiolocation uses. (WRC-07)', '[5.476A]: In the band 9 300-9 800 MHz, stations in the Earth exploration-satellite service (active) and space research service (active) shall not cause harmful interference to, nor claim protection from, stations of the radionavigation and radiolocation services. (WRC-07)']),
    (9500000000, 9800000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Active)', 'Radiolocation', 'Radionavigation', 'Space Research (Active)'], [], ['[5.476A]: In the band 9 300-9 800 MHz, stations in the Earth exploration-satellite service (active) and space research service (active) shall not cause harmful interference to, nor claim protection from, stations of the radionavigation and radiolocation services. (WRC-07)']),
    (9800000000, 9900000001): (False, True, False, False, False, ['Radiolocation'], ['Earth Exploration-Satellite (Active)', 'Space Research (Active)'], ['[5.477]: Different category of service: in Algeria, Saudi Arabia, Bahrain, Bangladesh, Brunei Darussalam, Cameroon, Djibouti, Egypt, the United Arab Emirates, Eritrea, Ethiopia, Guyana, India, Indonesia, Iran (Islamic Republic of), Iraq, Jamaica, Japan, Jordan, Kuwait, Lebanon, Liberia, Malaysia, Nigeria, Oman, Uganda, Pakistan, Qatar, Syrian Arab Republic, the Dem. People’s Rep. of Korea, Singapore, Somalia, Sudan, South Sudan, Trinidad and Tobago, and Yemen, the allocation of the frequency band 9 800-10 000 MHz to the fixed service is on a primary basis (see No. 5.33). (WRC-15)', '[5.478]: Additional allocation: in Azerbaijan, Mongolia, Kyrgyzstan, Romania, Turkmenistan and Ukraine, the band 9 800-10 000 MHz is also allocated to the radionavigation service on a primary basis. (WRC-07)', '[5.478A]: The use of the band 9 800-9 900 MHz by the Earth exploration-satellite service (active) and the space research service (active) is limited to systems requiring necessary bandwidth greater than 500 MHz that cannot be fully accommodated within the 9 300-9 800 MHz band. (WRC-07)', '[5.478B]: In the band 9 800-9 900 MHz, stations in the Earth exploration-satellite service (active) and space research service (active) shall not cause harmful interference to, nor claim protection from stations of the fixed service to which this band is allocated on a secondary basis. (WRC-07)']),
    (9900000000, 10000000001): (False, True, False, False, False, ['Earth Exploration-Satellite (Active) [5.474A][5.474B][5.474C]', 'Radiolocation'], [], ['[5.474A]: The use of the frequency bands 9 200-9 300 MHz and 9 900-10 400 MHz by the Earth exploration-satellite service (active) is limited to systems requiring necessary bandwidth greater than 600 MHz that cannot be fully accommodated within the frequency band 9 300-9 900 MHz. Such use is subject to agreement to be obtained under No. 9.21 from Algeria, Saudi Arabia, Bahrain, Egypt, Indonesia, Iran (Islamic Republic of), Lebanon and Tunisia. An administration that has not replied under No. 9.52 is considered as not having agreed to the coordination request. In this case, the notifying administration of the satellite system operating in the Earth exploration-satellite service (active) may request the assistance of the Bureau under Sub-Section IID of Article 9. (WRC-15)', '[5.474B]: Stations operating in the Earth exploration-satellite (active) service shall comply with Recommendation ITU-R RS.2066-0. (WRC-15)', '[5.474C]: Stations operating in the Earth exploration-satellite (active) service shall comply with Recommendation ITU-R RS.2065-0. (WRC-15)', '[5.474D]: Stations in the Earth exploration-satellite service (active) shall not cause harmful interference to, or claim protection from, stations of the maritime radionavigation and radiolocation services in the frequency band 9 200-9 300 MHz, the radionavigation and radiolocation services in the frequency band 9 900-10 000 MHz and the radiolocation service in the frequency band 10.0-10.4 GHz. (WRC-15)', '[5.477]: Different category of service: in Algeria, Saudi Arabia, Bahrain, Bangladesh, Brunei Darussalam, Cameroon, Djibouti, Egypt, the United Arab Emirates, Eritrea, Ethiopia, Guyana, India, Indonesia, Iran (Islamic Republic of), Iraq, Jamaica, Japan, Jordan, Kuwait, Lebanon, Liberia, Malaysia, Nigeria, Oman, Uganda, Pakistan, Qatar, Syrian Arab Republic, the Dem. People’s Rep. of Korea, Singapore, Somalia, Sudan, South Sudan, Trinidad and Tobago, and Yemen, the allocation of the frequency band 9 800-10 000 MHz to the fixed service is on a primary basis (see No. 5.33). (WRC-15)', '[5.478]: Additional allocation: in Azerbaijan, Mongolia, Kyrgyzstan, Romania, Turkmenistan and Ukraine, the band 9 800-10 000 MHz is also allocated to the radionavigation service on a primary basis. (WRC-07)', '[5.479]: The band 9 975-10 025 MHz is also allocated to the meteorological-satellite service on a secondary basis for use by weather radars.']),
    (10000000000, 10400000001): (True, True, True, False, False, ['Earth Exploration-Satellite (Active) [5.474A][5.474B][5.474C]', 'Radiolocation'], ['Amateur'], ['[5.474A]: The use of the frequency bands 9 200-9 300 MHz and 9 900-10 400 MHz by the Earth exploration-satellite service (active) is limited to systems requiring necessary bandwidth greater than 600 MHz that cannot be fully accommodated within the frequency band 9 300-9 900 MHz. Such use is subject to agreement to be obtained under No. 9.21 from Algeria, Saudi Arabia, Bahrain, Egypt, Indonesia, Iran (Islamic Republic of), Lebanon and Tunisia. An administration that has not replied under No. 9.52 is considered as not having agreed to the coordination request. In this case, the notifying administration of the satellite system operating in the Earth exploration-satellite service (active) may request the assistance of the Bureau under Sub-Section IID of Article 9. (WRC-15)', '[5.474B]: Stations operating in the Earth exploration-satellite (active) service shall comply with Recommendation ITU-R RS.2066-0. (WRC-15)', '[5.474C]: Stations operating in the Earth exploration-satellite (active) service shall comply with Recommendation ITU-R RS.2065-0. (WRC-15)', '[5.474D]: Stations in the Earth exploration-satellite service (active) shall not cause harmful interference to, or claim protection from, stations of the maritime radionavigation and radiolocation services in the frequency band 9 200-9 300 MHz, the radionavigation and radiolocation services in the frequency band 9 900-10 000 MHz and the radiolocation service in the frequency band 10.0-10.4 GHz. (WRC-15)', '[5.479]: The band 9 975-10 025 MHz is also allocated to the meteorological-satellite service on a secondary basis for use by weather radars.']),
    (10400000000, 10450000001): (True, True, True, False, False, ['Radiolocation'], ['Amateur'], []),
    (10450000000, 10500000001): (True, False, False, False, False, ['Radiolocation'], ['Amateur', 'Amateur-Satellite'], ["[5.481]: Additional allocation: in Algeria, Germany, Angola, Brazil, China, Côte d'Ivoire, El Salvador, Ecuador, Spain, Guatemala, Hungary, Japan, Kenya, Morocco, Nigeria, Oman, Uzbekistan, Pakistan, Paraguay, Peru, the Dem. People’s Rep. of Korea, Romania and Uruguay, the frequency band 10.45-10.5 GHz is also allocated to the fixed and mobile services on a primary basis. In Costa Rica, the frequency band 10.45-10.5 GHz is also allocated to the fixed service on a primary basis. (WRC-15)"]),
    (10500000000, 10550000001): (False, True, True, False, False, ['Radiolocation'], [], []),
    (10550000000, 10600000001): (False, True, True, False, False, ['Mobile Except Aeronautical Mobile'], ['Radiolocation'], []),
    (10600000000, 10680000001): (False, True, True, False, False, ['Earth Exploration-Satellite (Passive)', 'Mobile Except Aeronautical Mobile', 'Radio Astronomy', 'Space Research (Passive)'], ['Radiolocation'], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.482]: In the band 10.6-10.68 GHz, the power delivered to the antenna of stations of the fixed and mobile, except aeronautical mobile, services shall not exceed −3 dBW. This limit may be exceeded, subject to agreement obtained under No. 9.21. However, in Algeria, Saudi Arabia, Armenia, Azerbaijan, Bahrain, Bangladesh, Belarus, Egypt, United Arab Emirates, Georgia, India, Indonesia, Iran (Islamic Republic of), Iraq, Jordan, Kazakhstan, Kuwait, Lebanon, Libya, Morocco, Mauritania, Moldova, Nigeria, Oman, Uzbekistan, Pakistan, Philippines, Qatar, Syrian Arab Republic, Kyrgyzstan, Singapore, Tajikistan, Tunisia, Turkmenistan and Viet Nam, this restriction on the fixed and mobile, except aeronautical mobile, services is not applicable. (WRC-07)', '[5.482A]: For sharing of the band 10.6-10.68 GHz between the Earth exploration-satellite (passive) service and the fixed and mobile, except aeronautical mobile, services, Resolution 751 (WRC-07) applies. (WRC-07)']),
    (10680000000, 10700000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Passive)', 'Radio Astronomy', 'Space Research (Passive)'], [], ['[5.340]: All emissions are prohibited in the following bands:1 400-1 427 MHz, 2 690-2 700 MHz, except those provided for by No. 5.422, 10.68-10.7 GHz, except those provided for by No. 5.483, 15.35-15.4 GHz, except those provided for by No. 5.511, 23.6-24 GHz, 31.3-31.5 GHz, 31.5-31.8 GHz, in Region 2, 48.94-49.04 GHz, from airborne stations 50.2-50.4 GHz2, 52.6-54.25 GHz, 86-92 GHz, 100-102 GHz, 109.5-111.8 GHz, 114.25-116 GHz, 148.5-151.5 GHz, 164-167 GHz, 182-185 GHz, 190-191.8 GHz, 200-209 GHz, 226-231.5 GHz, 250-252 GHz. (WRC-03) ', '[5.483]: Additional allocation: in Saudi Arabia, Armenia, Azerbaijan, Bahrain, Belarus, China, Colombia, Korea (Rep. of), Costa Rica, Egypt, the United Arab Emirates, Georgia, Iran (Islamic Republic of), Iraq, Israel, Jordan, Kazakhstan, Kuwait, Lebanon, Mongolia, Qatar, Kyrgyzstan, the Dem. People’s Rep. of Korea, Tajikistan, Turkmenistan and Yemen, the band 10.68-10.7 GHz is also allocated to the fixed and mobile, except aeronautical mobile, services on a primary basis. Such use is limited to equipment in operation by 1 January 1985. (WRC-12)']),
    (10700000000, 10950000001): (False, True, True, False, False, ['Fixed-Satellite (Space-To-Earth) [5.441]', 'Mobile Except Aeronautical Mobile'], [], ['[5.441]: The use of the bands 4 500-4 800 MHz (space-to-Earth), 6 725-7 025 MHz (Earth-to-space) by the fixed-satellite service shall be in accordance with the provisions of Appendix 30B. The use of the bands 10.7-10.95 GHz (space-to-Earth), 11.2-11.45 GHz (space-to-Earth) and 12.75-13.25 GHz (Earth-to-space) by geostationary-satellite systems in the fixed-satellite service shall be in accordance with the provisions of Appendix 30B. The use of the bands 10.7-10.95 GHz (space-to-Earth), 11.2-11.45 GHz (space-to-Earth) and 12.75-13.25 GHz (Earth-to-space) by a non-geostationary-satellite system in the fixed-satellite service is subject to application of the provisions of No. 9.12 for coordination with other non-geostationary-satellite systems in the fixed-satellite service. Non-geostationary-satellite systems in the fixed-satellite service shall not claim protection from geostationary-satellite networks in the fixed-satellite service operating in accordance with the Radio Regulations, irrespective of the dates of receipt by the Bureau of the complete coordination or notification information, as appropriate, for the non-geostationary-satellite systems in the fixed-satellite service and of the complete coordination or notification information, as appropriate, for the geostationary-satellite networks, and No. 5.43A does not apply. Non-geostationary-satellite systems in the fixed-satellite service in the above bands shall be operated in such a way that any unacceptable interference that may occur during their operation shall be rapidly eliminated. (WRC-2000)']),
    (10950000000, 11200000001): (False, True, True, False, False, ['Fixed-Satellite (Space-To-Earth) [5.484A][5.484B]', 'Mobile Except Aeronautical Mobile'], [], ['[5.484A]: The use of the bands 10.95-11.2 GHz (space-to-Earth), 11.45-11.7 GHz (space-to-Earth), 11.7-12.2 GHz (space-to-Earth) in Region 2, 12.2-12.75 GHz (space-to-Earth) in Region 3, 12.5-12.75 GHz (space-to-Earth) in Region 1, 13.75-14.5 GHz (Earth-to-space), 17.8-18.6 GHz (space-to-Earth), 19.7-20.2 GHz (space-to-Earth), 27.5-28.6 GHz (Earth-to-space), 29.5-30 GHz (Earth-to-space) by a non-geostationary-satellite system in the fixed-satellite service is subject to application of the provisions of No. 9.12 for coordination with other non-geostationary-satellite systems in the fixed-satellite service. Non-geostationary-satellite systems in the fixed-satellite service shall not claim protection from geostationary-satellite networks in the fixed-satellite service operating in accordance with the Radio Regulations, irrespective of the dates of receipt by the Bureau of the complete coordination or notification information, as appropriate, for the non-geostationary-satellite systems in the fixed-satellite service and of the complete coordination or notification information, as appropriate, for the geostationary-satellite networks, and No. 5.43A does not apply. Non-geostationary-satellite systems in the fixed-satellite service in the above bands shall be operated in such a way that any unacceptable interference that may occur during their operation shall be rapidly eliminated. (WRC-2000)', '[5.484B]: Resolution 155 (WRC-15) shall apply. (WRC-15)']),
    (11200000000, 11450000001): (False, True, True, False, False, ['Fixed-Satellite (Space-To-Earth) [5.441]', 'Mobile Except Aeronautical Mobile'], [], ['[5.441]: The use of the bands 4 500-4 800 MHz (space-to-Earth), 6 725-7 025 MHz (Earth-to-space) by the fixed-satellite service shall be in accordance with the provisions of Appendix 30B. The use of the bands 10.7-10.95 GHz (space-to-Earth), 11.2-11.45 GHz (space-to-Earth) and 12.75-13.25 GHz (Earth-to-space) by geostationary-satellite systems in the fixed-satellite service shall be in accordance with the provisions of Appendix 30B. The use of the bands 10.7-10.95 GHz (space-to-Earth), 11.2-11.45 GHz (space-to-Earth) and 12.75-13.25 GHz (Earth-to-space) by a non-geostationary-satellite system in the fixed-satellite service is subject to application of the provisions of No. 9.12 for coordination with other non-geostationary-satellite systems in the fixed-satellite service. Non-geostationary-satellite systems in the fixed-satellite service shall not claim protection from geostationary-satellite networks in the fixed-satellite service operating in accordance with the Radio Regulations, irrespective of the dates of receipt by the Bureau of the complete coordination or notification information, as appropriate, for the non-geostationary-satellite systems in the fixed-satellite service and of the complete coordination or notification information, as appropriate, for the geostationary-satellite networks, and No. 5.43A does not apply. Non-geostationary-satellite systems in the fixed-satellite service in the above bands shall be operated in such a way that any unacceptable interference that may occur during their operation shall be rapidly eliminated. (WRC-2000)']),
    (11450000000, 11700000001): (False, True, True, False, False, ['Fixed-Satellite (Space-To-Earth) [5.484A][5.484B]', 'Mobile Except Aeronautical Mobile'], [], ['[5.484A]: The use of the bands 10.95-11.2 GHz (space-to-Earth), 11.45-11.7 GHz (space-to-Earth), 11.7-12.2 GHz (space-to-Earth) in Region 2, 12.2-12.75 GHz (space-to-Earth) in Region 3, 12.5-12.75 GHz (space-to-Earth) in Region 1, 13.75-14.5 GHz (Earth-to-space), 17.8-18.6 GHz (space-to-Earth), 19.7-20.2 GHz (space-to-Earth), 27.5-28.6 GHz (Earth-to-space), 29.5-30 GHz (Earth-to-space) by a non-geostationary-satellite system in the fixed-satellite service is subject to application of the provisions of No. 9.12 for coordination with other non-geostationary-satellite systems in the fixed-satellite service. Non-geostationary-satellite systems in the fixed-satellite service shall not claim protection from geostationary-satellite networks in the fixed-satellite service operating in accordance with the Radio Regulations, irrespective of the dates of receipt by the Bureau of the complete coordination or notification information, as appropriate, for the non-geostationary-satellite systems in the fixed-satellite service and of the complete coordination or notification information, as appropriate, for the geostationary-satellite networks, and No. 5.43A does not apply. Non-geostationary-satellite systems in the fixed-satellite service in the above bands shall be operated in such a way that any unacceptable interference that may occur during their operation shall be rapidly eliminated. (WRC-2000)', '[5.484B]: Resolution 155 (WRC-15) shall apply. (WRC-15)']),
    (11700000000, 12200000001): (False, True, True, True, False, ['Mobile Except Aeronautical Mobile', 'Broadcasting', 'Broadcasting-Satellite [5.492]'], [], ['[5.492]: Assignments to stations of the broadcasting-satellite service which are in conformity with the appropriate regional Plan or included in the Regions 1 and 3 List in Appendix 30 may also be used for transmissions in the fixed-satellite service (space-to-Earth), provided that such transmissions do not cause more interference, or require more protection from interference, than the broadcasting-satellite service transmissions operating in conformity with the Plan or the List, as appropriate. (WRC-2000)', '[5.487]: In the band 11.7-12.5 GHz in Regions 1 and 3, the fixed, fixed-satellite, mobile, except aeronautical mobile, and broadcasting services, in accordance with their respective allocations, shall not cause harmful interference to, or claim protection from, broadcasting-satellite stations operating in accordance with the Regions 1 and 3 Plan in Appendix 30. (WRC-03)', '[5.487A]: Additional allocation: in Region 1, the band 11.7-12.5 GHz, in Region 2, the band 12.2-12.7 GHz and, in Region 3, the band 11.7-12.2 GHz, are also allocated to the fixed-satellite service (space-to-Earth) on a primary basis, limited to non-geostationary systems and subject to application of the provisions of No. 9.12 for coordination with other non-geostationary-satellite systems in the fixed-satellite service. Non-geostationary-satellite systems in the fixed-satellite service shall not claim protection from geostationary-satellite networks in the broadcasting-satellite service operating in accordance with the Radio Regulations, irrespective of the dates of receipt by the Bureau of the complete coordination or notification information, as appropriate, for the non-geostationary-satellite systems in the fixed-satellite service and of the complete coordination or notification information, as appropriate, for the geostationary-satellite networks, and No. 5.43A does not apply. Non-geostationary-satellite systems in the fixed-satellite service in the above bands shall be operated in such a way that any unacceptable interference that may occur during their operation shall be rapidly eliminated. (WRC-03)']),
    (12200000000, 12500000001): (False, True, True, True, False, ['Fixed-Satellite (Space-To-Earth) [5.484B]', 'Mobile Except Aeronautical Mobile', 'Broadcasting'], [], ['[5.484B]: Resolution 155 (WRC-15) shall apply. (WRC-15)', '[5.487]: In the band 11.7-12.5 GHz in Regions 1 and 3, the fixed, fixed-satellite, mobile, except aeronautical mobile, and broadcasting services, in accordance with their respective allocations, shall not cause harmful interference to, or claim protection from, broadcasting-satellite stations operating in accordance with the Regions 1 and 3 Plan in Appendix 30. (WRC-03)', '[5.484A]: The use of the bands 10.95-11.2 GHz (space-to-Earth), 11.45-11.7 GHz (space-to-Earth), 11.7-12.2 GHz (space-to-Earth) in Region 2, 12.2-12.75 GHz (space-to-Earth) in Region 3, 12.5-12.75 GHz (space-to-Earth) in Region 1, 13.75-14.5 GHz (Earth-to-space), 17.8-18.6 GHz (space-to-Earth), 19.7-20.2 GHz (space-to-Earth), 27.5-28.6 GHz (Earth-to-space), 29.5-30 GHz (Earth-to-space) by a non-geostationary-satellite system in the fixed-satellite service is subject to application of the provisions of No. 9.12 for coordination with other non-geostationary-satellite systems in the fixed-satellite service. Non-geostationary-satellite systems in the fixed-satellite service shall not claim protection from geostationary-satellite networks in the fixed-satellite service operating in accordance with the Radio Regulations, irrespective of the dates of receipt by the Bureau of the complete coordination or notification information, as appropriate, for the non-geostationary-satellite systems in the fixed-satellite service and of the complete coordination or notification information, as appropriate, for the geostationary-satellite networks, and No. 5.43A does not apply. Non-geostationary-satellite systems in the fixed-satellite service in the above bands shall be operated in such a way that any unacceptable interference that may occur during their operation shall be rapidly eliminated. (WRC-2000)']),
    (12500000000, 12750000001): (False, True, True, False, True, ['Fixed-Satellite (Space-To-Earth) [5.484A][5.484B]', 'Mobile Except Aeronautical Mobile', 'Broadcasting- Satellite [5.493]'], [], ['[5.484A]: The use of the bands 10.95-11.2 GHz (space-to-Earth), 11.45-11.7 GHz (space-to-Earth), 11.7-12.2 GHz (space-to-Earth) in Region 2, 12.2-12.75 GHz (space-to-Earth) in Region 3, 12.5-12.75 GHz (space-to-Earth) in Region 1, 13.75-14.5 GHz (Earth-to-space), 17.8-18.6 GHz (space-to-Earth), 19.7-20.2 GHz (space-to-Earth), 27.5-28.6 GHz (Earth-to-space), 29.5-30 GHz (Earth-to-space) by a non-geostationary-satellite system in the fixed-satellite service is subject to application of the provisions of No. 9.12 for coordination with other non-geostationary-satellite systems in the fixed-satellite service. Non-geostationary-satellite systems in the fixed-satellite service shall not claim protection from geostationary-satellite networks in the fixed-satellite service operating in accordance with the Radio Regulations, irrespective of the dates of receipt by the Bureau of the complete coordination or notification information, as appropriate, for the non-geostationary-satellite systems in the fixed-satellite service and of the complete coordination or notification information, as appropriate, for the geostationary-satellite networks, and No. 5.43A does not apply. Non-geostationary-satellite systems in the fixed-satellite service in the above bands shall be operated in such a way that any unacceptable interference that may occur during their operation shall be rapidly eliminated. (WRC-2000)', '[5.484B]: Resolution 155 (WRC-15) shall apply. (WRC-15)', '[5.493]: The broadcasting-satellite service in the band 12.5-12.75 GHz in Region 3 is limited to a power flux-density not exceeding –111 dB(W/(m2 × 27 MHz)) for all conditions and for all methods of modulation at the edge of the service area. (WRC-97)']),
    (12750000000, 13250000001): (False, True, True, False, False, ['Fixed-Satellite (Earth-To-Space) [5.441]'], ['Space Research (Deep Space)', 'Space Research (Space-To-Earth)'], ['[5.441]: The use of the bands 4 500-4 800 MHz (space-to-Earth), 6 725-7 025 MHz (Earth-to-space) by the fixed-satellite service shall be in accordance with the provisions of Appendix 30B. The use of the bands 10.7-10.95 GHz (space-to-Earth), 11.2-11.45 GHz (space-to-Earth) and 12.75-13.25 GHz (Earth-to-space) by geostationary-satellite systems in the fixed-satellite service shall be in accordance with the provisions of Appendix 30B. The use of the bands 10.7-10.95 GHz (space-to-Earth), 11.2-11.45 GHz (space-to-Earth) and 12.75-13.25 GHz (Earth-to-space) by a non-geostationary-satellite system in the fixed-satellite service is subject to application of the provisions of No. 9.12 for coordination with other non-geostationary-satellite systems in the fixed-satellite service. Non-geostationary-satellite systems in the fixed-satellite service shall not claim protection from geostationary-satellite networks in the fixed-satellite service operating in accordance with the Radio Regulations, irrespective of the dates of receipt by the Bureau of the complete coordination or notification information, as appropriate, for the non-geostationary-satellite systems in the fixed-satellite service and of the complete coordination or notification information, as appropriate, for the geostationary-satellite networks, and No. 5.43A does not apply. Non-geostationary-satellite systems in the fixed-satellite service in the above bands shall be operated in such a way that any unacceptable interference that may occur during their operation shall be rapidly eliminated. (WRC-2000)']),
    (13250000000, 13400000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Active)', 'Aeronautical Radionavigation [5.497]', 'Space Research (Active)'], [], ['[5.497]: The use of the band 13.25-13.4 GHz by the aeronautical radionavigation service is limited to Doppler navigation aids.', '[5.498A]: The Earth exploration-satellite (active) and space research (active) services operating in the band 13.25-13.4 GHz shall not cause harmful interference to, or constrain the use and development of, the aeronautical radionavigation service. (WRC-97)', '[5.499]: Additional allocation: in Bangladesh and India, the band 13.25-14 GHz is also allocated to the fixed service on a primary basis. In Pakistan, the band 13.25-13.75 GHz is allocated to the fixed service on a primary basis. (WRC-12)']),
    (13400000000, 13650000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Active)', 'Radiolocation', 'Space Research [5.499C][5.499D]'], ['Standard Frequency And Time Signal-Satellite (Earth-To-Space)'], ['[5.499C]: The allocation of the frequency band 13.4-13.65 GHz to the space research service on a primary basis is limited to:– satellite systems operating in the space research service (space-to-space) to relay data from space stations in the geostationary-satellite orbit to associated space stations in non-geostationary satellite orbits for which advance publication information has been received by the Bureau by 27 November 2015, – active spaceborne sensors, – satellite systems operating in the space research service (space-to-Earth) to relay data from space stations in the geostationary-satellite orbit to associated earth stations. Other uses of the frequency band by the space research service are on a secondary basis. (WRC-15) ', '[5.499D]: In the frequency band 13.4-13.65 GHz, satellite systems in the space research service (space-to-Earth) and/or the space research service (space-to-space) shall not cause harmful interference to, nor claim protection from, stations in the fixed, mobile, radiolocation and Earth exploration-satellite (active) services. (WRC-15)', '[5.499]: Additional allocation: in Bangladesh and India, the band 13.25-14 GHz is also allocated to the fixed service on a primary basis. In Pakistan, the band 13.25-13.75 GHz is allocated to the fixed service on a primary basis. (WRC-12)', '[5.500]: Additional allocation: in Algeria, Saudi Arabia, Bahrain, Brunei Darussalam, Cameroon, Egypt, the United Arab Emirates, Gabon, Indonesia, Iran (Islamic Republic of), Iraq, Israel, Jordan, Kuwait, Lebanon, Madagascar, Malaysia, Mali, Morocco, Mauritania, Niger, Nigeria, Oman, Qatar, the Syrian Arab Republic, Singapore, Sudan, South Sudan, Chad and Tunisia, the frequency band 13.4-14 GHz is also allocated to the fixed and mobile services on a primary basis. In Pakistan, the frequency band 13.4-13.75 GHz is also allocated to the fixed and mobile services on a primary basis. (WRC-15)', '[5.501]: Additional allocation: in Azerbaijan, Hungary, Japan, Kyrgyzstan, Romania and Turkmenistan, the band 13.4-14 GHz is also allocated to the radionavigation service on a primary basis. (WRC-12)', '[5.501B]: In the band 13.4-13.75 GHz, the Earth exploration-satellite (active) and space research (active) services shall not cause harmful interference to, or constrain the use and development of, the radiolocation service. (WRC-97)']),
    (13650000000, 13750000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Active)', 'Radiolocation', 'Space Research [5.501A]'], ['Standard Frequency And Time Signal-Satellite (Earth-To-Space)'], ['[5.501A]: The allocation of the frequency band 13.65-13.75 GHz to the space research service on a primary basis is limited to active spaceborne sensors. Other uses of the frequency band by the space research service are on a secondary basis. (WRC-15)', '[5.499]: Additional allocation: in Bangladesh and India, the band 13.25-14 GHz is also allocated to the fixed service on a primary basis. In Pakistan, the band 13.25-13.75 GHz is allocated to the fixed service on a primary basis. (WRC-12)', '[5.500]: Additional allocation: in Algeria, Saudi Arabia, Bahrain, Brunei Darussalam, Cameroon, Egypt, the United Arab Emirates, Gabon, Indonesia, Iran (Islamic Republic of), Iraq, Israel, Jordan, Kuwait, Lebanon, Madagascar, Malaysia, Mali, Morocco, Mauritania, Niger, Nigeria, Oman, Qatar, the Syrian Arab Republic, Singapore, Sudan, South Sudan, Chad and Tunisia, the frequency band 13.4-14 GHz is also allocated to the fixed and mobile services on a primary basis. In Pakistan, the frequency band 13.4-13.75 GHz is also allocated to the fixed and mobile services on a primary basis. (WRC-15)', '[5.501]: Additional allocation: in Azerbaijan, Hungary, Japan, Kyrgyzstan, Romania and Turkmenistan, the band 13.4-14 GHz is also allocated to the radionavigation service on a primary basis. (WRC-12)', '[5.501B]: In the band 13.4-13.75 GHz, the Earth exploration-satellite (active) and space research (active) services shall not cause harmful interference to, or constrain the use and development of, the radiolocation service. (WRC-97)']),
    (13750000000, 14000000001): (False, False, False, False, False, ['Fixed-Satellite (Earth-To-Space) [5.484A]', 'Radiolocation'], ['Earth Exploration-Satellite', 'Standard Frequency And Time Signal-Satellite (Earth-To-Space)', 'Space Research'], ['[5.484A]: The use of the bands 10.95-11.2 GHz (space-to-Earth), 11.45-11.7 GHz (space-to-Earth), 11.7-12.2 GHz (space-to-Earth) in Region 2, 12.2-12.75 GHz (space-to-Earth) in Region 3, 12.5-12.75 GHz (space-to-Earth) in Region 1, 13.75-14.5 GHz (Earth-to-space), 17.8-18.6 GHz (space-to-Earth), 19.7-20.2 GHz (space-to-Earth), 27.5-28.6 GHz (Earth-to-space), 29.5-30 GHz (Earth-to-space) by a non-geostationary-satellite system in the fixed-satellite service is subject to application of the provisions of No. 9.12 for coordination with other non-geostationary-satellite systems in the fixed-satellite service. Non-geostationary-satellite systems in the fixed-satellite service shall not claim protection from geostationary-satellite networks in the fixed-satellite service operating in accordance with the Radio Regulations, irrespective of the dates of receipt by the Bureau of the complete coordination or notification information, as appropriate, for the non-geostationary-satellite systems in the fixed-satellite service and of the complete coordination or notification information, as appropriate, for the geostationary-satellite networks, and No. 5.43A does not apply. Non-geostationary-satellite systems in the fixed-satellite service in the above bands shall be operated in such a way that any unacceptable interference that may occur during their operation shall be rapidly eliminated. (WRC-2000)', '[5.499]: Additional allocation: in Bangladesh and India, the band 13.25-14 GHz is also allocated to the fixed service on a primary basis. In Pakistan, the band 13.25-13.75 GHz is allocated to the fixed service on a primary basis. (WRC-12)', '[5.500]: Additional allocation: in Algeria, Saudi Arabia, Bahrain, Brunei Darussalam, Cameroon, Egypt, the United Arab Emirates, Gabon, Indonesia, Iran (Islamic Republic of), Iraq, Israel, Jordan, Kuwait, Lebanon, Madagascar, Malaysia, Mali, Morocco, Mauritania, Niger, Nigeria, Oman, Qatar, the Syrian Arab Republic, Singapore, Sudan, South Sudan, Chad and Tunisia, the frequency band 13.4-14 GHz is also allocated to the fixed and mobile services on a primary basis. In Pakistan, the frequency band 13.4-13.75 GHz is also allocated to the fixed and mobile services on a primary basis. (WRC-15)', '[5.501]: Additional allocation: in Azerbaijan, Hungary, Japan, Kyrgyzstan, Romania and Turkmenistan, the band 13.4-14 GHz is also allocated to the radionavigation service on a primary basis. (WRC-12)', '[5.502]: In the band 13.75-14 GHz, an earth station of a geostationary fixed-satellite service network shall have a minimum antenna diameter of 1.2 m and an earth station of a non-geostationary fixed-satellite service system shall have a minimum antenna diameter of 4.5 m. In addition, the e.i.r.p., averaged over one second, radiated by a station in the radiolocation or radionavigation services shall not exceed 59 dBW for elevation angles above 2° and 65 dBW at lower angles. Before an administration brings into use an earth station in a geostationary-satellite network in the fixed-satellite service in this band with an antenna diameter smaller than 4.5 m, it shall ensure that the power flux-density produced by this earth station does not exceed:– –115 dB(W/(m2 · 10 MHz)) for more than 1% of the time produced at 36 m above sea level at the low water mark, as officially recognized by the coastal State; – –115 dB(W/(m2 · 10 MHz)) for more than 1% of the time produced 3 m above ground at the border of the territory of an administration deploying or planning to deploy land mobile radars in this band, unless prior agreement has been obtained. For earth stations within the fixed-satellite service having an antenna diameter greater than or equal to 4.5 m, the e.i.r.p. of any emission should be at least 68 dBW and should not exceed 85 dBW. (WRC-03) ', '[5.503]: In the band 13.75-14 GHz, geostationary space stations in the space research service for which information for advance publication has been received by the Bureau prior to 31 January 1992 shall operate on an equal basis with stations in the fixed-satellite service; after that date, new geostationary space stations in the space research service will operate on a secondary basis. Until those geostationary space stations in the space research service for which information for advance publication has been received by the Bureau prior to 31 January 1992 cease to operate in this band:– in the band 13.77-13.78 GHz, the e.i.r.p. density of emissions from any earth station in the fixed-satellite service operating with a space station in geostationary-satellite orbit shall not exceed: i) 4.7D + 28 dB(W/40 kHz), where D is the fixed-satellite service earth station antenna diameter (m) for antenna diameters equal to or greater than 1.2 m and less than 4.5 m; ii) 49.2 + 20 log(D/4.5) dB(W/40 kHz), where D is the fixed-satellite service earth station antenna diameter (m) for antenna diameters equal to or greater than 4.5 m and less than 31.9 m; iii) 66.2 dB(W/40 kHz) for any fixed-satellite service earth station for antenna diameters (m) equal to or greater than 31.9 m; iv) 56.2 dB(W/4 kHz) for narrow-band (less than 40 kHz of necessary bandwidth) fixed-satellite service earth station emissions from any fixed-satellite service earth station having an antenna diameter of 4.5 m or greater; – the e.i.r.p. density of emissions from any earth station in the fixed-satellite service operating with a space station in non-geostationary-satellite orbit shall not exceed 51 dBW in the 6 MHz band from 13.772 to 13.778 GHz. Automatic power control may be used to increase the e.i.r.p. density in these frequency ranges to compensate for rain attenuation, to the extent that the power flux-density at the fixed-satellite service space station does not exceed the value resulting from use by an earth station of an e.i.r.p. meeting the above limits in clear-sky conditions. (WRC-03)']),
    (14000000000, 14250000001): (False, False, False, False, False, ['Fixed-Satellite (Earth-To-Space) [5.457A][5.457B][5.484A][5.484B][5.506][5.506B]', 'Radionavigation [5.504]'], ['Mobile-Satellite (Earth-To-Space) [5.504B][5.504C][5.506A]', 'Space Research'], ['[5.457A]: In the frequency bands 5 925-6 425 MHz and 14-14.5 GHz, earth stations located on board vessels may communicate with space stations of the fixed-satellite service. Such use shall be in accordance with Resolution 902 (WRC-03). In the frequency band 5 925-6 425 MHz, earth stations located on board vessels and communicating with space stations of the fixed-satellite service may employ transmit antennas with minimum diameter of 1.2 m and operate without prior agreement of any administration if located at least 330 km away from the low-water mark as officially recognized by the coastal State. All other provisions of Resolution 902 (WRC-03) shall apply. (WRC-15)', '[5.457B]: In the frequency bands 5 925-6 425 MHz and 14-14.5 GHz, earth stations located on board vessels may operate with the characteristics and under the conditions contained in Resolution 902 (WRC-03) in Algeria, Saudi Arabia, Bahrain, Comoros, Djibouti, Egypt, United Arab Emirates, Jordan, Kuwait, Libya, Morocco, Mauritania, Oman, Qatar, the Syrian Arab Republic, Sudan, Tunisia and Yemen, in the maritime mobile-satellite service on a secondary basis. Such use shall be in accordance with Resolution 902 (WRC-03). (WRC-15)', '[5.484A]: The use of the bands 10.95-11.2 GHz (space-to-Earth), 11.45-11.7 GHz (space-to-Earth), 11.7-12.2 GHz (space-to-Earth) in Region 2, 12.2-12.75 GHz (space-to-Earth) in Region 3, 12.5-12.75 GHz (space-to-Earth) in Region 1, 13.75-14.5 GHz (Earth-to-space), 17.8-18.6 GHz (space-to-Earth), 19.7-20.2 GHz (space-to-Earth), 27.5-28.6 GHz (Earth-to-space), 29.5-30 GHz (Earth-to-space) by a non-geostationary-satellite system in the fixed-satellite service is subject to application of the provisions of No. 9.12 for coordination with other non-geostationary-satellite systems in the fixed-satellite service. Non-geostationary-satellite systems in the fixed-satellite service shall not claim protection from geostationary-satellite networks in the fixed-satellite service operating in accordance with the Radio Regulations, irrespective of the dates of receipt by the Bureau of the complete coordination or notification information, as appropriate, for the non-geostationary-satellite systems in the fixed-satellite service and of the complete coordination or notification information, as appropriate, for the geostationary-satellite networks, and No. 5.43A does not apply. Non-geostationary-satellite systems in the fixed-satellite service in the above bands shall be operated in such a way that any unacceptable interference that may occur during their operation shall be rapidly eliminated. (WRC-2000)', '[5.484B]: Resolution 155 (WRC-15) shall apply. (WRC-15)', '[5.506]: The band 14-14.5 GHz may be used, within the fixed-satellite service (Earth-to-space), for feeder links for the broadcasting-satellite service, subject to coordination with other networks in the fixed-satellite service. Such use of feeder links is reserved for countries outside Europe.', '[5.506B]: Earth stations located on board vessels communicating with space stations in the fixed-satellite service may operate in the frequency band 14-14.5 GHz without the need for prior agreement from Cyprus and Malta, within the minimum distance given in Resolution 902 (WRC-03) from these countries. (WRC-15)', '[5.504]: The use of the band 14-14.3 GHz by the radionavigation service shall be such as to provide sufficient protection to space stations of the fixed-satellite service.', '[5.504B]: Aircraft earth stations operating in the aeronautical mobile-satellite service in the frequency band 14-14.5 GHz shall comply with the provisions of Annex 1, Part C of Recommendation ITU-R M.1643-0, with respect to any radio astronomy station performing observations in the 14.47-14.5 GHz frequency band located on the territory of Spain, France, India, Italy, the United Kingdom and South Africa. (WRC-15)', '[5.504C]: In the frequency band 14-14.25 GHz, the power flux-density produced on the territory of the countries of Saudi Arabia, Bahrain, Botswana, Côte d’Ivoire, Egypt, Guinea, India, Iran (Islamic Republic of), Kuwait, Nigeria, Oman, the Syrian Arab Republic and Tunisia by any aircraft earth station in the aeronautical mobile-satellite service shall not exceed the limits given in Annex 1, Part B of Recommendation ITU-R M.1643-0, unless otherwise specifically agreed by the affected administration(s). The provisions of this footnote in no way derogate the obligations of the aeronautical mobile-satellite service to operate as a secondary service in accordance with No. 5.29. (WRC-15)', '[5.506A]: In the band 14-14.5 GHz, ship earth stations with an e.i.r.p. greater than 21 dBW shall operate under the same conditions as earth stations located on board vessels, as provided in Resolution 902 (WRC-03). This footnote shall not apply to ship earth stations for which the complete Appendix 4 information has been received by the Bureau prior to 5 July 2003. (WRC-03)', '[5.504A]: In the band 14-14.5 GHz, aircraft earth stations in the secondary aeronautical mobile-satellite service may also communicate with space stations in the fixed-satellite service. The provisions of Nos. 5.29, 5.30 and 5.31 apply. (WRC-03)', '[5.505]: Additional allocation: in Algeria, Saudi Arabia, Bahrain, Botswana, Brunei Darussalam, Cameroon, China, Congo (Rep. of the), Korea (Rep. of), Djibouti, Egypt, the United Arab Emirates, Gabon, Guinea, India, Indonesia, Iran (Islamic Republic of), Iraq, Israel, Japan, Jordan, Kuwait, Lebanon, Malaysia, Mali, Morocco, Mauritania, Oman, the Philippines, Qatar, the Syrian Arab Republic, the Dem. People’s Rep. of Korea, Singapore, Somalia, Sudan, South Sudan, Swaziland, Chad, Viet Nam and Yemen, the frequency band 14-14.3 GHz is also allocated to the fixed service on a primary basis. (WRC-15)']),
    (14250000000, 14300000001): (False, False, False, False, False, ['Fixed-Satellite (Earth-To-Space) [5.457A][5.457B][5.484A][5.484B][5.506][5.506B]', 'Radionavigation [5.504]'], ['Mobile-Satellite (Earth-To-Space) [5.504B][5.506A][5.508A]', 'Space Research'], ['[5.457A]: In the frequency bands 5 925-6 425 MHz and 14-14.5 GHz, earth stations located on board vessels may communicate with space stations of the fixed-satellite service. Such use shall be in accordance with Resolution 902 (WRC-03). In the frequency band 5 925-6 425 MHz, earth stations located on board vessels and communicating with space stations of the fixed-satellite service may employ transmit antennas with minimum diameter of 1.2 m and operate without prior agreement of any administration if located at least 330 km away from the low-water mark as officially recognized by the coastal State. All other provisions of Resolution 902 (WRC-03) shall apply. (WRC-15)', '[5.457B]: In the frequency bands 5 925-6 425 MHz and 14-14.5 GHz, earth stations located on board vessels may operate with the characteristics and under the conditions contained in Resolution 902 (WRC-03) in Algeria, Saudi Arabia, Bahrain, Comoros, Djibouti, Egypt, United Arab Emirates, Jordan, Kuwait, Libya, Morocco, Mauritania, Oman, Qatar, the Syrian Arab Republic, Sudan, Tunisia and Yemen, in the maritime mobile-satellite service on a secondary basis. Such use shall be in accordance with Resolution 902 (WRC-03). (WRC-15)', '[5.484A]: The use of the bands 10.95-11.2 GHz (space-to-Earth), 11.45-11.7 GHz (space-to-Earth), 11.7-12.2 GHz (space-to-Earth) in Region 2, 12.2-12.75 GHz (space-to-Earth) in Region 3, 12.5-12.75 GHz (space-to-Earth) in Region 1, 13.75-14.5 GHz (Earth-to-space), 17.8-18.6 GHz (space-to-Earth), 19.7-20.2 GHz (space-to-Earth), 27.5-28.6 GHz (Earth-to-space), 29.5-30 GHz (Earth-to-space) by a non-geostationary-satellite system in the fixed-satellite service is subject to application of the provisions of No. 9.12 for coordination with other non-geostationary-satellite systems in the fixed-satellite service. Non-geostationary-satellite systems in the fixed-satellite service shall not claim protection from geostationary-satellite networks in the fixed-satellite service operating in accordance with the Radio Regulations, irrespective of the dates of receipt by the Bureau of the complete coordination or notification information, as appropriate, for the non-geostationary-satellite systems in the fixed-satellite service and of the complete coordination or notification information, as appropriate, for the geostationary-satellite networks, and No. 5.43A does not apply. Non-geostationary-satellite systems in the fixed-satellite service in the above bands shall be operated in such a way that any unacceptable interference that may occur during their operation shall be rapidly eliminated. (WRC-2000)', '[5.484B]: Resolution 155 (WRC-15) shall apply. (WRC-15)', '[5.506]: The band 14-14.5 GHz may be used, within the fixed-satellite service (Earth-to-space), for feeder links for the broadcasting-satellite service, subject to coordination with other networks in the fixed-satellite service. Such use of feeder links is reserved for countries outside Europe.', '[5.506B]: Earth stations located on board vessels communicating with space stations in the fixed-satellite service may operate in the frequency band 14-14.5 GHz without the need for prior agreement from Cyprus and Malta, within the minimum distance given in Resolution 902 (WRC-03) from these countries. (WRC-15)', '[5.504]: The use of the band 14-14.3 GHz by the radionavigation service shall be such as to provide sufficient protection to space stations of the fixed-satellite service.', '[5.504B]: Aircraft earth stations operating in the aeronautical mobile-satellite service in the frequency band 14-14.5 GHz shall comply with the provisions of Annex 1, Part C of Recommendation ITU-R M.1643-0, with respect to any radio astronomy station performing observations in the 14.47-14.5 GHz frequency band located on the territory of Spain, France, India, Italy, the United Kingdom and South Africa. (WRC-15)', '[5.506A]: In the band 14-14.5 GHz, ship earth stations with an e.i.r.p. greater than 21 dBW shall operate under the same conditions as earth stations located on board vessels, as provided in Resolution 902 (WRC-03). This footnote shall not apply to ship earth stations for which the complete Appendix 4 information has been received by the Bureau prior to 5 July 2003. (WRC-03)', '[5.508A]: In the frequency band 14.25-14.3 GHz, the power flux-density produced on the territory of the countries of Saudi Arabia, Bahrain, Botswana, China, Côte d’Ivoire, Egypt, France, Guinea, India, Iran (Islamic Republic of), Italy, Kuwait, Nigeria, Oman, the Syrian Arab Republic, the United Kingdom and Tunisia by any aircraft earth station in the aeronautical mobile-satellite service shall not exceed the limits given in Annex 1, Part B of Recommendation ITU-R M.1643-0, unless otherwise specifically agreed by the affected administration(s). The provisions of this footnote in no way derogate the obligations of the aeronautical mobile-satellite service to operate as a secondary service in accordance with No. 5.29. (WRC-15)', '[5.504A]: In the band 14-14.5 GHz, aircraft earth stations in the secondary aeronautical mobile-satellite service may also communicate with space stations in the fixed-satellite service. The provisions of Nos. 5.29, 5.30 and 5.31 apply. (WRC-03)', '[5.505]: Additional allocation: in Algeria, Saudi Arabia, Bahrain, Botswana, Brunei Darussalam, Cameroon, China, Congo (Rep. of the), Korea (Rep. of), Djibouti, Egypt, the United Arab Emirates, Gabon, Guinea, India, Indonesia, Iran (Islamic Republic of), Iraq, Israel, Japan, Jordan, Kuwait, Lebanon, Malaysia, Mali, Morocco, Mauritania, Oman, the Philippines, Qatar, the Syrian Arab Republic, the Dem. People’s Rep. of Korea, Singapore, Somalia, Sudan, South Sudan, Swaziland, Chad, Viet Nam and Yemen, the frequency band 14-14.3 GHz is also allocated to the fixed service on a primary basis. (WRC-15)', '[5.508]: Additional allocation: in Germany, France, Italy, Libya, The Former Yugoslav Rep. of Macedonia and the United Kingdom, the band 14.25-14.3 GHz is also allocated to the fixed service on a primary basis. (WRC-12)']),
    (14300000000, 14400000001): (False, True, True, False, False, ['Fixed-Satellite (Earth-To-Space) [5.457A][5.484A][5.484B][5.506][5.506B]', 'Mobile Except Aeronautical Mobile'], ['Mobile-Satellite (Earth-To-Space) [5.504B][5.506A][5.509A]', 'Radionavigation-Satellite'], ['[5.457A]: In the frequency bands 5 925-6 425 MHz and 14-14.5 GHz, earth stations located on board vessels may communicate with space stations of the fixed-satellite service. Such use shall be in accordance with Resolution 902 (WRC-03). In the frequency band 5 925-6 425 MHz, earth stations located on board vessels and communicating with space stations of the fixed-satellite service may employ transmit antennas with minimum diameter of 1.2 m and operate without prior agreement of any administration if located at least 330 km away from the low-water mark as officially recognized by the coastal State. All other provisions of Resolution 902 (WRC-03) shall apply. (WRC-15)', '[5.484A]: The use of the bands 10.95-11.2 GHz (space-to-Earth), 11.45-11.7 GHz (space-to-Earth), 11.7-12.2 GHz (space-to-Earth) in Region 2, 12.2-12.75 GHz (space-to-Earth) in Region 3, 12.5-12.75 GHz (space-to-Earth) in Region 1, 13.75-14.5 GHz (Earth-to-space), 17.8-18.6 GHz (space-to-Earth), 19.7-20.2 GHz (space-to-Earth), 27.5-28.6 GHz (Earth-to-space), 29.5-30 GHz (Earth-to-space) by a non-geostationary-satellite system in the fixed-satellite service is subject to application of the provisions of No. 9.12 for coordination with other non-geostationary-satellite systems in the fixed-satellite service. Non-geostationary-satellite systems in the fixed-satellite service shall not claim protection from geostationary-satellite networks in the fixed-satellite service operating in accordance with the Radio Regulations, irrespective of the dates of receipt by the Bureau of the complete coordination or notification information, as appropriate, for the non-geostationary-satellite systems in the fixed-satellite service and of the complete coordination or notification information, as appropriate, for the geostationary-satellite networks, and No. 5.43A does not apply. Non-geostationary-satellite systems in the fixed-satellite service in the above bands shall be operated in such a way that any unacceptable interference that may occur during their operation shall be rapidly eliminated. (WRC-2000)', '[5.484B]: Resolution 155 (WRC-15) shall apply. (WRC-15)', '[5.506]: The band 14-14.5 GHz may be used, within the fixed-satellite service (Earth-to-space), for feeder links for the broadcasting-satellite service, subject to coordination with other networks in the fixed-satellite service. Such use of feeder links is reserved for countries outside Europe.', '[5.506B]: Earth stations located on board vessels communicating with space stations in the fixed-satellite service may operate in the frequency band 14-14.5 GHz without the need for prior agreement from Cyprus and Malta, within the minimum distance given in Resolution 902 (WRC-03) from these countries. (WRC-15)', '[5.504B]: Aircraft earth stations operating in the aeronautical mobile-satellite service in the frequency band 14-14.5 GHz shall comply with the provisions of Annex 1, Part C of Recommendation ITU-R M.1643-0, with respect to any radio astronomy station performing observations in the 14.47-14.5 GHz frequency band located on the territory of Spain, France, India, Italy, the United Kingdom and South Africa. (WRC-15)', '[5.506A]: In the band 14-14.5 GHz, ship earth stations with an e.i.r.p. greater than 21 dBW shall operate under the same conditions as earth stations located on board vessels, as provided in Resolution 902 (WRC-03). This footnote shall not apply to ship earth stations for which the complete Appendix 4 information has been received by the Bureau prior to 5 July 2003. (WRC-03)', '[5.509A]: In the frequency band 14.3-14.5 GHz, the power flux-density produced on the territory of the countries of Saudi Arabia, Bahrain, Botswana, Cameroon, China, Côte d’Ivoire, Egypt, France, Gabon, Guinea, India, Iran (Islamic Republic of), Italy, Kuwait, Morocco, Nigeria, Oman, the Syrian Arab Republic, the United Kingdom, Sri Lanka, Tunisia and Viet Nam by any aircraft earth station in the aeronautical mobile-satellite service shall not exceed the limits given in Annex 1, Part B of Recommendation ITU-R M.1643-0, unless otherwise specifically agreed by the affected administration(s). The provisions of this footnote in no way derogate the obligations of the aeronautical mobile-satellite service to operate as a secondary service in accordance with No. 5.29. (WRC-15)', '[5.504A]: In the band 14-14.5 GHz, aircraft earth stations in the secondary aeronautical mobile-satellite service may also communicate with space stations in the fixed-satellite service. The provisions of Nos. 5.29, 5.30 and 5.31 apply. (WRC-03)']),
    (14400000000, 14470000001): (False, True, True, False, False, ['Fixed-Satellite (Earth-To-Space) [5.457A][5.457B][5.484A][5.484B][5.506][5.506B]', 'Mobile Except Aeronautical Mobile'], ['Mobile-Satellite (Earth-To-Space) [5.504B][5.506A][5.509A]', 'Space Research (Space-To-Earth)'], ['[5.457A]: In the frequency bands 5 925-6 425 MHz and 14-14.5 GHz, earth stations located on board vessels may communicate with space stations of the fixed-satellite service. Such use shall be in accordance with Resolution 902 (WRC-03). In the frequency band 5 925-6 425 MHz, earth stations located on board vessels and communicating with space stations of the fixed-satellite service may employ transmit antennas with minimum diameter of 1.2 m and operate without prior agreement of any administration if located at least 330 km away from the low-water mark as officially recognized by the coastal State. All other provisions of Resolution 902 (WRC-03) shall apply. (WRC-15)', '[5.457B]: In the frequency bands 5 925-6 425 MHz and 14-14.5 GHz, earth stations located on board vessels may operate with the characteristics and under the conditions contained in Resolution 902 (WRC-03) in Algeria, Saudi Arabia, Bahrain, Comoros, Djibouti, Egypt, United Arab Emirates, Jordan, Kuwait, Libya, Morocco, Mauritania, Oman, Qatar, the Syrian Arab Republic, Sudan, Tunisia and Yemen, in the maritime mobile-satellite service on a secondary basis. Such use shall be in accordance with Resolution 902 (WRC-03). (WRC-15)', '[5.484A]: The use of the bands 10.95-11.2 GHz (space-to-Earth), 11.45-11.7 GHz (space-to-Earth), 11.7-12.2 GHz (space-to-Earth) in Region 2, 12.2-12.75 GHz (space-to-Earth) in Region 3, 12.5-12.75 GHz (space-to-Earth) in Region 1, 13.75-14.5 GHz (Earth-to-space), 17.8-18.6 GHz (space-to-Earth), 19.7-20.2 GHz (space-to-Earth), 27.5-28.6 GHz (Earth-to-space), 29.5-30 GHz (Earth-to-space) by a non-geostationary-satellite system in the fixed-satellite service is subject to application of the provisions of No. 9.12 for coordination with other non-geostationary-satellite systems in the fixed-satellite service. Non-geostationary-satellite systems in the fixed-satellite service shall not claim protection from geostationary-satellite networks in the fixed-satellite service operating in accordance with the Radio Regulations, irrespective of the dates of receipt by the Bureau of the complete coordination or notification information, as appropriate, for the non-geostationary-satellite systems in the fixed-satellite service and of the complete coordination or notification information, as appropriate, for the geostationary-satellite networks, and No. 5.43A does not apply. Non-geostationary-satellite systems in the fixed-satellite service in the above bands shall be operated in such a way that any unacceptable interference that may occur during their operation shall be rapidly eliminated. (WRC-2000)', '[5.484B]: Resolution 155 (WRC-15) shall apply. (WRC-15)', '[5.506]: The band 14-14.5 GHz may be used, within the fixed-satellite service (Earth-to-space), for feeder links for the broadcasting-satellite service, subject to coordination with other networks in the fixed-satellite service. Such use of feeder links is reserved for countries outside Europe.', '[5.506B]: Earth stations located on board vessels communicating with space stations in the fixed-satellite service may operate in the frequency band 14-14.5 GHz without the need for prior agreement from Cyprus and Malta, within the minimum distance given in Resolution 902 (WRC-03) from these countries. (WRC-15)', '[5.504B]: Aircraft earth stations operating in the aeronautical mobile-satellite service in the frequency band 14-14.5 GHz shall comply with the provisions of Annex 1, Part C of Recommendation ITU-R M.1643-0, with respect to any radio astronomy station performing observations in the 14.47-14.5 GHz frequency band located on the territory of Spain, France, India, Italy, the United Kingdom and South Africa. (WRC-15)', '[5.506A]: In the band 14-14.5 GHz, ship earth stations with an e.i.r.p. greater than 21 dBW shall operate under the same conditions as earth stations located on board vessels, as provided in Resolution 902 (WRC-03). This footnote shall not apply to ship earth stations for which the complete Appendix 4 information has been received by the Bureau prior to 5 July 2003. (WRC-03)', '[5.509A]: In the frequency band 14.3-14.5 GHz, the power flux-density produced on the territory of the countries of Saudi Arabia, Bahrain, Botswana, Cameroon, China, Côte d’Ivoire, Egypt, France, Gabon, Guinea, India, Iran (Islamic Republic of), Italy, Kuwait, Morocco, Nigeria, Oman, the Syrian Arab Republic, the United Kingdom, Sri Lanka, Tunisia and Viet Nam by any aircraft earth station in the aeronautical mobile-satellite service shall not exceed the limits given in Annex 1, Part B of Recommendation ITU-R M.1643-0, unless otherwise specifically agreed by the affected administration(s). The provisions of this footnote in no way derogate the obligations of the aeronautical mobile-satellite service to operate as a secondary service in accordance with No. 5.29. (WRC-15)', '[5.504A]: In the band 14-14.5 GHz, aircraft earth stations in the secondary aeronautical mobile-satellite service may also communicate with space stations in the fixed-satellite service. The provisions of Nos. 5.29, 5.30 and 5.31 apply. (WRC-03)']),
    (14470000000, 14500000001): (False, True, True, False, False, ['Fixed-Satellite (Earth-To-Space) [5.457A][5.457B][5.484A][5.506][5.506B]', 'Mobile Except Aeronautical Mobile'], ['Mobile-Satellite (Earth-To-Space) [5.504B][5.506A][5.509A]', 'Radio Astronomy'], ['[5.457A]: In the frequency bands 5 925-6 425 MHz and 14-14.5 GHz, earth stations located on board vessels may communicate with space stations of the fixed-satellite service. Such use shall be in accordance with Resolution 902 (WRC-03). In the frequency band 5 925-6 425 MHz, earth stations located on board vessels and communicating with space stations of the fixed-satellite service may employ transmit antennas with minimum diameter of 1.2 m and operate without prior agreement of any administration if located at least 330 km away from the low-water mark as officially recognized by the coastal State. All other provisions of Resolution 902 (WRC-03) shall apply. (WRC-15)', '[5.457B]: In the frequency bands 5 925-6 425 MHz and 14-14.5 GHz, earth stations located on board vessels may operate with the characteristics and under the conditions contained in Resolution 902 (WRC-03) in Algeria, Saudi Arabia, Bahrain, Comoros, Djibouti, Egypt, United Arab Emirates, Jordan, Kuwait, Libya, Morocco, Mauritania, Oman, Qatar, the Syrian Arab Republic, Sudan, Tunisia and Yemen, in the maritime mobile-satellite service on a secondary basis. Such use shall be in accordance with Resolution 902 (WRC-03). (WRC-15)', '[5.484A]: The use of the bands 10.95-11.2 GHz (space-to-Earth), 11.45-11.7 GHz (space-to-Earth), 11.7-12.2 GHz (space-to-Earth) in Region 2, 12.2-12.75 GHz (space-to-Earth) in Region 3, 12.5-12.75 GHz (space-to-Earth) in Region 1, 13.75-14.5 GHz (Earth-to-space), 17.8-18.6 GHz (space-to-Earth), 19.7-20.2 GHz (space-to-Earth), 27.5-28.6 GHz (Earth-to-space), 29.5-30 GHz (Earth-to-space) by a non-geostationary-satellite system in the fixed-satellite service is subject to application of the provisions of No. 9.12 for coordination with other non-geostationary-satellite systems in the fixed-satellite service. Non-geostationary-satellite systems in the fixed-satellite service shall not claim protection from geostationary-satellite networks in the fixed-satellite service operating in accordance with the Radio Regulations, irrespective of the dates of receipt by the Bureau of the complete coordination or notification information, as appropriate, for the non-geostationary-satellite systems in the fixed-satellite service and of the complete coordination or notification information, as appropriate, for the geostationary-satellite networks, and No. 5.43A does not apply. Non-geostationary-satellite systems in the fixed-satellite service in the above bands shall be operated in such a way that any unacceptable interference that may occur during their operation shall be rapidly eliminated. (WRC-2000)', '[5.506]: The band 14-14.5 GHz may be used, within the fixed-satellite service (Earth-to-space), for feeder links for the broadcasting-satellite service, subject to coordination with other networks in the fixed-satellite service. Such use of feeder links is reserved for countries outside Europe.', '[5.506B]: Earth stations located on board vessels communicating with space stations in the fixed-satellite service may operate in the frequency band 14-14.5 GHz without the need for prior agreement from Cyprus and Malta, within the minimum distance given in Resolution 902 (WRC-03) from these countries. (WRC-15)', '[5.504B]: Aircraft earth stations operating in the aeronautical mobile-satellite service in the frequency band 14-14.5 GHz shall comply with the provisions of Annex 1, Part C of Recommendation ITU-R M.1643-0, with respect to any radio astronomy station performing observations in the 14.47-14.5 GHz frequency band located on the territory of Spain, France, India, Italy, the United Kingdom and South Africa. (WRC-15)', '[5.506A]: In the band 14-14.5 GHz, ship earth stations with an e.i.r.p. greater than 21 dBW shall operate under the same conditions as earth stations located on board vessels, as provided in Resolution 902 (WRC-03). This footnote shall not apply to ship earth stations for which the complete Appendix 4 information has been received by the Bureau prior to 5 July 2003. (WRC-03)', '[5.509A]: In the frequency band 14.3-14.5 GHz, the power flux-density produced on the territory of the countries of Saudi Arabia, Bahrain, Botswana, Cameroon, China, Côte d’Ivoire, Egypt, France, Gabon, Guinea, India, Iran (Islamic Republic of), Italy, Kuwait, Morocco, Nigeria, Oman, the Syrian Arab Republic, the United Kingdom, Sri Lanka, Tunisia and Viet Nam by any aircraft earth station in the aeronautical mobile-satellite service shall not exceed the limits given in Annex 1, Part B of Recommendation ITU-R M.1643-0, unless otherwise specifically agreed by the affected administration(s). The provisions of this footnote in no way derogate the obligations of the aeronautical mobile-satellite service to operate as a secondary service in accordance with No. 5.29. (WRC-15)', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.504A]: In the band 14-14.5 GHz, aircraft earth stations in the secondary aeronautical mobile-satellite service may also communicate with space stations in the fixed-satellite service. The provisions of Nos. 5.29, 5.30 and 5.31 apply. (WRC-03)']),
    (14500000000, 14750000001): (False, True, True, False, False, ['Fixed-Satellite (Earth-To-Space) [5.509B][5.509C][5.509D][5.509E][5.509F][5.510]'], ['Space Research [5.509G]'], ['[5.509B]: The use of the frequency bands 14.5-14.75 GHz in countries listed in Resolution 163 (WRC-15) and 14.5-14.8 GHz in countries listed in Resolution 164 (WRC-15) by the fixed-satellite service (Earth-to-space) not for feeder links for the broadcasting-satellite service is limited to geostationary-satellites. (WRC-15)', '[5.509C]: For the use of the frequency bands 14.5-14.75 GHz in countries listed in Resolution 163 (WRC-15) and 14.5-14.8 GHz in countries listed in Resolution 164 (WRC-15) by the fixed-satellite service (Earth-to-space) not for feeder links for the broadcasting-satellite service, the fixed-satellite service earth stations shall have a minimum antenna diameter of 6 m and a maximum power spectral density of −44.5 dBW/Hz at the input of the antenna. The earth stations shall be notified at known locations on land. (WRC-15)', '[5.509D]: Before an administration brings into use an earth station in the fixed-satellite service (Earth-to-space) not for feeder links for the broadcasting-satellite service in the frequency bands 14.5-14.75 GHz (in countries listed in Resolution 163 (WRC-15)) and 14.5-14.8 GHz (in countries listed in Resolution 164 (WRC-15)), it shall ensure that the power flux-density produced by this earth station does not exceed −151.5 dB(W/(m2 · 4 kHz)) produced at all altitudes from 0 m to 19 000 m above sea level at 22 km seaward from all coasts, defined as the low-water mark, as officially recognized by each coastal State. (WRC-15)', '[5.509E]: In the frequency bands 14.50-14.75 GHz in countries listed in Resolution 163 (WRC-15) and 14.50-14.8 GHz in countries listed in Resolution 164 (WRC-15), the location of earth stations in the fixed-satellite service (Earth-to-space) not for feeder links for the broadcasting-satellite service shall maintain a separation distance of at least 500 km from the border(s) of other countries unless shorter distances are explicitly agreed by those administrations. No. 9.17 does not apply. When applying this provision, administrations should consider the relevant parts of these Regulations and the latest relevant ITU-R Recommendations. (WRC-15)', '[5.509F]: In the frequency bands 14.50-14.75 GHz in countries listed in Resolution 163 (WRC-15) and 14.50-14.8 GHz in countries listed in Resolution 164 (WRC-15), earth stations in the fixed-satellite service (Earth-to-space) not for feeder links for the broadcasting-satellite service shall not constrain the future deployment of the fixed and mobile services. (WRC-15)', '[5.510]: Except for use in accordance with Resolution 163 (WRC-15) and Resolution 164 (WRC-15), the use of the frequency band 14.5-14.8 GHz by the fixed-satellite service (Earth-to-space) is limited to feeder links for the broadcasting-satellite service. This use is reserved for countries outside Europe. Uses other than feeder links for the broadcasting-satellite service are not authorized in Regions 1 and 2 in the frequency band 14.75-14.8 GHz. (WRC-15)', '[5.509G]: The frequency band 14.5-14.8 GHz is also allocated to the space research service on a primary basis. However, such use is limited to the satellite systems operating in the space research service (Earth-to-space) to relay data to space stations in the geostationary-satellite orbit from associated earth stations. Stations in the space research service shall not cause harmful interference to, or claim protection from, stations in the fixed and mobile services and in the fixed-satellite service limited to feeder links for the broadcasting-satellite service and associated space operations functions using the guardbands under Appendix 30A and feeder links for the broadcasting-satellite service in Region 2. Other uses of this frequency band by the space research service are on a secondary basis. (WRC-15)']),
    (14750000000, 14800000001): (False, True, True, False, False, ['Fixed-Satellite (Earth-To-Space) [5.509B][5.509C][5.509D][5.509E][5.509F][5.510]'], ['Space Research [5.509G]'], ['[5.509B]: The use of the frequency bands 14.5-14.75 GHz in countries listed in Resolution 163 (WRC-15) and 14.5-14.8 GHz in countries listed in Resolution 164 (WRC-15) by the fixed-satellite service (Earth-to-space) not for feeder links for the broadcasting-satellite service is limited to geostationary-satellites. (WRC-15)', '[5.509C]: For the use of the frequency bands 14.5-14.75 GHz in countries listed in Resolution 163 (WRC-15) and 14.5-14.8 GHz in countries listed in Resolution 164 (WRC-15) by the fixed-satellite service (Earth-to-space) not for feeder links for the broadcasting-satellite service, the fixed-satellite service earth stations shall have a minimum antenna diameter of 6 m and a maximum power spectral density of −44.5 dBW/Hz at the input of the antenna. The earth stations shall be notified at known locations on land. (WRC-15)', '[5.509D]: Before an administration brings into use an earth station in the fixed-satellite service (Earth-to-space) not for feeder links for the broadcasting-satellite service in the frequency bands 14.5-14.75 GHz (in countries listed in Resolution 163 (WRC-15)) and 14.5-14.8 GHz (in countries listed in Resolution 164 (WRC-15)), it shall ensure that the power flux-density produced by this earth station does not exceed −151.5 dB(W/(m2 · 4 kHz)) produced at all altitudes from 0 m to 19 000 m above sea level at 22 km seaward from all coasts, defined as the low-water mark, as officially recognized by each coastal State. (WRC-15)', '[5.509E]: In the frequency bands 14.50-14.75 GHz in countries listed in Resolution 163 (WRC-15) and 14.50-14.8 GHz in countries listed in Resolution 164 (WRC-15), the location of earth stations in the fixed-satellite service (Earth-to-space) not for feeder links for the broadcasting-satellite service shall maintain a separation distance of at least 500 km from the border(s) of other countries unless shorter distances are explicitly agreed by those administrations. No. 9.17 does not apply. When applying this provision, administrations should consider the relevant parts of these Regulations and the latest relevant ITU-R Recommendations. (WRC-15)', '[5.509F]: In the frequency bands 14.50-14.75 GHz in countries listed in Resolution 163 (WRC-15) and 14.50-14.8 GHz in countries listed in Resolution 164 (WRC-15), earth stations in the fixed-satellite service (Earth-to-space) not for feeder links for the broadcasting-satellite service shall not constrain the future deployment of the fixed and mobile services. (WRC-15)', '[5.510]: Except for use in accordance with Resolution 163 (WRC-15) and Resolution 164 (WRC-15), the use of the frequency band 14.5-14.8 GHz by the fixed-satellite service (Earth-to-space) is limited to feeder links for the broadcasting-satellite service. This use is reserved for countries outside Europe. Uses other than feeder links for the broadcasting-satellite service are not authorized in Regions 1 and 2 in the frequency band 14.75-14.8 GHz. (WRC-15)', '[5.509G]: The frequency band 14.5-14.8 GHz is also allocated to the space research service on a primary basis. However, such use is limited to the satellite systems operating in the space research service (Earth-to-space) to relay data to space stations in the geostationary-satellite orbit from associated earth stations. Stations in the space research service shall not cause harmful interference to, or claim protection from, stations in the fixed and mobile services and in the fixed-satellite service limited to feeder links for the broadcasting-satellite service and associated space operations functions using the guardbands under Appendix 30A and feeder links for the broadcasting-satellite service in Region 2. Other uses of this frequency band by the space research service are on a secondary basis. (WRC-15)']),
    (14800000000, 15350000001): (False, True, True, False, False, [], ['Space Research'], ['[5.339]: The bands 1 370-1 400 MHz, 2 640-2 655 MHz, 4 950-4 990 MHz and 15.20-15.35 GHz are also allocated to the space research (passive) and Earth exploration-satellite (passive) services on a secondary basis.']),
    (15350000000, 15400000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Passive)', 'Radio Astronomy', 'Space Research (Passive)'], [], ['[5.340]: All emissions are prohibited in the following bands:1 400-1 427 MHz, 2 690-2 700 MHz, except those provided for by No. 5.422, 10.68-10.7 GHz, except those provided for by No. 5.483, 15.35-15.4 GHz, except those provided for by No. 5.511, 23.6-24 GHz, 31.3-31.5 GHz, 31.5-31.8 GHz, in Region 2, 48.94-49.04 GHz, from airborne stations 50.2-50.4 GHz2, 52.6-54.25 GHz, 86-92 GHz, 100-102 GHz, 109.5-111.8 GHz, 114.25-116 GHz, 148.5-151.5 GHz, 164-167 GHz, 182-185 GHz, 190-191.8 GHz, 200-209 GHz, 226-231.5 GHz, 250-252 GHz. (WRC-03) ', '[5.511]: Additional allocation: in Saudi Arabia, Bahrain, Cameroon, Egypt, the United Arab Emirates, Guinea, Iran (Islamic Republic of), Iraq, Israel, Kuwait, Lebanon, Oman, Pakistan, Qatar, the Syrian Arab Republic and Somalia, the band 15.35-15.4 GHz is also allocated to the fixed and mobile services on a secondary basis. (WRC-12)']),
    (15400000000, 15430000001): (False, False, False, False, False, ['Radiolocation [5.511E][5.511F]', 'Aeronautical Radionavigation'], [], ['[5.511E]: In the frequency band 15.4-15.7 GHz, stations operating in the radiolocation service shall not cause harmful interference to, or claim protection from, stations operating in the aeronautical radionavigation service. (WRC-12)', '[5.511F]: In order to protect the radio astronomy service in the frequency band 15.35-15.4 GHz, radiolocation stations operating in the frequency band 15.4-15.7 GHz shall not exceed the power flux-density level of −156 dB(W/m2) in a 50 MHz bandwidth in the frequency band 15.35-15.4 GHz, at any radio astronomy observatory site for more than 2 per cent of the time. (WRC-12)']),
    (15430000000, 15630000001): (False, False, False, False, False, ['Fixed-Satellite (Earth-To-Space) [5.511A]', 'Radiolocation [5.511E][5.511F]', 'Aeronautical Radionavigation'], [], ['[5.511A]: Use of the frequency band 15.43-15.63 GHz by the fixed-satellite service (Earth-to-space) is limited to feeder links of non-geostationary systems in the mobile-satellite service, subject to coordination under No. 9.11A. (WRC-15)', '[5.511E]: In the frequency band 15.4-15.7 GHz, stations operating in the radiolocation service shall not cause harmful interference to, or claim protection from, stations operating in the aeronautical radionavigation service. (WRC-12)', '[5.511F]: In order to protect the radio astronomy service in the frequency band 15.35-15.4 GHz, radiolocation stations operating in the frequency band 15.4-15.7 GHz shall not exceed the power flux-density level of −156 dB(W/m2) in a 50 MHz bandwidth in the frequency band 15.35-15.4 GHz, at any radio astronomy observatory site for more than 2 per cent of the time. (WRC-12)', '[5.511C]: Stations operating in the aeronautical radionavigation service shall limit the effective e.i.r.p. in accordance with Recommendation ITU-R S.1340-0. The minimum coordination distance required to protect the aeronautical radionavigation stations (No. 4.10 applies) from harmful interference from feeder-link earth stations and the maximum e.i.r.p. transmitted towards the local horizontal plane by a feeder-link earth station shall be in accordance with Recommendation ITU-R S.1340-0. (WRC-15)']),
    (15630000000, 15700000001): (False, False, False, False, False, ['Radiolocation [5.511E][5.511F]', 'Aeronautical Radionavigation'], [], ['[5.511E]: In the frequency band 15.4-15.7 GHz, stations operating in the radiolocation service shall not cause harmful interference to, or claim protection from, stations operating in the aeronautical radionavigation service. (WRC-12)', '[5.511F]: In order to protect the radio astronomy service in the frequency band 15.35-15.4 GHz, radiolocation stations operating in the frequency band 15.4-15.7 GHz shall not exceed the power flux-density level of −156 dB(W/m2) in a 50 MHz bandwidth in the frequency band 15.35-15.4 GHz, at any radio astronomy observatory site for more than 2 per cent of the time. (WRC-12)']),
    (15700000000, 16600000001): (False, False, False, False, False, ['Radiolocation'], [], ['[5.512]: Additional allocation: in Algeria, Saudi Arabia, Austria, Bahrain, Bangladesh, Brunei Darussalam, Cameroon, Congo (Rep. of the), Egypt, El Salvador, the United Arab Emirates, Eritrea, Finland, Guatemala, India, Indonesia, Iran (Islamic Republic of), Jordan, Kenya, Kuwait, Lebanon, Libya, Malaysia, Mali, Morocco, Mauritania, Montenegro, Nepal, Nicaragua, Niger, Oman, Pakistan, Qatar, Syrian Arab Republic, the Dem. Rep. of the Congo, Singapore, Somalia, Sudan, South Sudan, Chad, Togo and Yemen, the frequency band 15.7-17.3 GHz is also allocated to the fixed and mobile services on a primary basis. (WRC-15)', '[5.513]: Additional allocation: in Israel, the band 15.7-17.3 GHz is also allocated to the fixed and mobile services on a primary basis. These services shall not claim protection from or cause harmful interference to services operating in accordance with the Table in countries other than those included in No. 5.512.']),
    (16600000000, 17100000001): (False, False, False, False, False, ['Radiolocation'], ['Space Research (Deep Space)', 'Space Research (Earth-To-Space)'], ['[5.512]: Additional allocation: in Algeria, Saudi Arabia, Austria, Bahrain, Bangladesh, Brunei Darussalam, Cameroon, Congo (Rep. of the), Egypt, El Salvador, the United Arab Emirates, Eritrea, Finland, Guatemala, India, Indonesia, Iran (Islamic Republic of), Jordan, Kenya, Kuwait, Lebanon, Libya, Malaysia, Mali, Morocco, Mauritania, Montenegro, Nepal, Nicaragua, Niger, Oman, Pakistan, Qatar, Syrian Arab Republic, the Dem. Rep. of the Congo, Singapore, Somalia, Sudan, South Sudan, Chad, Togo and Yemen, the frequency band 15.7-17.3 GHz is also allocated to the fixed and mobile services on a primary basis. (WRC-15)', '[5.513]: Additional allocation: in Israel, the band 15.7-17.3 GHz is also allocated to the fixed and mobile services on a primary basis. These services shall not claim protection from or cause harmful interference to services operating in accordance with the Table in countries other than those included in No. 5.512.']),
    (17100000000, 17200000001): (False, False, False, False, False, ['Radiolocation'], [], ['[5.512]: Additional allocation: in Algeria, Saudi Arabia, Austria, Bahrain, Bangladesh, Brunei Darussalam, Cameroon, Congo (Rep. of the), Egypt, El Salvador, the United Arab Emirates, Eritrea, Finland, Guatemala, India, Indonesia, Iran (Islamic Republic of), Jordan, Kenya, Kuwait, Lebanon, Libya, Malaysia, Mali, Morocco, Mauritania, Montenegro, Nepal, Nicaragua, Niger, Oman, Pakistan, Qatar, Syrian Arab Republic, the Dem. Rep. of the Congo, Singapore, Somalia, Sudan, South Sudan, Chad, Togo and Yemen, the frequency band 15.7-17.3 GHz is also allocated to the fixed and mobile services on a primary basis. (WRC-15)', '[5.513]: Additional allocation: in Israel, the band 15.7-17.3 GHz is also allocated to the fixed and mobile services on a primary basis. These services shall not claim protection from or cause harmful interference to services operating in accordance with the Table in countries other than those included in No. 5.512.']),
    (17200000000, 17300000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Active)', 'Radiolocation', 'Space Research (Active)'], [], ['[5.512]: Additional allocation: in Algeria, Saudi Arabia, Austria, Bahrain, Bangladesh, Brunei Darussalam, Cameroon, Congo (Rep. of the), Egypt, El Salvador, the United Arab Emirates, Eritrea, Finland, Guatemala, India, Indonesia, Iran (Islamic Republic of), Jordan, Kenya, Kuwait, Lebanon, Libya, Malaysia, Mali, Morocco, Mauritania, Montenegro, Nepal, Nicaragua, Niger, Oman, Pakistan, Qatar, Syrian Arab Republic, the Dem. Rep. of the Congo, Singapore, Somalia, Sudan, South Sudan, Chad, Togo and Yemen, the frequency band 15.7-17.3 GHz is also allocated to the fixed and mobile services on a primary basis. (WRC-15)', '[5.513]: Additional allocation: in Israel, the band 15.7-17.3 GHz is also allocated to the fixed and mobile services on a primary basis. These services shall not claim protection from or cause harmful interference to services operating in accordance with the Table in countries other than those included in No. 5.512.', '[5.513A]: Spaceborne active sensors operating in the band 17.2-17.3 GHz shall not cause harmful interference to, or constrain the development of, the radiolocation and other services allocated on a primary basis. (WRC-97)']),
    (17300000000, 17700000001): (False, False, False, False, False, ['Fixed-Satellite (Earth-To-Space) [5.516]'], ['Radiolocation'], ['[5.516]: The use of the band 17.3-18.1 GHz by geostationary-satellite systems in the fixed-satellite service (Earth-to-space) is limited to feeder links for the broadcasting-satellite service. The use of the band 17.3-17.8 GHz in Region 2 by systems in the fixed-satellite service (Earth-to-space) is limited to geostationary satellites. For the use of the band 17.3-17.8 GHz in Region 2 by feeder links for the broadcasting-satellite service in the band 12.2-12.7 GHz, see Article 11. The use of the bands 17.3-18.1 GHz (Earth-to-space) in Regions 1 and 3 and 17.8-18.1 GHz (Earth-to-space) in Region 2 by non-geostationary-satellite systems in the fixed-satellite service is subject to application of the provisions of No. 9.12 for coordination with other non-geostationary-satellite systems in the fixed-satellite service. Non-geostationary-satellite systems in the fixed-satellite service shall not claim protection from geostationary-satellite networks in the fixed-satellite service operating in accordance with the Radio Regulations, irrespective of the dates of receipt by the Bureau of the complete coordination or notification information, as appropriate, for the non-geostationary-satellite systems in the fixed-satellite service and of the complete coordination or notification information, as appropriate, for the geostationary-satellite networks, and No. 5.43A does not apply. Non-geostationary-satellite systems in the fixed-satellite service in the above bands shall be operated in such a way that any unacceptable interference that may occur during their operation shall be rapidly eliminated. (WRC-2000)', '[5.514]: Additional allocation: in Algeria, Saudi Arabia, Bahrain, Bangladesh, Cameroon, El Salvador, the United Arab Emirates, Guatemala, India, Iran (Islamic Republic of), Iraq, Israel, Italy, Japan, Jordan, Kuwait, Libya, Lithuania, Nepal, Nicaragua, Nigeria, Oman, Uzbekistan, Pakistan, Qatar, Kyrgyzstan, Sudan and South Sudan, the frequency band 17.3-17.7 GHz is also allocated to the fixed and mobile services on a secondary basis. The power limits given in Nos. 21.3 and 21.5 shall apply. (WRC-15)']),
    (17700000000, 18100000001): (False, True, True, False, False, ['Fixed-Satellite (Space-To-Earth) [5.484A]', 'Fixed-Satellite (Earth-To-Space) [5.516]'], [], ['[5.484A]: The use of the bands 10.95-11.2 GHz (space-to-Earth), 11.45-11.7 GHz (space-to-Earth), 11.7-12.2 GHz (space-to-Earth) in Region 2, 12.2-12.75 GHz (space-to-Earth) in Region 3, 12.5-12.75 GHz (space-to-Earth) in Region 1, 13.75-14.5 GHz (Earth-to-space), 17.8-18.6 GHz (space-to-Earth), 19.7-20.2 GHz (space-to-Earth), 27.5-28.6 GHz (Earth-to-space), 29.5-30 GHz (Earth-to-space) by a non-geostationary-satellite system in the fixed-satellite service is subject to application of the provisions of No. 9.12 for coordination with other non-geostationary-satellite systems in the fixed-satellite service. Non-geostationary-satellite systems in the fixed-satellite service shall not claim protection from geostationary-satellite networks in the fixed-satellite service operating in accordance with the Radio Regulations, irrespective of the dates of receipt by the Bureau of the complete coordination or notification information, as appropriate, for the non-geostationary-satellite systems in the fixed-satellite service and of the complete coordination or notification information, as appropriate, for the geostationary-satellite networks, and No. 5.43A does not apply. Non-geostationary-satellite systems in the fixed-satellite service in the above bands shall be operated in such a way that any unacceptable interference that may occur during their operation shall be rapidly eliminated. (WRC-2000)', '[5.516]: The use of the band 17.3-18.1 GHz by geostationary-satellite systems in the fixed-satellite service (Earth-to-space) is limited to feeder links for the broadcasting-satellite service. The use of the band 17.3-17.8 GHz in Region 2 by systems in the fixed-satellite service (Earth-to-space) is limited to geostationary satellites. For the use of the band 17.3-17.8 GHz in Region 2 by feeder links for the broadcasting-satellite service in the band 12.2-12.7 GHz, see Article 11. The use of the bands 17.3-18.1 GHz (Earth-to-space) in Regions 1 and 3 and 17.8-18.1 GHz (Earth-to-space) in Region 2 by non-geostationary-satellite systems in the fixed-satellite service is subject to application of the provisions of No. 9.12 for coordination with other non-geostationary-satellite systems in the fixed-satellite service. Non-geostationary-satellite systems in the fixed-satellite service shall not claim protection from geostationary-satellite networks in the fixed-satellite service operating in accordance with the Radio Regulations, irrespective of the dates of receipt by the Bureau of the complete coordination or notification information, as appropriate, for the non-geostationary-satellite systems in the fixed-satellite service and of the complete coordination or notification information, as appropriate, for the geostationary-satellite networks, and No. 5.43A does not apply. Non-geostationary-satellite systems in the fixed-satellite service in the above bands shall be operated in such a way that any unacceptable interference that may occur during their operation shall be rapidly eliminated. (WRC-2000)']),
    (18100000000, 18400000001): (False, True, True, False, False, ['Fixed-Satellite (Space-To-Earth) [5.484A][5.516B]', 'Fixed-Satellite (Earth-To-Space) [5.520]'], [], ['[5.484A]: The use of the bands 10.95-11.2 GHz (space-to-Earth), 11.45-11.7 GHz (space-to-Earth), 11.7-12.2 GHz (space-to-Earth) in Region 2, 12.2-12.75 GHz (space-to-Earth) in Region 3, 12.5-12.75 GHz (space-to-Earth) in Region 1, 13.75-14.5 GHz (Earth-to-space), 17.8-18.6 GHz (space-to-Earth), 19.7-20.2 GHz (space-to-Earth), 27.5-28.6 GHz (Earth-to-space), 29.5-30 GHz (Earth-to-space) by a non-geostationary-satellite system in the fixed-satellite service is subject to application of the provisions of No. 9.12 for coordination with other non-geostationary-satellite systems in the fixed-satellite service. Non-geostationary-satellite systems in the fixed-satellite service shall not claim protection from geostationary-satellite networks in the fixed-satellite service operating in accordance with the Radio Regulations, irrespective of the dates of receipt by the Bureau of the complete coordination or notification information, as appropriate, for the non-geostationary-satellite systems in the fixed-satellite service and of the complete coordination or notification information, as appropriate, for the geostationary-satellite networks, and No. 5.43A does not apply. Non-geostationary-satellite systems in the fixed-satellite service in the above bands shall be operated in such a way that any unacceptable interference that may occur during their operation shall be rapidly eliminated. (WRC-2000)', '[5.516B]: The following bands are identified for use by high-density applications in the fixed-satellite service:17.3-17.7 GHz (space-to-Earth) in Region 1, 18.3-19.3 GHz (space-to-Earth) in Region 2, 19.7-20.2 GHz (space-to-Earth) in all Regions, 39.5-40 GHz (space-to-Earth) in Region 1, 40-40.5 GHz (space-to-Earth) in all Regions, 40.5-42 GHz (space-to-Earth) in Region 2, 47.5-47.9 GHz (space-to-Earth) in Region 1, 48.2-48.54 GHz (space-to-Earth) in Region 1, 49.44-50.2 GHz (space-to-Earth) in Region 1, and 27.5-27.82 GHz (Earth-to-space) in Region 1, 28.35-28.45 GHz (Earth-to-space) in Region 2, 28.45-28.94 GHz (Earth-to-space) in all Regions, 28.94-29.1 GHz (Earth-to-space) in Region 2 and 3, 29.25-29.46 GHz (Earth-to-space) in Region 2, 29.46-30 GHz (Earth-to-space) in all Regions, 48.2-50.2 GHz (Earth-to-space) in Region 2. This identification does not preclude the use of these bands by other fixed-satellite service applications or by other services to which these bands are allocated on a co-primary basis and does not establish priority in these Radio Regulations among users of the bands. Administrations should take this into account when considering regulatory provisions in relation to these bands. See Resolution 143 (WRC-03)*. (WRC-03) ', '[5.520]: The use of the band 18.1-18.4 GHz by the fixed-satellite service (Earth-to-space) is limited to feeder links of geostationary-satellite systems in the broadcasting-satellite service. (WRC-2000)', '[5.519]: Additional allocation: the bands 18-18.3 GHz in Region 2 and 18.1-18.4 GHz in Regions 1 and 3 are also allocated to the meteorological-satellite service (space-to-Earth) on a primary basis. Their use is limited to geostationary satellites. (WRC-07)', '[5.521]: Alternative allocation: in the United Arab Emirates and Greece, the frequency band 18.1-18.4 GHz is allocated to the fixed, fixed-satellite (space-to-Earth) and mobile services on a primary basis (see No. 5.33). The provisions of No. 5.519 also apply. (WRC-15)']),
    (18400000000, 18600000001): (False, True, True, False, False, ['Fixed-Satellite (Space-To-Earth) [5.484A][5.516B]'], [], ['[5.484A]: The use of the bands 10.95-11.2 GHz (space-to-Earth), 11.45-11.7 GHz (space-to-Earth), 11.7-12.2 GHz (space-to-Earth) in Region 2, 12.2-12.75 GHz (space-to-Earth) in Region 3, 12.5-12.75 GHz (space-to-Earth) in Region 1, 13.75-14.5 GHz (Earth-to-space), 17.8-18.6 GHz (space-to-Earth), 19.7-20.2 GHz (space-to-Earth), 27.5-28.6 GHz (Earth-to-space), 29.5-30 GHz (Earth-to-space) by a non-geostationary-satellite system in the fixed-satellite service is subject to application of the provisions of No. 9.12 for coordination with other non-geostationary-satellite systems in the fixed-satellite service. Non-geostationary-satellite systems in the fixed-satellite service shall not claim protection from geostationary-satellite networks in the fixed-satellite service operating in accordance with the Radio Regulations, irrespective of the dates of receipt by the Bureau of the complete coordination or notification information, as appropriate, for the non-geostationary-satellite systems in the fixed-satellite service and of the complete coordination or notification information, as appropriate, for the geostationary-satellite networks, and No. 5.43A does not apply. Non-geostationary-satellite systems in the fixed-satellite service in the above bands shall be operated in such a way that any unacceptable interference that may occur during their operation shall be rapidly eliminated. (WRC-2000)', '[5.516B]: The following bands are identified for use by high-density applications in the fixed-satellite service:17.3-17.7 GHz (space-to-Earth) in Region 1, 18.3-19.3 GHz (space-to-Earth) in Region 2, 19.7-20.2 GHz (space-to-Earth) in all Regions, 39.5-40 GHz (space-to-Earth) in Region 1, 40-40.5 GHz (space-to-Earth) in all Regions, 40.5-42 GHz (space-to-Earth) in Region 2, 47.5-47.9 GHz (space-to-Earth) in Region 1, 48.2-48.54 GHz (space-to-Earth) in Region 1, 49.44-50.2 GHz (space-to-Earth) in Region 1, and 27.5-27.82 GHz (Earth-to-space) in Region 1, 28.35-28.45 GHz (Earth-to-space) in Region 2, 28.45-28.94 GHz (Earth-to-space) in all Regions, 28.94-29.1 GHz (Earth-to-space) in Region 2 and 3, 29.25-29.46 GHz (Earth-to-space) in Region 2, 29.46-30 GHz (Earth-to-space) in all Regions, 48.2-50.2 GHz (Earth-to-space) in Region 2. This identification does not preclude the use of these bands by other fixed-satellite service applications or by other services to which these bands are allocated on a co-primary basis and does not establish priority in these Radio Regulations among users of the bands. Administrations should take this into account when considering regulatory provisions in relation to these bands. See Resolution 143 (WRC-03)*. (WRC-03)']),
    (18600000000, 18800000001): (False, True, True, False, False, ['Earth Exploration-Satellite (Passive)', 'Fixed-Satellite (Space-To-Earth) [5.522B]', 'Mobile Except Aeronautical Mobile'], ['Space Research (Passive)'], ['[5.522B]: The use of the band 18.6-18.8 GHz by the fixed-satellite service is limited to geostationary systems and systems with an orbit of apogee greater than 20 000 km. (WRC-2000)', '[5.522A]: The emissions of the fixed service and the fixed-satellite service in the band 18.6-18.8 GHz are limited to the values given in Nos. 21.5A and 21.16.2, respectively. (WRC-2000)']),
    (18800000000, 19300000001): (False, True, True, False, False, ['Fixed-Satellite (Space-To-Earth) [5.516B][5.523A]'], [], ['[5.516B]: The following bands are identified for use by high-density applications in the fixed-satellite service:17.3-17.7 GHz (space-to-Earth) in Region 1, 18.3-19.3 GHz (space-to-Earth) in Region 2, 19.7-20.2 GHz (space-to-Earth) in all Regions, 39.5-40 GHz (space-to-Earth) in Region 1, 40-40.5 GHz (space-to-Earth) in all Regions, 40.5-42 GHz (space-to-Earth) in Region 2, 47.5-47.9 GHz (space-to-Earth) in Region 1, 48.2-48.54 GHz (space-to-Earth) in Region 1, 49.44-50.2 GHz (space-to-Earth) in Region 1, and 27.5-27.82 GHz (Earth-to-space) in Region 1, 28.35-28.45 GHz (Earth-to-space) in Region 2, 28.45-28.94 GHz (Earth-to-space) in all Regions, 28.94-29.1 GHz (Earth-to-space) in Region 2 and 3, 29.25-29.46 GHz (Earth-to-space) in Region 2, 29.46-30 GHz (Earth-to-space) in all Regions, 48.2-50.2 GHz (Earth-to-space) in Region 2. This identification does not preclude the use of these bands by other fixed-satellite service applications or by other services to which these bands are allocated on a co-primary basis and does not establish priority in these Radio Regulations among users of the bands. Administrations should take this into account when considering regulatory provisions in relation to these bands. See Resolution 143 (WRC-03)*. (WRC-03) ', '[5.523A]: The use of the bands 18.8-19.3 GHz (space-to-Earth) and 28.6-29.1 GHz (Earth-to-space) by geostationary and non-geostationary fixed-satellite service networks is subject to the application of the provisions of No. 9.11A and No. 22.2 does not apply. Administrations having geostationary-satellite networks under coordination prior to 18 November 1995 shall cooperate to the maximum extent possible to coordinate pursuant to No. 9.11A with non-geostationary-satellite networks for which notification information has been received by the Bureau prior to that date, with a view to reaching results acceptable to all the parties concerned. Non-geostationary-satellite networks shall not cause unacceptable interference to geostationary fixed-satellite service networks for which complete Appendix 4 notification information is considered as having been received by the Bureau prior to 18 November 1995. (WRC-97)']),
    (19300000000, 19700000001): (False, True, True, False, False, ['Fixed-Satellite (Space-To-Earth) [5.523B][5.523C][5.523D][5.523E]', 'Fixed-Satellite (Earth-To-Space) [5.523B][5.523C][5.523D][5.523E]'], [], ['[5.523B]: The use of the band 19.3-19.6 GHz (Earth-to-space) by the fixed-satellite service is limited to feeder links for non-geostationary-satellite systems in the mobile-satellite service. Such use is subject to the application of the provisions of No. 9.11A, and No. 22.2 does not apply.', '[5.523C]: No. 22.2 shall continue to apply in the bands 19.3-19.6 GHz and 29.1-29.4 GHz, between feeder links of non-geostationary mobile-satellite service networks and those fixed-satellite service networks for which complete Appendix 4 coordination information, or notification information, is considered as having been received by the Bureau prior to 18 November 1995. (WRC-97)', '[5.523D]: The use of the band 19.3-19.7 GHz (space-to-Earth) by geostationary fixed-satellite service systems and by feeder links for non-geostationary-satellite systems in the mobile-satellite service is subject to the application of the provisions of No. 9.11A, but not subject to the provisions of No. 22.2. The use of this band for other non-geostationary fixed-satellite service systems, or for the cases indicated in Nos. 5.523C and 5.523E, is not subject to the provisions of No. 9.11A and shall continue to be subject to Articles 9 (except No. 9.11A) and 11 procedures, and to the provisions of No. 22.2. (WRC-97)', '[5.523E]: No. 22.2 shall continue to apply in the bands 19.6-19.7 GHz and 29.4-29.5 GHz, between feeder links of non-geostationary mobile-satellite service networks and those fixed-satellite service networks for which complete Appendix 4 coordination information, or notification information, is considered as having been received by the Bureau by 21 November 1997. (WRC-97)']),
    (19700000000, 20100000001): (False, False, False, False, False, ['Fixed-Satellite (Space-To-Earth) [5.484A][5.484B][5.516B][5.527A]'], ['Mobile-Satellite (Space-To-Earth)'], ['[5.484A]: The use of the bands 10.95-11.2 GHz (space-to-Earth), 11.45-11.7 GHz (space-to-Earth), 11.7-12.2 GHz (space-to-Earth) in Region 2, 12.2-12.75 GHz (space-to-Earth) in Region 3, 12.5-12.75 GHz (space-to-Earth) in Region 1, 13.75-14.5 GHz (Earth-to-space), 17.8-18.6 GHz (space-to-Earth), 19.7-20.2 GHz (space-to-Earth), 27.5-28.6 GHz (Earth-to-space), 29.5-30 GHz (Earth-to-space) by a non-geostationary-satellite system in the fixed-satellite service is subject to application of the provisions of No. 9.12 for coordination with other non-geostationary-satellite systems in the fixed-satellite service. Non-geostationary-satellite systems in the fixed-satellite service shall not claim protection from geostationary-satellite networks in the fixed-satellite service operating in accordance with the Radio Regulations, irrespective of the dates of receipt by the Bureau of the complete coordination or notification information, as appropriate, for the non-geostationary-satellite systems in the fixed-satellite service and of the complete coordination or notification information, as appropriate, for the geostationary-satellite networks, and No. 5.43A does not apply. Non-geostationary-satellite systems in the fixed-satellite service in the above bands shall be operated in such a way that any unacceptable interference that may occur during their operation shall be rapidly eliminated. (WRC-2000)', '[5.484B]: Resolution 155 (WRC-15) shall apply. (WRC-15)', '[5.516B]: The following bands are identified for use by high-density applications in the fixed-satellite service:17.3-17.7 GHz (space-to-Earth) in Region 1, 18.3-19.3 GHz (space-to-Earth) in Region 2, 19.7-20.2 GHz (space-to-Earth) in all Regions, 39.5-40 GHz (space-to-Earth) in Region 1, 40-40.5 GHz (space-to-Earth) in all Regions, 40.5-42 GHz (space-to-Earth) in Region 2, 47.5-47.9 GHz (space-to-Earth) in Region 1, 48.2-48.54 GHz (space-to-Earth) in Region 1, 49.44-50.2 GHz (space-to-Earth) in Region 1, and 27.5-27.82 GHz (Earth-to-space) in Region 1, 28.35-28.45 GHz (Earth-to-space) in Region 2, 28.45-28.94 GHz (Earth-to-space) in all Regions, 28.94-29.1 GHz (Earth-to-space) in Region 2 and 3, 29.25-29.46 GHz (Earth-to-space) in Region 2, 29.46-30 GHz (Earth-to-space) in all Regions, 48.2-50.2 GHz (Earth-to-space) in Region 2. This identification does not preclude the use of these bands by other fixed-satellite service applications or by other services to which these bands are allocated on a co-primary basis and does not establish priority in these Radio Regulations among users of the bands. Administrations should take this into account when considering regulatory provisions in relation to these bands. See Resolution 143 (WRC-03)*. (WRC-03) ', '[5.527A]: The operation of earth stations in motion communicating with the FSS is subject to Resolution 156 (WRC-15). (WRC-15)', '[5.524]: Additional allocation: in Afghanistan, Algeria, Saudi Arabia, Bahrain, Brunei Darussalam, Cameroon, China, Congo (Rep. of the), Costa Rica, Egypt, the United Arab Emirates, Gabon, Guatemala, Guinea, India, Iran (Islamic Republic of), Iraq, Israel, Japan, Jordan, Kuwait, Lebanon, Malaysia, Mali, Morocco, Mauritania, Nepal, Nigeria, Oman, Pakistan, the Philippines, Qatar, the Syrian Arab Republic, the Dem. Rep. of the Congo, the Dem. People’s Rep. of Korea, Singapore, Somalia, Sudan, South Sudan, Chad, Togo and Tunisia, the frequency band 19.7-21.2 GHz is also allocated to the fixed and mobile services on a primary basis. This additional use shall not impose any limitation on the power flux-density of space stations in the fixed-satellite service in the frequency band 19.7-21.2 GHz and of space stations in the mobile-satellite service in the frequency band 19.7-20.2 GHz where the allocation to the mobile-satellite service is on a primary basis in the latter frequency band. (WRC-15)']),
    (20100000000, 20200000001): (False, False, False, False, False, ['Fixed-Satellite (Space-To-Earth) [5.484A][5.484B][5.516B][5.527A]', 'Mobile-Satellite (Space-To-Earth)'], [], ['[5.484A]: The use of the bands 10.95-11.2 GHz (space-to-Earth), 11.45-11.7 GHz (space-to-Earth), 11.7-12.2 GHz (space-to-Earth) in Region 2, 12.2-12.75 GHz (space-to-Earth) in Region 3, 12.5-12.75 GHz (space-to-Earth) in Region 1, 13.75-14.5 GHz (Earth-to-space), 17.8-18.6 GHz (space-to-Earth), 19.7-20.2 GHz (space-to-Earth), 27.5-28.6 GHz (Earth-to-space), 29.5-30 GHz (Earth-to-space) by a non-geostationary-satellite system in the fixed-satellite service is subject to application of the provisions of No. 9.12 for coordination with other non-geostationary-satellite systems in the fixed-satellite service. Non-geostationary-satellite systems in the fixed-satellite service shall not claim protection from geostationary-satellite networks in the fixed-satellite service operating in accordance with the Radio Regulations, irrespective of the dates of receipt by the Bureau of the complete coordination or notification information, as appropriate, for the non-geostationary-satellite systems in the fixed-satellite service and of the complete coordination or notification information, as appropriate, for the geostationary-satellite networks, and No. 5.43A does not apply. Non-geostationary-satellite systems in the fixed-satellite service in the above bands shall be operated in such a way that any unacceptable interference that may occur during their operation shall be rapidly eliminated. (WRC-2000)', '[5.484B]: Resolution 155 (WRC-15) shall apply. (WRC-15)', '[5.516B]: The following bands are identified for use by high-density applications in the fixed-satellite service:17.3-17.7 GHz (space-to-Earth) in Region 1, 18.3-19.3 GHz (space-to-Earth) in Region 2, 19.7-20.2 GHz (space-to-Earth) in all Regions, 39.5-40 GHz (space-to-Earth) in Region 1, 40-40.5 GHz (space-to-Earth) in all Regions, 40.5-42 GHz (space-to-Earth) in Region 2, 47.5-47.9 GHz (space-to-Earth) in Region 1, 48.2-48.54 GHz (space-to-Earth) in Region 1, 49.44-50.2 GHz (space-to-Earth) in Region 1, and 27.5-27.82 GHz (Earth-to-space) in Region 1, 28.35-28.45 GHz (Earth-to-space) in Region 2, 28.45-28.94 GHz (Earth-to-space) in all Regions, 28.94-29.1 GHz (Earth-to-space) in Region 2 and 3, 29.25-29.46 GHz (Earth-to-space) in Region 2, 29.46-30 GHz (Earth-to-space) in all Regions, 48.2-50.2 GHz (Earth-to-space) in Region 2. This identification does not preclude the use of these bands by other fixed-satellite service applications or by other services to which these bands are allocated on a co-primary basis and does not establish priority in these Radio Regulations among users of the bands. Administrations should take this into account when considering regulatory provisions in relation to these bands. See Resolution 143 (WRC-03)*. (WRC-03) ', '[5.527A]: The operation of earth stations in motion communicating with the FSS is subject to Resolution 156 (WRC-15). (WRC-15)', '[5.524]: Additional allocation: in Afghanistan, Algeria, Saudi Arabia, Bahrain, Brunei Darussalam, Cameroon, China, Congo (Rep. of the), Costa Rica, Egypt, the United Arab Emirates, Gabon, Guatemala, Guinea, India, Iran (Islamic Republic of), Iraq, Israel, Japan, Jordan, Kuwait, Lebanon, Malaysia, Mali, Morocco, Mauritania, Nepal, Nigeria, Oman, Pakistan, the Philippines, Qatar, the Syrian Arab Republic, the Dem. Rep. of the Congo, the Dem. People’s Rep. of Korea, Singapore, Somalia, Sudan, South Sudan, Chad, Togo and Tunisia, the frequency band 19.7-21.2 GHz is also allocated to the fixed and mobile services on a primary basis. This additional use shall not impose any limitation on the power flux-density of space stations in the fixed-satellite service in the frequency band 19.7-21.2 GHz and of space stations in the mobile-satellite service in the frequency band 19.7-20.2 GHz where the allocation to the mobile-satellite service is on a primary basis in the latter frequency band. (WRC-15)', '[5.525]: In order to facilitate interregional coordination between networks in the mobile-satellite and fixed-satellite services, carriers in the mobile-satellite service that are most susceptible to interference shall, to the extent practicable, be located in the higher parts of the bands 19.7-20.2 GHz and 29.5-30 GHz.', '[5.526]: In the bands 19.7-20.2 GHz and 29.5-30 GHz in Region 2, and in the bands 20.1-20.2 GHz and 29.9-30 GHz in Regions 1 and 3, networks which are both in the fixed-satellite service and in the mobile-satellite service may include links between earth stations at specified or unspecified points or while in motion, through one or more satellites for point-to-point and point-to-multipoint communications.', '[5.527]: In the bands 19.7-20.2 GHz and 29.5-30 GHz, the provisions of No. 4.10 do not apply with respect to the mobile-satellite service.', '[5.528]: The allocation to the mobile-satellite service is intended for use by networks which use narrow spot-beam antennas and other advanced technology at the space stations. Administrations operating systems in the mobile-satellite service in the band 19.7-20.1 GHz in Region 2 and in the band 20.1-20.2 GHz shall take all practicable steps to ensure the continued availability of these bands for administrations operating fixed and mobile systems in accordance with the provisions of No. 5.524.']),
    (20200000000, 21200000001): (False, False, False, False, False, ['Fixed-Satellite (Space-To-Earth)', 'Mobile-Satellite (Space-To-Earth)'], ['Standard Frequency And Time Signal-Satellite (Space-To-Earth)'], ['[5.524]: Additional allocation: in Afghanistan, Algeria, Saudi Arabia, Bahrain, Brunei Darussalam, Cameroon, China, Congo (Rep. of the), Costa Rica, Egypt, the United Arab Emirates, Gabon, Guatemala, Guinea, India, Iran (Islamic Republic of), Iraq, Israel, Japan, Jordan, Kuwait, Lebanon, Malaysia, Mali, Morocco, Mauritania, Nepal, Nigeria, Oman, Pakistan, the Philippines, Qatar, the Syrian Arab Republic, the Dem. Rep. of the Congo, the Dem. People’s Rep. of Korea, Singapore, Somalia, Sudan, South Sudan, Chad, Togo and Tunisia, the frequency band 19.7-21.2 GHz is also allocated to the fixed and mobile services on a primary basis. This additional use shall not impose any limitation on the power flux-density of space stations in the fixed-satellite service in the frequency band 19.7-21.2 GHz and of space stations in the mobile-satellite service in the frequency band 19.7-20.2 GHz where the allocation to the mobile-satellite service is on a primary basis in the latter frequency band. (WRC-15)']),
    (21200000000, 21400000001): (False, True, True, False, False, ['Earth Exploration-Satellite (Passive)', 'Space Research (Passive)'], [], []),
    (21400000000, 22000000001): (False, True, True, False, False, ['Broadcasting-Satellite [5.208B]'], [], ['[5.208B]: * In the frequency bands:137-138 MHz, 387-390 MHz, 400.15-401 MHz, 1 452-1 492 MHz, 1 525-1 610 MHz, 1 613.8-1 626.5 MHz, 2 655-2 690 MHz, 21.4-22 GHz, Resolution 739 (Rev.WRC-15) applies. (WRC-15) ', '[5.530A]: Unless otherwise agreed between the administrations concerned, any station in the fixed or mobile services of an administration shall not produce a power flux-density in excess of −120.4 dB(W/(m2 · MHz)) at 3 m above the ground of any point of the territory of any other administration in Regions 1 and 3 for more than 20% of the time. In conducting the calculations, administrations should use the most recent version of Recommendation ITU-R P.452 (see also the most recent version of Recommendation ITU-R BO.1898). (WRC-15)', '[5.530B]: In the band 21.4-22 GHz, in order to facilitate the development of the broadcasting-satellite service, administrations in Regions 1 and 3 are encouraged not to deploy stations in the mobile service and are encouraged to limit the deployment of stations in the fixed service to point-to-point links. (WRC-12)', '[5.530D]: See Resolution 555 (WRC-12)*. (WRC-12)', '[5.531]: Additional allocation: in Japan, the band 21.4-22 GHz is also allocated to the broadcasting service on a primary basis.']),
    (22000000000, 22210000001): (False, True, True, False, False, ['Mobile Except Aeronautical Mobile'], [], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07)']),
    (22210000000, 22500000001): (False, True, True, False, False, ['Earth Exploration-Satellite (Passive)', 'Mobile Except Aeronautical Mobile', 'Radio Astronomy', 'Space Research (Passive)'], [], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.532]: The use of the band 22.21-22.5 GHz by the Earth exploration-satellite (passive) and space research (passive) services shall not impose constraints upon the fixed and mobile, except aeronautical mobile, services.']),
    (22500000000, 22550000001): (False, True, True, False, False, [], [], []),
    (22550000000, 23150000001): (False, True, True, False, False, ['Inter-Satellite [5.338A]', 'Space Research (Earth-To-Space) [5.532A]'], [], ['[5.338A]: In the frequency bands 1 350-1 400 MHz, 1 427-1 452 MHz, 22.55-23.55 GHz, 30-31.3 GHz, 49.7-50.2 GHz, 50.4-50.9 GHz, 51.4-52.6 GHz, 81-86 GHz and 92-94 GHz, Resolution 750 (Rev.WRC-15) applies. (WRC-15)', '[5.532A]: The location of earth stations in the space research service shall maintain a separation distance of at least 54 km from the respective border(s) of neighbouring countries to protect the existing and future deployment of fixed and mobile services unless a shorter distance is otherwise agreed between the corresponding administrations. Nos. 9.17 and 9.18 do not apply. (WRC-12)', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07)']),
    (23150000000, 23550000001): (False, True, True, False, False, ['Inter-Satellite [5.338A]'], [], ['[5.338A]: In the frequency bands 1 350-1 400 MHz, 1 427-1 452 MHz, 22.55-23.55 GHz, 30-31.3 GHz, 49.7-50.2 GHz, 50.4-50.9 GHz, 51.4-52.6 GHz, 81-86 GHz and 92-94 GHz, Resolution 750 (Rev.WRC-15) applies. (WRC-15)']),
    (23550000000, 23600000001): (False, True, True, False, False, [], [], []),
    (23600000000, 24000000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Passive)', 'Radio Astronomy', 'Space Research (Passive)'], [], ['[5.340]: All emissions are prohibited in the following bands:1 400-1 427 MHz, 2 690-2 700 MHz, except those provided for by No. 5.422, 10.68-10.7 GHz, except those provided for by No. 5.483, 15.35-15.4 GHz, except those provided for by No. 5.511, 23.6-24 GHz, 31.3-31.5 GHz, 31.5-31.8 GHz, in Region 2, 48.94-49.04 GHz, from airborne stations 50.2-50.4 GHz2, 52.6-54.25 GHz, 86-92 GHz, 100-102 GHz, 109.5-111.8 GHz, 114.25-116 GHz, 148.5-151.5 GHz, 164-167 GHz, 182-185 GHz, 190-191.8 GHz, 200-209 GHz, 226-231.5 GHz, 250-252 GHz. (WRC-03)']),
    (24000000000, 24050000001): (True, False, False, False, False, ['Amateur', 'Amateur-Satellite'], [], ['[5.150]: The following bands:13 553-13 567 kHz (centre frequency 13 560 kHz), 26 957-27 283 kHz (centre frequency 27 120 kHz), 40.66-40.70 MHz (centre frequency 40.68 MHz), 902-928 MHz in Region 2 (centre frequency 915 MHz), 2 400-2 500 MHz (centre frequency 2 450 MHz), 5 725-5 875 MHz (centre frequency 5 800 MHz), and 24-24.25 GHz (centre frequency 24.125 GHz) are also designated for industrial, scientific and medical (ISM) applications. Radiocommunication services operating within these bands must accept harmful interference which may be caused by these applications. ISM equipment operating in these bands is subject to the provisions of No. 15.13.']),
    (24050000000, 24250000001): (True, False, False, False, False, ['Radiolocation'], ['Amateur', 'Earth Exploration-Satellite (Active)'], ['[5.150]: The following bands:13 553-13 567 kHz (centre frequency 13 560 kHz), 26 957-27 283 kHz (centre frequency 27 120 kHz), 40.66-40.70 MHz (centre frequency 40.68 MHz), 902-928 MHz in Region 2 (centre frequency 915 MHz), 2 400-2 500 MHz (centre frequency 2 450 MHz), 5 725-5 875 MHz (centre frequency 5 800 MHz), and 24-24.25 GHz (centre frequency 24.125 GHz) are also designated for industrial, scientific and medical (ISM) applications. Radiocommunication services operating within these bands must accept harmful interference which may be caused by these applications. ISM equipment operating in these bands is subject to the provisions of No. 15.13.']),
    (24250000000, 24450000001): (False, True, True, False, False, ['Radionavigation'], [], []),
    (24450000000, 24650000001): (False, True, True, False, False, ['Inter-Satellite', 'Radionavigation'], [], ['[5.533]: The inter-satellite service shall not claim protection from harmful interference from airport surface detection equipment stations of the radionavigation service.']),
    (24650000000, 24750000001): (False, True, True, False, False, ['Fixed-Satellite (Earth-To-Space) [5.532B]', 'Inter-Satellite'], [], ['[5.532B]: Use of the band 24.65-25.25 GHz in Region 1 and the band 24.65-24.75 GHz in Region 3 by the fixed-satellite service (Earth-to-space) is limited to earth stations using a minimum antenna diameter of 4.5 m. (WRC-12)', '[5.533]: The inter-satellite service shall not claim protection from harmful interference from airport surface detection equipment stations of the radionavigation service.']),
    (24750000000, 25250000001): (False, True, True, False, False, ['Fixed-Satellite (Earth-To-Space) [5.535]'], [], ['[5.535]: In the band 24.75-25.25 GHz, feeder links to stations of the broadcasting-satellite service shall have priority over other uses in the fixed-satellite service (Earth-to-space). Such other uses shall protect and shall not claim protection from existing and future operating feeder-link networks to such broadcasting satellite stations.']),
    (25250000000, 25500000001): (False, True, True, False, False, ['Inter-Satellite [5.536]'], ['Standard Frequency And Time Signal-Satellite (Earth-To-Space)'], ['[5.536]: Use of the 25.25-27.5 GHz band by the inter-satellite service is limited to space research and Earth exploration-satellite applications, and also transmissions of data originating from industrial and medical activities in space.']),
    (25500000000, 27000000001): (False, True, True, False, False, ['Earth Exploration-Satellite (Space-To Earth) [5.536B]', 'Inter-Satellite [5.536]', 'Space Research (Space-To-Earth) [5.536C]'], ['Standard Frequency And Time Signal-Satellite (Earth-To-Space)'], ['[5.536B]: In Saudi Arabia, Austria, Bahrain, Belgium, Brazil, China, Korea (Rep. of), Denmark, Egypt, United Arab Emirates, Estonia, Finland, Hungary, India, Iran (Islamic Republic of), Ireland, Israel, Italy, Jordan, Kenya, Kuwait, Lebanon, Libya, Lithuania, Moldova, Norway, Oman, Uganda, Pakistan, the Philippines, Poland, Portugal, the Syrian Arab Republic, Dem. People’s Rep. of Korea, Slovakia, the Czech Rep., Romania, the United Kingdom, Singapore, Sweden, Tanzania, Turkey, Viet Nam and Zimbabwe, earth stations operating in the Earth exploration-satellite service in the frequency band 25.5-27 GHz shall not claim protection from, or constrain the use and deployment of, stations of the fixed and mobile services. (WRC-15)', '[5.536]: Use of the 25.25-27.5 GHz band by the inter-satellite service is limited to space research and Earth exploration-satellite applications, and also transmissions of data originating from industrial and medical activities in space.', '[5.536C]: In Algeria, Saudi Arabia, Bahrain, Botswana, Brazil, Cameroon, Comoros, Cuba, Djibouti, Egypt, United Arab Emirates, Estonia, Finland, Iran (Islamic Republic of), Israel, Jordan, Kenya, Kuwait, Lithuania, Malaysia, Morocco, Nigeria, Oman, Qatar, Syrian Arab Republic, Somalia, Sudan, South Sudan, Tanzania, Tunisia, Uruguay, Zambia and Zimbabwe, earth stations operating in the space research service in the band 25.5-27 GHz shall not claim protection from, or constrain the use and deployment of, stations of the fixed and mobile services. (WRC-12)', '[5.536A]: Administrations operating earth stations in the Earth exploration-satellite service or the space research service shall not claim protection from stations in the fixed and mobile services operated by other administrations. In addition, earth stations in the Earth exploration-satellite service or in the space research service should be operated taking into account the most recent version of Recommendation ITU-R SA.1862. (WRC-12)']),
    (27000000000, 27500000001): (False, True, True, False, False, ['Fixed-Satellite (Earth-To-Space)', 'Inter-Satellite [5.536][5.537]'], [], ['[5.536]: Use of the 25.25-27.5 GHz band by the inter-satellite service is limited to space research and Earth exploration-satellite applications, and also transmissions of data originating from industrial and medical activities in space.', '[5.537]: Space services using non-geostationary satellites operating in the inter-satellite service in the band 27-27.5 GHz are exempt from the provisions of No. 22.2.']),
    (27500000000, 28500000001): (False, True, True, False, False, ['Fixed [5.537A]', 'Fixed-Satellite (Earth-To-Space) [5.484A][5.516B][5][.539]'], [], ['[5.537A]: In Bhutan, Cameroon, Korea (Rep. of), the Russian Federation, India, Indonesia, Iran (Islamic Republic of), Iraq, Japan, Kazakhstan, Malaysia, Maldives, Mongolia, Myanmar, Uzbekistan, Pakistan, the Philippines, Kyrgyzstan, the Dem. People’s Rep. of Korea, Sudan, Sri Lanka, Thailand and Viet Nam, the allocation to the fixed service in the band 27.9-28.2 GHz may also be used by high altitude platform stations (HAPS) within the territory of these countries. Such use of 300 MHz of the fixed-service allocation by HAPS in the above countries is further limited to operation in the HAPS-to-ground direction and shall not cause harmful interference to, nor claim protection from, other types of fixed-service systems or other co-primary services. Furthermore, the development of these other services shall not be constrained by HAPS. See Resolution 145 (Rev.WRC-12). (WRC-12)', '[5.484A]: The use of the bands 10.95-11.2 GHz (space-to-Earth), 11.45-11.7 GHz (space-to-Earth), 11.7-12.2 GHz (space-to-Earth) in Region 2, 12.2-12.75 GHz (space-to-Earth) in Region 3, 12.5-12.75 GHz (space-to-Earth) in Region 1, 13.75-14.5 GHz (Earth-to-space), 17.8-18.6 GHz (space-to-Earth), 19.7-20.2 GHz (space-to-Earth), 27.5-28.6 GHz (Earth-to-space), 29.5-30 GHz (Earth-to-space) by a non-geostationary-satellite system in the fixed-satellite service is subject to application of the provisions of No. 9.12 for coordination with other non-geostationary-satellite systems in the fixed-satellite service. Non-geostationary-satellite systems in the fixed-satellite service shall not claim protection from geostationary-satellite networks in the fixed-satellite service operating in accordance with the Radio Regulations, irrespective of the dates of receipt by the Bureau of the complete coordination or notification information, as appropriate, for the non-geostationary-satellite systems in the fixed-satellite service and of the complete coordination or notification information, as appropriate, for the geostationary-satellite networks, and No. 5.43A does not apply. Non-geostationary-satellite systems in the fixed-satellite service in the above bands shall be operated in such a way that any unacceptable interference that may occur during their operation shall be rapidly eliminated. (WRC-2000)', '[5.516B]: The following bands are identified for use by high-density applications in the fixed-satellite service:17.3-17.7 GHz (space-to-Earth) in Region 1, 18.3-19.3 GHz (space-to-Earth) in Region 2, 19.7-20.2 GHz (space-to-Earth) in all Regions, 39.5-40 GHz (space-to-Earth) in Region 1, 40-40.5 GHz (space-to-Earth) in all Regions, 40.5-42 GHz (space-to-Earth) in Region 2, 47.5-47.9 GHz (space-to-Earth) in Region 1, 48.2-48.54 GHz (space-to-Earth) in Region 1, 49.44-50.2 GHz (space-to-Earth) in Region 1, and 27.5-27.82 GHz (Earth-to-space) in Region 1, 28.35-28.45 GHz (Earth-to-space) in Region 2, 28.45-28.94 GHz (Earth-to-space) in all Regions, 28.94-29.1 GHz (Earth-to-space) in Region 2 and 3, 29.25-29.46 GHz (Earth-to-space) in Region 2, 29.46-30 GHz (Earth-to-space) in all Regions, 48.2-50.2 GHz (Earth-to-space) in Region 2. This identification does not preclude the use of these bands by other fixed-satellite service applications or by other services to which these bands are allocated on a co-primary basis and does not establish priority in these Radio Regulations among users of the bands. Administrations should take this into account when considering regulatory provisions in relation to these bands. See Resolution 143 (WRC-03)*. (WRC-03) ', '[5.538]: Additional allocation: the bands 27.500-27.501 GHz and 29.999-30.000 GHz are also allocated to the fixed-satellite service (space-to-Earth) on a primary basis for the beacon transmissions intended for up-link power control. Such space-to-Earth transmissions shall not exceed an equivalent isotropically radiated power (e.i.r.p.) of +10 dBW in the direction of adjacent satellites on the geostationary-satellite orbit. (WRC-07)', '[5.540]: Additional allocation: the band 27.501-29.999 GHz is also allocated to the fixed-satellite service (space-to-Earth) on a secondary basis for beacon transmissions intended for up-link power control.']),
    (28500000000, 29100000001): (False, True, True, False, False, ['Fixed-Satellite (Earth-To-Space) [5.484A][5.516B][5.523A][5.539]'], ['Earth Exploration-Satellite (Earth-To-Space) [5.541]'], ['[5.484A]: The use of the bands 10.95-11.2 GHz (space-to-Earth), 11.45-11.7 GHz (space-to-Earth), 11.7-12.2 GHz (space-to-Earth) in Region 2, 12.2-12.75 GHz (space-to-Earth) in Region 3, 12.5-12.75 GHz (space-to-Earth) in Region 1, 13.75-14.5 GHz (Earth-to-space), 17.8-18.6 GHz (space-to-Earth), 19.7-20.2 GHz (space-to-Earth), 27.5-28.6 GHz (Earth-to-space), 29.5-30 GHz (Earth-to-space) by a non-geostationary-satellite system in the fixed-satellite service is subject to application of the provisions of No. 9.12 for coordination with other non-geostationary-satellite systems in the fixed-satellite service. Non-geostationary-satellite systems in the fixed-satellite service shall not claim protection from geostationary-satellite networks in the fixed-satellite service operating in accordance with the Radio Regulations, irrespective of the dates of receipt by the Bureau of the complete coordination or notification information, as appropriate, for the non-geostationary-satellite systems in the fixed-satellite service and of the complete coordination or notification information, as appropriate, for the geostationary-satellite networks, and No. 5.43A does not apply. Non-geostationary-satellite systems in the fixed-satellite service in the above bands shall be operated in such a way that any unacceptable interference that may occur during their operation shall be rapidly eliminated. (WRC-2000)', '[5.516B]: The following bands are identified for use by high-density applications in the fixed-satellite service:17.3-17.7 GHz (space-to-Earth) in Region 1, 18.3-19.3 GHz (space-to-Earth) in Region 2, 19.7-20.2 GHz (space-to-Earth) in all Regions, 39.5-40 GHz (space-to-Earth) in Region 1, 40-40.5 GHz (space-to-Earth) in all Regions, 40.5-42 GHz (space-to-Earth) in Region 2, 47.5-47.9 GHz (space-to-Earth) in Region 1, 48.2-48.54 GHz (space-to-Earth) in Region 1, 49.44-50.2 GHz (space-to-Earth) in Region 1, and 27.5-27.82 GHz (Earth-to-space) in Region 1, 28.35-28.45 GHz (Earth-to-space) in Region 2, 28.45-28.94 GHz (Earth-to-space) in all Regions, 28.94-29.1 GHz (Earth-to-space) in Region 2 and 3, 29.25-29.46 GHz (Earth-to-space) in Region 2, 29.46-30 GHz (Earth-to-space) in all Regions, 48.2-50.2 GHz (Earth-to-space) in Region 2. This identification does not preclude the use of these bands by other fixed-satellite service applications or by other services to which these bands are allocated on a co-primary basis and does not establish priority in these Radio Regulations among users of the bands. Administrations should take this into account when considering regulatory provisions in relation to these bands. See Resolution 143 (WRC-03)*. (WRC-03) ', '[5.523A]: The use of the bands 18.8-19.3 GHz (space-to-Earth) and 28.6-29.1 GHz (Earth-to-space) by geostationary and non-geostationary fixed-satellite service networks is subject to the application of the provisions of No. 9.11A and No. 22.2 does not apply. Administrations having geostationary-satellite networks under coordination prior to 18 November 1995 shall cooperate to the maximum extent possible to coordinate pursuant to No. 9.11A with non-geostationary-satellite networks for which notification information has been received by the Bureau prior to that date, with a view to reaching results acceptable to all the parties concerned. Non-geostationary-satellite networks shall not cause unacceptable interference to geostationary fixed-satellite service networks for which complete Appendix 4 notification information is considered as having been received by the Bureau prior to 18 November 1995. (WRC-97)', '[5.539]: The band 27.5-30 GHz may be used by the fixed-satellite service (Earth-to-space) for the provision of feeder links for the broadcasting-satellite service.', '[5.541]: In the band 28.5-30 GHz, the earth exploration-satellite service is limited to the transfer of data between stations and not to the primary collection of information by means of active or passive sensors.', '[5.540]: Additional allocation: the band 27.501-29.999 GHz is also allocated to the fixed-satellite service (space-to-Earth) on a secondary basis for beacon transmissions intended for up-link power control.']),
    (29100000000, 29500000001): (False, True, True, False, False, ['Fixed-Satellite (Earth-To-Space) [5.516B][5.523C][5.523E][5.535A][5.539][5.541A]'], ['Earth Exploration-Satellite (Earth-To-Space) [5.541]'], ['[5.516B]: The following bands are identified for use by high-density applications in the fixed-satellite service:17.3-17.7 GHz (space-to-Earth) in Region 1, 18.3-19.3 GHz (space-to-Earth) in Region 2, 19.7-20.2 GHz (space-to-Earth) in all Regions, 39.5-40 GHz (space-to-Earth) in Region 1, 40-40.5 GHz (space-to-Earth) in all Regions, 40.5-42 GHz (space-to-Earth) in Region 2, 47.5-47.9 GHz (space-to-Earth) in Region 1, 48.2-48.54 GHz (space-to-Earth) in Region 1, 49.44-50.2 GHz (space-to-Earth) in Region 1, and 27.5-27.82 GHz (Earth-to-space) in Region 1, 28.35-28.45 GHz (Earth-to-space) in Region 2, 28.45-28.94 GHz (Earth-to-space) in all Regions, 28.94-29.1 GHz (Earth-to-space) in Region 2 and 3, 29.25-29.46 GHz (Earth-to-space) in Region 2, 29.46-30 GHz (Earth-to-space) in all Regions, 48.2-50.2 GHz (Earth-to-space) in Region 2. This identification does not preclude the use of these bands by other fixed-satellite service applications or by other services to which these bands are allocated on a co-primary basis and does not establish priority in these Radio Regulations among users of the bands. Administrations should take this into account when considering regulatory provisions in relation to these bands. See Resolution 143 (WRC-03)*. (WRC-03) ', '[5.523C]: No. 22.2 shall continue to apply in the bands 19.3-19.6 GHz and 29.1-29.4 GHz, between feeder links of non-geostationary mobile-satellite service networks and those fixed-satellite service networks for which complete Appendix 4 coordination information, or notification information, is considered as having been received by the Bureau prior to 18 November 1995. (WRC-97)', '[5.523E]: No. 22.2 shall continue to apply in the bands 19.6-19.7 GHz and 29.4-29.5 GHz, between feeder links of non-geostationary mobile-satellite service networks and those fixed-satellite service networks for which complete Appendix 4 coordination information, or notification information, is considered as having been received by the Bureau by 21 November 1997. (WRC-97)', '[5.535A]: The use of the band 29.1-29.5 GHz (Earth-to-space) by the fixed-satellite service is limited to geostationary-satellite systems and feeder links to non-geostationary-satellite systems in the mobile-satellite service. Such use is subject to the application of the provisions of No. 9.11A, but not subject to the provisions of No. 22.2, except as indicated in Nos. 5.523C and 5.523E where such use is not subject to the provisions of No. 9.11A and shall continue to be subject to Articles 9 (except No. 9.11A) and 11 procedures, and to the provisions of No. 22.2. (WRC-97)', '[5.539]: The band 27.5-30 GHz may be used by the fixed-satellite service (Earth-to-space) for the provision of feeder links for the broadcasting-satellite service.', '[5.541A]: Feeder links of non-geostationary networks in the mobile-satellite service and geostationary networks in the fixed-satellite service operating in the band 29.1-29.5 GHz (Earth-to-space) shall employ uplink adaptive power control or other methods of fade compensation, such that the earth station transmissions shall be conducted at the power level required to meet the desired link performance while reducing the level of mutual interference between both networks. These methods shall apply to networks for which Appendix 4 coordination information is considered as having been received by the Bureau after 17 May 1996 and until they are changed by a future competent world radiocommunication conference. Administrations submitting Appendix 4 information for coordination before this date are encouraged to utilize these techniques to the extent practicable. (WRC-2000)', '[5.541]: In the band 28.5-30 GHz, the earth exploration-satellite service is limited to the transfer of data between stations and not to the primary collection of information by means of active or passive sensors.', '[5.540]: Additional allocation: the band 27.501-29.999 GHz is also allocated to the fixed-satellite service (space-to-Earth) on a secondary basis for beacon transmissions intended for up-link power control.']),
    (29500000000, 29900000001): (False, False, False, False, False, ['Fixed-Satellite (Earth-To-Space) [5.484A][5.484B][5.516B][5.527A][5.539]'], ['Earth Exploration-Satellite (Earth-To-Space) [5.541]', 'Mobile-Satellite (Earth-To-Space)'], ['[5.484A]: The use of the bands 10.95-11.2 GHz (space-to-Earth), 11.45-11.7 GHz (space-to-Earth), 11.7-12.2 GHz (space-to-Earth) in Region 2, 12.2-12.75 GHz (space-to-Earth) in Region 3, 12.5-12.75 GHz (space-to-Earth) in Region 1, 13.75-14.5 GHz (Earth-to-space), 17.8-18.6 GHz (space-to-Earth), 19.7-20.2 GHz (space-to-Earth), 27.5-28.6 GHz (Earth-to-space), 29.5-30 GHz (Earth-to-space) by a non-geostationary-satellite system in the fixed-satellite service is subject to application of the provisions of No. 9.12 for coordination with other non-geostationary-satellite systems in the fixed-satellite service. Non-geostationary-satellite systems in the fixed-satellite service shall not claim protection from geostationary-satellite networks in the fixed-satellite service operating in accordance with the Radio Regulations, irrespective of the dates of receipt by the Bureau of the complete coordination or notification information, as appropriate, for the non-geostationary-satellite systems in the fixed-satellite service and of the complete coordination or notification information, as appropriate, for the geostationary-satellite networks, and No. 5.43A does not apply. Non-geostationary-satellite systems in the fixed-satellite service in the above bands shall be operated in such a way that any unacceptable interference that may occur during their operation shall be rapidly eliminated. (WRC-2000)', '[5.484B]: Resolution 155 (WRC-15) shall apply. (WRC-15)', '[5.516B]: The following bands are identified for use by high-density applications in the fixed-satellite service:17.3-17.7 GHz (space-to-Earth) in Region 1, 18.3-19.3 GHz (space-to-Earth) in Region 2, 19.7-20.2 GHz (space-to-Earth) in all Regions, 39.5-40 GHz (space-to-Earth) in Region 1, 40-40.5 GHz (space-to-Earth) in all Regions, 40.5-42 GHz (space-to-Earth) in Region 2, 47.5-47.9 GHz (space-to-Earth) in Region 1, 48.2-48.54 GHz (space-to-Earth) in Region 1, 49.44-50.2 GHz (space-to-Earth) in Region 1, and 27.5-27.82 GHz (Earth-to-space) in Region 1, 28.35-28.45 GHz (Earth-to-space) in Region 2, 28.45-28.94 GHz (Earth-to-space) in all Regions, 28.94-29.1 GHz (Earth-to-space) in Region 2 and 3, 29.25-29.46 GHz (Earth-to-space) in Region 2, 29.46-30 GHz (Earth-to-space) in all Regions, 48.2-50.2 GHz (Earth-to-space) in Region 2. This identification does not preclude the use of these bands by other fixed-satellite service applications or by other services to which these bands are allocated on a co-primary basis and does not establish priority in these Radio Regulations among users of the bands. Administrations should take this into account when considering regulatory provisions in relation to these bands. See Resolution 143 (WRC-03)*. (WRC-03) ', '[5.527A]: The operation of earth stations in motion communicating with the FSS is subject to Resolution 156 (WRC-15). (WRC-15)', '[5.539]: The band 27.5-30 GHz may be used by the fixed-satellite service (Earth-to-space) for the provision of feeder links for the broadcasting-satellite service.', '[5.541]: In the band 28.5-30 GHz, the earth exploration-satellite service is limited to the transfer of data between stations and not to the primary collection of information by means of active or passive sensors.', '[5.540]: Additional allocation: the band 27.501-29.999 GHz is also allocated to the fixed-satellite service (space-to-Earth) on a secondary basis for beacon transmissions intended for up-link power control.', '[5.542]: Additional allocation: in Algeria, Saudi Arabia, Bahrain, Brunei Darussalam, Cameroon, China, Congo (Rep. of the), Egypt, the United Arab Emirates, Eritrea, Ethiopia, Guinea, India, Iran (Islamic Republic of), Iraq, Japan, Jordan, Kuwait, Lebanon, Malaysia, Mali, Morocco, Mauritania, Nepal, Oman, Pakistan, Philippines, Qatar, the Syrian Arab Republic, the Dem. People’s Rep. of Korea, Somalia, Sudan, South Sudan, Sri Lanka and Chad, the band 29.5-31 GHz is also allocated to the fixed and mobile services on a secondary basis. The power limits specified in Nos. 21.3 and 21.5 shall apply. (WRC-12)']),
    (29900000000, 30000000001): (False, False, False, False, False, ['Fixed-Satellite (Earth-To-Space) [5.484A][5.484B][5.516B][5.527A][5.539]', 'Mobile-Satellite (Earth-To-Space)'], ['Earth Exploration-Satellite (Earth-To-Space) [5.541][5.543]'], ['[5.484A]: The use of the bands 10.95-11.2 GHz (space-to-Earth), 11.45-11.7 GHz (space-to-Earth), 11.7-12.2 GHz (space-to-Earth) in Region 2, 12.2-12.75 GHz (space-to-Earth) in Region 3, 12.5-12.75 GHz (space-to-Earth) in Region 1, 13.75-14.5 GHz (Earth-to-space), 17.8-18.6 GHz (space-to-Earth), 19.7-20.2 GHz (space-to-Earth), 27.5-28.6 GHz (Earth-to-space), 29.5-30 GHz (Earth-to-space) by a non-geostationary-satellite system in the fixed-satellite service is subject to application of the provisions of No. 9.12 for coordination with other non-geostationary-satellite systems in the fixed-satellite service. Non-geostationary-satellite systems in the fixed-satellite service shall not claim protection from geostationary-satellite networks in the fixed-satellite service operating in accordance with the Radio Regulations, irrespective of the dates of receipt by the Bureau of the complete coordination or notification information, as appropriate, for the non-geostationary-satellite systems in the fixed-satellite service and of the complete coordination or notification information, as appropriate, for the geostationary-satellite networks, and No. 5.43A does not apply. Non-geostationary-satellite systems in the fixed-satellite service in the above bands shall be operated in such a way that any unacceptable interference that may occur during their operation shall be rapidly eliminated. (WRC-2000)', '[5.484B]: Resolution 155 (WRC-15) shall apply. (WRC-15)', '[5.516B]: The following bands are identified for use by high-density applications in the fixed-satellite service:17.3-17.7 GHz (space-to-Earth) in Region 1, 18.3-19.3 GHz (space-to-Earth) in Region 2, 19.7-20.2 GHz (space-to-Earth) in all Regions, 39.5-40 GHz (space-to-Earth) in Region 1, 40-40.5 GHz (space-to-Earth) in all Regions, 40.5-42 GHz (space-to-Earth) in Region 2, 47.5-47.9 GHz (space-to-Earth) in Region 1, 48.2-48.54 GHz (space-to-Earth) in Region 1, 49.44-50.2 GHz (space-to-Earth) in Region 1, and 27.5-27.82 GHz (Earth-to-space) in Region 1, 28.35-28.45 GHz (Earth-to-space) in Region 2, 28.45-28.94 GHz (Earth-to-space) in all Regions, 28.94-29.1 GHz (Earth-to-space) in Region 2 and 3, 29.25-29.46 GHz (Earth-to-space) in Region 2, 29.46-30 GHz (Earth-to-space) in all Regions, 48.2-50.2 GHz (Earth-to-space) in Region 2. This identification does not preclude the use of these bands by other fixed-satellite service applications or by other services to which these bands are allocated on a co-primary basis and does not establish priority in these Radio Regulations among users of the bands. Administrations should take this into account when considering regulatory provisions in relation to these bands. See Resolution 143 (WRC-03)*. (WRC-03) ', '[5.527A]: The operation of earth stations in motion communicating with the FSS is subject to Resolution 156 (WRC-15). (WRC-15)', '[5.539]: The band 27.5-30 GHz may be used by the fixed-satellite service (Earth-to-space) for the provision of feeder links for the broadcasting-satellite service.', '[5.541]: In the band 28.5-30 GHz, the earth exploration-satellite service is limited to the transfer of data between stations and not to the primary collection of information by means of active or passive sensors.', '[5.543]: The band 29.95-30 GHz may be used for space-to-space links in the Earth exploration-satellite service for telemetry, tracking, and control purposes, on a secondary basis.', '[5.525]: In order to facilitate interregional coordination between networks in the mobile-satellite and fixed-satellite services, carriers in the mobile-satellite service that are most susceptible to interference shall, to the extent practicable, be located in the higher parts of the bands 19.7-20.2 GHz and 29.5-30 GHz.', '[5.526]: In the bands 19.7-20.2 GHz and 29.5-30 GHz in Region 2, and in the bands 20.1-20.2 GHz and 29.9-30 GHz in Regions 1 and 3, networks which are both in the fixed-satellite service and in the mobile-satellite service may include links between earth stations at specified or unspecified points or while in motion, through one or more satellites for point-to-point and point-to-multipoint communications.', '[5.527]: In the bands 19.7-20.2 GHz and 29.5-30 GHz, the provisions of No. 4.10 do not apply with respect to the mobile-satellite service.', '[5.538]: Additional allocation: the bands 27.500-27.501 GHz and 29.999-30.000 GHz are also allocated to the fixed-satellite service (space-to-Earth) on a primary basis for the beacon transmissions intended for up-link power control. Such space-to-Earth transmissions shall not exceed an equivalent isotropically radiated power (e.i.r.p.) of +10 dBW in the direction of adjacent satellites on the geostationary-satellite orbit. (WRC-07)', '[5.540]: Additional allocation: the band 27.501-29.999 GHz is also allocated to the fixed-satellite service (space-to-Earth) on a secondary basis for beacon transmissions intended for up-link power control.', '[5.542]: Additional allocation: in Algeria, Saudi Arabia, Bahrain, Brunei Darussalam, Cameroon, China, Congo (Rep. of the), Egypt, the United Arab Emirates, Eritrea, Ethiopia, Guinea, India, Iran (Islamic Republic of), Iraq, Japan, Jordan, Kuwait, Lebanon, Malaysia, Mali, Morocco, Mauritania, Nepal, Oman, Pakistan, Philippines, Qatar, the Syrian Arab Republic, the Dem. People’s Rep. of Korea, Somalia, Sudan, South Sudan, Sri Lanka and Chad, the band 29.5-31 GHz is also allocated to the fixed and mobile services on a secondary basis. The power limits specified in Nos. 21.3 and 21.5 shall apply. (WRC-12)']),
    (30000000000, 31000000001): (False, False, False, False, False, ['Fixed-Satellite (Earth-To-Space) [5.338A]', 'Mobile-Satellite (Earth-To-Space)'], ['Standard Frequency And Time Signal-Satellite (Space-To-Earth)'], ['[5.338A]: In the frequency bands 1 350-1 400 MHz, 1 427-1 452 MHz, 22.55-23.55 GHz, 30-31.3 GHz, 49.7-50.2 GHz, 50.4-50.9 GHz, 51.4-52.6 GHz, 81-86 GHz and 92-94 GHz, Resolution 750 (Rev.WRC-15) applies. (WRC-15)', '[5.542]: Additional allocation: in Algeria, Saudi Arabia, Bahrain, Brunei Darussalam, Cameroon, China, Congo (Rep. of the), Egypt, the United Arab Emirates, Eritrea, Ethiopia, Guinea, India, Iran (Islamic Republic of), Iraq, Japan, Jordan, Kuwait, Lebanon, Malaysia, Mali, Morocco, Mauritania, Nepal, Oman, Pakistan, Philippines, Qatar, the Syrian Arab Republic, the Dem. People’s Rep. of Korea, Somalia, Sudan, South Sudan, Sri Lanka and Chad, the band 29.5-31 GHz is also allocated to the fixed and mobile services on a secondary basis. The power limits specified in Nos. 21.3 and 21.5 shall apply. (WRC-12)']),
    (31000000000, 31300000001): (False, True, True, False, False, ['Fixed [5.338A][5.543A]'], ['Standard Frequency And Time Signal-Satellite (Space-To-Earth)', 'Space Research [5.544][5.545]'], ['[5.338A]: In the frequency bands 1 350-1 400 MHz, 1 427-1 452 MHz, 22.55-23.55 GHz, 30-31.3 GHz, 49.7-50.2 GHz, 50.4-50.9 GHz, 51.4-52.6 GHz, 81-86 GHz and 92-94 GHz, Resolution 750 (Rev.WRC-15) applies. (WRC-15)', '[5.543A]: In Bhutan, Cameroon, Korea (Rep. of), the Russian Federation, India, Indonesia, Iran (Islamic Republic of), Iraq, Japan, Kazakhstan, Malaysia, Maldives, Mongolia, Myanmar, Uzbekistan, Pakistan, the Philippines, Kyrgyzstan, the Dem. People’s Rep. of Korea, Sudan, Sri Lanka, Thailand and Viet Nam, the allocation to the fixed service in the frequency band 31-31.3 GHz may also be used by systems using high altitude platform stations (HAPS) in the ground-to-HAPS direction. The use of the frequency band 31-31.3 GHz by systems using HAPS is limited to the territory of the countries listed above and shall not cause harmful interference to, nor claim protection from, other types of fixed-service systems, systems in the mobile service and systems operated under No. 5.545. Furthermore, the development of these services shall not be constrained by HAPS. Systems using HAPS in the frequency band 31-31.3 GHz shall not cause harmful interference to the radio astronomy service having a primary allocation in the frequency band 31.3-31.8 GHz, taking into account the protection criterion as given in the most recent version of Recommendation ITU-R RA.769. In order to ensure the protection of satellite passive services, the level of unwanted power density into a HAPS ground station antenna in the frequency band 31.3-31.8 GHz shall be limited to −106 dB(W/MHz) under clear-sky conditions, and may be increased up to −100 dB(W/MHz) under rainy conditions to mitigate fading due to rain, provided the effective impact on the passive satellite does not exceed the impact under clear-sky conditions. See Resolution 145 (Rev.WRC-12). (WRC-15)', '[5.544]: In the band 31-31.3 GHz the power flux-density limits specified in Article 21, Table 21-4 shall apply to the space research service.', '[5.545]: Different category of service: in Armenia, Georgia, Kyrgyzstan, Tajikistan and Turkmenistan, the allocation of the band 31-31.3 GHz to the space research service is on a primary basis (see No. 5.33). (WRC-12)', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07)']),
    (31300000000, 31500000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Passive)', 'Radio Astronomy', 'Space Research (Passive)'], [], ['[5.340]: All emissions are prohibited in the following bands:1 400-1 427 MHz, 2 690-2 700 MHz, except those provided for by No. 5.422, 10.68-10.7 GHz, except those provided for by No. 5.483, 15.35-15.4 GHz, except those provided for by No. 5.511, 23.6-24 GHz, 31.3-31.5 GHz, 31.5-31.8 GHz, in Region 2, 48.94-49.04 GHz, from airborne stations 50.2-50.4 GHz2, 52.6-54.25 GHz, 86-92 GHz, 100-102 GHz, 109.5-111.8 GHz, 114.25-116 GHz, 148.5-151.5 GHz, 164-167 GHz, 182-185 GHz, 190-191.8 GHz, 200-209 GHz, 226-231.5 GHz, 250-252 GHz. (WRC-03)']),
    (31500000000, 31800000001): (False, True, True, False, True, ['Earth Exploration- Satellite (Passive)', 'Radio Astronomy', 'Space Research (Passive)'], ['Mobile Except Aeronautical Mobile'], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07)']),
    (31800000000, 32000000001): (False, True, False, False, False, ['Fixed [5.547A]', 'Radionavigation', 'Space Research (Deep Space)', 'Space Research (Space-To-Earth)'], [], ['[5.547A]: Administrations should take practical measures to minimize the potential interference between stations in the fixed service and airborne stations in the radionavigation service in the 31.8-33.4 GHz band, taking into account the operational needs of the airborne radar systems. (WRC-2000)', '[5.547]: The bands 31.8-33.4 GHz, 37-40 GHz, 40.5-43.5 GHz, 51.4-52.6 GHz, 55.78-59 GHz and 64-66 GHz are available for high-density applications in the fixed service (see Resolution 75 (WRC-2000)*). Administrations should take this into account when considering regulatory provisions in relation to these bands. Because of the potential deployment of high-density applications in the fixed-satellite service in the bands 39.5-40 GHz and 40.5-42 GHz (see No. 5.516B), administrations should further take into account potential constraints to high-density applications in the fixed service, as appropriate. (WRC-07)', '[5.547B]: Alternative allocation: in the United States, the band 31.8-32 GHz is allocated to the radionavigation and space research (deep space) (space-to-Earth) services on a primary basis. (WRC-97)', '[5.548]: In designing systems for the inter-satellite service in the band 32.3-33 GHz, for the radionavigation service in the band 32-33 GHz, and for the space research service (deep space) in the band 31.8-32.3 GHz, administrations shall take all necessary measures to prevent harmful interference between these services, bearing in mind the safety aspects of the radionavigation service (see Recommendation 707). (WRC-03)']),
    (32000000000, 32300000001): (False, True, False, False, False, ['Fixed [5.547A]', 'Radionavigation', 'Space Research (Deep Space)', 'Space Research (Space-To-Earth)'], [], ['[5.547A]: Administrations should take practical measures to minimize the potential interference between stations in the fixed service and airborne stations in the radionavigation service in the 31.8-33.4 GHz band, taking into account the operational needs of the airborne radar systems. (WRC-2000)', '[5.547]: The bands 31.8-33.4 GHz, 37-40 GHz, 40.5-43.5 GHz, 51.4-52.6 GHz, 55.78-59 GHz and 64-66 GHz are available for high-density applications in the fixed service (see Resolution 75 (WRC-2000)*). Administrations should take this into account when considering regulatory provisions in relation to these bands. Because of the potential deployment of high-density applications in the fixed-satellite service in the bands 39.5-40 GHz and 40.5-42 GHz (see No. 5.516B), administrations should further take into account potential constraints to high-density applications in the fixed service, as appropriate. (WRC-07)', '[5.547C]: Alternative allocation: in the United States, the band 32-32.3 GHz is allocated to the radionavigation and space research (deep space) (space-to-Earth) services on a primary basis. (WRC-03)', '[5.548]: In designing systems for the inter-satellite service in the band 32.3-33 GHz, for the radionavigation service in the band 32-33 GHz, and for the space research service (deep space) in the band 31.8-32.3 GHz, administrations shall take all necessary measures to prevent harmful interference between these services, bearing in mind the safety aspects of the radionavigation service (see Recommendation 707). (WRC-03)']),
    (32300000000, 33000000001): (False, True, False, False, False, ['Fixed [5.547A]', 'Inter-Satellite', 'Radionavigation'], [], ['[5.547A]: Administrations should take practical measures to minimize the potential interference between stations in the fixed service and airborne stations in the radionavigation service in the 31.8-33.4 GHz band, taking into account the operational needs of the airborne radar systems. (WRC-2000)', '[5.547]: The bands 31.8-33.4 GHz, 37-40 GHz, 40.5-43.5 GHz, 51.4-52.6 GHz, 55.78-59 GHz and 64-66 GHz are available for high-density applications in the fixed service (see Resolution 75 (WRC-2000)*). Administrations should take this into account when considering regulatory provisions in relation to these bands. Because of the potential deployment of high-density applications in the fixed-satellite service in the bands 39.5-40 GHz and 40.5-42 GHz (see No. 5.516B), administrations should further take into account potential constraints to high-density applications in the fixed service, as appropriate. (WRC-07)', '[5.547D]: Alternative allocation: in the United States, the band 32.3-33 GHz is allocated to the inter-satellite and radionavigation services on a primary basis. (WRC-97)', '[5.548]: In designing systems for the inter-satellite service in the band 32.3-33 GHz, for the radionavigation service in the band 32-33 GHz, and for the space research service (deep space) in the band 31.8-32.3 GHz, administrations shall take all necessary measures to prevent harmful interference between these services, bearing in mind the safety aspects of the radionavigation service (see Recommendation 707). (WRC-03)']),
    (33000000000, 33400000001): (False, True, False, False, False, ['Fixed [5.547A]', 'Radionavigation'], [], ['[5.547A]: Administrations should take practical measures to minimize the potential interference between stations in the fixed service and airborne stations in the radionavigation service in the 31.8-33.4 GHz band, taking into account the operational needs of the airborne radar systems. (WRC-2000)', '[5.547]: The bands 31.8-33.4 GHz, 37-40 GHz, 40.5-43.5 GHz, 51.4-52.6 GHz, 55.78-59 GHz and 64-66 GHz are available for high-density applications in the fixed service (see Resolution 75 (WRC-2000)*). Administrations should take this into account when considering regulatory provisions in relation to these bands. Because of the potential deployment of high-density applications in the fixed-satellite service in the bands 39.5-40 GHz and 40.5-42 GHz (see No. 5.516B), administrations should further take into account potential constraints to high-density applications in the fixed service, as appropriate. (WRC-07)', '[5.547E]: Alternative allocation: in the United States, the band 33-33.4 GHz is allocated to the radionavigation service on a primary basis. (WRC-97)']),
    (33400000000, 34200000001): (False, False, False, False, False, ['Radiolocation'], [], ['[5.549]: Additional allocation: in Saudi Arabia, Bahrain, Bangladesh, Egypt, the United Arab Emirates, Gabon, Indonesia, Iran (Islamic Republic of), Iraq, Israel, Jordan, Kuwait, Lebanon, Libya, Malaysia, Mali, Morocco, Mauritania, Nepal, Nigeria, Oman, Pakistan, the Philippines, Qatar, the Syrian Arab Republic, the Dem. Rep. of the Congo, Singapore, Somalia, Sudan, South Sudan, Sri Lanka, Togo, Tunisia and Yemen, the band 33.4-36 GHz is also allocated to the fixed and mobile services on a primary basis. (WRC-12)']),
    (34200000000, 34700000001): (False, False, False, False, False, ['Radiolocation', 'Space Research (Deep Space)', 'Space Research (Earth-To-Space)'], [], ['[5.549]: Additional allocation: in Saudi Arabia, Bahrain, Bangladesh, Egypt, the United Arab Emirates, Gabon, Indonesia, Iran (Islamic Republic of), Iraq, Israel, Jordan, Kuwait, Lebanon, Libya, Malaysia, Mali, Morocco, Mauritania, Nepal, Nigeria, Oman, Pakistan, the Philippines, Qatar, the Syrian Arab Republic, the Dem. Rep. of the Congo, Singapore, Somalia, Sudan, South Sudan, Sri Lanka, Togo, Tunisia and Yemen, the band 33.4-36 GHz is also allocated to the fixed and mobile services on a primary basis. (WRC-12)']),
    (34700000000, 35200000001): (False, False, False, False, False, ['Radiolocation'], ['Space Research [5.550]'], ['[5.550]: Different category of service: in Armenia, Azerbaijan, Belarus, the Russian Federation, Georgia, Kyrgyzstan, Tajikistan and Turkmenistan, the allocation of the band 34.7-35.2 GHz to the space research service is on a primary basis (see No. 5.33). (WRC-12)', '[5.549]: Additional allocation: in Saudi Arabia, Bahrain, Bangladesh, Egypt, the United Arab Emirates, Gabon, Indonesia, Iran (Islamic Republic of), Iraq, Israel, Jordan, Kuwait, Lebanon, Libya, Malaysia, Mali, Morocco, Mauritania, Nepal, Nigeria, Oman, Pakistan, the Philippines, Qatar, the Syrian Arab Republic, the Dem. Rep. of the Congo, Singapore, Somalia, Sudan, South Sudan, Sri Lanka, Togo, Tunisia and Yemen, the band 33.4-36 GHz is also allocated to the fixed and mobile services on a primary basis. (WRC-12)']),
    (35200000000, 35500000001): (False, False, False, False, False, ['Meteorological Aids', 'Radiolocation'], [], ['[5.549]: Additional allocation: in Saudi Arabia, Bahrain, Bangladesh, Egypt, the United Arab Emirates, Gabon, Indonesia, Iran (Islamic Republic of), Iraq, Israel, Jordan, Kuwait, Lebanon, Libya, Malaysia, Mali, Morocco, Mauritania, Nepal, Nigeria, Oman, Pakistan, the Philippines, Qatar, the Syrian Arab Republic, the Dem. Rep. of the Congo, Singapore, Somalia, Sudan, South Sudan, Sri Lanka, Togo, Tunisia and Yemen, the band 33.4-36 GHz is also allocated to the fixed and mobile services on a primary basis. (WRC-12)']),
    (35500000000, 36000000001): (False, False, False, False, False, ['Meteorological Aids', 'Earth Exploration-Satellite (Active)', 'Radiolocation', 'Space Research (Active)'], [], ['[5.549]: Additional allocation: in Saudi Arabia, Bahrain, Bangladesh, Egypt, the United Arab Emirates, Gabon, Indonesia, Iran (Islamic Republic of), Iraq, Israel, Jordan, Kuwait, Lebanon, Libya, Malaysia, Mali, Morocco, Mauritania, Nepal, Nigeria, Oman, Pakistan, the Philippines, Qatar, the Syrian Arab Republic, the Dem. Rep. of the Congo, Singapore, Somalia, Sudan, South Sudan, Sri Lanka, Togo, Tunisia and Yemen, the band 33.4-36 GHz is also allocated to the fixed and mobile services on a primary basis. (WRC-12)', '[5.549A]: In the band 35.5-36.0 GHz, the mean power flux-density at the Earth’s surface, generated by any spaceborne sensor in the Earth exploration-satellite service (active) or space research service (active), for any angle greater than 0.8° from the beam centre shall not exceed -73.3 dB(W/m2) in this band. (WRC-03)']),
    (36000000000, 37000000001): (False, True, True, False, False, ['Earth Exploration-Satellite (Passive)', 'Space Research (Passive)'], [], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.550A]: For sharing of the band 36-37 GHz between the Earth exploration-satellite (passive) service and the fixed and mobile services, Resolution 752 (WRC-07) shall apply. (WRC-07)']),
    (37000000000, 37500000001): (False, True, True, False, False, ['Mobile Except Aeronautical Mobile', 'Space Research (Space-To-Earth)'], [], ['[5.547]: The bands 31.8-33.4 GHz, 37-40 GHz, 40.5-43.5 GHz, 51.4-52.6 GHz, 55.78-59 GHz and 64-66 GHz are available for high-density applications in the fixed service (see Resolution 75 (WRC-2000)*). Administrations should take this into account when considering regulatory provisions in relation to these bands. Because of the potential deployment of high-density applications in the fixed-satellite service in the bands 39.5-40 GHz and 40.5-42 GHz (see No. 5.516B), administrations should further take into account potential constraints to high-density applications in the fixed service, as appropriate. (WRC-07)']),
    (37500000000, 38000000001): (False, True, True, False, False, ['Fixed-Satellite (Space-To-Earth)', 'Mobile Except Aeronautical Mobile', 'Space Research (Space-To-Earth)'], ['Earth Exploration-Satellite (Space-To-Earth)'], ['[5.547]: The bands 31.8-33.4 GHz, 37-40 GHz, 40.5-43.5 GHz, 51.4-52.6 GHz, 55.78-59 GHz and 64-66 GHz are available for high-density applications in the fixed service (see Resolution 75 (WRC-2000)*). Administrations should take this into account when considering regulatory provisions in relation to these bands. Because of the potential deployment of high-density applications in the fixed-satellite service in the bands 39.5-40 GHz and 40.5-42 GHz (see No. 5.516B), administrations should further take into account potential constraints to high-density applications in the fixed service, as appropriate. (WRC-07)']),
    (38000000000, 39500000001): (False, True, True, False, False, ['Fixed-Satellite (Space-To-Earth)'], ['Earth Exploration-Satellite (Space-To-Earth)'], ['[5.547]: The bands 31.8-33.4 GHz, 37-40 GHz, 40.5-43.5 GHz, 51.4-52.6 GHz, 55.78-59 GHz and 64-66 GHz are available for high-density applications in the fixed service (see Resolution 75 (WRC-2000)*). Administrations should take this into account when considering regulatory provisions in relation to these bands. Because of the potential deployment of high-density applications in the fixed-satellite service in the bands 39.5-40 GHz and 40.5-42 GHz (see No. 5.516B), administrations should further take into account potential constraints to high-density applications in the fixed service, as appropriate. (WRC-07)']),
    (39500000000, 40000000001): (False, True, True, False, False, ['Fixed-Satellite (Space-To-Earth) [5.516B]', 'Mobile-Satellite (Space-To-Earth)'], ['Earth Exploration-Satellite (Space-To-Earth)'], ['[5.516B]: The following bands are identified for use by high-density applications in the fixed-satellite service:17.3-17.7 GHz (space-to-Earth) in Region 1, 18.3-19.3 GHz (space-to-Earth) in Region 2, 19.7-20.2 GHz (space-to-Earth) in all Regions, 39.5-40 GHz (space-to-Earth) in Region 1, 40-40.5 GHz (space-to-Earth) in all Regions, 40.5-42 GHz (space-to-Earth) in Region 2, 47.5-47.9 GHz (space-to-Earth) in Region 1, 48.2-48.54 GHz (space-to-Earth) in Region 1, 49.44-50.2 GHz (space-to-Earth) in Region 1, and 27.5-27.82 GHz (Earth-to-space) in Region 1, 28.35-28.45 GHz (Earth-to-space) in Region 2, 28.45-28.94 GHz (Earth-to-space) in all Regions, 28.94-29.1 GHz (Earth-to-space) in Region 2 and 3, 29.25-29.46 GHz (Earth-to-space) in Region 2, 29.46-30 GHz (Earth-to-space) in all Regions, 48.2-50.2 GHz (Earth-to-space) in Region 2. This identification does not preclude the use of these bands by other fixed-satellite service applications or by other services to which these bands are allocated on a co-primary basis and does not establish priority in these Radio Regulations among users of the bands. Administrations should take this into account when considering regulatory provisions in relation to these bands. See Resolution 143 (WRC-03)*. (WRC-03) ', '[5.547]: The bands 31.8-33.4 GHz, 37-40 GHz, 40.5-43.5 GHz, 51.4-52.6 GHz, 55.78-59 GHz and 64-66 GHz are available for high-density applications in the fixed service (see Resolution 75 (WRC-2000)*). Administrations should take this into account when considering regulatory provisions in relation to these bands. Because of the potential deployment of high-density applications in the fixed-satellite service in the bands 39.5-40 GHz and 40.5-42 GHz (see No. 5.516B), administrations should further take into account potential constraints to high-density applications in the fixed service, as appropriate. (WRC-07)']),
    (40000000000, 40500000001): (False, True, True, False, False, ['Earth Exploration-Satellite (Earth-To-Space)', 'Fixed-Satellite (Space-To-Earth) [5.516B]', 'Mobile-Satellite (Space-To-Earth)', 'Space Research (Earth-To-Space)'], ['Earth Exploration-Satellite (Space-To-Earth)'], ['[5.516B]: The following bands are identified for use by high-density applications in the fixed-satellite service:17.3-17.7 GHz (space-to-Earth) in Region 1, 18.3-19.3 GHz (space-to-Earth) in Region 2, 19.7-20.2 GHz (space-to-Earth) in all Regions, 39.5-40 GHz (space-to-Earth) in Region 1, 40-40.5 GHz (space-to-Earth) in all Regions, 40.5-42 GHz (space-to-Earth) in Region 2, 47.5-47.9 GHz (space-to-Earth) in Region 1, 48.2-48.54 GHz (space-to-Earth) in Region 1, 49.44-50.2 GHz (space-to-Earth) in Region 1, and 27.5-27.82 GHz (Earth-to-space) in Region 1, 28.35-28.45 GHz (Earth-to-space) in Region 2, 28.45-28.94 GHz (Earth-to-space) in all Regions, 28.94-29.1 GHz (Earth-to-space) in Region 2 and 3, 29.25-29.46 GHz (Earth-to-space) in Region 2, 29.46-30 GHz (Earth-to-space) in all Regions, 48.2-50.2 GHz (Earth-to-space) in Region 2. This identification does not preclude the use of these bands by other fixed-satellite service applications or by other services to which these bands are allocated on a co-primary basis and does not establish priority in these Radio Regulations among users of the bands. Administrations should take this into account when considering regulatory provisions in relation to these bands. See Resolution 143 (WRC-03)*. (WRC-03)']),
    (40500000000, 41000000001): (False, True, True, True, False, ['Fixed-Satellite (Space-To-Earth)', 'Broadcasting', 'Broadcasting-Satellite'], [], ['[5.547]: The bands 31.8-33.4 GHz, 37-40 GHz, 40.5-43.5 GHz, 51.4-52.6 GHz, 55.78-59 GHz and 64-66 GHz are available for high-density applications in the fixed service (see Resolution 75 (WRC-2000)*). Administrations should take this into account when considering regulatory provisions in relation to these bands. Because of the potential deployment of high-density applications in the fixed-satellite service in the bands 39.5-40 GHz and 40.5-42 GHz (see No. 5.516B), administrations should further take into account potential constraints to high-density applications in the fixed service, as appropriate. (WRC-07)']),
    (41000000000, 42500000001): (False, True, True, True, False, ['Fixed-Satellite (Space-To-Earth) [5.516B]', 'Broadcasting', 'Broadcasting-Satellite'], [], ['[5.516B]: The following bands are identified for use by high-density applications in the fixed-satellite service:17.3-17.7 GHz (space-to-Earth) in Region 1, 18.3-19.3 GHz (space-to-Earth) in Region 2, 19.7-20.2 GHz (space-to-Earth) in all Regions, 39.5-40 GHz (space-to-Earth) in Region 1, 40-40.5 GHz (space-to-Earth) in all Regions, 40.5-42 GHz (space-to-Earth) in Region 2, 47.5-47.9 GHz (space-to-Earth) in Region 1, 48.2-48.54 GHz (space-to-Earth) in Region 1, 49.44-50.2 GHz (space-to-Earth) in Region 1, and 27.5-27.82 GHz (Earth-to-space) in Region 1, 28.35-28.45 GHz (Earth-to-space) in Region 2, 28.45-28.94 GHz (Earth-to-space) in all Regions, 28.94-29.1 GHz (Earth-to-space) in Region 2 and 3, 29.25-29.46 GHz (Earth-to-space) in Region 2, 29.46-30 GHz (Earth-to-space) in all Regions, 48.2-50.2 GHz (Earth-to-space) in Region 2. This identification does not preclude the use of these bands by other fixed-satellite service applications or by other services to which these bands are allocated on a co-primary basis and does not establish priority in these Radio Regulations among users of the bands. Administrations should take this into account when considering regulatory provisions in relation to these bands. See Resolution 143 (WRC-03)*. (WRC-03) ', '[5.547]: The bands 31.8-33.4 GHz, 37-40 GHz, 40.5-43.5 GHz, 51.4-52.6 GHz, 55.78-59 GHz and 64-66 GHz are available for high-density applications in the fixed service (see Resolution 75 (WRC-2000)*). Administrations should take this into account when considering regulatory provisions in relation to these bands. Because of the potential deployment of high-density applications in the fixed-satellite service in the bands 39.5-40 GHz and 40.5-42 GHz (see No. 5.516B), administrations should further take into account potential constraints to high-density applications in the fixed service, as appropriate. (WRC-07)', '[5.551F]: Different category of service: in Japan, the allocation of the band 41.5-42.5 GHz to the mobile service is on a primary basis (see No. 5.33). (WRC-97)', '[5.551H]: The equivalent power flux-density (epfd) produced in the frequency band 42.5-43.5 GHz by all space stations in any non-geostationary-satellite system in the fixed-satellite service (space-to-Earth), or in the broadcasting-satellite service operating in the frequency band 42-42.5 GHz, shall not exceed the following values at the site of any radio astronomy station for more than 2% of the time:−230 dB(W/m2) in 1 GHz and −246 dB(W/m2) in any 500 kHz of the frequency band 42.5-43.5 GHz at the site of any radio astronomy station registered as a single-dish telescope; and −209 dB(W/m2) in any 500 kHz of the frequency band 42.5-43.5 GHz at the site of any radio astronomy station registered as a very long baseline interferometry station. These epfd values shall be evaluated using the methodology given in Recommendation ITU-R S.1586-1 and the reference antenna pattern and the maximum gain of an antenna in the radio astronomy service given in Recommendation ITU-R RA.1631-0 and shall apply over the whole sky and for elevation angles higher than the minimum operating angle θmin of the radiotelescope (for which a default value of 5° should be adopted in the absence of notified information). These values shall apply at any radio astronomy station that either: – was in operation prior to 5 July 2003 and has been notified to the Bureau before 4 January 2004; or – was notified before the date of receipt of the complete Appendix 4 information for coordination or notification, as appropriate, for the space station to which the limits apply. Other radio astronomy stations notified after these dates may seek an agreement with administrations that have authorized the space stations. In Region 2, Resolution 743 (WRC-03) shall apply. The limits in this footnote may be exceeded at the site of a radio astronomy station of any country whose administration so agreed. (WRC-15) ', '[5.551I]: The power flux-density in the band 42.5-43.5 GHz produced by any geostationary space station in the fixed-satellite service (space-to-Earth), or the broadcasting-satellite service operating in the 42-42.5 GHz band, shall not exceed the following values at the site of any radio astronomy station:–137 dB(W/m2) in 1 GHz and –153 dB(W/m2) in any 500 kHz of the 42.5-43.5 GHz band at the site of any radio astronomy station registered as a single-dish telescope; and –116 dB(W/m2) in any 500 kHz of the 42.5-43.5 GHz band at the site of any radio astronomy station registered as a very long baseline interferometry station. These values shall apply at the site of any radio astronomy station that either: – was in operation prior to 5 July 2003 and has been notified to the Bureau before 4 January 2004; or – was notified before the date of receipt of the complete Appendix 4 information for coordination or notification, as appropriate, for the space station to which the limits apply. Other radio astronomy stations notified after these dates may seek an agreement with administrations that have authorized the space stations. In Region 2, Resolution 743 (WRC-03) shall apply. The limits in this footnote may be exceeded at the site of a radio astronomy station of any country whose administration so agreed. (WRC-03)']),
    (42500000000, 43500000001): (False, True, True, False, False, ['Fixed-Satellite (Earth-To-Space) [5.552]', 'Mobile Except Aeronautical Mobile', 'Radio Astronomy'], [], ['[5.552]: The allocation of the spectrum for the fixed-satellite service in the bands 42.5-43.5 GHz and 47.2-50.2 GHz for Earth-to-space transmission is greater than that in the band 37.5-39.5 GHz for space-to-Earth transmission in order to accommodate feeder links to broadcasting satellites. Administrations are urged to take all practicable steps to reserve the band 47.2-49.2 GHz for feeder links for the broadcasting-satellite service operating in the band 40.5-42.5 GHz.', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.547]: The bands 31.8-33.4 GHz, 37-40 GHz, 40.5-43.5 GHz, 51.4-52.6 GHz, 55.78-59 GHz and 64-66 GHz are available for high-density applications in the fixed service (see Resolution 75 (WRC-2000)*). Administrations should take this into account when considering regulatory provisions in relation to these bands. Because of the potential deployment of high-density applications in the fixed-satellite service in the bands 39.5-40 GHz and 40.5-42 GHz (see No. 5.516B), administrations should further take into account potential constraints to high-density applications in the fixed service, as appropriate. (WRC-07)']),
    (43500000000, 47000000001): (False, False, True, False, False, ['Mobile [5.553]', 'Mobile-Satellite', 'Radionavigation', 'Radionavigation-Satellite'], [], ['[5.553]: In the bands 43.5-47 GHz and 66-71 GHz, stations in the land mobile service may be operated subject to not causing harmful interference to the space radiocommunication services to which these bands are allocated (see No. 5.43). (WRC-2000)', '[5.554]: In the bands 43.5-47 GHz, 66-71 GHz, 95-100 GHz, 123-130 GHz, 191.8-200 GHz and 252-265 GHz, satellite links connecting land stations at specified fixed points are also authorized when used in conjunction with the mobile-satellite service or the radionavigation-satellite service. (WRC-2000)']),
    (47000000000, 47200000001): (True, False, False, False, False, ['Amateur', 'Amateur-Satellite'], [], []),
    (47200000000, 47500000001): (False, True, True, False, False, ['Fixed-Satellite (Earth-To-Space) [5.552]'], [], ['[5.552]: The allocation of the spectrum for the fixed-satellite service in the bands 42.5-43.5 GHz and 47.2-50.2 GHz for Earth-to-space transmission is greater than that in the band 37.5-39.5 GHz for space-to-Earth transmission in order to accommodate feeder links to broadcasting satellites. Administrations are urged to take all practicable steps to reserve the band 47.2-49.2 GHz for feeder links for the broadcasting-satellite service operating in the band 40.5-42.5 GHz.', '[5.552A]: The allocation to the fixed service in the bands 47.2-47.5 GHz and 47.9-48.2 GHz is designated for use by high altitude platform stations. The use of the bands 47.2-47.5 GHz and 47.9-48.2 GHz is subject to the provisions of Resolution 122 (Rev.WRC-07). (WRC-07)']),
    (47500000000, 47900000001): (False, True, True, False, False, ['Fixed-Satellite (Earth-To-Space) [5.552]'], [], ['[5.552]: The allocation of the spectrum for the fixed-satellite service in the bands 42.5-43.5 GHz and 47.2-50.2 GHz for Earth-to-space transmission is greater than that in the band 37.5-39.5 GHz for space-to-Earth transmission in order to accommodate feeder links to broadcasting satellites. Administrations are urged to take all practicable steps to reserve the band 47.2-49.2 GHz for feeder links for the broadcasting-satellite service operating in the band 40.5-42.5 GHz.']),
    (47900000000, 48200000001): (False, True, True, False, False, ['Fixed-Satellite (Earth-To-Space) [5.552]'], [], ['[5.552]: The allocation of the spectrum for the fixed-satellite service in the bands 42.5-43.5 GHz and 47.2-50.2 GHz for Earth-to-space transmission is greater than that in the band 37.5-39.5 GHz for space-to-Earth transmission in order to accommodate feeder links to broadcasting satellites. Administrations are urged to take all practicable steps to reserve the band 47.2-49.2 GHz for feeder links for the broadcasting-satellite service operating in the band 40.5-42.5 GHz.', '[5.552A]: The allocation to the fixed service in the bands 47.2-47.5 GHz and 47.9-48.2 GHz is designated for use by high altitude platform stations. The use of the bands 47.2-47.5 GHz and 47.9-48.2 GHz is subject to the provisions of Resolution 122 (Rev.WRC-07). (WRC-07)']),
    (48200000000, 50200000001): (False, True, True, False, False, ['Fixed-Satellite (Earth-To-Space) [5.516B][5.338A][5.552]'], [], ['[5.516B]: The following bands are identified for use by high-density applications in the fixed-satellite service:17.3-17.7 GHz (space-to-Earth) in Region 1, 18.3-19.3 GHz (space-to-Earth) in Region 2, 19.7-20.2 GHz (space-to-Earth) in all Regions, 39.5-40 GHz (space-to-Earth) in Region 1, 40-40.5 GHz (space-to-Earth) in all Regions, 40.5-42 GHz (space-to-Earth) in Region 2, 47.5-47.9 GHz (space-to-Earth) in Region 1, 48.2-48.54 GHz (space-to-Earth) in Region 1, 49.44-50.2 GHz (space-to-Earth) in Region 1, and 27.5-27.82 GHz (Earth-to-space) in Region 1, 28.35-28.45 GHz (Earth-to-space) in Region 2, 28.45-28.94 GHz (Earth-to-space) in all Regions, 28.94-29.1 GHz (Earth-to-space) in Region 2 and 3, 29.25-29.46 GHz (Earth-to-space) in Region 2, 29.46-30 GHz (Earth-to-space) in all Regions, 48.2-50.2 GHz (Earth-to-space) in Region 2. This identification does not preclude the use of these bands by other fixed-satellite service applications or by other services to which these bands are allocated on a co-primary basis and does not establish priority in these Radio Regulations among users of the bands. Administrations should take this into account when considering regulatory provisions in relation to these bands. See Resolution 143 (WRC-03)*. (WRC-03) ', '[5.338A]: In the frequency bands 1 350-1 400 MHz, 1 427-1 452 MHz, 22.55-23.55 GHz, 30-31.3 GHz, 49.7-50.2 GHz, 50.4-50.9 GHz, 51.4-52.6 GHz, 81-86 GHz and 92-94 GHz, Resolution 750 (Rev.WRC-15) applies. (WRC-15)', '[5.552]: The allocation of the spectrum for the fixed-satellite service in the bands 42.5-43.5 GHz and 47.2-50.2 GHz for Earth-to-space transmission is greater than that in the band 37.5-39.5 GHz for space-to-Earth transmission in order to accommodate feeder links to broadcasting satellites. Administrations are urged to take all practicable steps to reserve the band 47.2-49.2 GHz for feeder links for the broadcasting-satellite service operating in the band 40.5-42.5 GHz.', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.340]: All emissions are prohibited in the following bands:1 400-1 427 MHz, 2 690-2 700 MHz, except those provided for by No. 5.422, 10.68-10.7 GHz, except those provided for by No. 5.483, 15.35-15.4 GHz, except those provided for by No. 5.511, 23.6-24 GHz, 31.3-31.5 GHz, 31.5-31.8 GHz, in Region 2, 48.94-49.04 GHz, from airborne stations 50.2-50.4 GHz2, 52.6-54.25 GHz, 86-92 GHz, 100-102 GHz, 109.5-111.8 GHz, 114.25-116 GHz, 148.5-151.5 GHz, 164-167 GHz, 182-185 GHz, 190-191.8 GHz, 200-209 GHz, 226-231.5 GHz, 250-252 GHz. (WRC-03) ', '[5.555]: Additional allocation: the band 48.94-49.04 GHz is also allocated to the radio astronomy service on a primary basis. (WRC-2000)']),
    (50200000000, 50400000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Passive)', 'Space Research (Passive)'], [], ['[5.340]: All emissions are prohibited in the following bands:1 400-1 427 MHz, 2 690-2 700 MHz, except those provided for by No. 5.422, 10.68-10.7 GHz, except those provided for by No. 5.483, 15.35-15.4 GHz, except those provided for by No. 5.511, 23.6-24 GHz, 31.3-31.5 GHz, 31.5-31.8 GHz, in Region 2, 48.94-49.04 GHz, from airborne stations 50.2-50.4 GHz2, 52.6-54.25 GHz, 86-92 GHz, 100-102 GHz, 109.5-111.8 GHz, 114.25-116 GHz, 148.5-151.5 GHz, 164-167 GHz, 182-185 GHz, 190-191.8 GHz, 200-209 GHz, 226-231.5 GHz, 250-252 GHz. (WRC-03)']),
    (50400000000, 51400000001): (False, True, True, False, False, ['Fixed-Satellite (Earth-To-Space) [5.338A]'], ['Mobile-Satellite (Earth-To-Space)'], ['[5.338A]: In the frequency bands 1 350-1 400 MHz, 1 427-1 452 MHz, 22.55-23.55 GHz, 30-31.3 GHz, 49.7-50.2 GHz, 50.4-50.9 GHz, 51.4-52.6 GHz, 81-86 GHz and 92-94 GHz, Resolution 750 (Rev.WRC-15) applies. (WRC-15)']),
    (51400000000, 52600000001): (False, True, True, False, False, ['Fixed [5.338A]'], [], ['[5.338A]: In the frequency bands 1 350-1 400 MHz, 1 427-1 452 MHz, 22.55-23.55 GHz, 30-31.3 GHz, 49.7-50.2 GHz, 50.4-50.9 GHz, 51.4-52.6 GHz, 81-86 GHz and 92-94 GHz, Resolution 750 (Rev.WRC-15) applies. (WRC-15)', '[5.547]: The bands 31.8-33.4 GHz, 37-40 GHz, 40.5-43.5 GHz, 51.4-52.6 GHz, 55.78-59 GHz and 64-66 GHz are available for high-density applications in the fixed service (see Resolution 75 (WRC-2000)*). Administrations should take this into account when considering regulatory provisions in relation to these bands. Because of the potential deployment of high-density applications in the fixed-satellite service in the bands 39.5-40 GHz and 40.5-42 GHz (see No. 5.516B), administrations should further take into account potential constraints to high-density applications in the fixed service, as appropriate. (WRC-07)', '[5.556]: In the bands 51.4-54.25 GHz, 58.2-59 GHz and 64-65 GHz, radio astronomy observations may be carried out under national arrangements. (WRC-2000)']),
    (52600000000, 54250000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Passive)', 'Space Research (Passive)'], [], ['[5.340]: All emissions are prohibited in the following bands:1 400-1 427 MHz, 2 690-2 700 MHz, except those provided for by No. 5.422, 10.68-10.7 GHz, except those provided for by No. 5.483, 15.35-15.4 GHz, except those provided for by No. 5.511, 23.6-24 GHz, 31.3-31.5 GHz, 31.5-31.8 GHz, in Region 2, 48.94-49.04 GHz, from airborne stations 50.2-50.4 GHz2, 52.6-54.25 GHz, 86-92 GHz, 100-102 GHz, 109.5-111.8 GHz, 114.25-116 GHz, 148.5-151.5 GHz, 164-167 GHz, 182-185 GHz, 190-191.8 GHz, 200-209 GHz, 226-231.5 GHz, 250-252 GHz. (WRC-03) ', '[5.556]: In the bands 51.4-54.25 GHz, 58.2-59 GHz and 64-65 GHz, radio astronomy observations may be carried out under national arrangements. (WRC-2000)']),
    (54250000000, 55780000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Passive)', 'Inter-Satellite [5.556A]', 'Space Research (Passive)'], [], ['[5.556A]: Use of the bands 54.25-56.9 GHz, 57-58.2 GHz and 59-59.3 GHz by the inter-satellite service is limited to satellites in the geostationary-satellite orbit. The single-entry power flux-density at all altitudes from 0 km to 1 000 km above the Earth’s surface produced by a station in the inter-satellite service, for all conditions and for all methods of modulation, shall not exceed –147 dB(W/(m2 × 100 MHz)) for all angles of arrival. (WRC-97)', '[5.556B]: Additional allocation: in Japan, the band 54.25-55.78 GHz is also allocated to the mobile service on a primary basis for low-density use. (WRC-97)']),
    (55780000000, 56900000001): (False, True, True, False, False, ['Earth Exploration-Satellite (Passive)', 'Fixed [5.557A]', 'Inter-Satellite [5.556A]', 'Mobile [5.558]', 'Space Research (Passive)'], [], ['[5.557A]: In the band 55.78-56.26 GHz, in order to protect stations in the Earth exploration-satellite service (passive), the maximum power density delivered by a transmitter to the antenna of a fixed service station is limited to –26 dB(W/MHz). (WRC-2000)', '[5.556A]: Use of the bands 54.25-56.9 GHz, 57-58.2 GHz and 59-59.3 GHz by the inter-satellite service is limited to satellites in the geostationary-satellite orbit. The single-entry power flux-density at all altitudes from 0 km to 1 000 km above the Earth’s surface produced by a station in the inter-satellite service, for all conditions and for all methods of modulation, shall not exceed –147 dB(W/(m2 × 100 MHz)) for all angles of arrival. (WRC-97)', '[5.558]: In the bands 55.78-58.2 GHz, 59-64 GHz, 66-71 GHz, 122.25-123 GHz, 130-134 GHz, 167-174.8 GHz and 191.8-200 GHz, stations in the aeronautical mobile service may be operated subject to not causing harmful interference to the inter-satellite service (see No. 5.43). (WRC-2000)', '[5.547]: The bands 31.8-33.4 GHz, 37-40 GHz, 40.5-43.5 GHz, 51.4-52.6 GHz, 55.78-59 GHz and 64-66 GHz are available for high-density applications in the fixed service (see Resolution 75 (WRC-2000)*). Administrations should take this into account when considering regulatory provisions in relation to these bands. Because of the potential deployment of high-density applications in the fixed-satellite service in the bands 39.5-40 GHz and 40.5-42 GHz (see No. 5.516B), administrations should further take into account potential constraints to high-density applications in the fixed service, as appropriate. (WRC-07)', '[5.557]: Additional allocation: in Japan, the band 55.78-58.2 GHz is also allocated to the radiolocation service on a primary basis. (WRC-97)']),
    (56900000000, 57000000001): (False, True, True, False, False, ['Earth Exploration-Satellite (Passive)', 'Inter-Satellite [5.558A]', 'Mobile [5.558]', 'Space Research (Passive)'], [], ['[5.558A]: Use of the band 56.9-57 GHz by inter-satellite systems is limited to links between satellites in geostationary-satellite orbit and to transmissions from non-geostationary satellites in high-Earth orbit to those in low-Earth orbit. For links between satellites in the geostationary-satellite orbit, the single entry power flux-density at all altitudes from 0 km to 1 000 km above the Earth’s surface, for all conditions and for all methods of modulation, shall not exceed –147 dB(W/(m2 × 100 MHz)) for all angles of arrival. (WRC-97)', '[5.558]: In the bands 55.78-58.2 GHz, 59-64 GHz, 66-71 GHz, 122.25-123 GHz, 130-134 GHz, 167-174.8 GHz and 191.8-200 GHz, stations in the aeronautical mobile service may be operated subject to not causing harmful interference to the inter-satellite service (see No. 5.43). (WRC-2000)', '[5.547]: The bands 31.8-33.4 GHz, 37-40 GHz, 40.5-43.5 GHz, 51.4-52.6 GHz, 55.78-59 GHz and 64-66 GHz are available for high-density applications in the fixed service (see Resolution 75 (WRC-2000)*). Administrations should take this into account when considering regulatory provisions in relation to these bands. Because of the potential deployment of high-density applications in the fixed-satellite service in the bands 39.5-40 GHz and 40.5-42 GHz (see No. 5.516B), administrations should further take into account potential constraints to high-density applications in the fixed service, as appropriate. (WRC-07)', '[5.557]: Additional allocation: in Japan, the band 55.78-58.2 GHz is also allocated to the radiolocation service on a primary basis. (WRC-97)']),
    (57000000000, 58200000001): (False, True, True, False, False, ['Earth Exploration-Satellite (Passive)', 'Inter-Satellite [5.556A]', 'Mobile [5.558]', 'Space Research (Passive)'], [], ['[5.556A]: Use of the bands 54.25-56.9 GHz, 57-58.2 GHz and 59-59.3 GHz by the inter-satellite service is limited to satellites in the geostationary-satellite orbit. The single-entry power flux-density at all altitudes from 0 km to 1 000 km above the Earth’s surface produced by a station in the inter-satellite service, for all conditions and for all methods of modulation, shall not exceed –147 dB(W/(m2 × 100 MHz)) for all angles of arrival. (WRC-97)', '[5.558]: In the bands 55.78-58.2 GHz, 59-64 GHz, 66-71 GHz, 122.25-123 GHz, 130-134 GHz, 167-174.8 GHz and 191.8-200 GHz, stations in the aeronautical mobile service may be operated subject to not causing harmful interference to the inter-satellite service (see No. 5.43). (WRC-2000)', '[5.547]: The bands 31.8-33.4 GHz, 37-40 GHz, 40.5-43.5 GHz, 51.4-52.6 GHz, 55.78-59 GHz and 64-66 GHz are available for high-density applications in the fixed service (see Resolution 75 (WRC-2000)*). Administrations should take this into account when considering regulatory provisions in relation to these bands. Because of the potential deployment of high-density applications in the fixed-satellite service in the bands 39.5-40 GHz and 40.5-42 GHz (see No. 5.516B), administrations should further take into account potential constraints to high-density applications in the fixed service, as appropriate. (WRC-07)', '[5.557]: Additional allocation: in Japan, the band 55.78-58.2 GHz is also allocated to the radiolocation service on a primary basis. (WRC-97)']),
    (58200000000, 59000000001): (False, True, True, False, False, ['Earth Exploration-Satellite (Passive)', 'Space Research (Passive)'], [], ['[5.547]: The bands 31.8-33.4 GHz, 37-40 GHz, 40.5-43.5 GHz, 51.4-52.6 GHz, 55.78-59 GHz and 64-66 GHz are available for high-density applications in the fixed service (see Resolution 75 (WRC-2000)*). Administrations should take this into account when considering regulatory provisions in relation to these bands. Because of the potential deployment of high-density applications in the fixed-satellite service in the bands 39.5-40 GHz and 40.5-42 GHz (see No. 5.516B), administrations should further take into account potential constraints to high-density applications in the fixed service, as appropriate. (WRC-07)', '[5.556]: In the bands 51.4-54.25 GHz, 58.2-59 GHz and 64-65 GHz, radio astronomy observations may be carried out under national arrangements. (WRC-2000)']),
    (59000000000, 59300000001): (False, True, True, False, False, ['Earth Exploration-Satellite (Passive)', 'Inter-Satellite [5.556A]', 'Mobile [5.558]', 'Radiolocation [5.559]', 'Space Research (Passive)'], [], ['[5.556A]: Use of the bands 54.25-56.9 GHz, 57-58.2 GHz and 59-59.3 GHz by the inter-satellite service is limited to satellites in the geostationary-satellite orbit. The single-entry power flux-density at all altitudes from 0 km to 1 000 km above the Earth’s surface produced by a station in the inter-satellite service, for all conditions and for all methods of modulation, shall not exceed –147 dB(W/(m2 × 100 MHz)) for all angles of arrival. (WRC-97)', '[5.558]: In the bands 55.78-58.2 GHz, 59-64 GHz, 66-71 GHz, 122.25-123 GHz, 130-134 GHz, 167-174.8 GHz and 191.8-200 GHz, stations in the aeronautical mobile service may be operated subject to not causing harmful interference to the inter-satellite service (see No. 5.43). (WRC-2000)', '[5.559]: In the band 59-64 GHz, airborne radars in the radiolocation service may be operated subject to not causing harmful interference to the inter-satellite service (see No. 5.43). (WRC-2000)']),
    (59300000000, 64000000001): (False, True, True, False, False, ['Inter-Satellite', 'Mobile [5.558]', 'Radiolocation [5.559]'], [], ['[5.558]: In the bands 55.78-58.2 GHz, 59-64 GHz, 66-71 GHz, 122.25-123 GHz, 130-134 GHz, 167-174.8 GHz and 191.8-200 GHz, stations in the aeronautical mobile service may be operated subject to not causing harmful interference to the inter-satellite service (see No. 5.43). (WRC-2000)', '[5.559]: In the band 59-64 GHz, airborne radars in the radiolocation service may be operated subject to not causing harmful interference to the inter-satellite service (see No. 5.43). (WRC-2000)', '[5.138]: The following bands:6 765-6 795 kHz (centre frequency 6 780 kHz), 433.05-434.79 MHz (centre frequency 433.92 MHz) in Region 1 except in the countries mentioned in No. 5.280, 61-61.5 GHz (centre frequency 61.25 GHz), 122-123 GHz (centre frequency 122.5 GHz), and 244-246 GHz (centre frequency 245 GHz) are designated for industrial, scientific and medical (ISM) applications. The use of these frequency bands for ISM applications shall be subject to special authorization by the administration concerned, in agreement with other administrations whose radiocommunication services might be affected. In applying this provision, administrations shall have due regard to the latest relevant ITU-R Recommendations.']),
    (64000000000, 65000000001): (False, True, True, False, False, ['Inter-Satellite', 'Mobile Except Aeronautical Mobile'], [], ['[5.547]: The bands 31.8-33.4 GHz, 37-40 GHz, 40.5-43.5 GHz, 51.4-52.6 GHz, 55.78-59 GHz and 64-66 GHz are available for high-density applications in the fixed service (see Resolution 75 (WRC-2000)*). Administrations should take this into account when considering regulatory provisions in relation to these bands. Because of the potential deployment of high-density applications in the fixed-satellite service in the bands 39.5-40 GHz and 40.5-42 GHz (see No. 5.516B), administrations should further take into account potential constraints to high-density applications in the fixed service, as appropriate. (WRC-07)', '[5.556]: In the bands 51.4-54.25 GHz, 58.2-59 GHz and 64-65 GHz, radio astronomy observations may be carried out under national arrangements. (WRC-2000)']),
    (65000000000, 66000000001): (False, True, True, False, False, ['Earth Exploration-Satellite', 'Inter-Satellite', 'Mobile Except Aeronautical Mobile', 'Space Research'], [], ['[5.547]: The bands 31.8-33.4 GHz, 37-40 GHz, 40.5-43.5 GHz, 51.4-52.6 GHz, 55.78-59 GHz and 64-66 GHz are available for high-density applications in the fixed service (see Resolution 75 (WRC-2000)*). Administrations should take this into account when considering regulatory provisions in relation to these bands. Because of the potential deployment of high-density applications in the fixed-satellite service in the bands 39.5-40 GHz and 40.5-42 GHz (see No. 5.516B), administrations should further take into account potential constraints to high-density applications in the fixed service, as appropriate. (WRC-07)']),
    (66000000000, 71000000001): (False, False, True, False, False, ['Inter-Satellite', 'Mobile [5.553][5.558]', 'Mobile-Satellite', 'Radionavigation', 'Radionavigation-Satellite'], [], ['[5.553]: In the bands 43.5-47 GHz and 66-71 GHz, stations in the land mobile service may be operated subject to not causing harmful interference to the space radiocommunication services to which these bands are allocated (see No. 5.43). (WRC-2000)', '[5.558]: In the bands 55.78-58.2 GHz, 59-64 GHz, 66-71 GHz, 122.25-123 GHz, 130-134 GHz, 167-174.8 GHz and 191.8-200 GHz, stations in the aeronautical mobile service may be operated subject to not causing harmful interference to the inter-satellite service (see No. 5.43). (WRC-2000)', '[5.554]: In the bands 43.5-47 GHz, 66-71 GHz, 95-100 GHz, 123-130 GHz, 191.8-200 GHz and 252-265 GHz, satellite links connecting land stations at specified fixed points are also authorized when used in conjunction with the mobile-satellite service or the radionavigation-satellite service. (WRC-2000)']),
    (71000000000, 74000000001): (False, True, True, False, False, ['Fixed-Satellite (Space-To-Earth)', 'Mobile-Satellite (Space-To-Earth)'], [], []),
    (74000000000, 76000000001): (False, True, True, True, False, ['Fixed-Satellite (Space-To-Earth)', 'Broadcasting', 'Broadcasting-Satellite'], ['Space Research (Space-To-Earth)'], ['[5.561]: In the band 74-76 GHz, stations in the fixed, mobile and broadcasting services shall not cause harmful interference to stations of the fixed-satellite service or stations of the broadcasting-satellite service operating in accordance with the decisions of the appropriate frequency assignment planning conference for the broadcasting-satellite service. (WRC-2000)']),
    (76000000000, 77500000001): (True, False, False, False, False, ['Radio Astronomy', 'Radiolocation'], ['Amateur', 'Amateur-Satellite', 'Space Research (Space-To-Earth)'], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07)']),
    (77500000000, 78000000001): (True, False, False, False, False, ['Amateur', 'Amateur-Satellite', 'Radiolocation [5.559B]'], ['Radio Astronomy', 'Space Research (Space-To-Earth)'], ['[5.559B]: The use of the frequency band 77.5-78 GHz by the radiolocation service shall be limited to short-range radar for ground-based applications, including automotive radars. The technical characteristics of these radars are provided in the most recent version of Recommendation ITU-R M.2057. The provisions of No. 4.10 do not apply. (WRC-15)', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07)']),
    (78000000000, 79000000001): (True, False, False, False, False, ['Radiolocation'], ['Amateur', 'Amateur-Satellite', 'Radio Astronomy', 'Space Research (Space-To-Earth)'], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.560]: In the band 78-79 GHz radars located on space stations may be operated on a primary basis in the Earth exploration-satellite service and in the space research service.']),
    (79000000000, 81000000001): (True, False, False, False, False, ['Radio Astronomy', 'Radiolocation'], ['Amateur', 'Amateur-Satellite', 'Space Research (Space-To-Earth)'], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07)']),
    (81000000000, 84000000001): (False, True, True, False, False, ['Fixed [5.338A]', 'Fixed-Satellite (Earth-To-Space)', 'Mobile-Satellite (Earth-To-Space)', 'Radio Astronomy'], ['Space Research (Space-To-Earth)'], ['[5.338A]: In the frequency bands 1 350-1 400 MHz, 1 427-1 452 MHz, 22.55-23.55 GHz, 30-31.3 GHz, 49.7-50.2 GHz, 50.4-50.9 GHz, 51.4-52.6 GHz, 81-86 GHz and 92-94 GHz, Resolution 750 (Rev.WRC-15) applies. (WRC-15)', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.561A]: The 81-81.5 GHz band is also allocated to the amateur and amateur-satellite services on a secondary basis. (WRC-2000)']),
    (84000000000, 86000000001): (False, True, True, False, False, ['Fixed [5.338A]', 'Fixed-Satellite (Earth-To-Space) [5.561B]', 'Radio Astronomy'], [], ['[5.338A]: In the frequency bands 1 350-1 400 MHz, 1 427-1 452 MHz, 22.55-23.55 GHz, 30-31.3 GHz, 49.7-50.2 GHz, 50.4-50.9 GHz, 51.4-52.6 GHz, 81-86 GHz and 92-94 GHz, Resolution 750 (Rev.WRC-15) applies. (WRC-15)', '[5.561B]: In Japan, use of the band 84-86 GHz, by the fixed-satellite service (Earth-to-space) is limited to feeder links in the broadcasting-satellite service using the geostationary-satellite orbit. (WRC-2000)', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07)']),
    (86000000000, 92000000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Passive)', 'Radio Astronomy', 'Space Research (Passive)'], [], ['[5.340]: All emissions are prohibited in the following bands:1 400-1 427 MHz, 2 690-2 700 MHz, except those provided for by No. 5.422, 10.68-10.7 GHz, except those provided for by No. 5.483, 15.35-15.4 GHz, except those provided for by No. 5.511, 23.6-24 GHz, 31.3-31.5 GHz, 31.5-31.8 GHz, in Region 2, 48.94-49.04 GHz, from airborne stations 50.2-50.4 GHz2, 52.6-54.25 GHz, 86-92 GHz, 100-102 GHz, 109.5-111.8 GHz, 114.25-116 GHz, 148.5-151.5 GHz, 164-167 GHz, 182-185 GHz, 190-191.8 GHz, 200-209 GHz, 226-231.5 GHz, 250-252 GHz. (WRC-03)']),
    (92000000000, 94000000001): (False, True, True, False, False, ['Fixed [5.338A]', 'Radio Astronomy', 'Radiolocation'], [], ['[5.338A]: In the frequency bands 1 350-1 400 MHz, 1 427-1 452 MHz, 22.55-23.55 GHz, 30-31.3 GHz, 49.7-50.2 GHz, 50.4-50.9 GHz, 51.4-52.6 GHz, 81-86 GHz and 92-94 GHz, Resolution 750 (Rev.WRC-15) applies. (WRC-15)', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07)']),
    (94000000000, 94100000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Active)', 'Radiolocation', 'Space Research (Active)'], ['Radio Astronomy'], ['[5.562]: The use of the band 94-94.1 GHz by the Earth exploration-satellite (active) and space research (active) services is limited to spaceborne cloud radars. (WRC-97)', '[5.562A]: In the bands 94-94.1 GHz and 130-134 GHz, transmissions from space stations of the Earth exploration-satellite service (active) that are directed into the main beam of a radio astronomy antenna have the potential to damage some radio astronomy receivers. Space agencies operating the transmitters and the radio astronomy stations concerned should mutually plan their operations so as to avoid such occurrences to the maximum extent possible. (WRC-2000)']),
    (94100000000, 95000000001): (False, True, True, False, False, ['Radio Astronomy', 'Radiolocation'], [], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07)']),
    (95000000000, 100000000001): (False, True, True, False, False, ['Radio Astronomy', 'Radiolocation', 'Radionavigation', 'Radionavigation-Satellite'], [], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.554]: In the bands 43.5-47 GHz, 66-71 GHz, 95-100 GHz, 123-130 GHz, 191.8-200 GHz and 252-265 GHz, satellite links connecting land stations at specified fixed points are also authorized when used in conjunction with the mobile-satellite service or the radionavigation-satellite service. (WRC-2000)']),
    (100000000000, 102000000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Passive)', 'Radio Astronomy', 'Space Research (Passive)'], [], ['[5.340]: All emissions are prohibited in the following bands:1 400-1 427 MHz, 2 690-2 700 MHz, except those provided for by No. 5.422, 10.68-10.7 GHz, except those provided for by No. 5.483, 15.35-15.4 GHz, except those provided for by No. 5.511, 23.6-24 GHz, 31.3-31.5 GHz, 31.5-31.8 GHz, in Region 2, 48.94-49.04 GHz, from airborne stations 50.2-50.4 GHz2, 52.6-54.25 GHz, 86-92 GHz, 100-102 GHz, 109.5-111.8 GHz, 114.25-116 GHz, 148.5-151.5 GHz, 164-167 GHz, 182-185 GHz, 190-191.8 GHz, 200-209 GHz, 226-231.5 GHz, 250-252 GHz. (WRC-03) ', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.']),
    (102000000000, 105000000001): (False, True, True, False, False, ['Radio Astronomy'], [], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.']),
    (105000000000, 109500000001): (False, True, True, False, False, ['Radio Astronomy', 'Space Research (Passive) [5.562B]'], [], ['[5.562B]: In the bands 105-109.5 GHz, 111.8-114.25 GHz, 155.5-158.5 GHz and 217-226 GHz, the use of this allocation is limited to space-based radio astronomy only. (WRC-2000)', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.']),
    (109500000000, 111800000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Passive)', 'Radio Astronomy', 'Space Research (Passive)'], [], ['[5.340]: All emissions are prohibited in the following bands:1 400-1 427 MHz, 2 690-2 700 MHz, except those provided for by No. 5.422, 10.68-10.7 GHz, except those provided for by No. 5.483, 15.35-15.4 GHz, except those provided for by No. 5.511, 23.6-24 GHz, 31.3-31.5 GHz, 31.5-31.8 GHz, in Region 2, 48.94-49.04 GHz, from airborne stations 50.2-50.4 GHz2, 52.6-54.25 GHz, 86-92 GHz, 100-102 GHz, 109.5-111.8 GHz, 114.25-116 GHz, 148.5-151.5 GHz, 164-167 GHz, 182-185 GHz, 190-191.8 GHz, 200-209 GHz, 226-231.5 GHz, 250-252 GHz. (WRC-03) ', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.']),
    (111800000000, 114250000001): (False, True, True, False, False, ['Radio Astronomy', 'Space Research (Passive) [5.562B]'], [], ['[5.562B]: In the bands 105-109.5 GHz, 111.8-114.25 GHz, 155.5-158.5 GHz and 217-226 GHz, the use of this allocation is limited to space-based radio astronomy only. (WRC-2000)', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.']),
    (114250000000, 116000000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Passive)', 'Radio Astronomy', 'Space Research (Passive)'], [], ['[5.340]: All emissions are prohibited in the following bands:1 400-1 427 MHz, 2 690-2 700 MHz, except those provided for by No. 5.422, 10.68-10.7 GHz, except those provided for by No. 5.483, 15.35-15.4 GHz, except those provided for by No. 5.511, 23.6-24 GHz, 31.3-31.5 GHz, 31.5-31.8 GHz, in Region 2, 48.94-49.04 GHz, from airborne stations 50.2-50.4 GHz2, 52.6-54.25 GHz, 86-92 GHz, 100-102 GHz, 109.5-111.8 GHz, 114.25-116 GHz, 148.5-151.5 GHz, 164-167 GHz, 182-185 GHz, 190-191.8 GHz, 200-209 GHz, 226-231.5 GHz, 250-252 GHz. (WRC-03) ', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.']),
    (116000000000, 119980000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Passive)', 'Inter-Satellite [5.562C]', 'Space Research (Passive)'], [], ['[5.562C]: Use of the band 116-122.25 GHz by the inter-satellite service is limited to satellites in the geostationary-satellite orbit. The single-entry power flux-density produced by a station in the inter-satellite service, for all conditions and for all methods of modulation, at all altitudes from 0 km to 1 000 km above the Earth’s surface and in the vicinity of all geostationary orbital positions occupied by passive sensors, shall not exceed –148 dB(W/(m2 × MHz)) for all angles of arrival. (WRC-2000)', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.']),
    (119980000000, 122250000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Passive)', 'Inter-Satellite [5.562C]', 'Space Research (Passive)'], [], ['[5.562C]: Use of the band 116-122.25 GHz by the inter-satellite service is limited to satellites in the geostationary-satellite orbit. The single-entry power flux-density produced by a station in the inter-satellite service, for all conditions and for all methods of modulation, at all altitudes from 0 km to 1 000 km above the Earth’s surface and in the vicinity of all geostationary orbital positions occupied by passive sensors, shall not exceed –148 dB(W/(m2 × MHz)) for all angles of arrival. (WRC-2000)', '[5.138]: The following bands:6 765-6 795 kHz (centre frequency 6 780 kHz), 433.05-434.79 MHz (centre frequency 433.92 MHz) in Region 1 except in the countries mentioned in No. 5.280, 61-61.5 GHz (centre frequency 61.25 GHz), 122-123 GHz (centre frequency 122.5 GHz), and 244-246 GHz (centre frequency 245 GHz) are designated for industrial, scientific and medical (ISM) applications. The use of these frequency bands for ISM applications shall be subject to special authorization by the administration concerned, in agreement with other administrations whose radiocommunication services might be affected. In applying this provision, administrations shall have due regard to the latest relevant ITU-R Recommendations. ', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.']),
    (122250000000, 123000000001): (True, True, True, False, False, ['Inter-Satellite', 'Mobile [5.558]'], ['Amateur'], ['[5.558]: In the bands 55.78-58.2 GHz, 59-64 GHz, 66-71 GHz, 122.25-123 GHz, 130-134 GHz, 167-174.8 GHz and 191.8-200 GHz, stations in the aeronautical mobile service may be operated subject to not causing harmful interference to the inter-satellite service (see No. 5.43). (WRC-2000)', '[5.138]: The following bands:6 765-6 795 kHz (centre frequency 6 780 kHz), 433.05-434.79 MHz (centre frequency 433.92 MHz) in Region 1 except in the countries mentioned in No. 5.280, 61-61.5 GHz (centre frequency 61.25 GHz), 122-123 GHz (centre frequency 122.5 GHz), and 244-246 GHz (centre frequency 245 GHz) are designated for industrial, scientific and medical (ISM) applications. The use of these frequency bands for ISM applications shall be subject to special authorization by the administration concerned, in agreement with other administrations whose radiocommunication services might be affected. In applying this provision, administrations shall have due regard to the latest relevant ITU-R Recommendations.']),
    (123000000000, 130000000001): (False, False, False, False, False, ['Fixed-Satellite (Space-To-Earth)', 'Mobile-Satellite (Space-To-Earth)', 'Radionavigation', 'Radionavigation-Satellite'], ['Radio Astronomy [5.562D]'], ['[5.562D]: Additional allocation: In Korea (Rep. of), the frequency bands 128-130 GHz, 171-171.6 GHz, 172.2-172.8 GHz and 173.3-174 GHz are also allocated to the radio astronomy service on a primary basis. Radio astronomy stations in Korea (Rep. of) operating in the frequency bands referred to in this footnote shall not claim protection from, or constrain the use and development of, services in other countries operating in accordance with the Radio Regulations. (WRC-15)', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.554]: In the bands 43.5-47 GHz, 66-71 GHz, 95-100 GHz, 123-130 GHz, 191.8-200 GHz and 252-265 GHz, satellite links connecting land stations at specified fixed points are also authorized when used in conjunction with the mobile-satellite service or the radionavigation-satellite service. (WRC-2000)']),
    (130000000000, 134000000001): (False, True, True, False, False, ['Earth Exploration-Satellite (Active) [5.562E]', 'Inter-Satellite', 'Mobile [5.558]', 'Radio Astronomy'], [], ['[5.562E]: The allocation to the Earth exploration-satellite service (active) is limited to the band 133.5-134 GHz. (WRC-2000)', '[5.558]: In the bands 55.78-58.2 GHz, 59-64 GHz, 66-71 GHz, 122.25-123 GHz, 130-134 GHz, 167-174.8 GHz and 191.8-200 GHz, stations in the aeronautical mobile service may be operated subject to not causing harmful interference to the inter-satellite service (see No. 5.43). (WRC-2000)', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.562A]: In the bands 94-94.1 GHz and 130-134 GHz, transmissions from space stations of the Earth exploration-satellite service (active) that are directed into the main beam of a radio astronomy antenna have the potential to damage some radio astronomy receivers. Space agencies operating the transmitters and the radio astronomy stations concerned should mutually plan their operations so as to avoid such occurrences to the maximum extent possible. (WRC-2000)']),
    (134000000000, 136000000001): (True, False, False, False, False, ['Amateur', 'Amateur-Satellite'], ['Radio Astronomy'], []),
    (136000000000, 141000000001): (True, False, False, False, False, ['Radio Astronomy', 'Radiolocation'], ['Amateur', 'Amateur-Satellite'], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07)']),
    (141000000000, 148500000001): (False, True, True, False, False, ['Radio Astronomy', 'Radiolocation'], [], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07)']),
    (148500000000, 151500000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Passive)', 'Radio Astronomy', 'Space Research (Passive)'], [], ['[5.340]: All emissions are prohibited in the following bands:1 400-1 427 MHz, 2 690-2 700 MHz, except those provided for by No. 5.422, 10.68-10.7 GHz, except those provided for by No. 5.483, 15.35-15.4 GHz, except those provided for by No. 5.511, 23.6-24 GHz, 31.3-31.5 GHz, 31.5-31.8 GHz, in Region 2, 48.94-49.04 GHz, from airborne stations 50.2-50.4 GHz2, 52.6-54.25 GHz, 86-92 GHz, 100-102 GHz, 109.5-111.8 GHz, 114.25-116 GHz, 148.5-151.5 GHz, 164-167 GHz, 182-185 GHz, 190-191.8 GHz, 200-209 GHz, 226-231.5 GHz, 250-252 GHz. (WRC-03)']),
    (151500000000, 155500000001): (False, True, True, False, False, ['Radio Astronomy', 'Radiolocation'], [], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07)']),
    (155500000000, 158500000001): (False, True, True, False, False, ['Earth Exploration-Satellite (Passive)', 'Radio Astronomy', 'Space Research (Passive) [5.562B]'], [], ['[5.562B]: In the bands 105-109.5 GHz, 111.8-114.25 GHz, 155.5-158.5 GHz and 217-226 GHz, the use of this allocation is limited to space-based radio astronomy only. (WRC-2000)', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.562F]: In the band 155.5-158.5 GHz, the allocation to the Earth exploration-satellite (passive) and space research (passive) services shall terminate on 1 January 2018. (WRC-2000)', '[5.562G]: The date of entry into force of the allocation to the fixed and mobile services in the band 155.5-158.5 GHz shall be 1 January 2018. (WRC-2000)']),
    (158500000000, 164000000001): (False, True, True, False, False, ['Fixed-Satellite (Space-To-Earth)', 'Mobile-Satellite (Space-To-Earth)'], [], []),
    (164000000000, 167000000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Passive)', 'Radio Astronomy', 'Space Research (Passive)'], [], ['[5.340]: All emissions are prohibited in the following bands:1 400-1 427 MHz, 2 690-2 700 MHz, except those provided for by No. 5.422, 10.68-10.7 GHz, except those provided for by No. 5.483, 15.35-15.4 GHz, except those provided for by No. 5.511, 23.6-24 GHz, 31.3-31.5 GHz, 31.5-31.8 GHz, in Region 2, 48.94-49.04 GHz, from airborne stations 50.2-50.4 GHz2, 52.6-54.25 GHz, 86-92 GHz, 100-102 GHz, 109.5-111.8 GHz, 114.25-116 GHz, 148.5-151.5 GHz, 164-167 GHz, 182-185 GHz, 190-191.8 GHz, 200-209 GHz, 226-231.5 GHz, 250-252 GHz. (WRC-03)']),
    (167000000000, 174500000001): (False, True, True, False, False, ['Fixed-Satellite (Space-To-Earth)', 'Inter-Satellite', 'Mobile [5.558]'], [], ['[5.558]: In the bands 55.78-58.2 GHz, 59-64 GHz, 66-71 GHz, 122.25-123 GHz, 130-134 GHz, 167-174.8 GHz and 191.8-200 GHz, stations in the aeronautical mobile service may be operated subject to not causing harmful interference to the inter-satellite service (see No. 5.43). (WRC-2000)', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.562D]: Additional allocation: In Korea (Rep. of), the frequency bands 128-130 GHz, 171-171.6 GHz, 172.2-172.8 GHz and 173.3-174 GHz are also allocated to the radio astronomy service on a primary basis. Radio astronomy stations in Korea (Rep. of) operating in the frequency bands referred to in this footnote shall not claim protection from, or constrain the use and development of, services in other countries operating in accordance with the Radio Regulations. (WRC-15)']),
    (174500000000, 174800000001): (False, True, True, False, False, ['Inter-Satellite', 'Mobile [5.558]'], [], ['[5.558]: In the bands 55.78-58.2 GHz, 59-64 GHz, 66-71 GHz, 122.25-123 GHz, 130-134 GHz, 167-174.8 GHz and 191.8-200 GHz, stations in the aeronautical mobile service may be operated subject to not causing harmful interference to the inter-satellite service (see No. 5.43). (WRC-2000)']),
    (174800000000, 182000000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Passive)', 'Inter-Satellite [5.562H]', 'Space Research (Passive)'], [], ['[5.562H]: Use of the bands 174.8-182 GHz and 185-190 GHz by the inter-satellite service is limited to satellites in the geostationary-satellite orbit. The single-entry power flux-density produced by a station in the inter-satellite service, for all conditions and for all methods of modulation, at all altitudes from 0 to 1 000 km above the Earth’s surface and in the vicinity of all geostationary orbital positions occupied by passive sensors, shall not exceed -144 dB(W/(m2 × MHz)) for all angles of arrival. (WRC-2000)']),
    (182000000000, 185000000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Passive)', 'Radio Astronomy', 'Space Research (Passive)'], [], ['[5.340]: All emissions are prohibited in the following bands:1 400-1 427 MHz, 2 690-2 700 MHz, except those provided for by No. 5.422, 10.68-10.7 GHz, except those provided for by No. 5.483, 15.35-15.4 GHz, except those provided for by No. 5.511, 23.6-24 GHz, 31.3-31.5 GHz, 31.5-31.8 GHz, in Region 2, 48.94-49.04 GHz, from airborne stations 50.2-50.4 GHz2, 52.6-54.25 GHz, 86-92 GHz, 100-102 GHz, 109.5-111.8 GHz, 114.25-116 GHz, 148.5-151.5 GHz, 164-167 GHz, 182-185 GHz, 190-191.8 GHz, 200-209 GHz, 226-231.5 GHz, 250-252 GHz. (WRC-03)']),
    (185000000000, 190000000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Passive)', 'Inter-Satellite [5.562H]', 'Space Research (Passive)'], [], ['[5.562H]: Use of the bands 174.8-182 GHz and 185-190 GHz by the inter-satellite service is limited to satellites in the geostationary-satellite orbit. The single-entry power flux-density produced by a station in the inter-satellite service, for all conditions and for all methods of modulation, at all altitudes from 0 to 1 000 km above the Earth’s surface and in the vicinity of all geostationary orbital positions occupied by passive sensors, shall not exceed -144 dB(W/(m2 × MHz)) for all angles of arrival. (WRC-2000)']),
    (190000000000, 191800000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Passive)', 'Space Research (Passive)'], [], ['[5.340]: All emissions are prohibited in the following bands:1 400-1 427 MHz, 2 690-2 700 MHz, except those provided for by No. 5.422, 10.68-10.7 GHz, except those provided for by No. 5.483, 15.35-15.4 GHz, except those provided for by No. 5.511, 23.6-24 GHz, 31.3-31.5 GHz, 31.5-31.8 GHz, in Region 2, 48.94-49.04 GHz, from airborne stations 50.2-50.4 GHz2, 52.6-54.25 GHz, 86-92 GHz, 100-102 GHz, 109.5-111.8 GHz, 114.25-116 GHz, 148.5-151.5 GHz, 164-167 GHz, 182-185 GHz, 190-191.8 GHz, 200-209 GHz, 226-231.5 GHz, 250-252 GHz. (WRC-03)']),
    (191800000000, 200000000001): (False, True, True, False, False, ['Inter-Satellite', 'Mobile [5.558]', 'Mobile-Satellite', 'Radionavigation', 'Radionavigation-Satellite'], [], ['[5.558]: In the bands 55.78-58.2 GHz, 59-64 GHz, 66-71 GHz, 122.25-123 GHz, 130-134 GHz, 167-174.8 GHz and 191.8-200 GHz, stations in the aeronautical mobile service may be operated subject to not causing harmful interference to the inter-satellite service (see No. 5.43). (WRC-2000)', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.', '[5.554]: In the bands 43.5-47 GHz, 66-71 GHz, 95-100 GHz, 123-130 GHz, 191.8-200 GHz and 252-265 GHz, satellite links connecting land stations at specified fixed points are also authorized when used in conjunction with the mobile-satellite service or the radionavigation-satellite service. (WRC-2000)']),
    (200000000000, 209000000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Passive)', 'Radio Astronomy', 'Space Research (Passive)'], [], ['[5.340]: All emissions are prohibited in the following bands:1 400-1 427 MHz, 2 690-2 700 MHz, except those provided for by No. 5.422, 10.68-10.7 GHz, except those provided for by No. 5.483, 15.35-15.4 GHz, except those provided for by No. 5.511, 23.6-24 GHz, 31.3-31.5 GHz, 31.5-31.8 GHz, in Region 2, 48.94-49.04 GHz, from airborne stations 50.2-50.4 GHz2, 52.6-54.25 GHz, 86-92 GHz, 100-102 GHz, 109.5-111.8 GHz, 114.25-116 GHz, 148.5-151.5 GHz, 164-167 GHz, 182-185 GHz, 190-191.8 GHz, 200-209 GHz, 226-231.5 GHz, 250-252 GHz. (WRC-03) ', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.', '[5.563A]: In the bands 200-209 GHz, 235-238 GHz, 250-252 GHz and 265-275 GHz, ground-based passive atmospheric sensing is carried out to monitor atmospheric constituents. (WRC-2000)']),
    (209000000000, 217000000001): (False, True, True, False, False, ['Fixed-Satellite (Earth-To-Space)', 'Radio Astronomy'], [], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.']),
    (217000000000, 226000000001): (False, True, True, False, False, ['Fixed-Satellite (Earth-To-Space)', 'Radio Astronomy', 'Space Research (Passive) [5.562B]'], [], ['[5.562B]: In the bands 105-109.5 GHz, 111.8-114.25 GHz, 155.5-158.5 GHz and 217-226 GHz, the use of this allocation is limited to space-based radio astronomy only. (WRC-2000)', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.341]: In the bands 1 400-1 727 MHz, 101-120 GHz and 197-220 GHz, passive research is being conducted by some countries in a programme for the search for intentional emissions of extraterrestrial origin.']),
    (226000000000, 231500000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Passive)', 'Radio Astronomy', 'Space Research (Passive)'], [], ['[5.340]: All emissions are prohibited in the following bands:1 400-1 427 MHz, 2 690-2 700 MHz, except those provided for by No. 5.422, 10.68-10.7 GHz, except those provided for by No. 5.483, 15.35-15.4 GHz, except those provided for by No. 5.511, 23.6-24 GHz, 31.3-31.5 GHz, 31.5-31.8 GHz, in Region 2, 48.94-49.04 GHz, from airborne stations 50.2-50.4 GHz2, 52.6-54.25 GHz, 86-92 GHz, 100-102 GHz, 109.5-111.8 GHz, 114.25-116 GHz, 148.5-151.5 GHz, 164-167 GHz, 182-185 GHz, 190-191.8 GHz, 200-209 GHz, 226-231.5 GHz, 250-252 GHz. (WRC-03)']),
    (231500000000, 232000000001): (False, True, True, False, False, [], ['Radiolocation'], []),
    (232000000000, 235000000001): (False, True, True, False, False, ['Fixed-Satellite (Space-To-Earth)'], ['Radiolocation'], []),
    (235000000000, 238000000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Passive)', 'Fixed-Satellite (Space-To-Earth)', 'Space Research (Passive)'], [], ['[5.563A]: In the bands 200-209 GHz, 235-238 GHz, 250-252 GHz and 265-275 GHz, ground-based passive atmospheric sensing is carried out to monitor atmospheric constituents. (WRC-2000)', '[5.563B]: The band 237.9-238 GHz is also allocated to the Earth exploration-satellite service (active) and the space research service (active) for spaceborne cloud radars only. (WRC-2000)']),
    (238000000000, 240000000001): (False, True, True, False, False, ['Fixed-Satellite (Space-To-Earth)', 'Radiolocation', 'Radionavigation', 'Radionavigation-Satellite'], [], []),
    (240000000000, 241000000001): (False, True, True, False, False, ['Radiolocation'], [], []),
    (241000000000, 248000000001): (True, False, False, False, False, ['Radio Astronomy', 'Radiolocation'], ['Amateur', 'Amateur-Satellite'], ['[5.138]: The following bands:6 765-6 795 kHz (centre frequency 6 780 kHz), 433.05-434.79 MHz (centre frequency 433.92 MHz) in Region 1 except in the countries mentioned in No. 5.280, 61-61.5 GHz (centre frequency 61.25 GHz), 122-123 GHz (centre frequency 122.5 GHz), and 244-246 GHz (centre frequency 245 GHz) are designated for industrial, scientific and medical (ISM) applications. The use of these frequency bands for ISM applications shall be subject to special authorization by the administration concerned, in agreement with other administrations whose radiocommunication services might be affected. In applying this provision, administrations shall have due regard to the latest relevant ITU-R Recommendations. ', '[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07)']),
    (248000000000, 250000000001): (True, False, False, False, False, ['Amateur', 'Amateur-Satellite'], ['Radio Astronomy'], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07)']),
    (250000000000, 252000000001): (False, False, False, False, False, ['Earth Exploration-Satellite (Passive)', 'Radio Astronomy', 'Space Research (Passive)'], [], ['[5.340]: All emissions are prohibited in the following bands:1 400-1 427 MHz, 2 690-2 700 MHz, except those provided for by No. 5.422, 10.68-10.7 GHz, except those provided for by No. 5.483, 15.35-15.4 GHz, except those provided for by No. 5.511, 23.6-24 GHz, 31.3-31.5 GHz, 31.5-31.8 GHz, in Region 2, 48.94-49.04 GHz, from airborne stations 50.2-50.4 GHz2, 52.6-54.25 GHz, 86-92 GHz, 100-102 GHz, 109.5-111.8 GHz, 114.25-116 GHz, 148.5-151.5 GHz, 164-167 GHz, 182-185 GHz, 190-191.8 GHz, 200-209 GHz, 226-231.5 GHz, 250-252 GHz. (WRC-03) ', '[5.563A]: In the bands 200-209 GHz, 235-238 GHz, 250-252 GHz and 265-275 GHz, ground-based passive atmospheric sensing is carried out to monitor atmospheric constituents. (WRC-2000)']),
    (252000000000, 265000000001): (False, True, True, False, False, ['Mobile-Satellite (Earth-To-Space)', 'Radio Astronomy', 'Radionavigation', 'Radionavigation-Satellite'], [], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.554]: In the bands 43.5-47 GHz, 66-71 GHz, 95-100 GHz, 123-130 GHz, 191.8-200 GHz and 252-265 GHz, satellite links connecting land stations at specified fixed points are also authorized when used in conjunction with the mobile-satellite service or the radionavigation-satellite service. (WRC-2000)']),
    (265000000000, 275000000001): (False, True, True, False, False, ['Fixed-Satellite (Earth-To-Space)', 'Radio Astronomy'], [], ['[5.149]: In making assignments to stations of other services to which the bands:13 360-13 410 kHz, 25 550-25 670 kHz, 37.5-38.25 MHz, 73-74.6 MHz in Regions 1 and 3, 150.05-153 MHz in Region 1, 322-328.6 MHz, 406.1-410 MHz, 608-614 MHz in Regions 1 and 3, 1 330-1 400 MHz, 1 610.6-1 613.8 MHz, 1 660-1 670 MHz, 1 718.8-1 722.2 MHz, 2 655-2 690 MHz, 3 260-3 267 MHz, 3 332-3 339 MHz, 3 345.8-3 352.5 MHz, 4 825-4 835 MHz, 4 950-4 990 MHz, 4 990-5 000 MHz, 6 650-6 675.2 MHz, 10.6-10.68 GHz, 14.47-14.5 GHz, 22.01-22.21 GHz, 22.21-22.5 GHz, 22.81-22.86 GHz, 23.07-23.12 GHz, 31.2-31.3 GHz, 31.5-31.8 GHz in Regions 1 and 3, 36.43-36.5 GHz, 42.5-43.5 GHz, 48.94-49.04 GHz, 76-86 GHz, 92-94 GHz, 94.1-100 GHz, 102-109.5 GHz, 111.8-114.25 GHz, 128.33-128.59 GHz, 129.23-129.49 GHz, 130-134 GHz, 136-148.5 GHz, 151.5-158.5 GHz, 168.59-168.93 GHz, 171.11-171.45 GHz, 172.31-172.65 GHz, 173.52-173.85 GHz, 195.75-196.15 GHz, 209-226 GHz, 241-250 GHz, 252-275 GHz are allocated, administrations are urged to take all practicable steps to protect the radio astronomy service from harmful interference. Emissions from spaceborne or airborne stations can be particularly serious sources of interference to the radio astronomy service (see Nos. 4.5 and 4.6 and Article 29). (WRC-07) ', '[5.563A]: In the bands 200-209 GHz, 235-238 GHz, 250-252 GHz and 265-275 GHz, ground-based passive atmospheric sensing is carried out to monitor atmospheric constituents. (WRC-2000)']),
    (275000000000, 3000000000001): (False, False, False, False, False, ['(Not Allocated) [5.565]'], [], ['[5.565]: The following frequency bands in the range 275-1 000 GHz are identified for use by administrations for passive service applications:– radio astronomy service: 275-323 GHz, 327-371 GHz, 388-424 GHz, 426-442 GHz, 453-510 GHz, 623-711 GHz, 795-909 GHz and 926-945 GHz; – Earth exploration-satellite service (passive) and space research service (passive): 275-286 GHz, 296-306 GHz, 313-356 GHz, 361-365 GHz, 369-392 GHz, 397-399 GHz, 409-411 GHz, 416-434 GHz, 439-467 GHz, 477-502 GHz, 523-527 GHz, 538-581 GHz, 611-630 GHz, 634-654 GHz, 657-692 GHz, 713-718 GHz, 729-733 GHz, 750-754 GHz, 771-776 GHz, 823-846 GHz, 850-854 GHz, 857-862 GHz, 866-882 GHz, 905-928 GHz, 951-956 GHz, 968-973 GHz and 985-990 GHz.']),
})
